/*
 Copyright 2009-2020 Rumma & Ko Ltd
 License: BSD (see file COPYING for details)
*/

// lino.js --- generated Sun Jul 10 11:25:13 2022 by Lino Welfare Eupen 21.3.1 for 000 (Anonym).
Ext.BLANK_IMAGE_URL = '/static/ext-3.3.1/resources/images/default/s.gif';
LANGUAGE_CHOICES = [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ];
MEDIA_URL = "/media/";
GEN_TIMESTAMP = 1657422637.0536327;

// hack to add a toCamel function, inspired by
// http://jamesroberts.name/blog/2010/02/22/string-functions-for-javascript-trim-to-camel-case-to-dashed-and-to-underscore/
String.prototype.toCamel = function(){
  //~ return this.replace(/(\-[a-z])/g, function($1){return $1.toUpperCase().replace('-','');});
  //~ return this;
  return this.replace(/([A-Z])([A-Z]+)/g, function(match,p1,p2,offset,string){
      //~ console.log("20131005 got ",arguments);
      return p1 + p2.toLowerCase();});
};

if (!Array.prototype.last) {
    Array.prototype.last = function () {
        return this[this.length - 1];
    }
}


// 20151126 hack to modify Ext.EventObjectImpl.isSpecialKey() which
// returned false for Ctrl-S when called from a keyup handler (namely
// ComboBox.onLoad)

Ext.EventObjectImpl.prototype.isSpecialKey = function(){
    // same as original except for one line
    var k = this.normalizeKey(this.keyCode);
    // return (this.type == 'keypress' && this.ctrlKey) ||
    return (this.ctrlKey) ||
        this.isNavKeyPress() ||
        (k == this.BACKSPACE) ||
        (k >= 16 && k <= 20) ||
        (k >= 44 && k <= 46);
};





/* MonthPickerPlugin: thanks to keypoint @ sencha forum
   http://www.sencha.com/forum/showthread.php?74002-3.x-Ext.ux.MonthMenu&p=356860#post356860
*/
Ext.namespace('Ext.ux');

Ext.ux.MonthPickerPlugin = function() {
    var picker;
    var oldDateDefaults;

    this.init = function(pk) {
        picker = pk;
        picker.onTriggerClick = picker.onTriggerClick.createSequence(onClick);
        picker.getValue = picker.getValue.createInterceptor(setDefaultMonthDay).createSequence(restoreDefaultMonthDay);
        picker.beforeBlur = picker.beforeBlur.createInterceptor(setDefaultMonthDay).createSequence(restoreDefaultMonthDay);
    };

    function setDefaultMonthDay() {
        oldDateDefaults = Date.defaults.d;
        Date.defaults.d = 1;
        return true;
    }

    function restoreDefaultMonthDay(ret) {
        Date.defaults.d = oldDateDefaults;
        return ret;
    }

    function onClick(e, el, opt) {
        var p = picker.menu.picker;
        p.activeDate = p.activeDate.getFirstDateOfMonth();
        if (p.value) {
            p.value = p.value.getFirstDateOfMonth();
        }

        p.showMonthPicker();

        if (!p.disabled) {
            p.monthPicker.stopFx();
            p.monthPicker.show();

            p.mun(p.monthPicker, 'click', p.onMonthClick, p);
            p.mun(p.monthPicker, 'dblclick', p.onMonthDblClick, p);
            p.onMonthClick = p.onMonthClick.createSequence(pickerClick);
            p.onMonthDblClick = p.onMonthDblClick.createSequence(pickerDblclick);
            p.mon(p.monthPicker, 'click', p.onMonthClick, p);
            p.mon(p.monthPicker, 'dblclick', p.onMonthDblClick, p);
        }
    }

    function pickerClick(e, t) {
        var el = new Ext.Element(t);
        if (el.is('button.x-date-mp-cancel')) {
            picker.menu.hide();
        } else if(el.is('button.x-date-mp-ok')) {
            var p = picker.menu.picker;
            p.setValue(p.activeDate);
            p.fireEvent('select', p, p.value);
        }
    }

    function pickerDblclick(e, t) {
        var el = new Ext.Element(t);
        if (el.parent()
            && (el.parent().is('td.x-date-mp-month')
            || el.parent().is('td.x-date-mp-year'))) {

            var p = picker.menu.picker;
            p.setValue(p.activeDate);
            p.fireEvent('select', p, p.value);
        }
    }
};

Ext.preg('monthPickerPlugin', Ext.ux.MonthPickerPlugin);

// Override this function to put the listeners always on the keydown event regardless of the browser.See #2887
Ext.EventManager.getKeyEvent = function() {
  return 'keydown';
};

/**
JC Watsons solution (adapted to ExtJS 3.3.1 by LS) is elegant and simple:
`A "fix" for unchecked checkbox submission  behaviour
<http://www.sencha.com/forum/showthread.php?28449>`_

Added special handling for checkbox inputs.
ExtJS defines disabled checkboxes `readonly`, not `disabled` as for other inputs.

*/
Ext.lib.Ajax.serializeForm = function(form) {
    // console.log('20170731 linolib.js serializeForm', form);
    var fElements = form.elements || (document.forms[form] || Ext.getDom(form)).elements,
        hasSubmit = false,
        encoder = encodeURIComponent,
        name,
        data = '',
        type,
        hasValue;

    Ext.each(fElements, function(element){
        name = element.name;
        type = element.type;

        if (!element.disabled && name && !(type == 'checkbox' && element.readonly)) {
            if (/select-(one|multiple)/i.test(type)) {
                Ext.each(element.options, function(opt){
                    if (opt.selected) {
                        hasValue = opt.hasAttribute ? opt.hasAttribute('value') : opt.getAttributeNode('value').specified;
                        data += String.format("{0}={1}&", encoder(name), encoder(hasValue ? opt.value : opt.text));
                    }
                });
            } else if (!(/file|undefined|reset|button/i.test(type))) {
                //~ if (!(/radio|checkbox/i.test(type) && !element.checked) && !(type == 'submit' && hasSubmit)) {
                if (!(type == 'submit' && hasSubmit)) {
                    if (type == 'checkbox') {
                        //~ console.log('20111001',element,'data += ',encoder(name) + '=' + (element.checked ? 'on' : 'off') + '&');
                        data += encoder(name) + '=' + (element.checked ? 'on' : 'off') + '&';
                    } else {
                        //~ console.log('20111001',element,'data += ',encoder(name) + '=' + encoder(element.value) + '&');
                        data += encoder(name) + '=' + encoder(element.value) + '&';
                    }
                    hasSubmit = /submit/i.test(type);
                }
            }
        //~ } else {
            //~ console.log(name,type,element.readonly);
        }
    });
    return data.substr(0, data.length - 1);
};



/*
Set a long timeout of fifteen minutes.
See /blog/2012/0307
*/
Ext.Ajax.timeout = 15 * 60 * 1000;

/*
 * Thanks to
 * `huuze <http://stackoverflow.com/users/10040/huuuze>`_ for the question
 * and to
 * `chrisv <http://stackoverflow.com/users/683808/chrisv>`_
 * for the answer on
 * http://stackoverflow.com/questions/3764589/how-do-i-include-django-1-2s-csrf-token-in-a-javascript-generated-html-form/5485616#5485616
 *
 * */

Ext.Ajax.on('beforerequest', function (conn, options) {
   if (!(/^http:.*/.test(options.url) || /^https:.*/.test(options.url))) {
     if (typeof(options.headers) == "undefined") {
       options.headers = {'X-CSRFToken': Ext.util.Cookies.get('csrftoken')};
     } else {
       options.headers['X-CSRFToken'] = Ext.util.Cookies.get('csrftoken');
     }
   }
}, this);

// Ext.apply(Ext.EventManager, function(){
//     return{
//         getKeyEvent : function(){
//                //return useKeydown ? 'keydown' : 'keypress';
//            return 'keydown';
//            },
// }});

/* This probably worked, but was not used in real world.
My fix for the "Cannot set QuickTips dismissDelay to 0" bug,
see http://www.sencha.com/forum/showthread.php?183515

*/
// Ext.override(Ext.QuickTip,{
//   showAt : function(xy){
//         var t = this.activeTarget;
//         // console.log("20171024 QuickTip.showAt",this.title,this.dismissDelay,t.dismissDelay);
//         if(t){
//             if(!this.rendered){
//                 this.render(Ext.getBody());
//                 this.activeTarget = t;
//             }
//             if(t.width){
//                 this.setWidth(t.width);
//                 this.body.setWidth(this.adjustBodyWidth(t.width - this.getFrameWidth()));
//                 this.measureWidth = false;
//             } else{
//                 this.measureWidth = true;
//             }
//             this.setTitle(t.title || '');
//             this.body.update(t.text);
//             this.autoHide = t.autoHide;
//             // bugfix by Luc 20120226
//             if (t.dismissDelay != undefined) this.dismissDelay = t.dismissDelay;
//             //~ this.dismissDelay = t.dismissDelay || this.dismissDelay;
//             if(this.lastCls){
//                 this.el.removeClass(this.lastCls);
//                 delete this.lastCls;
//             }
//             if(t.cls){
//                 this.el.addClass(t.cls);
//                 this.lastCls = t.cls;
//             }
//             if(this.anchor){
//                 this.constrainPosition = false;
//             }else if(t.align){
//                 xy = this.el.getAlignToXY(t.el, t.align);
//                 this.constrainPosition = false;
//             }else{
//                 this.constrainPosition = true;
//             }
//         }
//         Ext.QuickTip.superclass.showAt.call(this, xy);
//     }
// });

/*
Another hack. See /docs/blog/2012/0228
*/
Ext.Element.addMethods(
    function() {
        var VISIBILITY      = "visibility",
            DISPLAY         = "display",
            HIDDEN          = "hidden",
            NONE            = "none",
            XMASKED         = "x-masked",
            XMASKEDRELATIVE = "x-masked-relative",
            data            = Ext.Element.data;

        return {

            mask : function(msg, msgCls) {
                var me  = this,
                    dom = me.dom,
                    dh  = Ext.DomHelper,
                    EXTELMASKMSG = "ext-el-mask-msg",
                    el,
                    mask;
                // removed the following lines. See /docs/blog/2012/0228
                //~ if (!(/^body/i.test(dom.tagName) && me.getStyle('position') == 'static')) {
                    //~ console.log(20120228,dom.tagName,me);
                    //~ me.addClass(XMASKEDRELATIVE);
                //~ }
                if (el = data(dom, 'maskMsg')) {
                    el.remove();
                }
                if (el = data(dom, 'mask')) {
                    el.remove();
                }

                mask = dh.append(dom, {cls : "ext-el-mask"}, true);
                data(dom, 'mask', mask);

                me.addClass(XMASKED);
                mask.setDisplayed(true);

                if (typeof msg == 'string') {
                    var mm = dh.append(dom, {cls : EXTELMASKMSG, cn:{tag:'div'}}, true);
                    data(dom, 'maskMsg', mm);
                    mm.dom.className = msgCls ? EXTELMASKMSG + " " + msgCls : EXTELMASKMSG;
                    mm.dom.firstChild.innerHTML = msg;
                    mm.setDisplayed(true);
                    mm.center(me);
                }


                if (Ext.isIE && !(Ext.isIE7 && Ext.isStrict) && me.getStyle('height') == 'auto') {
                    mask.setSize(undefined, me.getHeight());
                }

                return mask;
            }


        };
    }()
);



Ext.namespace('Lino');

Lino.insert_linoweb_version = function(p){
    p.lv = GEN_TIMESTAMP;
};


//~ Lino.subst_user_field = new Ext.form.ComboBox({});
//~ Lino.subst_user = null;
Lino.insert_subst_user = function(p){
    Lino.insert_linoweb_version(p);
    //~ console.log('20120714 insert_subst_user',Lino.subst_user,p);
    if (!p.ul)
      if (Lino.user_language)
        p.ul = Lino.user_language;

    if (p.su) return;
    if (Lino.subst_user) {
        //~ p.su = Lino.subst_user_field.getValue();
        p.su = Lino.subst_user;
    //~ } else {
        //~ delete p.su;
    }
    //~ console.log('20120714 insert_subst_user -->',Lino.subst_user,p);
}

// Lino.login_window = null;

Lino.autorefresh = function() {
  if (Lino.current_window == null) {
      Lino.viewport.refresh();
      Lino.autorefresh.defer(5000);
  }
}

Lino.set_subst_user = function(id, name) {
    //~ console.log(20130723,'Lino.set_subst_user',id,name,Lino.current_window,Lino.viewport);
    Lino.subst_user = id;
    if (Lino.current_window)
        Lino.current_window.main_item.set_base_param("su",id);
    if (Lino.viewport)
        Lino.permalink_handler(Lino.current_window)();
}

Lino.set_user_language = function(lang) {
    Lino.user_language = lang;
    if (Lino.current_window)
        Lino.current_window.main_item.set_base_param("ul", lang);
    if (Lino.viewport)
        Lino.permalink_handler(Lino.current_window)();
}

Lino.goto_record_id = function(pk) {

    if (Lino.current_window)
        Lino.current_window.main_item.goto_record_id(pk);
}


//~ Lino.select_subst_user = function(cmp,rec,value){
    //~ Lino.subst_user=value;
    //~ console.log(20120713,rec);
//~ }

Lino.current_window = null;
Lino.window_history = Array();

Lino.chars2width = function(cols) {  return cols * 9; }
Lino.rows2height = function(cols) {  return cols * 20; }
Lino.perc2width = function(perc) {
    // var w = Math.max(document.documentElement.clientWidth, window.innerWidth);
    // console.log("20151226", document, window, w);
    var w = Lino.viewport.getWidth();
    return w * perc / 100;
}



Lino.MainPanel = {
  is_home_page: false
  ,auto_apply_params: true
  ,setting_param_values : false
  ,config_containing_window : function(wincfg) { }
  ,init_containing_window : function(win) { }
  ,is_loading : function() {
      if (!this.rendered) return true;
      //~ return (Ext.select('.x-loading-msg').elements.length > 0);
      return true;
    }
  ,do_when_clean : function(auto_save,todo) { todo() }
  ,get_master_params : function() {
    var p = {}
    p['mt'] = this.content_type;
    rec = this.get_current_record()
    if (rec) {
      if (rec.phantom) {
          p['mk'] = undefined;
      }else{
          p['mk'] = rec.id;
      }
    } else {
      p['mk'] = undefined;
    }
    //~ console.log('get_master_params returns',p,'using record',rec);
    return p;
  }
  ,get_permalink : function() {
    var p = Ext.apply({}, this.get_base_params());
    delete p.fmt;
    delete p.lv;
    Ext.apply(p, this.get_permalink_params());

    if (this.toggle_params_panel_btn) {
        p.sp = this.toggle_params_panel_btn.pressed;
        //~ if (this.toggle_params_panel_btn.pressed == this.params_panel_hidden) {
          //~ p.sp = true;
        //~ }
    }

    //~ Lino.insert_subst_user(p);
     //~ p.fmt = 'html';
    //~ console.log('get_permalink',p,this.get_permalink_params());
    if (this.is_home_page)
        //~ var url = '';
        var url = '/';
    else
        var url = this.get_permalink_url();
    if (p.su == null)
        delete p.su;
    if (Ext.urlEncode(p)) url = url + "?" + Ext.urlEncode(p);
    return url;
  }
  ,get_record_url : function(record_id) {
      var url = '/api' + this.ls_url
      //~ var url = this.containing_window.config.url_data; // ls_url;
      url += '/' + (record_id === undefined ? this.default_record_id : String(record_id));
      //~ if (record_id !== undefined) url += '/' + String(record_id);
      //~ url += '/' + String(record_id);
      return url;
  }
  ,get_permalink_url : function() {
      return '/api' + this.ls_url;
  }
  ,get_permalink_params : function() {
      //~ return {an:'grid'};
      var p = {};
      if (this.action_name)
          p.an = this.action_name;
      this.add_param_values(p,false)
      return p;
  }
  /*

  Lino.MainPanel.set_status() : the status can have the following keys:

  - param_values : values of parameter fields
  - field_values : values of action parameter fields
  - base_params
  - record_id
  - active_tab
  - data_record
  - show_params_panel
  - current_page

   */
  ,set_status : function(status, requesting_panel) {}
  ,get_status : function() { return {}}
  ,refresh : function() {}
  ,get_base_params : function() {  // Lino.MainPanel
    var p = {};
    Lino.insert_subst_user(p);
    Lino.insert_linoweb_version(p);
    return p;
  }
  ,add_params_panel : function (tbar) {
      if (this.params_panel) {
        //~  20130923b
        //~ this.params_panel.autoHeight = true; // 20130924
        var t = this;
        var update = function() {
            var p = t.params_panel;
            //~ console.log("update", p.getSize().height,p.forceLayout,p.autoHeight);
            var w = t.get_containing_window();
            Lino.do_when_visible(w, function() {
                //~ p.doLayout(true); // doLayout(shallow, force)
                w.doLayout(true); // doLayout(shallow, force)
                //~ t.params_panel.on('afterlayout',update,t,{single:true});
            });
        };
        Lino.do_when_visible(this.params_panel, update);
        this.params_panel.on('show',update);
        this.params_panel.on('hide',update);
        //~ this.params_panel.on('bodyresize',update);
        this.params_panel.on('afterlayout',update);
        //~ this.params_panel.on('afterlayout',update,this,{single:true});
        //~ this.params_panel.on('bodyresize',update,this,{single:true});
        //~ this.params_panel.on('resize',update,this,{single:true});
        //~ this.params_panel.on('render',update,this,{single:true});

        // this.params_panel.on('render',
        //~ this.params_panel.on('afterlayout',update,this,{single:true,delay:200});
        //~ this.params_panel.on('bodyresize',update,this,{single:true,delay:200});
        this.toggle_params_panel_btn = new Ext.Button({ scope:this,
          //~ text: "$_("[parameters]")", // gear
          iconCls: 'x-tbar-database_gear',
          tooltip:"Parameter-Panel ein- bzw. ausblenden",
          enableToggle: true,
          //~ pressed: ! this.params_panel.hidden,
          pressed: ! this.params_panel_hidden,
          toggleHandler: function(btn,state) {
            //~ console.log("20120210 add_params_panel",state,this.params_panel);
            if (state) {
                this.params_panel.show();
            } else {
                this.params_panel.hide();
            }
            //~ this.params_panel.on('afterlayout',update,this,{single:true});
            //~ t.get_containing_window().doLayout();
            //~ this.params_panel.on('afterlayout',function() {
                //~ console.log("20130918 afterlayout");
                //~ t.get_containing_window().doLayout(); // doLayout(shallow, force)
            //~ },this,{single:true});
          }
        });
        tbar = tbar.concat([this.toggle_params_panel_btn]);

        if (this.auto_apply_params) {
            var refresh = function() {
                if (!t.setting_param_values) {
                    t._force_dirty = true;
                    t.refresh();
                }
            }
            Ext.each(this.params_panel.fields,function(f) {
              //~ f.on('valid',function() {t.refresh()});
              if (f instanceof Ext.form.Checkbox) {
                  f.on('check',refresh);
//              } else if (f instanceof Ext.DatePicker) {
//                  f.on('select',refresh);
//                  console.log('Ext.DatePicker');
              } else if (f instanceof Ext.form.DateField) {
                  f.on('change',refresh);
              } else if (f instanceof Ext.form.TriggerField) {
                  f.on('select',refresh);
                  //~ f.on('change',refresh);
                  //~ f.on('valid',refresh);
              } else {
                  if (! f.on)
                      console.log("20121010 no method 'on'",f);
                  else
                      f.on('change',refresh);
                }
              });
        }
      }
      return tbar;
  }
  ,add_param_values : function (p,force_dirty) {
    if (this.params_panel) {
      /*
      * 20120918 add param_values to the request string
      * *only if the params_form is dirty*.
      * Otherwise Actor.default_params() would never be used.
      *
      * 20121023 But IntegClients.params_default has non-empty default values.
      * Users must have the possibility to make them empty.
      *
      * 20130605 : added `force_dirty` parameter because Checkbox fields don't
      * mark their form as dirty when check is fired.
      *
      * 20130721 : `force_dirty` not as a parameter but as
      * `this._force_dirty` because
      *
      * 20130915 : both _force_dirty and force_dirty parameter are needed.
      *
      */
      if (force_dirty || this._force_dirty || this.params_panel.form.isDirty()) {
      //~ if (this._force_dirty || this.params_panel.form.isDirty()) {
        p.pv = this.get_param_values();
        //~ console.log("20130923 form is dirty (",force_dirty,this._force_dirty,this.params_panel.form.isDirty(),")");
        //~ console.log("20130923 form is dirty",p);
      }else{
        //~ console.log("20130923 form not dirty:",this.params_panel.form);
        if (this.status_param_values)
          p.pv = Lino.fields2array(
            this.params_panel.fields,this.status_param_values);
      }
      //~ if (!this.params_panel.form.isDirty()) return;
      //~ p.pv = this.get_param_values();
      //~ console.log("20120203 add_param_values added pv",p.pv,"to",p);
    }
    else if(this.use_detail_params_value){
      let params_panel = this.ownerCt.ownerCt.ownerCt.params_panel || this.ownerCt.ownerCt.params_panel
      p.pv = Lino.fields2array(params_panel.fields);
      }
  },
  get_param_values : function() { // similar to get_field_values()
      return Lino.fields2array(this.params_panel.fields);
  },
  set_param_values : function(pv) {
    if (this.params_panel) {
      //~ console.log('20120203 MainPanel.set_param_values', pv);
      this.status_param_values = pv;
      //~ this.params_panel.form.suspendEvents(false);
      this.setting_param_values = true;
      if (pv) {
          this.params_panel.form.my_loadRecord(pv);
      } else {
        this.params_panel.form.reset();
      }
      this.setting_param_values = false;
      this._force_dirty = false;
      //~ this.params_panel.form.resumeEvents();
    }
  }
};




Lino.Viewport = Ext.extend(Ext.Viewport, Lino.MainPanel);
Lino.Viewport = Ext.extend(Lino.Viewport, {
  layout : "fit"
  ,is_home_page : true
  ,initComponent : function(){
    Lino.Viewport.superclass.initComponent.call(this);
    this.on('render',function(){
      this.loadMask = new Ext.LoadMask(this.el,{msg:"Bitte warten..."});
      //~ console.log("20121118 Lino.viewport.loadMask",this.loadMask);
    },this);
  }
  ,refresh : function() {
      var caller = this;
      // console.log("20140829 Lino.Viewport.refresh()");
      if (caller.loadMask) caller.loadMask.show();
      var success = function(response) {
        if (caller.loadMask) caller.loadMask.hide();
        if (response.responseText) {
          var result = Ext.decode(response.responseText);
          //~ console.log('Lino.do_action()',action.name,'result is',result);
          if (result.html) {
              var cmp = Ext.getCmp('dashboard');
              // cmp.removeAll(true);  // 20140829
              cmp.update(result.html, true);
          }

        if (result.message) {
            //~ if (result.alert && ! gridmode) {
            if (result.alert) { // 20120628b
                //~ Ext.MessageBox.alert('Alert',result.alert_msg);
                if (result.alert === true) result.alert = "Alarm";
                Ext.MessageBox.alert(result.alert, result.message, function(){eval(result.alert_eval_js)});
            } else {
                Lino.notify(result.message);
            }
        }
          if (result.notify_msg) Lino.notify(result.notify_msg);
          if (result.js_code) {
            var jsr = result.js_code(caller);
            //~ console.log('Lino.do_action()',action,'returned from js_code in',result);
          };
        }
      };
      var p = {}
      Lino.insert_linoweb_version(p);
      var action = {
        url : '/api/main_html',
        waitMsg: "Bitte warten...",
        failure: Lino.ajax_error_handler(caller),
        success: success,
        method: 'GET',
        params: {}
      };
      Lino.insert_subst_user(action.params);
      Ext.Ajax.request(action);

  }
});




Lino.open_window = function(win, st, requesting_panel) {
  // console.log("20140831 Lino.open_window()", win, win.el.getBox());
  var cw = Lino.current_window;
  if (cw) {
    // console.log("20140829 Lino.open_window() save current status",
    //             cw.main_item.get_status());
    Lino.window_history.push({
      window:cw,
      status:cw.main_item.get_status()
    });
  }
  Lino.current_window = win;
  //~ if (st.su)
      //~ Lino.subst_user_field.setValue(st.su);
  win.main_item.set_status(st, requesting_panel);
  // win.toFront();
  win.show();
};

Lino.load_url = function(url) {
    //~ foo.bar.baz = 2;
    //~ console.log("20121120 Lino.load_url()");
    //~ Lino.body_loadMask.show();
    Lino.viewport.loadMask.show();
    //~ location.replace(url);
    document.location = url;
}

Lino.close_window = function(status_update, norestore) {
  // norestore is true when called by handle_action_result() who
  // will call set_status() itself later
  var cw = Lino.current_window;
  var ww = Lino.window_history.pop();
  var retval = cw.main_item.requesting_panel;
  // console.log(
  //     "20150514 Lino.close_window() going to close", cw.title,
  //     "previous is", ww,
  //     "norestore is", norestore,
  //     "retval is", retval);
  if (ww) {
    //~ if (status_update) Ext.apply(ww.status,status_update);
    if(!norestore) {
        if (status_update) status_update(ww);
        // 20180725 ww.window.main_item.set_status(ww.status , cw.id);
        ww.window.main_item.set_status(ww.status , retval);
    }
    Lino.current_window = ww.window;
  } else {
      Lino.current_window = null;
      // new since 20140829:
      if(!norestore) { Lino.viewport.refresh(); }
  }
  if (cw) cw.hide_really();
  return retval;
};

Lino.kill_current_window = function() {
  // console.log("20140418 Lino.kill_current_window()");
  var cw = Lino.current_window;
  Lino.current_window = null;
  if (cw) cw.hide_really();
};

Lino.reload = function() {
    // First close all windows to ensure all changes are saved
    Lino.close_all_windows();

    // Then reload current view
    var url =  "/"

    var p = {};
    Lino.insert_subst_user(p)
    if (Ext.urlEncode(p))
        url = url + "?" + Ext.urlEncode(p);

    Lino.load_url(url);
}

Lino.handle_home_button = function() {
  if (Lino.window_history.length == 0)
      Lino.reload();
  else
      Lino.close_all_windows();
}

Lino.close_all_windows = function() {
    while (Lino.window_history.length > 0) {
        Lino.close_window();
    }
}

Lino.calling_window = function() {
    if (Lino.window_history.length)
        return Lino.window_history[Lino.window_history.length-1];
}

//~ Lino.WindowAction = function(mainItemClass,windowConfig,mainConfig,ppf) {
Lino.WindowAction = function(windowConfig,main_item_fn) {
    //~ if(!mainConfig) mainConfig = {};
    //~ mainConfig.is_main_window = true;
    this.windowConfig = windowConfig;
    this.main_item_fn = main_item_fn;
    //~ if (ppf) mainConfig.params_panel.fields = ppf;
    //~ this.mainConfig = mainConfig;
    //~ this.mainItemClass = mainItemClass;
};

Lino.WindowAction = Ext.extend(Lino.WindowAction,{
    window : null,
    //~ mainItemClass: null,
    get_window : function() {
      //~ if(mainConfig) Ext.apply(this.mainConfig,mainConfig);
      // if (this.window == null || this.window.isDestroyed)  { // 20140829
      // if (this.window == null || this.window.getBox().width == 0)  { // 20140829
      if (this.window == null)  {
      // if (true)  {
          //~ this.windowConfig.main_item = new this.mainItemClass(this.mainConfig);
          this.windowConfig.main_item = this.main_item_fn();
          this.window = new Lino.Window(this.windowConfig);
      }
      return this.window;
    },
    run : function(requesting_panel, status) {
      // console.log('20140829 window_action.run()', this)
      Lino.open_window(this.get_window(), status, requesting_panel);
    }

});


Lino.PanelMixin = {
  get_containing_window : function (){
      if (this.containing_window) return this.containing_window;
      return this.containing_panel.get_containing_window();
  }
  ,set_window_title : function(title) {
    //~ this.setTitle(title);
    var cw = this.get_containing_window();

    //~ if (cw) {
    //~ if (cw && cw.closable) {
    if (cw && !cw.main_item.hide_window_title) {
      //~ console.log('20111202 set_window_title(',title,') for',this.containing_window);
      //~ if (! this.containing_window.rendered) console.log("WARNING: not rendered!");
      cw.setTitle(title);
    //~ } else {
      //~ document.title = title;
    }
    //~ else console.log('20111202 not set_window_title(',title,') for',this);
  }

};


// Lino.status_bar = new Ext.ux.StatusBar({defaultText:'Lino version 22.6.1.'});






/*
  Originally copied from Ext JS Library 3.3.1
  Modifications by Luc Saffre :
  - rendering of phantom records
  - fire afteredit event
  - react on dblclcik, not on single click

 */
Lino.CheckColumn = Ext.extend(Ext.grid.Column, {

    processEvent : function(name, e, grid, rowIndex, colIndex){
        //~ console.log('20110713 Lino.CheckColumn.processEvent',name)
        if (name == 'click') {
        //~ if (name == 'mousedown') {
        //~ if (name == 'dblclick') {
            return this.toggleValue(grid, rowIndex, colIndex);
        } else {
            return Ext.grid.ActionColumn.superclass.processEvent.apply(this, arguments);
        }
    },

    toggleValue : function (grid,rowIndex,colIndex) {
        var record = grid.store.getAt(rowIndex);
        var dataIndex = grid.colModel.getDataIndex(colIndex);
        // 20120514
        //~ if(record.data.disabled_fields && record.data.disabled_fields[dataIndex]) {
          //~ Lino.notify("Dieses Feld ist deaktiviert");
          //~ return false;
        //~ }

        //~ if (dataIndex in record.data['disabled_fields']) {
            //~ Lino.notify("This field is disabled.");
            //~ return false;
        //~ }
        var startValue = record.data[dataIndex];
        var value = !startValue;
        //~ record.set(this.dataIndex, value);
        var e = {
            grid: grid,
            record: record,
            field: dataIndex,
            originalValue: startValue,
            value: value,
            row: rowIndex,
            column: colIndex,
            cancel: false
        };
        if(grid.fireEvent("beforeedit", e) !== false && !e.cancel){
        //~ if(grid.fireEvent("validateedit", e) !== false && !e.cancel){
            record.set(dataIndex, value);
            delete e.cancel;
            grid.fireEvent("afteredit", e);
        }
        return false; // Cancel event propagation
    },

    renderer : function(v, p, record){
        if (record.phantom) return '';
        p.css += ' x-grid3-check-col-td';
        return String.format('<div class="x-grid3-check-col{0}">&#160;</div>', v ? '-on' : '');
    }

    // Deprecate use as a plugin. Remove in 4.0
    // init: Ext.emptyFn
});

// register ptype. Deprecate. Remove in 4.0
// Ext.preg('checkcolumn', Lino.CheckColumn);

// backwards compat. Remove in 4.0
// Ext.grid.CheckColumn = Lino.CheckColumn;

// register Column xtype
Ext.grid.Column.types.checkcolumn = Lino.CheckColumn;


/* 20110725 :
Lino.on_tab_activate is necessary
in contacts.Person.2.dtl
(but don't ask me why...)
*/
Lino.on_tab_activate = function(item) {
  //~ console.log('activate',item);
  if (item.rendered && item.doLayout) item.doLayout();
  //~ if (item.rendered) item.doLayout();
}

Lino.TimeField = Ext.extend(Ext.form.TimeField,{
  format: 'H:i',
  altFormats: 'g:ia|g:iA|g:i a|g:i A|h:i|g:i|H:i|ga|ha|gA|h a|g a|g A|gi|hi|gia|hia|g|H|gi a|hi a|giA|hiA|gi A|hi A|Hi|g.ia|g.iA|g.i a|g.i A|h.i|g.i|H.i',
  increment: 15
  });
Lino.DateField = Ext.extend(Ext.form.DateField,{
  //~ boxMinWidth: Lino.chars2width(15), // 20131005 changed from 11 to 15
  format: 'd.m.Y',
  altFormats: 'd/m/Y|Y-m-d'
  });
Lino.DatePickerField = Ext.extend(Ext.DatePicker,{
  //~ boxMinWidth: Lino.chars2width(11),
  format: 'd.m.Y',
  //~ altFormats: 'd/m/Y|Y-m-d'
  formatDate : function(date){
      //~ console.log("20121203 formatDate",this.name,date);
      return Ext.isDate(date) ? date.dateFormat(this.format) : date;
  }
  });
Lino.DateTimeField = Ext.extend(Ext.ux.form.DateTime,{
  dateFormat: 'd.m.Y',
  timeFormat: 'H:i'
  //~ ,hiddenFormat: 'd.m.Y H:i'
  });
Lino.URLField = Ext.extend(Ext.form.TriggerField,{
  triggerClass : 'x-form-search-trigger',
  //~ triggerClass : 'x-form-world-trigger',
  vtype: 'url',
  onTriggerClick : function() {
    //~ console.log('Lino.URLField.onTriggerClick',this.value)
    //~ document.location = this.value;
    window.open(this.getValue(),'_blank');
  }
});
Lino.IncompleteDateField = Ext.extend(Ext.form.TextField,{
  //~ regex: /^-?\d+-[01]\d-[0123]\d$/,
  //~ regex: /^[0123]\d\.[01]\d\.-?\d+$/,
  maxLength: 10,
  boxMinWidth: Lino.chars2width(10),
  regex: /^[0123]?\d\.[01]?\d\.-?\d+$/,
  regexText: 'Datum im Format JJJJ-MM-TT eingeben (Nullen für unbekannte Teile)'
  });


//~ Lino.make_dropzone = function(cmp) {
    //~ cmp.on('render', function(ct, position){
      //~ ct.el.on({
        //~ dragenter:function(event){
          //~ event.browserEvent.dataTransfer.dropEffect = 'move';
          //~ return true;
        //~ }
        //~ ,dragover:function(event){
          //~ event.browserEvent.dataTransfer.dropEffect = 'move';
          //~ event.stopEvent();
          //~ return true;
        //~ }
        //~ ,drop:{
          //~ scope:this
          //~ ,fn:function(event){
            //~ event.stopEvent();
            //~ console.log(20110516);
            //~ var files = event.browserEvent.dataTransfer.files;
            //~ if(files === undefined){
              //~ return true;
            //~ }
            //~ var len = files.length;
            //~ while(--len >= 0){
              //~ console.log(files[len]);
              //~ // this.processDragAndDropFileUpload(files[len]);
            //~ }
          //~ }
        //~ }
      //~ });
    //~ });
//~ };

//~ Lino.FileUploadField = Ext.ux.form.FileUploadField;

Lino.FileUploadField = Ext.extend(Ext.ux.form.FileUploadField,{
    ctCls :"field-margin",
    unused_onRender : function(ct, position){
      Lino.FileUploadField.superclass.onRender.call(this, ct, position);
      this.el.on({
        dragenter:function(event){
          event.browserEvent.dataTransfer.dropEffect = 'move';
          return true;
        }
        ,dragover:function(event){
          event.browserEvent.dataTransfer.dropEffect = 'move';
          event.stopEvent();
          return true;
        }
        ,drop:{
          scope:this
          ,fn:function(event){
            event.stopEvent();
            //~ console.log(20110516);
            var files = event.browserEvent.dataTransfer.files;
            if(files === undefined){
              return true;
            }
            var len = files.length;
            while(--len >= 0){
              console.log(files[len]);
              //~ this.processDragAndDropFileUpload(files[len]);
            }
          }
        }
      });
    }
});

Lino.FileField = Ext.extend(Ext.form.TriggerField,{
  triggerClass : 'x-form-search-trigger',
  editable: false,
  onTriggerClick : function() {
    //~ console.log('Lino.URLField.onTriggerClick',this.value)
    //~ document.location = this.value;
    if (this.getValue()) window.open(MEDIA_URL + '/'+this.getValue(),'_blank');
  }
});

Lino.file_field_handler = function(panel,config) {
  if (panel.action_name == 'insert') {
      panel.has_file_upload = true;


      // config.value = '<br/><br/>';

      var f = new Lino.FileUploadField(config);
      //~ Lino.make_dropzone(f);
      return f;
      //~ return new Ext.ux.form.FileUploadField(config);
      //~ return new Lino.FileField(config);

  } else {
      //~ return new Lino.URLField(config);
      return new Lino.FileField(config);
  }
}

Lino.VBorderPanel = Ext.extend(Ext.Panel,{
    constructor : function(config) {
      config.layout = 'border';
      delete config.layoutConfig;
      Lino.VBorderPanel.superclass.constructor.call(this,config);
      for(var i=0; i < this.items.length;i++) {
        var item = this.items.get(i);
        if (this.isVertical(item) && item.collapsible) {
          item.on('collapse',this.onBodyResize,this);
          item.on('expand',this.onBodyResize,this);
        }
      }
    },
    isVertical : function(item) {
       return (item.region == 'north' || item.region == 'south' || item.region == 'center');
    },
    onBodyResize: function(w, h){
        //~ console.log('VBorderPanel.onBodyResize',this.title)
      if (this.isVisible()) { // to avoid "Uncaught TypeError: Cannot call method 'getHeight' of undefined."
        var sumflex = 0;
        var availableHeight = this.getInnerHeight();
        var me = this;
        this.items.each(function(item){
          if (me.isVertical(item)) {
              if (item.collapsed || item.flex == 0 || item.flex === undefined) {
                  if (item.rendered) availableHeight -= item.getHeight();
              } else {
                  sumflex += item.flex;
              }
          }

        });
        //~ for(var i=0; i < this.items.length;i++) {
          //~ var item = this.items.get(i);
          //~ // if (this.isVertical(item) && item.getResizeEl()) {
          //~ if (this.isVertical(item)) {
              //~ if (item.collapsed || item.flex == 0 || item.flex === undefined) {
                  //~ // item.syncSize()
                  //~ // item.doLayout()
                  //~ // if (item.region == "north") console.log('region north',item.getHeight(),item.id, item);
                  //~ // if (item.getHeight() == 0) console.log(20100921,'both flex and getHeight() are 0!');
                  //~ availableHeight -= item.getHeight();
              //~ } else {
                  //~ sumflex += item.flex;
                  //~ // console.log(item.flex);
              //~ }
          //~ }
          //~ // else console.log('non-vertical item in VBoderPanel:',item)
        //~ }
        var hunit = availableHeight / sumflex;
        //~ console.log('sumflex=',sumflex,'hunit=',hunit, 'availableHeight=',availableHeight);
        for(var i=0; i < this.items.length;i++) {
          var item = this.items.get(i);
          if (this.isVertical(item)) {
              if (item.flex != 0 && ! item.collapsed) {
                  item.setHeight(hunit * item.flex);
                  //~ console.log(item.region,' : height set to',item.getHeight());
              }
          }
          //~ else console.log('non-vertical item in VBoderPanel:',item)
        }
      }
      Lino.VBorderPanel.superclass.onBodyResize.call(this, w, h);
    }
});


/*
  modifications to the standard behaviour of a CellSelectionModel:

*/
Ext.override(Ext.grid.CellSelectionModel, {
//~ var dummy = {

    getRowFrompx : function(px){
        g = this.grid;
        rows = g.getView().getRows();
        total_height = 0,
        searched_row = 0;
        for (row in rows){
            if (total_height < px){
                searched_row += 1;
                total_height += rows[row].clientHeight;
                }
            else{
                return searched_row;
            }
        }

    },
    handleKeyDown : function(e){
        /* removed because F2 wouldn't pass
        if(!e.isNavKeyPress()){
            return;
        }
        */
        //~ console.log('handleKeyDown',e)
        var k = e.getKey(),
            g = this.grid,
            s = this.selection,
            sm = this,
            walk = function(row, col, step){
                return g.walkCells(
                    row,
                    col,
                    step,
                    g.isEditor && g.editing ? sm.acceptsNav : sm.isSelectable,
                    sm
                );
            },
            cell, newCell, r, c, ae;
            t = g.getTopToolbar();
            if (t != undefined){
                d = t.getPageData();
            }
            else{
                d = undefined;
            }

        switch(k){
            case e.ESC:
                break;
            default:
                // e.stopEvent(); // removed because Browser keys like Alt-Home, Ctrl-R wouldn't work
                break;
        }

        if(!s){
            cell = walk(0, 0, 1);
            if(cell){
                this.select(cell[0], cell[1]);
            }
            return;
        }

        cell = s.cell;
        r = cell[0];
        c = cell[1];

        switch(k){
            case e.TAB:
                if(e.shiftKey){
                    newCell = walk(r, c - 1, -1);
                    // prev + [-1 -1]
                }else{
                    newCell = walk(r, c + 1, 1);
                }
                e.stopEvent(); // Don't allow tab to cause grid to loose focus
                if(!newCell && d != undefined){
                    var self = this;
                    var new_page = e.shiftKey? Math.max(1, d.activePage -1) : Math.min(d.pages, d.activePage +1) ;
                    if (d.activePage !== new_page) {
                        t.on('change', function (tb, pageData) {
                            if (e.shiftKey) {
                                self.select(
                                    Math.min(r, g.store.getCount() - 1),
                                    g.getColumnModel().getColumnsBy(function (col) {return !col.hidden}).last().colIndex
                                );
                            }else {
                                self.select(0,0);
                            }
                            //~ console.log('change',r,c);
                        }, this, {single: true});

                        if (e.shiftKey) {
                            t.movePrevious();
                        } else {
                            t.moveNext();
                        }
                        return;}
                }
                break;
            case e.HOME:
                if (!(g.isEditor && g.editing)) {
                    if (!e.hasModifier()) {
                        newCell = [r, 0];
                        //~ console.log('home',newCell);
                        break;
                    } else {
                        var activePage = Math.ceil((t.cursor + t.pageSize) / t.pageSize);
                        if (e.ctrlKey && activePage > 1) {
                            e.stopEvent();
                            var self = this;
                            t.on('change', function (tb, pageData) {
                                self.select(0, c);
                                //~ console.log('change',r,c);
                            }, this, {single: true});

                            t.moveFirst();
                            return;
                        }
                        newCell = [0, c];
                        break;
                    }
                }
            case e.END:
                if (!(g.isEditor && g.editing)) {
                    if (!e.hasModifier()) {
                        newCell = [r, g.getColumnModel().getColumnsBy(function (col) {
                            return !col.hidden
                        }).last().colIndex];
                        //~ console.log('end',newCell);
                        break;
                    } else if (d != undefined){
                        if (e.ctrlKey && d.activePage < d.pages) {
                            e.stopEvent();
                            var self = this;
                            t.on('change', function (tb, pageData) {
                                var r = g.store.getCount() - 1;
                                self.select(r, c);
                                //~ console.log('change',r,c);
                            }, this, {single: true});
                            t.moveLast();
                            return;
                        } else {
                            newCell = [g.store.getCount() - 1, c];
                            //~ console.log('ctrl-end',newCell);
                            break;
                        }
                    }
                }
            case e.PAGE_UP:
            case e.PAGE_DOWN:
                e.stopEvent();
                var self = this;
                var scroller = g.getView().scroller;
                var box = scroller.getBox();
                //console.log('box',box);
                var viewSize = scroller.getSize(); // EXP {width: 547, height: 500}
//                console.log('viewSize',viewSize);
                var scrollPosition = scroller.getScroll(); // EXP {left: 0, top: 135}
//                console.log('scrollPosition',scrollPosition);
//                if (box.height < box.bottom){
                var direction  = e.PAGE_DOWN === k ? 'b' : 'u';
                scroller.scroll(direction, box.y,false);
//                }
                var new_scrollPosition = scroller.getScroll(); // EXP {left: 0, top: 135}
//                console.log('new_scrollPosition',new_scrollPosition);
                if (new_scrollPosition.top != scrollPosition.top){
                    newcellpx = e.PAGE_DOWN === k ? box.height : new_scrollPosition.top;
                    var newx = this.getRowFrompx(newcellpx);
//                    console.log('newx',newx);
                    newCell = walk(newx,c,1)
                    break;
                }
//                g.getView().scroller.scroll('b', 99999,true);
//                g.getView().scroller.isScrollable();
                if (d != undefined){
                    var new_page = e.PAGE_DOWN === k ? Math.min(d.pages, d.activePage +1) : Math.max(1, d.activePage -1);
                    if (d.activePage !== new_page) {
                        t.on('change', function (tb, pageData) {
                            self.select(Math.min(r, g.store.getCount() - 1), c);
                            //~ console.log('change',r,c);
                        }, this, {single: true});
                        if(k === e.PAGE_DOWN){
                            t.moveNext();
                        }else{
                            t.movePrevious();
    //                        Go to the bottom of the new page
                            var scroller = g.getView().scroller;
                            var newbox = scroller.getBox();
                            scroller.scroll('b', newbox.bottom,false);
                        }
                    }
                    return;
                }else{ // same page, goto top / bottom row, keep c same
                    r = e.PAGE_DOWN === k ? g.store.getCount() - 1 : 0;
                    newCell = [r, c]
                }
                break;
            case e.DOWN:
                newCell = walk(r + 1, c, 1);
                break;
            case e.UP:
                newCell = walk(r - 1, c, -1);
                break;
            case e.RIGHT:
                newCell = walk(r, c + 1, 1);
                break;
            case e.LEFT:
                newCell = walk(r, c - 1, -1);
                break;
            case e.F2:
                if (!e.hasModifier()) {
                    if (g.isEditor && !g.editing) {
                        g.startEditing(r, c);
                        e.stopEvent();
                        return;
                    }
                    break;
                }
            case e.INSERT:
                if (!e.hasModifier()) {
                    if (g.ls_insert_handler && !g.editing) {
                        e.stopEvent();
                        Lino.show_insert(g);
                        return;
                    }
                    break;
                }
            case e.DELETE:
                if (!e.hasModifier()) {
                    if (!g.editing) {
                        e.stopEvent();
                        // Lino.delete_selected(g);
                        Lino.row_action_handler('delete_selected','GET',null)(g);
                        return;
                    }
                    break;
                }

            case e.ENTER:
                e.stopEvent();
                g.onCellDblClick(g,r,c);
                break;

            default:
                g.handle_key_event(e);

        }


        if(newCell){
          e.stopEvent();
          r = newCell[0];
          c = newCell[1];
          this.select(r, c);
          if(g.isEditor && g.editing){
            ae = g.activeEditor;
            if(ae && ae.field.triggerBlur){
                ae.field.triggerBlur();
            }
            g.startEditing(r, c);
          }
        //~ } else if (g.isEditor && !g.editing && e.charCode) {
        //~ // } else if (!e.isSpecialKey() && g.isEditor && !g.editing) {
            //~ g.set_start_value(String.fromCharCode(e.charCode));
            //~ // g.set_start_value(String.fromCharCode(k));
            //~ // g.set_start_value(e.charCode);
            //~ g.startEditing(r, c);
            //~ // e.stopEvent();
            //~ return;
        // } else {
          // console.log('20120513',e,g);
        }

    }


//~ };
});



function PseudoConsole() {
    this.log = function() {};
};
if (typeof(console) == 'undefined') console = new PseudoConsole();

Lino.notify = function(msg) {
  if (msg == undefined) msg = ''; else console.log(msg);
  
    if (msg == undefined) return;
    // Lino.alert(msg);
  
};

Lino.alert = function(msg) {
  Ext.MessageBox.alert('Notify',msg);
};


//~ Lino.show_about = function() {
  //~ new Ext.Window({
    //~ width: 400, height: 400,
    //~ title: "About",
    //~ html: '<a href="http://www.extjs.com" target="_blank">ExtJS</a> version ' + Ext.version
  //~ }).show();
//~ };

function obj2str(o) {
  if (typeof o != 'object') return String(o);
  var s = '';
  for (var p in o) {
    s += p + ': ' + obj2str(o[p]) + '\n';
  }
  return s;
}

Lino.on_store_exception = function (store,type,action,options,response,arg) {
  //~ throw response;
  console.log("on_store_exception: store=",store,
    "type=",type,
    "action=",action,
    "options=",options,
    "response=",response,
    "arg=",arg);
    if (arg != undefined && arg) { console.log(arg.stack)};
    var msg = "Problem mit der Verbindung zur Datenbank";
    if (response.responseText)
        msg += '<br/>' + response.responseText
    msg += '<br/>' + "Falls der Fehler sich wiederholt, laden Sie die Seite im Browser neu ([SHIFT+CTRL+R] in Firefox)."
    Ext.Msg.alert("Datenbank-Problem", msg );

};

//~ Lino.on_submit_success = function(form, action) {
   //~ Lino.notify(action.result.message);
   //~ this.close();
//~ };

Lino.on_submit_failure = function(form, action) {
    //~ Lino.notify();
  // action may be undefined
    switch (action.failureType) {
        case Ext.form.Action.CLIENT_INVALID:
            Ext.Msg.alert("Client-side failure", "Bitte überprüfe alle Felder im Formular vor dem Speichern");
            break;
        case Ext.form.Action.CONNECT_FAILURE:
            Ext.Msg.alert("Connection failure", "Ajax communication failed");
            break;
        case Ext.form.Action.SERVER_INVALID:
            Ext.Msg.alert("Server-side failure", action.result.message);
   }
};



/*
Lino.save_wc_handler = function(ww) {
  return function(event,toolEl,panel,tc) {
    var pos = panel.getPosition();
    var size = panel.getSize();
    wc = ww.get_window_config();
    Ext.applyIf(wc,{
      x:pos[0],y:pos[1],height:size.height,width:size.width,
      maximized:panel.maximized});
    Lino.do_action(ww,{url:'/window_configs/'+ww.config.permalink_name,params:wc,method:'POST'});
  }
};

*/

Lino.show_in_own_window_button = function(handler) {
  return {
    qtip: "Dieses Panel in eigenem Fenster öffnen",
    id: "up",
    handler: function(event,toolEl,panel, tc) {
      //~ console.log('20111206 report_window_button',panel,handler);
      handler.run(null,{base_params:panel.containing_panel.get_master_params()});
    }
  }
}

Lino.action_handler = function (panel, on_success, on_confirm) {
  return function (response) {
      if (!panel) {
          if (Lino.current_window)
              panel = Lino.current_window.main_item;
          else panel = Lino.viewport;
      }

    if (panel.loadMask) panel.loadMask.hide(); // 20120211
    if (!response.responseText) return ;
    var result = Ext.decode(response.responseText);
    Lino.handle_action_result(panel, result, on_success, on_confirm);
  }
};

Lino.handle_action_result = function (panel, result, on_success, on_confirm) {

    // console.log('20150514 Lino.handle_action_result()', result);

    // if (panel instanceof Lino.GridPanel) {
    //     gridmode = true;
    // } else {
    //     gridmode = false;
    // }

    //~ if (result.goto_record) {
        //~ var js = "Lino." + result.goto_record[0] + '.detail.run';
        //~ var h = eval(js);
        //~ h(panel,{record_id:result.goto_record[1]});
    //~ }

    if (result.goto_url) {
        document.location = result.goto_url;
        if (result.close_window) Lino.close_window();
        return;
    }

    if (result.xcallback) {
        //~ var config = {title:"Bestätigung"};
        var config = {cls:"l-confirmation", title:result.xcallback.title};
        //~ config.buttons = Ext.MessageBox.YESNOCANCEL;
        //~ config.buttons = Ext.MessageBox.YESNO;
        var p = {};
        Lino.insert_subst_user(p);
        config.buttons = {};
        result.xcallback.buttons.forEach((button) => config.buttons[button[0]] = button[1]);
        config.msg = result.message;
        config.fn = function(buttonId, text, opt) {
          eval(result.xcallback[buttonId + "_resendEvalJs"])
        }
        Ext.MessageBox.show(config);
        return;
    }

    // `record_id` and/or `data_record` both mean "display the detail
    // of this record".

    if(result.detail_handler_name) {
        // TODO: make sure that result.detail_handler_name is secure
        var detail_handler = eval("Lino." + result.detail_handler_name);
    }
    var ns = {};  // new status
    if (result.close_window) {

        // Subsequent processing expects that `panel` is "the current
        // panel". But if we close the window, `panel` must point
        // to the previous window. Note the case of an insert window
        // that has been invoked by double-clicking on the phantom row
        // of a slave table in a detail window. In that case we want
        // `panel` to become the grid panel of the slave table who
        // called the insert window, not the master's detail form
        // panel.  When the insert window has been called by an action
        // link (e.g. generated using ar.insert_button), then
        // Lino.close_window can return `undefined`.

        if(result.record_id || result.data_record) {
            var ww = Lino.calling_window();
            if (ww && ww.window.main_item instanceof Lino.FormPanel) {
                if (ww.window.main_item.ls_detail_handler == detail_handler) {
                    ns.record_id = result.record_id;
                    ns.data_record = result.data_record;
                    // console.log("20150514 use new status.");
                }
            }
        }

        panel = Lino.close_window(
            function(ww) { Ext.apply(ww.status, ns) });
        if (!panel)
            // console.log("20150514 close_window returned no panel.");
            if (Lino.current_window)
                panel = Lino.current_window.main_item;

    }

    if(result.record_id || result.data_record) {
        if (! (ns.record_id || ns.data_record)) {
          // no close_window, so we must update record data in current
          // panel (if it is the detail_handler for this record) or
          // open the detail handler.
          var st = {
              record_id: result.record_id,
              data_record: result.data_record
          };
          if (result.active_tab) st.active_tab = result.active_tab;
          if (panel instanceof Lino.FormPanel
              && panel.ls_detail_handler == detail_handler)
            {
              // console.log("20210106 use panel.set_status().");
              st.base_params = panel.get_base_params();
              panel.set_status(st);
          } else {
              // console.log("20210106 run detail_handler.");
              if (panel !== undefined && panel.ls_detail_handler == detail_handler){
                st.base_params = panel.get_base_params();}
              detail_handler.run(null, st);
          }

          // if (panel instanceof Lino.FormPanel
          //     && panel.ls_url == result.actor_url) {
          //     // console.log("20140506 case 2 it's a FormPanel:", panel);
          //     panel.set_status({
          //         record_id: result.record_id,
          //         data_record: result.data_record});
          // } else if (panel.ls_detail_handler
          //            && panel.ls_url == result.actor_url) {
          //     // console.log("20140506 case 4");
          //     panel.ls_detail_handler.run(null, {
          //         record_id: result.record_id,
          //         data_record: result.data_record,
          //         base_params: panel.get_base_params()});
          // } else {
          //     result.refresh_all = true;
          //     console.log("20140604 case 6", result.actor_url);
          // }
        }
    }

    // `eval_js` must get handled after `close_window` because it
    // might ask to open a new window (and we don't want to close that
    // new window).  It must execute *before* any MessageBox,
    // otherwise the box would get hidden by a window that opens
    // afterwards.

    if (result.eval_js) {
        //~ console.log(20120618,result.eval_js);
        eval(result.eval_js);
    }

    if (on_success && result.success) {
        // console.log("20140430 handle_action_result calls on_success",
        //             on_success);
        on_success(result);
    }

    if (result.info_message) {
        console.log(result.info_message);
    }

    if (result.warning_message) {
        if (!result.alert) result.alert = "Warnung";
        Ext.MessageBox.alert(result.alert, result.warning_message);
    }

    if (result.message) {
        //~ if (result.alert && ! gridmode) {
        if (result.alert) { // 20120628b
            //~ Ext.MessageBox.alert('Alert',result.alert_msg);
            if (result.alert === true) result.alert = "Alarm";
            Ext.MessageBox.alert(result.alert, result.message, function(){eval(result.alert_eval_js)});
        } else {
            Lino.notify(result.message);
        }
    }

    if(result.record_deleted && panel.ls_detail_handler == detail_handler) {
        panel.after_delete();
        return;  // added 20200717 to fix #3715
    }

    if (result.refresh_all) {
        var cw = Lino.current_window;
        // var cw = panel.get_containing_window();
        if (cw) {
            // console.log("20140917 refresh_all calls refresh on", cw.main_item);
            cw.main_item.refresh();
        } else { Lino.viewport.refresh(); }
        // else console.log("20140917 cannot refresh_all because ",
        //                  "there is no current_window");
    } else {
        if (result.refresh) {
            // console.log("20140917 Gonna call panel.refresh()", panel);
            panel.refresh();
            panel.focus();
        }
    }if (result.open_url) {
        //~ console.log(20111126,result.open_url);
        //~ if (!result.message)
            //~ Lino.notify('Open new window <a href="'+result.open_url+'" target="_blank">'+result.open_url+'</a>');
        window.open(result.open_url,'foo',"");
        //~ document.location = result.open_url;
    }
};

// obsolete but still used for deleting records.
Lino.do_action = function(caller,action) {
  action.success = function(response) {
    if (caller.loadMask) caller.loadMask.hide();
    //~ console.log('Lino.do_action()',action,'action success',response);
    if (action.after_success) {
        //~ console.log('Lino.do_action() calling after_success');
        action.after_success();
    }
    if (response.responseText) {
      var result = Ext.decode(response.responseText);
      //~ console.log('Lino.do_action()',action.name,'result is',result);
      if (result.message) {
          if (result.alert) {
              //~ Ext.MessageBox.alert('Alert',result.alert_msg);
              Ext.MessageBox.alert('Alert',result.message);
          } else {
              Lino.notify(result.message);
          }
      }

      //~ if (result.alert_msg) Ext.MessageBox.alert('Alert',result.alert_msg);
      //~ if (result.message) Lino.notify(result.message);
      if (result.notify_msg) Lino.notify(result.notify_msg);
      if (result.js_code) {
        //~ console.log('Lino.do_action()',action,'gonna call js_code in',result);
        var jsr = result.js_code(caller);
        //~ console.log('Lino.do_action()',action,'returned from js_code in',result);
        if (action.after_js_code) {
          //~ console.log('Lino.do_action()',action,'gonna call after_js_code');
          action.after_js_code(jsr);
          //~ console.log('Lino.do_action()',action,'returned from after_js_code');
        //~ } else {
          //~ console.log('Lino.do_action()',action,' : after_js_code is false');
        }
      };
    }
  };
  Ext.applyIf(action,{
    waitMsg: "Bitte warten...",
    failure: Lino.ajax_error_handler(caller),
    params: {}
  });
  //~ action.params.su = Lino.subst_user;
  Lino.insert_subst_user(action.params);

  Ext.Ajax.request(action);
};

//~ Lino.gup = function( name )
//~ {
  //~ // Thanks to http://www.netlobo.com/url_query_string_javascript.html
  //~ name = name.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
  //~ var regexS = "[\\?&]"+name+"=([^&#]*)";
  //~ var regex = new RegExp( regexS );
  //~ var results = regex.exec( window.location.href );
  //~ if( results == null )
    //~ return "";
  //~ else
    //~ return results[1];
//~ };

//~ Lino.refresh_handler = function (ww) {
  //~ return function() {
      //~ console.log('refresh',ww);
      //~ ww.main_item.doLayout(false,true);
      //~ ww.main_item.syncSize();
  //~ }
//~ };

//~ Lino.tools_close_handler = function (ww) {
  //~ return function() {
      //~ ww.close();
  //~ }
//~ };
Lino.permalink_handler = function (ww) {
  return function() {
    //~ document.location = ww.main_item.get_permalink();
    //~ console.log('20130723 Lino.permalink_handler',ww);

    /* Uncaught TypeError: Cannot read property 'main_item' of null  */
    if (ww) {
        var url = ww.main_item.get_permalink();
    } else {
        var url = Lino.viewport.get_permalink();
    }
    Lino.load_url(url);
  }
};
//~ Lino.run_permalink = function() {
  //~ var plink = Lino.gup('permalink');
  //~ if(plink) { eval('Lino.'+plink); }
//~ }

Lino.close_and_save_handler =  function (ww){
    return function(){
    if (ww) {
        ww.main_item.do_when_clean(true,function() {
        Lino.close_window(); });
        }
    }
};

Lino.ajax_error_handler = function(panel) {
  return function(response,options) {
    console.log('Ajax failure:', response, options);
    if (panel.loadMask) panel.loadMask.hide();
    if (response.responseText) {
      var lines = response.responseText.split('\n');
      if (lines.length > 10) {
          line = lines.splice(5, lines.length-10, "(...)");
      }
      //~ console.log(20131005, response.statusText.toCamel());
      Ext.MessageBox.alert(
        response.statusText.toCamel(),
        lines.join('<br/>')
        //~ response.responseText.replace(/\n/g,'<br/>'))
      )
    } else {
      Ext.MessageBox.alert('Action failed',
        'Lino server did not respond to Ajax request');
    }
  }
}
// Ext.Ajax.on('requestexception',Lino.ajax_error_handler)



Ext.QuickTips.init();

/* setting QuickTips dismissDelay to 0 */
// Apply a set of config properties to the singleton
//~ Ext.apply(Ext.QuickTips.getQuickTip(), {
//~ Ext.apply(Ext.ToolTip, {
    //~ dismissDelay: 0
    //~ autoHide: false,
    //~ closable: true,
    //~ maxWidth: 200,
    //~ minWidth: 100,
    //~ showDelay: 50      // Show 50ms after entering target
    //~ ,trackMouse: true
//~ });


// Ext.apply(Ext.QuickTips.getQuickTip(), {
//     dismissDelay: 500,
//     showDelay: 20      // Show 10ms after entering target
// });

Lino.quicktip_renderer = function(title, body) {
  return function(c) {
    //~ if (c instanceof Ext.Panel) var t = c.bwrap; else // 20130129
      if (c instanceof Ext.Panel) {
          var t = c.header;
      } else if (c instanceof Ext.Button) {
          var t = c.btnEl;
      } else  {
          var t = c.getEl();
      }
    // console.log(20171024, c, t, body);
    //~ t.dismissDelay = 0;
    Ext.QuickTips.register({
      target: t,
      //~ cls: 'lino-quicktip-classical',
      dismissDelay: 10000,
      //~ autoHide: false,
      showDelay: 30,      // Show X ms after entering target
      //~ title: title,
      text: body
    });
  }
};



Lino.help_text_editor = function() {
  //~ var bp = {
      //~ mk:this.content_type,
      //~ mt:1
    //~ };
    //~ console.log(20120202,bp);
  //~ Lino.lino.ContentTypes.detail({},{base_params:bp});
  //~ Lino.lino.ContentTypes.detail.run(null,{record_id:this.content_type});
  Lino.lino.ContentTypes.detail.run(null,{record_id:this.content_type});
}

// Path to the blank image should point to a valid location on your server
//~ Ext.BLANK_IMAGE_URL = MEDIA_URL + '/extjs/resources/images/default/s.gif';


// used as Ext.grid.Column.renderer for id columns in order to hide the special id value -99999
Lino.id_renderer = function(value, metaData, record, rowIndex, colIndex, store) {
  //~ if (record.phantom) return '';
  return value;
}

Lino.raw_renderer = function(value, metaData, record, rowIndex, colIndex, store) {
  return value;
}

Lino.text_renderer = function(value, metaData, record, rowIndex, colIndex, store) {
  //~ return "not implemented";
  return value;
}

Lino.NullNumberColumn = Ext.extend(Ext.grid.Column, {
    align : 'right',
    format : '0,000.00/i',
    renderer : function(value, metaData, record, rowIndex, colIndex, store) {
        // if( colIndex == 3)
        //     console.log(20130128,"NullNumberColumn.renderer",value);
        if (value === null) return '';
        return Ext.util.Format.number(value, this.format);
    }
});


Lino.link_button = function(url) {
    // return '<a href="' + url + '"><img src="/media/lino/extjs/images/xsite/link.png" alt="link_button"></a>'
    return '<a href="' + url + '" style="text-decoration:none;">&#10138;</a>'
}

Lino.fk_renderer = function(fkname,handlername) {
  //~ console.log('Lino.fk_renderer handler=',handler);
  return function(value, metaData, record, rowIndex, colIndex, store) {
    //~ console.log('Lino.fk_renderer',fkname,rowIndex,colIndex,record,metaData,store);
    //~ if (record.phantom) return '';
    if (value) {
        return Lino.link_button('javascript:'+handlername + '.run(null,{record_id:\'' + String(record.data[fkname]) + '\'})")') + value;
        // until 20140822 (clickable foreign keys):
        // var s = '<a href="javascript:' ;
        // s += handlername + '.run(null,{record_id:\'' + String(record.data[fkname]) + '\'})">';
        // s += value + '</a>';
        // return s
    }
    return '';
  }
};

Lino.lfk_renderer = function(panel,fkname) {
  //~ console.log('Lino.fk_renderer handler=',handler);
  var handlername = 'console.log';
  return function(value, metaData, record, rowIndex, colIndex, store) {
    //~ console.log('Lino.fk_renderer',fkname,rowIndex,colIndex,record,metaData,store);
    if (record.phantom) return '';
    if (value) {
        var s = '<a href="javascript:' ;
        s += handlername + '({},{record_id:\'' + String(record.data[fkname]) + '\'})">';
        s += value + '</a>';
        //~ console.log('Lino.fk_renderer',value,'-->',s);
        return s
    }
    return '';
  }
};

//~ Lino.gfk_renderer = function() {
  //~ return function(value, metaData, record, rowIndex, colIndex, store) {
    //~ if (record.phantom) return '';
    //~ console.log('Lino.gfk_renderer',value,colIndex,record,metaData,store);
    //~ return value;
  //~ }
//~ };


Lino.build_buttons = function(panel,actions) {
  //~ console.log("20121006 Lino.build_buttons",actions);
  if (actions) {
    var buttons = Array(actions.length);
    var cmenu = Array(actions.length);
    var keyhandlers = [];
    for (var i=0; i < actions.length; i++) {
      var a = actions[i];
      if (a.menu) a.menu = Lino.build_buttons(panel,a.menu).bbar;
      buttons[i] = a;
      cmenu[i] = {
            text : a.menu_item_text,
            iconCls : a.iconCls,
            menu : a.menu,
            itemId : a.itemId
          };
      if (a.panel_btn_handler) {
          var h = a.panel_btn_handler.createCallback(panel);
          if (a.auto_save == true) {
              h = panel.do_when_clean.createDelegate(panel,[true,h]);
          } else if (a.auto_save == null) {
              h = panel.do_when_clean.createDelegate(panel,[false,h]);
          } else if (a.auto_save == false) {
              // h = h;
          } else {
              console.log("20120703 unhandled auto_save value",a)
          }
          buttons[i].handler = h;
          cmenu[i].handler = h;
          if (a.keycode) {
                keyhandlers.push({
                key : a.keycode,
                fn : h});
//              keyhandlers[a.keycode] = h;
          }
          //~ if (buttons[i].xtype == 'splitbutton') {
              //~ cmenu[i].menu = a.menu;
          //~ } else {
              //~ cmenu[i].handler = h;
          //~ }
      } else {
          console.log("action without panel_btn_handler",a)
          // cmenu[i].handler = a.handler;
      }
    }
//    if (keyhandlers.length > 0){
//        var keys = new Ext.KeyMap(panel,keyhandlers);
//    }
    return {
        bbar:buttons,
        cmenu:new Ext.menu.Menu(cmenu),
        keyhandlers: keyhandlers
    };
  }
}

Lino.do_when_visible = function(cmp,todo) {
  //~ if (cmp.el && cmp.el.dom)
  if (cmp.isVisible()) {
    // 'visible' means 'rendered and not hidden'
    //~ console.log(cmp.title,'-> cmp is visible now');
    todo();
  //~ } else {
      //~ cmp.on('resize',todo,cmp,{single:true});
  //~ }
  //~ if (false) { // 20120213
  } else {
    //~ console.log('Lino.do_when_visible() must defer because not isVisible()',todo,cmp);
    if (cmp.rendered) {
      //~ console.log(cmp,'-> cmp is rendered but not visible: and now?');
      //~ console.log(cmp.title,'-> cmp is rendered but not visible: try again in a moment...');
      //~ var fn = function() {Lino.do_when_visible(cmp,todo)};
      //~ fn.defer(100);

      Lino.do_when_visible.defer(50,this,[cmp,todo]);
      //~ Lino.do_when_visible.defer(100,this,[cmp,todo]);

    } else {
      //~ console.log(cmp.title,'-> after render');
      cmp.on('afterrender',todo,cmp,{single:true});
    }
  }

};

/*
*/
Lino.do_on_current_record = function(panel, fn, phantom_fn) {
  // console.log('20140930 do_on_current_record', arguments);
  var rec = panel.get_current_record();
  if (rec == undefined) {
    Lino.notify("There's no selected record.");
    return;
  }
  // 20120307 A VirtualTable with a Detail (lino.Models) has only "phantom" records.
  if (rec.phantom) {
    //~ if (!panel.editable) { console.log("20120312 not editable:",panel)}
    if (phantom_fn) {
      phantom_fn(panel);
    } else {
      Lino.notify("Aktion nicht verfügbar auf dem Phantom-Record.");
    }
    return;
  }
  return fn(rec);
};


Lino.call_ajax_action = function(
    panel, method, url, p, actionName, step, on_confirm, on_success) {
  p.an = actionName;
  if (!panel || !panel.isVisible()) {
  //~ if (true) { // 20131026 : workflow_actions of a newly created record detail executed but did't refresh the screen because their requesting panel was the insert (not the detail) formpanel.
      if (Lino.current_window)
          panel = Lino.current_window.main_item;
      else panel = Lino.viewport;
  }
  // console.log("20150130 a", p.pv);
  // Ext.apply(p, panel.get_base_params());
  // console.log("20150130 b", p.pv);

  if (panel.get_selected && p.sr === undefined) {
      var selected_recs = panel.get_selected();
      //~ console.log("20130831",selected_recs);
      var rs = Array(selected_recs.length);
      for(var i=0; i < selected_recs.length;i++) {
          rs[i] = selected_recs[i].data[panel.ls_id_property];
      };
      p.sr = rs;
  }

  // console.log("20170731 Lino.call_ajax_action", Ext.Ajax, p, actionName, step);

  if (panel.loadMask) panel.loadMask.show();
  Lino.insert_linoweb_version(p)
  // Ext.Ajax.params = {};
  Ext.Ajax.request({
    method: method
    ,url: url
    ,params: p
    ,success: Lino.action_handler(panel, on_success, on_confirm)
    ,failure: Lino.ajax_error_handler(panel)
  });
};




Lino.row_action_handler = function(actionName, hm, pp,rqData,xcallback ) {
  var fn = function(panel, btn, step) {
      var p = {};
      // console.log('20150514 row_action_handler');
      if (pp) { p = pp(panel); if (! p) return; }
      if (rqData) {
          Ext.apply(p, rqData);
      }
      if (xcallback){
          p["xcallback__"+xcallback.xcallback_id] =xcallback.choice;
      }

      if (!panel || panel.get_current_record == undefined) { // AFTER_20130725
        // console.log('20140930 row_action_handler 2', panel);
        panel = Ext.getCmp(panel);
        if (panel == undefined) {
          console.log("20160410 Invalid panel spec.", actionName, hm, pp);
          Lino.notify("Invalid panel spec.");
          return;
        }
      }

      Lino.do_on_current_record(panel, function(rec) {
          //~ console.log(panel);
          panel.add_param_values(p, true);
          Ext.apply(p, panel.get_base_params());
          Lino.call_ajax_action(
              panel, hm, panel.get_record_url(rec.id),
              p, actionName, step, fn);
      });
  };
  return fn;
};

Lino.list_action_handler = function(ls_url,actionName,hm,pp, rqData, xcallback) {
  var url = '/api' + ls_url
  var fn = function(panel,btn,step) {
      var p = {};
      //~ console.log("20121210 Lino.list_action_handler",arguments);
      if (pp) { p = pp(panel);  if (! p) return; }

      if (rqData) {
          Ext.apply(p, rqData);
      }
      if (xcallback){
          p["xcallback__"+xcallback.xcallback_id] =xcallback.choice;
      }

      if (panel) { // may be undefined when called e.g. from quicklink
          panel.add_param_values(p, true);
          Ext.apply(p, panel.get_base_params());
      }
      // Lino.call_ajax_action(panel, hm,url, p, actionName, step, fn);
      var runFn = function () { Lino.call_ajax_action(panel, hm,url, p, actionName, step, fn); };
      setTimeout(runFn, p.timeout ? p.timeout : 0);

  };
  return fn;
};

Lino.param_action_handler = function(window_action) { // 20121012
  var fn = function(panel,btn,step) {
    Lino.do_on_current_record(panel,function(rec) {
      window_action.run(panel.getId(),{});
    });
  };
  return fn;
};



Lino.run_row_action = function(
    requesting_panel, is_on_main_actor, url, meth, pk,
    actionName, params, preprocessor) {
  //~ var panel = action.get_window().main_item;
  // console.log("20140930 Lino.run_row_action", params);
  url = '/api' + url;
  if (Array.isArray(pk) && pk.length) { url += '/' + pk[0]}
  else if (!Array.isArray(pk)) {url += '/' + pk}
  var panel = Ext.getCmp(requesting_panel);
  // var params = {}
  // if (init_params) Ext.apply(params, init_params);
  if (!params) params = {};
  if (preprocessor) {
      var p = preprocessor();
      Ext.apply(params, p);
  }
  if (panel && is_on_main_actor) {
      Ext.apply(params, panel.get_base_params())
  }else {
     params.sr = pk
  }
  Lino.insert_subst_user(params);

  if (params.rqdata) {
      Ext.apply(params, params.rqdata);
      delete(params.rqdata)
  }
  if (params.xcallback){
      params["xcallback__"+params.xcallback.xcallback_id] =params.xcallback.choice;
      delete(params.xcallback)
  }

  var fn = function(panel, btn, step) {
    Lino.call_ajax_action(panel, meth, url, params, actionName, step, fn);
  }
  // fn(panel, null, null);

  var runFn = function () { fn(panel, null, null); };
  setTimeout(runFn, params.timeout ? params.timeout : 0);


}


Lino.wrapped_action_handler = function(func) {
    var fn = function(panel, btn, step) {
        func += "(panel, btn, step)"
        eval(func)
    }
    return fn;
}


Lino.show_detail = function(panel, btn) {
  Lino.do_on_current_record(panel,
    function(rec) {
      //~ panel.loadMask.show();
      Lino.run_detail_handler(panel, rec.id);
    },
    Lino.show_insert
  );
};

Lino.run_detail_handler = function(panel,pk) {
  var bp = panel.get_base_params();
  panel.add_param_values(bp); // 20120918
  var status = {
    record_id:pk,
    base_params:bp
  }
  //~ console.log("20120918 Lino.show_detail",status);
  panel.ls_detail_handler.run(null,status);
}

Lino.show_fk_detail = function(combo,detail_action,insert_action) {
    //~ console.log("Lino.show_fk_detail",combo,handler);
    pk = combo.getValue();
    if (pk) {
        detail_action.run(null,{record_id: pk})
      } else {
        insert_action.run(null);
        //~ Lino.notify("Cannot show detail for empty foreign key.");
      }
};

Lino.show_insert = function(panel,btn) {
  var bp = panel.get_base_params();
  // ~ console.log('20120125 Lino.show_insert',bp)
  //~ panel.ls_insert_handler.run(null,{record_id:-99999,base_params:bp});
  panel.ls_insert_handler.run(panel.getId(),{base_params:bp});
};



if (Ext.ux.grid !== undefined) {
    Lino.GridFilters = Ext.extend(Ext.ux.grid.GridFilters,{
      encode:true,
      local:false
    });
} else {
    Lino.GridFilters = function() {}; // dummy
    Ext.override(Lino.GridFilters,{
      init : function() {}
    });
};



Lino.FieldBoxMixin = {
  before_init : function(config,params) {
    if (params) Ext.apply(config,params);
    var actions = Lino.build_buttons(this, config.ls_bbar_actions);
    if (actions) config.bbar = actions.bbar;
  },
  //~ constructor : function(ww,config,params){
    //~ this.containing_window = ww;
    //~ if (params) Ext.apply(config,params);
    //~ var actions = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ if (actions) config.bbar = actions.bbar;
    //~ Lino.FieldBoxMixin.superclass.constructor.call(this, config);
  //~ },
  do_when_clean : function(auto_save,todo) { todo() },
  //~ format_data : function(html) { return '<div class="htmlText">' + html + '</div>' },
  format_data : function(html) { return html },
  get_base_params : function() {
    // needed for insert action
    var p = Ext.apply({}, this.base_params);
    Lino.insert_subst_user(p);
    return p;
  },
  set_base_params : function(p) {
    this.base_params = Ext.apply({},p);
    //~ if (p.param_values) this.set_param_values(p.param_values);
  },
  clear_base_params : function() {
      this.base_params = {};
      Lino.insert_subst_user(this.base_params);
  },
  set_base_param : function(k,v) {
    this.base_params[k] = v;
  }
};

Ext.override(Ext.form.HtmlEditor, {
    fixKeys : function(){
        if(Ext.isIE){
            return function(e){
                var k = e.getKey(),
                    doc = this.getDoc(),
                        r;
                if(k == e.TAB){
                    e.stopEvent();
                    r = doc.selection.createRange();
                    if(r){
                        r.collapse(true);
                        r.pasteHTML('&nbsp;&nbsp;&nbsp;&nbsp;');
                        this.deferFocus();
                    }
                }else if(k == e.ENTER){
                    r = doc.selection.createRange();
                    if(r){
                        var target = r.parentElement();
                        if(!target || target.tagName.toLowerCase() != 'li'){
                            e.stopEvent();
                            r.pasteHTML('<br />');
                            r.collapse(false);
                            r.select();
                        }
                    }
                }
            };
        }else if(Ext.isOpera){
            return function(e){
                var k = e.getKey();
                if(k == e.TAB){
                    e.stopEvent();
                    this.win.focus();
                    this.execCmd('InsertHTML','&nbsp;&nbsp;&nbsp;&nbsp;');
                    this.deferFocus();
                }
            };
        }else if(Ext.isWebKit){
            // HKC : this is probably our most used case.
            return function(e){
                var k = e.getKey();
                if(k == e.TAB){
                    e.stopEvent();
                    this.execCmd('InsertText','\t');
                    this.deferFocus();
                }else if(k == e.ENTER){
                    e.stopEvent();
                    this.execCmd('InsertHtml','<br /><br />');
                    this.deferFocus();
                }
             //   HKC
               else if (k == e.S && e.ctrlKey){
                    e.stopEvent();
                    e.preventDefault();
                    //this.getWin.fireEvent('keyup');
                    // this.fireKey(e);
                    console.log('HTMLEditor is saving...');
                }
             };
        }
    }(),
    // bubbleEvents : ['keypress']
    // initComponent : function() {
    //     Ext.form.HtmlEditor.superclass.initComponent.call(this);
    //     this.addEvents('submit');
    // },
    // submit : function (event) {
    //     console.log("rrrrr");
    // },
    // initEditor : function() {
    //     Ext.form.HtmlEditor.superclass.initEditor.call(this);
    //     if (Ext.isGecko) {
    //         Ext.EventManager.on(this, 'keypress', this.fireSubmit, this);
    //     }
    //     if (Ext.isIE || Ext.isWebKit || Ext.isOpera) {
    //         Ext.EventManager.on(this, 'keydown', this.fireSubmit,
    //             this);
    //     }
    // },
    fireSubmit : function(e) {
        console.log("fireSubmit ...");
    }
});

Lino.HtmlBoxPanel = Ext.extend(Ext.Panel, Lino.PanelMixin);
Lino.HtmlBoxPanel = Ext.extend(Lino.HtmlBoxPanel, Lino.FieldBoxMixin);
Lino.HtmlBoxPanel = Ext.extend(Lino.HtmlBoxPanel, {
  disabled_in_insert_window : true,
  constructor : function(config,params) {
    this.before_init(config,params);
    Lino.HtmlBoxPanel.superclass.constructor.call(this, config);
  },
  //~ constructor : function(ww,config,params){
    //~ this.ww = ww;
    //~ if (params) Ext.apply(config,params);
    //~ var actions = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ if (actions) config.bbar = actions.bbar;
    //~ Lino.FieldBoxMixin.constructor.call(this, ww,config,params);
  //~ },
  //~ constructor : function(ww,config,params){
    //~ this.ww = ww;
    //~ if (params) Ext.apply(config,params);
    //~ var actions = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ if (actions) config.bbar = actions.bbar;
    //~ Lino.FieldBoxMixin.superclass.constructor.call(this, config);
  //~ },
  //~ disable : function() { var tb = this.getBottomToolbar(); if(tb) tb.disable()},
  //~ enable : function() { var tb = this.getBottomToolbar(); if(tb) tb.enable()},
  onRender : function(ct, position){
    Lino.HtmlBoxPanel.superclass.onRender.call(this, ct, position);
    Ext.getDoc().addKeyListener(Ext.EventObject.ESC, function(k,e) {
      // this.get_containing_window().close();
      this.get_containing_window().main_item.do_when_clean(false,function() {
        if (Lino.current_window ) {
          Lino.close_window();
        }
      });
    },this);
    //~ console.log(20111125,this.containing_window);
    if (this.containing_panel) {
      this.containing_panel.on('enable',this.enable,this);
      this.containing_panel.on('disable',this.disable,this);
    }
    this.el.on({
      dragenter:function(event){
        event.browserEvent.dataTransfer.dropEffect = 'move';
        return true;
      }
      ,dragover:function(event){
        event.browserEvent.dataTransfer.dropEffect = 'move';
        event.stopEvent();
        return true;
      }
      ,drop:{
        scope:this
        ,fn:function(event){
          event.stopEvent();
          //~ console.log(20110516);
          var files = event.browserEvent.dataTransfer.files;
          if(files === undefined){
            return true;
          }
          var len = files.length;
          while(--len >= 0){
            console.log(files[len]);
            //~ this.processDragAndDropFileUpload(files[len]);
          }
          Lino.show_insert(this);
        }
      }
    });
  },
  refresh : function(unused) {
      // this.containing_panel.refresh();
      this.refresh_with_after();
  },
  /* HtmlBoxPanel */
  refresh_with_after : function(after) {
      // var todo = this.containing_panel.refresh();
      var box = this.items.get(0);
      var todo = function() {
        if (this.disabled) { return; }
        this.set_base_params(this.containing_panel.get_master_params());

        var el = box.getEl();
        if (el) {
            var record = this.containing_panel.get_current_record();
            var newcontent = record ?
                this.format_data(record.data[this.name]) : '';
            // console.log('20140917 HtmlBox.refresh()',
            //             this.name, record.data.LinksByHuman);
            el.update(newcontent, true);
        // } else {
        //     console.log('20140502 cannot HtmlBox.refresh()',this.name);
        }
      };

      Lino.do_when_visible(box, todo.createDelegate(this));
  }
});
//~ Ext.override(Lino.HtmlBoxPanel,Lino.FieldBoxMixin);


Lino.ActionFormPanel = Ext.extend(Ext.form.FormPanel,Lino.MainPanel);
Lino.ActionFormPanel = Ext.extend(Lino.ActionFormPanel, Lino.PanelMixin);
Lino.ActionFormPanel = Ext.extend(Lino.ActionFormPanel, Lino.FieldBoxMixin);
Lino.ActionFormPanel = Ext.extend(Lino.ActionFormPanel, {
  //~ layout:'fit'
  //~ ,autoHeight: true
  //~ ,frame: true
  window_title : "Action Parameters",
  cls : "l-ActionFormPanel",
  constructor : function(config){
    config.buttons = [
        {text: 'OK', handler: this.on_ok, scope: this, cls:"l-ok"},
        {text: 'Cancel', handler: this.on_cancel, scope: this, cls:"l-cancel"}
    ];
    Lino.ActionFormPanel.superclass.constructor.call(this, config);
  }
  ,initComponent : function(){
      this.on('render',function(){
          this.loadMask = new Ext.LoadMask(
              this.bwrap,{msg:"Bitte warten..."});
      },this);
      Lino.ActionFormPanel.superclass.initComponent.call(this);
  }
  ,on_cancel : function() {
    this.get_containing_window().close();
  }
  ,on_ok : function() {
    var panel = this.requesting_panel;
    // var panel = this.get_containing_window().main_item;
    // console.log("20131004 on_ok",this,panel,arguments);
    var actionName = this.action_name;
    var pk = this.record_id || this.default_record_id;
    if (pk == undefined && this.base_params) { pk = this.base_params.mk; }
    if (pk == undefined && panel) {
        pk = panel.get_current_record().id;
    }
    if (pk == undefined) {
        // 20170101 VerifyUser action
        pk = '-99998';
        // Lino.alert("Sorry, dialog action without base_params.mk");
        // return;
    }
    var self = this;
    // self.loadMask.show();  // 20180727
    // function on_success() { self.get_containing_window().close(); };
    // see 20131004 and 20140430
    var url = '/api';

    // 20150119 : The OK button on AgentsByClient.create_visit went to
    // /api/pcsw/Clients/ instead of /api/pcsw/Coachings/
    // if (panel)
    //     url += panel.ls_url;
    // else
    //     url += this.ls_url;

    if (this.ls_url)
        url += this.ls_url;
    else
        url += panel.ls_url;
    url += '/' + pk;
    // wrap into function to prepare possible recursive call
    var fn = function(panel, btn, step) {
      var p = {};
      self.add_field_values(p);
      if (self.xcallback && self.rqdata ) {
          Ext.apply(p, self.rqdata);
          Ext.apply(p, self.xcallback);
      }
      if (panel) Ext.apply(p, panel.get_base_params());
      delete p.pv;
      // console.log("20150130", p.pv);
      Lino.call_ajax_action(
          self, self.http_method || "GET", url, p, actionName, step, fn); //  , on_success);
        // panel, 'GET', url, p, actionName, step, fn); //  , on_success);
        // 20180802 : passing self instead of panel fixes #2474
    }
    fn(panel, null, null);


  }
  /* ActionFormPanel*/
  ,set_status : function(status, rp){
    if (rp) this.requesting_panel = Ext.getCmp(rp);
    //~ console.log('20120918 ActionFormPanel.set_status()',status,rp,this.requesting_panel);
    this.clear_base_params();
    this.set_field_values();
    this.set_base_params({});
    this.record_id = undefined;
    // this.loadMask.hide();  // 20180727
    if (status == undefined) status = {};
    //~ if (status.param_values)
    // 20180725 : do not set field values and record id if status
    // doesn't have them.
    if (status.field_values) this.set_field_values(status.field_values);
    if (status.base_params) this.set_base_params(status.base_params);
    if (status.record_id) this.record_id = status.record_id;
    if (status.xcallback && status.rqdata) {
      this.xcallback = {["xcallback__"+status.xcallback.xcallback_id] : status.xcallback.choice};
      this.rqdata = status.rqdata;
      this.on_ok()
    } else {
        delete this.xcallback // insure no callback data if not in status
        delete this.rqdata
    }
  }

  ,before_row_edit : function(record) {}
  ,add_field_values : function (p) { // similar to add_param_values()
      /* LS 20160517 : Until now Lino tested whether the form is
       dirty, and if not, submitted only the values which had been set
       by set_status. But now status_field_values can be empty because
       Action.keep_user_values is True. In that case we must submit
       the current values even if the form is not dirty.  I don't
       remember why we had this feature of not submitting unmodified
       field values, so I remove this feature for now. */
      p.fv = this.get_field_values();
      // if (this.form.isDirty()) {
      //   p.fv = this.get_field_values();
      // }else{
      //   // console.log("20160517 add_param_values not dirty, status_field_values",
      //   //             this.status_field_values);
      //   if (this.status_field_values)
      //     p.fv = Lino.fields2array(
      //         this.fields, this.status_field_values);
      // }
      //~ console.log("20120203 add_param_values added pv",pv,"to",p);
  }
  ,get_field_values : function() {
      return Lino.fields2array(this.fields);
  }
  ,set_field_values : function(pv) {
      // console.log('20160516 MainPanel.set_param_values', pv);
      // if Action.keep_user_values, we receive an empty dict ({})
      this.status_field_values = pv;
      if (pv) {
          this.form.my_loadRecord(pv);
          var record = { data: pv };
          this.before_row_edit(record);
      } else {
          this.form.reset();
          this.before_row_edit();
      }
  }
  ,config_containing_window : function(wincfg) {
      wincfg.title = this.window_title;
      wincfg.keys = [
        { key: Ext.EventObject.ENTER, fn: this.on_ok, scope: this }
        ,{ key: 's', ctrl: true, fn: this.on_ok, scope: this, stopEvent: true  }
      ];

      if (!wincfg.defaultButton) this.getForm().items.each(function(f){
          if(f.isFormField){
              wincfg.defaultButton = f;
              return false;
          }
      });

  }
});


Lino.fields2array = function(fields, values) {
    // console.log('20160517 fields2array gonna loop on', fields, values);
    var pv = Array(fields.length);
    for(var i=0; i < fields.length;i++) {
        var f = fields[i]
        if (values)
          var v = values[f.name];
        else
          var v = f.getValue();
        if (f.formatDate) {
            pv[i] = f.formatDate(v);
        } else {
            pv[i] = v; // f.getValue();
        }
    }
    // console.log('20160517 fields2array returns', pv);
    return pv;
}


Lino.FormPanel = Ext.extend(Ext.form.FormPanel,Lino.MainPanel);
Lino.FormPanel = Ext.extend(Lino.FormPanel,Lino.PanelMixin);
Lino.FormPanel = Ext.extend(Lino.FormPanel,{
  params_panel_hidden : false,
  save_action_name : null,
  //~ base_params : {},
  //~ trackResetOnLoad : true,
  //~ query_params : {},
  //~ 20110119b quick_search_text : '',
  constructor : function(config,params){
    if (params) Ext.apply(config,params);
    this.base_params = {};
    //~ ww.config.base_params.query = ''; // 20111018
    //~ console.log(config);
    //~ console.log('FormPanel.constructor() 1',config)
    //~ Ext.applyIf(config,{base_params:{}});
    //~ console.log('FormPanel.constructor() 2',config)

    config.trackResetOnLoad = true;

    Lino.FormPanel.superclass.constructor.call(this, config);

    //~ this.set_base_param('$URL_PARAM_FILTER',null); // 20111018
    //~ this.set_base_param('$URL_PARAM_FILTER',''); // 20111018

  },
  initComponent : function(){

    this.containing_panel = this;

    //~ console.log("20111201 containing_window",this.containing_window,this);
    var actions = Lino.build_buttons(this, this.ls_bbar_actions);
    if (actions) {
        this.bbar = actions.bbar;
        // console.log("20160829 tooltip", actions.bbar);
    //~ } else {
        //~ this.bbar = [];
    }
    //~ Ext.apply(config,Lino.build_buttons(this,config.ls_bbar_actions));
    //~ config.bbar = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ var config = this;

    //~ if (this.containing_window instanceof Lino.DetailWrapper) {

    //~ console.log('20120121 initComponent', this.action_name);
    //~ if (this.action_name == 'detail' | this.action_name == 'show') {
    //~ if (this.action_name != 'insert') {
    if (! this.hide_top_toolbar) {
      this.tbar = [];
      // 20111015
      if (! this.hide_navigator) {
        this.record_selector = new Lino.RemoteComboFieldElement({
          store: new Lino.ComplexRemoteComboStore({
            //~ baseParams: this.containing_window.config.base_params,
            baseParams: this.get_base_params(),
            //~ value: this.containing_window.config.base_params.query,
            proxy: new Ext.data.HttpProxy({
              url: '/choices' + this.ls_url,
              method:'GET'
            })
          }),
          pageSize:25,
          listeners: {
            scope:this,
            select:function(combo,record,index) {
                // console.log('20180719 select', combo);
                this.set_base_param('query',
                                    combo.lastQuery);
              this.goto_record_id(record.id);
            }
          },
          emptyText: "Gehe zu Datensatz"
        })
        this.tbar = this.tbar.concat([this.record_selector]);

        this.tbar = this.tbar.concat([
          this.first = new Ext.Toolbar.Button({
              tooltip:"Erster",disabled:true,
              handler:this.moveFirst,scope:this,iconCls:'x-tbar-page-first'}),
          this.prev = new Ext.Toolbar.Button({
              tooltip:"Voriger",disabled:true,
              handler:this.movePrev,scope:this,iconCls:'x-tbar-page-prev'}),
          this.next = new Ext.Toolbar.Button({
              tooltip:"Nächster",disabled:true,
              handler:this.moveNext,scope:this,iconCls:'x-tbar-page-next'}),
          this.last = new Ext.Toolbar.Button({
              tooltip:"Letzter",disabled:true,
              handler:this.moveLast,scope:this,iconCls:'x-tbar-page-last'})
        ]);
      }
      this.tbar = this.add_params_panel(this.tbar);

      this.tbar = this.tbar.concat([
        {
            handler:function(){ this.do_when_clean(
                false, this.refresh.createDelegate(this)) },
          iconCls: 'x-tbar-loading',
          tooltip:"Datensatz neu laden",
          scope:this}
      ]);

      if (this.bbar) { // since 20121016
        if (this.tbar) {
            this.tbar = this.tbar.concat(['-']) ;
        } else {
          this.tbar = [];
        }
        this.tbar = this.tbar.concat(this.bbar) ;
        this.bbar = undefined;
      }

      this.tbar = this.tbar.concat([
          '->',
          this.displayItem = new Ext.Toolbar.TextItem({})
      ]);

    }
    //~ if (this.content_type && this.action_name != 'insert') {
      //~ this.bbar = this.bbar.concat([
        //~ '->',
        //~ { text: "[$_('Help Text Editor')]",
          //~ handler: Lino.help_text_editor,
          //~ qtip: "$_('Edit help texts for fields on this model.')",
          //~ scope: this}
      //~ ])
    //~ }
    //~ this.before_row_edit = config.before_row_edit.createDelegate(this);

    //~ if (this.master_panel) {
        //~ this.set_base_params(this.master_panel.get_master_params());
    //~ }

    Lino.FormPanel.superclass.initComponent.call(this);

    // this.on('show',
    //         function(){ this.init_focus();},
    //         this);

    this.on('render',function(){
      this.loadMask = new Ext.LoadMask(this.bwrap,{msg:"Bitte warten..."});
    },this);


    if (this.action_name == 'insert') {
      this.cascade(function(cmp){
        if (cmp.disabled_in_insert_window) {
            // console.log('20110613 disabled_in_insert_window', cmp);
            //~ cmp.disable();
            cmp.hide();
        }
      });

    }

  },

  unused_init_focus : function(){
    // set focus to the first field
    console.log("20140205 Lino.FormPanel.init_focus");
    // Lino.FormPanel.superclass.focus.call(this);
    this.getForm().items.each(function(f){
        if(f.isFormField && f.rendered){
            f.focus();
            console.log("20140205 focus", f);
            return false;
        }
    });
  },

  /* FormPanel */
  get_status : function(){
      var st = {
        base_params: this.get_base_params(),
        // data_record : this.get_current_record()
      }
      var rec = this.get_current_record();
      if (rec) st.record_id = rec.id;
      // 20140917 : get_status must not store the whole data_record
      // because that would prevent the form to actually reload
      // when set_status is called after a child window closed.

      var tp = this.items.get(0);
      if (tp instanceof Ext.TabPanel) {
        st.active_tab = tp.getActiveTab();
      }
      st.param_values = this.status_param_values;
      return st;
  },

  /* FormPanel */
  set_status : function(status, rp){
    this.requesting_panel = Ext.getCmp(rp);
    // console.log('20140917 FormPanel.set_status()', status);
    this.clear_base_params();
    if (status == undefined) status = {};
    //~ if (status.param_values)
    this.set_param_values(status.param_values);
    if (status.base_params) this.set_base_params(status.base_params);
    var tp = this.items.get(0);
    if (tp instanceof Ext.TabPanel) {
      if (status.active_tab) {
        //~ console.log('20111201 active_tab',this.active_tab,this.items.get(0));
        //~ tp.activeTab = status.active_tab;
        tp.setActiveTab(status.active_tab);
        //~ this.main_item.items.get(0).activate(status.active_tab);
      } else {
        if (! status.data_record) {  // 20141206
            tp.setActiveTab(0);
        }
      }
    }

    if (status.data_record) {
      /* defer because set_window_title() didn't work otherwise */
      // 20140421 removed defer for bughunting to simplify side effects
      // this.set_current_record.createDelegate(
      //     this, [status.data_record]).defer(100);
      this.set_current_record(status.data_record);
      //~ return;
    } else {
        var record_id = status.record_id != undefined ? status.record_id : this.default_record_id;
        if (record_id != undefined) {
          /* possible values include 0 and null, 0 being a valid record id,
          null the equivalent of undefined
          */
          this.load_record_id(record_id);
        } else {
            this.set_current_record(undefined);
        }
    }
    // this.init_focus()
  }
  ,get_base_params : function() {  /* FormPanel */
    // needed for insert_action
    var p = Ext.apply({}, this.base_params);
    Lino.insert_subst_user(p);
    return p;
  }
  ,set_base_params : function(p) {
    //~ this.base_params = Ext.apply({},this.base_params); // make sure it is an instance variable
    delete p['query'] // 20120725
    Ext.apply(this.base_params,p);
    if (this.record_selector) {
        var store = this.record_selector.getStore();
        for (k in p) store.setBaseParam(k,p[k]);
        delete this.record_selector.lastQuery;
        //~ console.log("20120725 record_selector.setBaseParam",p)
    }
  }
  ,clear_base_params : function() {
      this.base_params = {};
      Lino.insert_subst_user(this.base_params);
  }
  ,set_base_param : function(k,v) {
    this.base_params[k] = v;
  }
  ,after_delete : function() {
    console.log("20200717", this.current_record.navinfo);
    if (this.current_record.navinfo.next)
      this.moveNext();
    else if (this.current_record.navinfo.prev)
      this.movePrev();
    else
      this.abandon();
  }
  ,moveFirst : function() {this.goto_record_id(
      this.current_record.navinfo.first)}
  ,movePrev : function() {this.goto_record_id(
      this.current_record.navinfo.prev)}
  ,moveNext : function() {this.goto_record_id(
      this.current_record.navinfo.next)}
  ,moveLast : function() {this.goto_record_id(
      this.current_record.navinfo.last)}

  ,refresh : function(unused) {
      this.refresh_with_after();
  }
  /* FormPanel */
  ,refresh_with_after : function(after) {
    // console.log('20140917 Lino.FormPanel.refresh_with_after()',this);
    if (this.current_record) {
        this.load_record_id(this.current_record.id, after);
    } else {
        this.set_current_record(undefined, after);
    }
  }

  ,do_when_clean : function(auto_save, todo) {
    var this_ = this;
    if (this.form.isDirty()) {
        // console.log('20140421 do_when_clean : form is dirty')
        if (auto_save) {
            this_.save(todo);
        } else {
          //~ console.log('20111217 do_when_clean() form is dirty',this.form);
          var config = {cls:"l-confirmation", title:"Bestätigung"};
          config.buttons = Ext.MessageBox.YESNOCANCEL;
          config.msg = "Änderungen in diesem Datensatz speichern?";
          config.fn = function(buttonId,text,opt) {
            //~ console.log('do_when_clean',buttonId)
            if (buttonId == "yes") {
                //~ Lino.submit_detail(this_,undefined,todo);
                //~ this_.containing_window.save(todo);
                this_.save(todo);
            } else if (buttonId == "no") {
              todo();
            }
          }
          Ext.MessageBox.show(config);
        }
    }else{
      // console.log('20140421 do_when_clean : now!')
      todo();
    }
  }

  ,goto_record_id : function(record_id) {
    // console.log('20140917 Lino.FormPanel.goto_record_id()',record_id);
    //~ var this_ = this;
    //~ this.do_when_clean(function() { this_.load_record_id(record_id) }
    this.do_when_clean(
        true, this.load_record_id.createDelegate(this, [record_id]));
  }

  ,load_record_id : function(record_id, after) {
    var this_ = this;
    var p = Ext.apply({}, this.get_base_params());
    if (this.action_name)
        p.an = this.action_name;
    p.rp = this.getId();
    p.fmt = 'json';
    this.add_param_values(p);
    Lino.insert_linoweb_version(p);
    if (this.loadMask) this.loadMask.show();
    Ext.Ajax.request({
      waitMsg: 'Loading record...',
      method: 'GET',
      params: p,
      scope: this,
      url: this.get_record_url(record_id),
      success: function(response) {
        // todo: convert to Lino.action_handler.... but result
        if (this.loadMask) this.loadMask.hide();
        if (response.responseText) {
          var rec = Ext.decode(response.responseText);
          // console.log('20150905 load_record_id success', rec);
          this.set_param_values(rec.param_values);
          this.set_current_record(rec, after);
          if (rec.message) {
            //~ if (rec.alert && ! gridmode) {
            if (rec.alert) { // 20120628b
                //~ Ext.MessageBox.alert('Alert',rec.alert_msg);
                if (rec.alert === true) rec.alert = "Alarm";
                Ext.MessageBox.alert(rec.alert, rec.message, function(){eval(rec.alert_eval_js)});
            } else {
                Lino.notify(rec.message);
            }
          }
        }
      },
      failure: Lino.ajax_error_handler(this)
    });
  }

  ,abandon : function () {
    Ext.MessageBox.alert('Note',
      "Keine weiteren Datensätze zu sehen. Detail-Fenster wird geschlossen.");
    Lino.close_window();
  }

  ,set_current_record : function(record, after) {
    // console.log('20160825 set_current_record', record);
    if (this.record_selector) {
        this.record_selector.clearValue();
        // e.g. InsertWrapper FormPanel doesn't have a record_selector
    }
    this.current_record = record;
    if (record && record.data) {
      this.enable();
      // After this method focus is moved to the panel.
      this.form.my_loadRecord(record.data);
      this.set_window_title(record.title);
      //~ this.getBottomToolbar().enable();
      var da = record.data.disabled_fields;
      if (da) {
          //~ console.log('20120528 disabled_fields =',da,this.getBottomToolbar());
          //~ 20121016 this.getBottomToolbar().items.each(function(item,index,length){
          if(this.hide_top_toolbar) {
              var tb = this.getBottomToolbar();
          } else {
              var tb = this.getTopToolbar();
          }
          if (tb) tb.items.each(function(item,index,length){
              //~ console.log('20120528 ',item.itemId,'-->',da[item.itemId]);
              // if (da[item.itemId]) item.disable(); else item.enable();
              if (da[item.itemId]) item.hide(); else item.show();
          });
      };
      if (this.disable_editing | record.data.disable_editing) {
          //~ console.log("20120202 disable_editing",record.title);
          this.form.items.each(function(cmp){
            if (!cmp.always_enabled) cmp.disable();
          },this);
      } else {
          this.form.items.each(function(cmp){
            //~ console.log("20120202",cmp);
            if (record.data.disabled_fields[cmp.name]) cmp.disable();
            else cmp.enable();
          },this);

          //~ if (record.data.disabled_fields) {
              //~ for (i = 0; i < record.data.disabled_fields.length; i++) {
                  //~ var flds = this.find('name',record.data.disabled_fields[i]);
                  //~ if (flds.length == 1) {
                    //~ flds[0].disable();
                  //~ }
              //~ }
          //~ }
      };
      if (this.first) {
        if (record.navinfo  && ! this.hide_navigator) {
          this.first.setDisabled(record.navinfo.first == null);
          this.prev.setDisabled(record.navinfo.prev == null);
          this.next.setDisabled(record.navinfo.next == null);
          this.last.setDisabled(record.navinfo.last == null);
          this.displayItem.setText(record.navinfo.message);
        } else {
          this.first.setDisabled(true);
          this.prev.setDisabled(true);
          this.next.setDisabled(true);
          this.last.setDisabled(true);
        }
      }
    } else {
      if (this.form.rendered)
        this.form.reset(); /* FileUploadField would fail when resetting a non-rendered form */
      //~ this.disable();
      //~ this.getBottomToolbar().disable();
      this.form.items.each(function(cmp){
        cmp.disable();
      },this);
      this.set_window_title(this.empty_title);
      //~ this.containing_window.window.setTitle(this.empty_title);
      if (!this.hide_navigator) {
        this.first.disable();
        this.prev.disable();
        this.next.disable();
        this.last.disable();
      }
    }
    // console.log('20140917 gonna call before_row_edit', record);
        var current_focus_fields = false;
        for (var i = 0; i < this.form.items.items.length;i++) {
            if (this.form.items.items[i].hasFocus) current_focus_fields = i;
        }
    this.before_row_edit(record);
        if (current_focus_fields != false){
            this.form.items.items[current_focus_fields].focus();
        }
    // console.log('20140917 gonna call after', after);
    this.containing_window.focus(); // ticket: 2509 regain focus on reload
    if (after) after();
  },

  /* FormPanel */
  before_row_edit : function(record) {},
  search_change : function(field,oldValue,newValue) {
    //~ console.log('search_change',field.getValue(),oldValue,newValue)
    this.set_base_param('query',field.getValue());
    this.refresh();
  },

//  get_selected : function() { return [ this.current_record ] },
  get_current_record : function() {
    //~ console.log(20100714,this.current_record);
    return this.current_record
  },

  get_permalink_url : function() {
      var rec = this.get_current_record();
      if (rec && ! rec.phantom && rec.id != -99998)
          return '/api'
              + this.ls_url + '/' + rec.id;
      return '/api' + this.ls_url;

  },
  add_param_tab : function(p) {
    var main = this.items.get(0);
    if (main.activeTab) {
      var tab = main.items.indexOf(main.activeTab);
      // console.log('20150130 main.activeTab', tab, main.activeTab);
      if (tab) p.tab = tab;
    // } else {
    //   console.log('20150130 no main.activeTab');
    }
  },
  get_permalink_params : function() {
    var p = {};
    //~ var p = {an:'detail'};
    if (this.action_name)
        p.an = this.action_name;
    this.add_param_tab(p)
    this.add_param_values(p)
    return p;
  }

  ,validate_form : function() {  // not used. see actions.ValidateForm
      // var ov = {};
      // this.form.items.each(function(f){
      //     ov[f.name] = f.originalValue
      // });

      // console.log('20140509 FormPanel.validate_form', ov);
      // var after = function() {
      //     this.form.items.each(function(f){
      //         f.originalValue = ov[f.name];
      //     });
      // }
      // this.save2(null, 'validate', after);
      this.save2(null, 'validate');
  }

  /* Lino.FormPanel */
  ,save : function(after) {
    var action_name = this.save_action_name;
    if (!action_name)
        action_name = this.action_name;
    // console.log('20140503 FormPanel.save', action_name);
    this.save2(after, action_name);
  }

  ,save2 : function(after, action_name) {
    var rec = this.get_current_record();
    var p = {};
    var panel = this;

    if (!rec) {
        Lino.notify("Sorry, no current record.");
        return;
    }
    if (this.has_file_upload) {
        p.csrfmiddlewaretoken = Ext.util.Cookies.get('csrftoken');
        document.domain = document.domain;
        p._document_domain = document.domain;
        this.form.fileUpload = true;
    }
    this.loadMask.show();
    Ext.apply(p, this.get_base_params());
    p.rp = this.getId();
    p.an = action_name;
    this.add_param_tab(p)
    // console.log('20150216 FormPanel.save()', rec, this.form);
    var submit_config = {
        params: p,
        scope: this,
        success: function(form, action) {
          this.loadMask.hide();
          Lino.notify(action.result.message);
          Lino.handle_action_result(this, action.result, after);
        },
        failure: function(form,action) {
          this.loadMask.hide();
          Lino.on_submit_failure(form, action);
        },
        clientValidation: true
    };
    if (rec.phantom) {  // it's a new record
      Ext.apply(submit_config, {
        url: '/api' + this.ls_url,
        method: 'POST'
      });
      // panel.refresh();
      // temporarily disabled. See 20151002
    } else {  // submit on existing row
      Ext.apply(submit_config, {
        url: '/api'
              + this.ls_url + '/' + rec.id,
        method: 'PUT'
      })
    }
    this.form.submit(submit_config);
  }

  ,on_cancel : function() {
    this.get_containing_window().close();
  }
  ,on_ok : function() {
      // console.log("20140424");
      // this.save(null, true, this.save_action_name);
      this.save();
  }
  ,run_action_hotkeys : function(k ,e){
    var result = this.actions_hotkeys.filter(obj => {
      return obj.key.toUpperCase() === String.fromCharCode(k).toUpperCase()
    })
    if (result != undefined){
      if (result.length != undefined){
        result = result[0];
      }
      // this.actions_hotkeys[i].ba
      var pk = this.current_record.id || this.default_record_id;
      if (pk == undefined && this.base_params) { pk = this.base_params.mk; }
//          if (pk == undefined && this.containing_panel) {
//             pk = this.containing_panel.get_current_record().id;
//          }
      if (pk == undefined) {
        // 20170101 VerifyUser action
        pk = '-99998';
        // Lino.alert("Sorry, dialog action without base_params.mk");
        // return;
        }
        eval(result.ba)(this.containing_panel,
                                              this.is_main_window,
                                              pk, {});
                                            }
      e.stopEvent();
      e.stopPropagation();

  }
  ,config_containing_window : function(wincfg) {

      // Note that defaultButton means: which component should receive
      // focus when Window is focussed.  If no defaultButton set,
      // specify the first form field.

      if (!wincfg.defaultButton) this.getForm().items.each(function(f){
          if(f.isFormField){
              wincfg.defaultButton = f;
              // console.log("20140205 defaultButton", f);
              return false;
          }
      });

      wincfg.keys = [];

      wincfg.keys.push({
          key: Ext.EventObject.ESCAPE,
          // this is not called sometimes.
          handler: this.on_cancel, scope:this });
      wincfg.keys.push({
          key: 's', ctrl: true,
             stopEvent: true, handler: this.on_ok, scope:this });
      if (this.actions_hotkeys) {
          for (var i = 0; i < this.actions_hotkeys.length;i++) {
            wincfg.keys.push({
              key: this.actions_hotkeys[i].key,
              ctrl: this.actions_hotkeys[i].ctrl,
              shift : this.actions_hotkeys[i].shift,
              stopEvent: true,
              handler:
                function(k, e){
                  this.run_action_hotkeys(k,e);
                },
              scope:this });
          }
      }
  }

});



Lino.getRowClass = function(record, rowIndex, rowParams, store) {
    //~ console.log(20130816,record);
    //~ return 'x-grid3-row-green';
    //~ return record.data.row_class + ' auto-height';
    return record.data.row_class;
  //~ if (true) {
      //~ return 'x-grid3-row-red';
  //~ }
  //~ if (record.phantom) {
    //~ console.log(20101009,record);
    //~ rowParams.bodyStyle = "color:red;background-color:blue";
    //~ return 'lino-phantom-row';
    //~ }
  //~ console.log('20101009 not a phantom:',record);
  //~ return '';
}

//~ FOO = 0;



Lino.GridStore = Ext.extend(Ext.data.ArrayStore,{
  autoLoad: false
  ,load: function(options) {
    //~ foo.bar = baz; // 20120213
    if (!options) options = {};
    if (!options.params) options.params = {};
    options.params.fmt = 'json';
    options.params.rp = this.grid_panel.getId();
    Lino.insert_subst_user(options.params); // since 20121016

    var start = this.grid_panel.start_at_bottom ? -1 : 0;
    if (this.grid_panel.hide_top_toolbar) {
        //~ console.log("20120206 GridStore.load() toolbar is hidden");
        options.params.start = start;
        if (this.grid_panel.preview_limit) {
          options.params.limit = this.grid_panel.preview_limit;
        }
    } else {
        var ps = this.grid_panel.calculatePageSize();
        if (!ps) {
          // console.log("GridStore.load() failed to calculate pagesize");
          return false;
        }
        options.params.limit = ps;

        this.grid_panel.getTopToolbar().pageSize =  ps;
        if (options.params.start == undefined)
            // if (start != -1)
            //     start = this.grid_panel.getTopToolbar().cursor
            options.params.start = start;

        // console.log("20141108 GridStore.load() ", options.params);
    }

    this.grid_panel.add_param_values(options.params);
    //~ Lino.insert_subst_user(options.params);
    //~ console.log("20120814 GridStore.load()",options.params,this.baseParams);
    return Lino.GridStore.superclass.load.call(this, options);
  }
  // ,insert : function(index, records) {
  //   return Ext.data.Store.prototype.insert.call(this, index, records)
    // return Lino.GridStore.superclass.insert.call(this, index, records);
  // }
});

Lino.get_current_grid_config = function(panel) {
    return panel.get_current_grid_config();
}


// Like the default value for GridView.cellTpl but adds a class "lino-auto-height"
Lino.auto_height_cell_template = new Ext.Template(
'<td class="x-grid3-col x-grid3-cell x-grid3-td-{id} {css}" style="{style}" tabIndex="0" {cellAttr}>',
    '<div class="lino-auto-height x-grid3-cell-inner x-grid3-col-{id}" unselectable="on" {attr}>{value}</div>',
'</td>'
);

Lino.GridPanel = Ext.extend(Ext.grid.EditorGridPanel, Lino.MainPanel);
Lino.GridPanel = Ext.extend(Lino.GridPanel, Lino.PanelMixin);
Lino.GridPanel = Ext.extend(Lino.GridPanel, {
  quick_search_text : '',
  start_at_bottom : false,
  is_searching : false,
  disabled_in_insert_window : true,
  clicksToEdit:2,
  enableColLock: false,
  autoHeight: false,
  params_panel_hidden : false,
  preview_limit : undefined,
  // fake_row_content: '<br>',
  row_height: 1,
  //~ loadMask: true,
  //~ viewConfig: {
          //~ getRowClass: Lino.getRowClass,
          //~ emptyText:"$_('No data to display.')"
        //~ },


  loadMask: {msg:"Bitte warten..."},

  constructor : function(config){

    config.plugins = [new Lino.GridFilters()];


    Lino.GridPanel.superclass.constructor.call(this,config);

    //~ if (this.containing_window) {
        //~ console.log("20111206 install refresh");
        //~ this.containing_window.on('show',this.refresh,this);
    //~ }

  },

  // private
  initEvents : function(){
    Ext.grid.GridPanel.superclass.initEvents.call(this);

    // modifed from Ext.grid.GridPanel
    // Override the function to replace the element to be covered by the mask to the body.
    if(this.loadMask){
        this.loadMask = new Ext.LoadMask(this.body,
                Ext.apply({store:this.store}, this.loadMask));
    }

    // unmodified from Ext.grid.EditorGridPanel
    this.getGridEl().on('mousewheel', this.stopEditing.createDelegate(this, [true]), this);
    this.on('columnresize', this.stopEditing, this, [true]);

    if(this.clicksToEdit == 1){
        this.on("cellclick", this.onCellDblClick, this);
    }else {
        var view = this.getView();
        if(this.clicksToEdit == 'auto' && view.mainBody){
            view.mainBody.on('mousedown', this.onAutoEditClick, this);
        }
        this.on('celldblclick', this.onCellDblClick, this);
    }
},

  init_containing_window : function(win) {
    //~ console.log("20111206 install refresh");
    //~ win.on('show',this.refresh,this);
  }

  ,handle_key_event : function(e) {
    // console.log("20140514 handle_key_event", e, this.keyhandlers);
    if (this.keyhandlers){
        var h = this.keyhandlers[e.keyCode];
        }
    else if (this.keys !== undefined){
        var h = this.keys[e.keyCode];
        }
    if (h) {
        h(this);
        e.stopEvent();
    }
  }

  ,initComponent : function(){

    /*
    Problem 20111206:
    When a GridPanel is the main item of the window, then it doesn't
    have it's own header but uses the window's header bar.
    We must do this in initComponent because e.g. in beforerender
    it's already to late: a header element has been created because
    there was a title.
    But Lino.Window adds itself as `this.containing_window`
    only after the GridPanel has been initialized.
    Workaround is to generate a line "params.containing_window = true;"
    in the handler function.
    */
    if (this.is_main_window) {
        //~ console.log(20111206, 'delete title',this.title,'from',this);
        this.tools = undefined;
        this.title = undefined;  /* simply deleting it
          isn't enough because that would only
          unhide the title defined in some base class. */
    }
    //~ else console.log(20111206, 'dont delete title',this.title,'from',this);

    /* e.g. when slave gridwindow called from a permalink */
    //~ if (this.base_params) Ext.apply(bp,this.base_params);

    var proxy = new Ext.data.HttpProxy({
      // 20120814
      url: '/api' + this.ls_url
      ,method: "GET"
      //~ ,url: ADMIN_URL + '/restful' + this.ls_url
      //~ ,restful: true
      ,listeners: {load: function (proxy, req, optps) {
            var result = req.reader.arrayData;
            // Used for lino version validation
            if (result.message) { //
                if (result.alert) { // 20120628b
                    if (result.alert === true) result.alert = "Alarm";
                    Ext.MessageBox.alert(result.alert, result.message, function(){eval(result.alert_eval_js)});
                } else {
                    Lino.notify(result.message);
                }
            }
            } }
      //~ ,listeners: {write:on_proxy_write}
    });
    //~ config.store = new Ext.data.JsonStore({
    //~ this.store = new Ext.data.ArrayStore({
    this.store = new Lino.GridStore({
      grid_panel: this
      ,listeners: { exception: Lino.on_store_exception }
      ,remoteSort: true
      ,totalProperty: "count"
      ,root: "rows"
      //~ ,id: "id"
      ,proxy: proxy
      //~ autoLoad: this.containing_window ? true : false
      ,idIndex: this.pk_index
      //~ ,baseParams: bp
      ,fields: this.ls_store_fields
      ,idProperty: this.ls_id_property
      // 20120814
      //~ ,writer : new Ext.data.JsonWriter({
        //~ writeAllFields: false
        //~ ,listful: true
      //~ })
      //~ ,restful : true
    });

    //~ console.log('config.pk_index',config.pk_index,config.store),
    delete this.ls_store_fields;

    var this_ = this;
    //~ var grid = this;
    this.store.on('load', function() {
        //~ console.log('20120814 GridStore.on(load)',this_.store);
        this_.set_param_values(this_.store.reader.arrayData.param_values);
        //~ this_.set_status(this_.store.reader.arrayData.status);
        //~ 20120918
        this.getView().getRowClass = Lino.getRowClass;

        if (this_.store.reader.arrayData.no_data_text) {
            //~ this.viewConfig.emptyText = this_.store.reader.arrayData.no_data_text;
            this.getView().emptyText = this_.store.reader.arrayData.no_data_text;
            this.getView().refresh();
        }
        if (this_.containing_window)
            this_.set_window_title(this_.store.reader.arrayData.title);
            //~ this_.containing_window.setTitle(this_.store.reader.arrayData.title);
        // 20190704 add open_in_own_window button after title of slave panel
        // else if (! (this_ instanceof Ext.TabPanel)) this_.setTitle(this_.store.reader.arrayData.title);

        if (!this.is_searching) { // disabled 20121025: quick_search_field may not lose focus
          this.is_searching = false;
          if (this_.selModel.getSelectedCell){
              if (this_.getStore().getCount()) // there may be no data
                  this_.selModel.select(0,0);
          } else {
              this_.selModel.selectFirstRow();
              this_.getView().focusEl.focus();
          }
        }
        //~ else console.log("is_searching -> no focussing");
        //~ var t = this.getTopToolbar();
        //~ var activePage = Math.ceil((t.cursor + t.pageSize) / t.pageSize);
        //~ this.quick_search_field.focus(); // 20121024
      }, this
    );
    var actions = Lino.build_buttons(this, this.ls_bbar_actions);
    //~ Ext.apply(config,Lino.build_buttons(this,config.ls_bbar_actions));
    //~ config.bbar, this.cmenu = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ this.cmenu = new Ext.menu.Menu({items: config.bbar});
    delete this.ls_bbar_actions
    if (actions) {
        this.cmenu = actions.cmenu;
//        this.keyhandlers = actions.keyhandlers;
        this.keys = new Ext.KeyMap(this.elements,actions.keyhandlers);
    }

    // TODO: hide_top_toolbar currently also acts as if hide_navigator was true,
    // IOW In ExtJS you cannot have the toolbar on the bottom without also
    // disabling navigation.

    if (!this.hide_top_toolbar) {
      var tbar = [
        this.quick_search_field = new Ext.form.TextField({
            //~ fieldLabel: "Search"
          emptyText: "Schnellsuche",
          listeners: {
            scope:this_
            //~ ,change:this_.search_change
            
            ,render: Lino.quicktip_renderer("Schnellsuche","Hier Text eingeben für Schnellsuche.")
            
            //~ ,keypress: this.search_keypress
            ,blur: function() { this.is_searching = false}
            ,afterrender: function(field) {
                if (this.focus_on_quick_search){
                    field.focus(false, 1000);
                    }
              }
          }
          ,validator:function(value) { return this_.search_validate(value) }
          //~ ,tooltip: "Enter a quick search text, then press TAB"
          //~ value: text
          //~ scope:this,
          //~ ,enableKeyEvents: true
          //~ listeners: { keypress: this.search_keypress },
          //~ id: "seachString"
      })];
      tbar = this.add_params_panel(tbar);
      // var menu = [];
      // var set_gc = function(index) {
      //   return function() {
      //     //~ console.log('set_gc() 20100812');
      //     this.getColumnModel().setConfig(this.ls_columns);
      //   }
      // }
      // for (var i = 0; i < this.ls_grid_configs.length;i++) {
      //   var gc = this.ls_grid_configs[i];
      //   menu.push({text:gc.label,handler:set_gc(i),scope:this})
      // }
      // if(menu.length > 1) {
      //   tbar = tbar.concat([
      //     { text:"Ansicht",
      //       menu: menu,
      //       tooltip:"Andere Ansicht auswählen"
      //     }
      //   ]);
      // }

      if (actions) {
        tbar = tbar.concat(actions.bbar);
          //~ this.bbar = actions.bbar;
      }

      this.tbar = new Ext.PagingToolbar({
        store: this.store,
        prependButtons: true,
        //~ pageSize: this.page_length,
        pageSize: 1,
        displayInfo: true,
        beforePageText: "Seite",
        afterPageText: "von {0}",
        displayMsg: "Zeilen {0} bis {1} von {2}",
        firstText: "Erste Seite",
        lastText: "Letzte Seite",
        prevText: "Vorige Seite",
        nextText: "Nächste Seite",
        items: tbar
      });
    }

    if (this.cell_edit) {
      this.selModel = new Ext.grid.CellSelectionModel()
      this.get_selected = function() {
        //~ console.log(this.getSelectionModel().selection);
        if (this.selModel.selection)
            return [ this.selModel.selection.record ];
        return [this.store.getAt(0)];
      };
      this.get_current_record = function() {
        if (this.getSelectionModel().selection)
          return this.selModel.selection.record;
        return this.store.getAt(0);
      };
    } else {
      this.selModel = new Ext.grid.RowSelectionModel()
      this.get_selected = function() {
        var sels = this.selModel.getSelections();
        if (sels.length == 0) sels = [this.store.getAt(0)];
        return sels
      };
      this.get_current_record = function() {
        var rec = this.selModel.getSelected();
        if (rec == undefined) rec = this.store.getAt(0);
        return rec
      };
    };
    this.columns  = this.ls_columns;

    Lino.GridPanel.superclass.initComponent.call(this);

    this.on('resize', function(){
      //~ console.log("20120213 resize",arguments)
      this.refresh();
      },this);
    this.on('viewready', function(){
      //~ console.log("20120213 resize",arguments);
      this.view_is_ready = true;
      this.refresh(); // removed 20130911
      },this);
    this.on('afteredit', this.on_afteredit); // 20120814
    this.on('beforeedit', this.on_beforeedit);
    this.on('beforeedit',function(e) { this.before_row_edit(e.record)},this);
    if (this.cell_edit) {
        this.on('cellcontextmenu', Lino.cell_context_menu, this);
    } else {
        this.on('rowcontextmenu', Lino.row_context_menu, this);
    }
    //~ this.on('contextmenu', Lino.grid_context_menu, this);

    delete this.cell_edit;

  },

  //~ onResize : function(){
      //~ console.log("20120206 GridPanel.onResize",arguments);
      //~ Lino.GridPanel.superclass.onResize.apply(this, arguments);
      //~ this.refresh();
  //~ },


  get_status : function(){
    var st = { base_params : this.get_base_params()};
    if (!this.hide_top_toolbar) {
        // #866
        if (this.getStore().lastOptions != undefined && this.getStore().lastOptions.params != undefined){
            st.current_page = Math.round(this.getStore().lastOptions.params.start / this.getStore().lastOptions.params.limit ) + 1 ;
        }
    }
    st.param_values = this.status_param_values;
    //~ console.log("20120213 GridPanel.get_status",st);
    return st;
  },

  /*
  Lino.GridPanel.set_status()
  */
  set_status : function(status, rp){
    this.requesting_panel = Ext.getCmp(rp);
    // console.log("20140527 GridPanel.set_status", status);
    this.clear_base_params();
    if (status == undefined) status = {base_params:{}};
    this.set_param_values(status.param_values);
    if (status.base_params) {
      this.set_base_params(status.base_params);
    }
    if (status.show_params_panel != undefined) {
        if (this.toggle_params_panel_btn) {
            //~ this.toggle_params_panel_btn.toggle(status.show_params_panel=='true');
            this.toggle_params_panel_btn.toggle(status.show_params_panel);
        }
    }
    if (!this.hide_top_toolbar) {
      //~ console.log("20120213 GridPanel.getTopToolbar().changePage",
          //~ status.current_page || 1);
      this.getTopToolbar().changePage(status.current_page || 1);
    }
    //~ this.fireEvent('resize');
    //~ this.refresh.defer(100,this);
    //~ this.onResize.defer(100,this);
    //~ this.refresh();
    //~ this.doLayout();
    //~ this.onResize();
    //~ this.store.load();
  },

  refresh : function(unused) {
    this.refresh_with_after();
  },
  /* GridPanel */
  refresh_with_after : function(after) {
    // console.log('20140504 Lino.GridPanel.refresh '+ this.store.proxy.url);
    //~ var bp = { fmt:'json' }
    if (! this.view_is_ready) return;

    if (this.containing_panel) {
        //~ Ext.apply(p,this.master_panel.get_master_params());
        //~ Ext.apply(options.params,this.containing_panel.get_master_params());
        this.set_base_params(this.containing_panel.get_master_params());
        // 20130911
        if (this.store.baseParams.mk === undefined ) {
            return;
        }
    }

    //~ console.log('20130911 Lino.GridPanel.refresh_with_after',this.containing_panel.get_master_params());

    var options = {};
    if (after) {
        options.callback = function(r,options,success) {if(success) after()}
    }

    //~ if (!this.rendered) {
        //~ console.log("20120206 GridPanel.refresh() must wait until rendered",options);
        //~ this.grid_panel.on('render',this.load.createDelegate(this,options))
        //~ return;
    //~ }
    // Ticket 802
    if (this.store.lastOptions != undefined){
        var params = {};
        params.limit = this.store.lastOptions.params.limit;
        params.start = this.store.lastOptions.params.start;
        options.params = params;
    }
    this.store.load(options);
  },

  /* pageSize depends on grid height (Trying to remove scrollbar)
  Thanks to
  - Christophe Badoit on http://www.sencha.com/forum/showthread.php?82647
  - http://www.sencha.com/forum/archive/index.php/t-37231.html
  */
  calculatePageSize : function(second_attempt) {
    //~ if (!this.rendered) {
    if (!this.view_is_ready) {
      //~ console.log('Cannot calculatePageSize() : not rendered');
      return false; }
    //~ if (!this.isVisible()) {
      //~ console.log('calculatePageSize : not visible');
      //~ return false; }

    //~ console.log('getFrameHeight() is',this.getFrameHeight());
    //~ console.log('getView().scroller.getHeight() is',this.getView().scroller.getHeight());
    //~ console.log('mainBody.getHeight() is',this.getView().mainBody.getHeight());
    //~ console.log('getInnerHeight() is',this.getInnerHeight());
    //~ console.log('getHeight() is',this.getHeight());
    //~ console.log('el.getHeight() is',this.getEl().getHeight());
    //~ console.log('getGridEl().getHeight() is',this.getGridEl().getHeight());
    //~ console.log('getOuterSize().height is',this.getOuterSize().height);
    //~ console.log('getBox().height is',this.getBox().height);
    //~ console.log('getResizeEl.getHeight() is',this.getResizeEl().getHeight());
    //~ console.log('getLayoutTarget().getHeight() is',this.getLayoutTarget().getHeight());

    // var rowHeight = this.row_height * 11; experimental value 11
    // same as in ext_renderer.py that's not enough because it is the
    // height of one text line. But here we need the outer height of a
    // grid row containing that many text lines.

    var row_content = '&nbsp;'
    for (var i = 0; i < this.row_height;i++) {
        row_content += '<br>';
    }

    var Element = Ext.Element;
    var gv = this.view;
    var fakeBody = new Element(Element.fly(gv.scroller).child('div.x-grid3-body'));
    var rowTemplate = gv.templates.row;
    var cellTemplate = gv.templates.cell;
    var tstyle  = 'width:' + gv.getGridInnerWidth() + 'px;';
    // console.log("20160615", this.fake_row_content);
    var cells = cellTemplate.apply({value:row_content});
    var markup = rowTemplate.apply({
            tstyle: tstyle,
            cols  : 1,
            cells : cells,
            alt   : ''
        });
    fakeBody.dom.innerHTML = gv.templates.body.apply({rows: markup});
    var row = fakeBody.dom.childNodes[0];
    var rowHeight = Ext.get(row).getHeight();

    //~ console.log('rowHeight is ',rowHeight,this,caller);
    //~ this.getView().syncScroll();
    //~ this.getView().initTemplates();
    var height = this.getView().scroller.getHeight();

    //~ console.log('getView().scroller.getHeight() is',this.getView().scroller.getHeight());
    //~ console.log('getInnerHeight() - getFrameHeight() is',
      //~ this.getInnerHeight(), '-',
      //~ this.getFrameHeight(), '=',
      //~ this.getInnerHeight() - this.getFrameHeight());
    //~ var height = this.getView().mainBody.getHeight();
    //~ var height = this.getView().mainWrap.getHeight();
    //~ var height = this.getView().resizeMarker.getHeight();
    //~ this.syncSize();
    //~ var height = this.getInnerHeight() - this.getFrameHeight();
    //~ var height = this.getHeight() - this.getFrameHeight();
    height -= Ext.getScrollBarWidth(); // leave room for a possible horizontal scrollbar...
    //~ height -= this.getView().scrollOffset;
    var ps = Math.floor(height / rowHeight);
    //~ console.log('20130816 calculatePageSize():',height,'/',rowHeight,'->',ps);
    ps -= 1; // leave room for a possible phantom row
    //~ return (ps > 1 ? ps : false);
    if (ps > 1) return ps;
    //~ console.log('calculatePageSize() found less than 1 row:',height,'/',rowHeight,'->',ps);
    //~ foo.bar = baz; // 20120213
    return 5; // preview_limit
    //~ if (second_attempt) {
        //~ console.log('calculatePageSize() abandons after second attempt:',
          //~ height,'/',rowHeight,'->',ps);
      //~ return 5;
    //~ }
    //~ return this.calculatePageSize.defer(500,this,[true]);
  },

  onCellDblClick : function(grid, row, col){
      //~ console.log("20120307 onCellDblClick",this,grid, row, col);
      if (this.ls_detail_handler) {
          //~ Lino.notify('show detail');
          Lino.show_detail(this);
          return false;
      }else{
        //~ console.log('startEditing');
        this.startEditing(row,col);
      }
  },
  get_base_params : function() {  /* Lino.GridPanel */
    var p = Ext.apply({}, this.store.baseParams);
    Lino.insert_subst_user(p);
    // if (this.quick_search_field)
    //     if (this.quick_search_field.getValue())
    //         p.query = this.quick_search_field.getValue();
    return p;
  },
  set_base_params : function(p) {
    // console.log('20130911 GridPanel.set_base_params',p)
    for (k in p) this.store.setBaseParam(k,p[k]);
    //~ this.store.baseParams = p;
    if (this.quick_search_field)
      this.quick_search_field.setValue(p.query || "");
    //~ if (p.param_values)
        //~ this.set_param_values(p.param_values);
  },
  clear_base_params : function() {
      this.store.baseParams = {};
      Lino.insert_subst_user(this.store.baseParams);
  },
  set_base_param : function(k,v) {
    this.store.setBaseParam(k,v);
  },

  //~ get_permalink_params : function() {
    //~ var p = {};
    //~ return p;
  //~ },

  before_row_edit : function(record) {},

  //~ search_keypress : function(){
    //~ console.log("2012124 search_keypress",arguments);
  //~ },
  search_validate : function(value) {
      if (value == this.quick_search_text) return true;

      /**
      *  Cancel the previous request when do a new load request.
      *  Prevents Ajax race conditions. Ticket #2136
      **/
      var c = this.store.proxy.getConnection();
      c.abort(c.transId);


    this.is_searching = true;
    //~ console.log('search_validate',value)
    this.quick_search_text = value;
    this.set_base_param('query',value);
    //~ this.getTopToolbar().changePage(1);
    this.getTopToolbar().moveFirst();
    //~ this.refresh();
    return true;
  },

  search_change : function(field,oldValue,newValue) {
    //~ console.log('search_change',field.getValue(),oldValue,newValue)
    this.set_base_param('query',field.getValue());
    this.getTopToolbar().moveFirst();
    //~ this.refresh();
  },

  get_current_grid_config : function () {
    var cm = this.getColumnModel();
    var widths = Array(cm.config.length);
    var hiddens = Array(cm.config.length);
    //~ var hiddens = Array(cm.config.length);
    var columns = Array(cm.config.length);
    //~ var columns = Array(cm.config.length);
    //~ var hidden_cols = [];
    //~ var filters = this.filters.getFilterValues();
    var p = this.filters.buildQuery(this.filters.getFilterData())
    for (var i = 0; i < cm.config.length; i++) {
      var col = cm.config[i];
      columns[i] = col.dataIndex;
      //~ hiddens[i] = col.hidden;
      widths[i] = col.width;
      hiddens[i] = col.hidden;
      //~ if (col.hidden) hidden_cols.push(col.dataIndex);
    }
    //~ p['hidden_cols'] = hidden_cols;
    p.cw = widths;
    p.ch = hiddens;
    p.ci = columns;
    //~ p['widths'] = widths;
    //~ p['hiddens'] = hiddens;
    //~ p['columns'] = columns;
    // p['name'] = this.gc_name;
    //~ var gc = this.ls_grid_configs[this.gc_name];
    //~ if (gc !== undefined)
        //~ p['label'] = gc.label
    //~ console.log('20100810 save_grid_config',p);
    return p;
  },

  on_beforeedit : function(e) {
    //~ console.log('20130128 GridPanel.on_beforeedit()',e,e.record.data.disable_editing);
    if(this.disable_editing | e.record.data.disable_editing) {
      e.cancel = true;
      Lino.notify("Dieser Datensatz ist deaktiviert");
      return;
    }
    if(e.record.data.disabled_fields && e.record.data.disabled_fields[e.field]) {
      e.cancel = true;
      Lino.notify("Dieses Feld ist deaktiviert");
      return;
    }
    //~ if (e.record.data.disabled_fields) {
      //~ for (i in e.record.data.disabled_fields) {
        //~ if(e.record.data.disabled_fields[i] == e.field) {
          //~ e.cancel = true;
          //~ Lino.notify(String.format('Field "{0}" is disabled for this record',e.field));
          //~ return
        //~ }
      //~ }
    //~ }
  },
  save_grid_data : function() {
      //~ console.log("20120814 save_grid_data");
      this.getStore().commitChanges();
  },
  on_afteredit : function(e) {
    /*
    e.grid - The grid that fired the event
    e.record - The record being edited
    e.field - The field name being edited
    e.value - The value being set
    e.originalValue - The original value for the field, before the edit.
    e.row - The grid row index
    e.column - The grid column index
    */
    var p = {};
    // console.log('20140403 afteredit: ',e.record);
    //~ console.log('20101130 value: ',e.value);
    //~ var p = e.record.getChanges();
    //~ console.log('20101130 getChanges: ',e.record.getChanges());
    //~ this.before_row_edit(e.record);

    for(k in e.record.getChanges()) {
        var v = e.record.get(k);
    //~ for(k in e.record.modified) {
        //~ console.log('20101130',k,'=',v);
        //~ var cm = e.grid.getColumnModel();
        //~ var di = cm.getDataIndex(k);
        var f = e.record.fields.get(k);
        //~ console.log('20101130 f = ',f);
        //~ var v = e.record.get(di);
        if (f.type.type == 'date') {
            p[k] = Ext.util.Format.date(v, f.dateFormat);
        }else{
            p[k] = v;
            var v = e.record.get(k+'Hidden');
            if (v !== undefined) {
              p[k+'Hidden'] = v;
            }
        }
    }
    // add value used by ForeignKeyStoreField CHOICES_HIDDEN_SUFFIX
    // not sure whether this is still needed:
    p[e.field+'Hidden'] = e.value;
    //~ p.su = Lino.subst_user;
    Lino.insert_subst_user(p);
    // this one is needed so that this field can serve as choice context:
    e.record.data[e.field+'Hidden'] = e.value;
    // p[pk] = e.record.data[pk];
    // console.log("grid_afteredit:",e.field,'=',e.value);
    Ext.apply(p, this.get_base_params()); // needed for POST, ignored for PUT
    //~ Ext.apply(p,this.containing_window.config.base_params);
    //~ 20121109 p['$constants.URL_PARAM_ACTION_NAME'] = 'grid';
    var self = this;
    var req = {
        params: p,
        waitMsg: 'Saving your data...',
        success: Lino.action_handler(this, function (result) {
            // console.log("20140728 afteredit.success got ", result);
            //~ if (result.data_record) {
            if (result.refresh_all) {
                var cw = self.get_containing_window();
                if (cw) {
                    cw.main_item.refresh();
                }
                else console.log("20120123 cannot refresh_all", self);
            } else if (result.rows) {
                //~ self.getStore().loadData(result,true);
                var r = self.getStore().reader.readRecords(result);
                var cell = e.grid.getSelectionModel().selection.cell; // post insert cord for edit / selection
                if (e.record.phantom) {
                    var was_editing = false;
                    // console.log("20140728 gonna call Store.insert()", self.getStore(), e.row, r.records);
                    if (e.grid.editing && e.grid.activeEditor) {
                        cell = [e.grid.activeEditor.row, e.grid.activeEditor.col];
                        console.log("was editing", cell);
                        e.grid.activeEditor.cancelEdit();
                        was_editing = true;
                    }

                    self.getStore().insert(e.row, r.records);
                    if (was_editing) {
                        e.grid.startEditing(cell[0], cell[1]);
                    }

                } else {
                    // console.log("20140728 afteredit.success doUpdate", r.records[0]);
                    self.getStore().doUpdate(r.records[0]);
                }
                self.getStore().rejectChanges();
                /*
            get rid of the red triangles without saving the record again
            */
                e.grid.getSelectionModel().select(cell[0], cell[1]);

                //~ self.getStore().commitChanges(); // get rid of the red triangles
            } else {
                self.getStore().commitChanges(); // get rid of the red triangles
                self.getStore().reload();        // reload our datastore.
            }
        }),
        scope: this,
        failure: Lino.ajax_error_handler(this)
    };
    if (e.record.phantom) {
      req.params.an = 'grid_post'; // CreateRow.action_name
      Ext.apply(req,{
        method: 'POST',
        url: '/api' + this.ls_url
      });
    } else {
      req.params.an = 'grid_put'; // SaveRow.action_name
      Ext.apply(req,{
        method: 'PUT',
        url: '/api' + this.ls_url + '/' + e.record.id
      });
    }
    //~ console.log('20110406 on_afteredit',req);
    this.loadMask.show(); // 20120211
    Ext.Ajax.request(req);
  },

  afterRender : function() {
    Lino.GridPanel.superclass.afterRender.call(this);
    // this.getView().mainBody.focus();
    // console.log(20100114,this.getView().getRows());
    // if (this.getView().getRows().length > 0) {
    //  this.getView().focusRow(1);
    // }
    //~ this.my_load_mask = new Ext.LoadMask(this.getEl(), {
        //~ msg:'$_("Please wait...")',
        //~ store:this.store});

    var tbar = this.getTopToolbar();
    // tbar.on('change',function() {this.getView().focusRow(1);},this);
    // tbar.on('change',function() {this.getSelectionModel().selectFirstRow();this.getView().mainBody.focus();},this);
    // tbar.on('change',function() {this.getView().mainBody.focus();},this);
    // tbar.on('change',function() {this.getView().focusRow(1);},this);
    this.nav = new Ext.KeyNav(this.getEl(),{
      pageUp: function() {tbar.movePrevious(); },
      pageDown: function() {tbar.moveNext(); },
      home: function() {tbar.moveFirst(); },
      end: function() {tbar.moveLast(); },
      scope: this
    });

  },
  after_delete : function() {
    //~ console.log('Lino.GridPanel.after_delete');
    this.refresh();
  },
  add_row_listener : function(fn,scope) {
    this.getSelectionModel().addListener('rowselect',fn,scope);
  },
  postEditValue : function(value, originalValue, r, field){
    value = Lino.GridPanel.superclass.postEditValue.call(this,value,originalValue,r,field);
    //~ console.log('GridPanel.postEdit()',value, originalValue, r, field);
    return value;
  },

  set_start_value : function(v) {
      this.start_value = v;
  },
  preEditValue : function(r, field){
      if (this.start_value) {
        var v = this.start_value;
        delete this.start_value;
        this.activeEditor.selectOnFocus = false;
        return v;
      }
      var value = r.data[field];
      return this.autoEncode && Ext.isString(value) ? Ext.util.Format.htmlDecode(value) : value;
  },

  on_master_changed : function() {
    //~ if (! this.enabled) return;
    //~ cmp = this;
    //~ console.log('20130911 Lino.GridPanel.on_master_changed()',this.title,this.rendered);
    if (! this.rendered) return; // 20120213
    var todo = function() {
      if (this.disabled) return;
      //~ if (this.disabled) return;
      //~ if (this.enabled) {
          //~ var src = caller.config.url_data + "/" + record.id + ".jpg"
          //~ console.log(20111125, this.containing_window);
          //~ for (k in p) this.getStore().setBaseParam(k,p[k]);
          //~ console.log('Lino.GridPanel.on_master_changed()',this.title,p);
          this.refresh();
          //~ this.set_base_params(this.master_panel.get_master_params());
          //~ this.getStore().load();
      //~ }
    };
    Lino.do_when_visible(this,todo.createDelegate(this));
  },
  load_record_id : function(record_id,after) {
      Lino.run_detail_handler(this,record_id)
  }

});


//~ Lino.MainPanelMixin = {
  //~ tbar_items : function() {
      //~ return ;
  //~ }
//~ };

//~ Ext.override(Lino.GridPanel,Lino.MainPanelMixin);
//~ Ext.override(Lino.FormPanel,Lino.MainPanelMixin);

//~ Lino.grid_context_menu = function(e) {
  //~ console.log('contextmenu',arguments);
//~ }

Lino.row_context_menu = function(grid,row,col,e) {
  console.log('20130927 rowcontextmenu',grid,row,col,e,grid.store.reader.arrayData.rows[row]);
}

Lino.cell_context_menu = function(grid,row,col,e) {
  //~ console.log('20120531 cellcontextmenu',grid,row,col,e,grid.store.reader.arrayData.rows[row]);
  e.stopEvent();
  //~ grid.getView().focusCell(row,col);
  grid.getSelectionModel().select(row,col);
  //~ console.log(grid.store.getAt(row));
  //~ grid.getView().focusRow(row);
  //~ return;
  if(!grid.cmenu.el){grid.cmenu.render(); }
  //~ if(e.record.data.disabled_fields) {

  if (grid.disabled_fields_index) {
      var da = grid.store.reader.arrayData.rows[row][grid.disabled_fields_index];
      if (da) {
          this.cmenu.cascade(function(item){
            //~ console.log(20120531, item.itemId, da[item.itemId]);
            if (da[item.itemId]) item.disable(); else item.enable();
          });
      }
  };

  var xy = e.getXY();
  xy[1] -= grid.cmenu.el.getHeight();
  grid.cmenu.showAt(xy);
}


Lino.chooser_handler = function(combo,name) {
  return function(cmp, newValue, oldValue) {
    //~ console.log('Lino.chooser_handler()',cmp,oldValue,newValue);
    combo.setContextValue(name, newValue);
  }
};



Lino.ComboBox = Ext.extend(Ext.form.ComboBox,{
  forceSelection: "yes but select on tab",
  // forceSelection: true,
  triggerAction: 'all',
  minListWidth:280, // 20131022
  autoSelect: true,
//  lazyRender:true,
//  lazyInit:false,
//  validationDelay :0,
//  typeAhead : true,
//  typeAheadDelay :false,
  selectOnFocus: true, // select any existing text in the field immediately on focus.
  submitValue: true,
  queryDelay:0,
  minChars: 0,
  displayField: 'text', // 'text',
  valueField: 'value', // 'value',

  //~ initComponent : Ext.form.ComboBox.prototype.initComponent.createSequence(function() {
  initComponent : function(){
      this.contextParams = {};
      this.on('expand',function(){
        // console.log("expand",this.store.getRange());
        if (this.store.getRange().length > 1){
            // Auto selection the first choices in the dropdown list.
            this.select(this.store.getRange()[0].id);
        }
      },this);
      //~ Ext.form.ComboBox.initComponent(this);
      Lino.ComboBox.superclass.initComponent.call(this);
      this.queryDelay = 0;
  },
  //Override this to accept DELETE key as not a specialkey and show choices.
  onKeyUp : function(e){
    var k = e.getKey();
    if(this.editable !== false && this.readOnly !== true && (k == e.BACKSPACE || k == e.DELETE || !e.isSpecialKey())){

        this.lastKey = k;
        this.dqTask.delay(this.queryDelay);
    }
    Ext.form.ComboBox.superclass.onKeyUp.call(this, e);
    },
  setValue : function(v, record_data){
      /*
      Based on feature request developed in http://extjs.net/forum/showthread.php?t=75751
      */
      /* `record_data` is used to get the text corresponding to this value */
      //~ if(this.name == 'city')
      //~ console.log('20120203', this.name,'.setValue(', v ,') this=', this,'record_data=',record_data);
      var text = v;
      if(this.valueField){
        if(v == null || v == '') {
            //~ if (this.name == 'birth_country')
                //~ console.log(this.name,'.setValue',v,'no lookup needed, value is empty');
            //~ v = undefined;
            v = '';
            //~ text = '';
        } else if (Ext.isDefined(record_data)) {
          text = record_data[this.name];
          //~ if (this.name == 'birth_country')
          this.original_record_data = record_data;
            //~ console.log(this.name,'.setValue',v,'got text ',text,' from record ',record);
        } else if (Ext.isDefined(this.original_record_data) && this.original_record_data[this.hiddenName] === v) {
            // Fix for ticket #2628
            text = this.original_record_data[this.name];
        } else {
          // if(this.mode == 'remote' && !Ext.isDefined(this.store.totalLength)){
          if(this.mode == 'remote' && ( this.lastQuery === null || (!Ext.isDefined(this.store.totalLength)))){
              //~ if (this.name == 'birth_country') console.log(this.name,'.setValue',v,'store not yet loaded');
              this.store.on('load', this.setValue.createDelegate(this, arguments), null, {single: true});
              if(this.store.lastOptions === null || this.lastQuery === null){
                  var params;
                  if(this.valueParam){
                      params = {};
                      params[this.valueParam] = v;
                  }else{
                      var q = this.allQuery;
                      this.lastQuery = q;
                      this.store.setBaseParam(this.queryParam, q);
                      params = this.getParams(q);
                  }
                  //~ if (this.name == 'birth_country')
                    //~ console.log(this.name,'.setValue',v,' : call load() with params ',params);
                  this.store.load({params: params});
              //~ }else{
                  //~ if (this.name == 'birth_country')
                    //~ console.log(this.name,'.setValue',v,' : but store is loading',this.store.lastOptions);
              }
              return;
          //~ }else{
              //~ if (this.name == 'birth_country')
                //~ console.log(this.name,'.setValue',v,' : store is loaded, lastQuery is "',this.lastQuery,'"');
          }
          var r = this.findRecord(this.valueField, v);
          if(r){
              text = r.data[this.displayField];
          }else if(this.valueNotFoundText !== undefined){
              text = this.valueNotFoundText;
          }
        }
      }
      this.lastSelectionText = text;
      //~ this.lastSelectionText = v;
      if(this.hiddenField){
          //~ this.hiddenField.originalValue = v;
          this.hiddenField.value = v;
      }
      Ext.form.ComboBox.superclass.setValue.call(this, text);
      this.value = v; // needed for grid.afteredit
  },

  getParams : function(q){
    // p = Ext.form.ComboBox.superclass.getParams.call(this, q);
    // causes "Ext.form.ComboBox.superclass.getParams is undefined"
    var p = {};
    if(this.pageSize){
        p['start'] = 0;
        p['limit'] = this.pageSize;
    }
    // now my code:
    if(this.contextParams) Ext.apply(p, this.contextParams);
    return p;
  },
  setContextValue : function(name,value) {
    //~ console.log('setContextValue',this,this.name,':',name,'=',value);
    //~ if (this.contextValues === undefined) {
        //~ this.contextValues = Array(); // this.contextParams.length);
    //~ }
    if ((this.contextParams[name] != value) || (this.contextParams[name] == undefined)) {
      //~ console.log('setContextValue 1',this.contextParams);
      this.contextParams[name] = value;
      this.lastQuery = null;
      //~ console.log('setContextValue 2',this.contextParams);
    }
  }
});

Lino.ChoicesFieldElement = Ext.extend(Lino.ComboBox,{
  mode: 'local'
});


Lino.SimpleRemoteComboStore = Ext.extend(Ext.data.JsonStore,{
  // forceSelection: true,  20140206 why was this here?
  constructor: function(config){
      Lino.SimpleRemoteComboStore.superclass.constructor.call(this, Ext.apply(config, {
          totalProperty: 'count',
          root: 'rows',
          id: 'value', // 'value'
          fields: ['value' ],
          listeners: { exception: Lino.on_store_exception }
      }));
  }
});

Lino.ComplexRemoteComboStore = Ext.extend(Ext.data.JsonStore,{
  constructor: function(config){
      Lino.ComplexRemoteComboStore.superclass.constructor.call(this, Ext.apply(config, {
          totalProperty: 'count',
          root: 'rows',
          id: 'value', // constants.CHOICES_VALUE_FIELD
          fields: ['value','text'], // constants.CHOICES_VALUE_FIELD, // constants.CHOICES_TEXT_FIELD
          listeners: { exception: Lino.on_store_exception }
      }));
  }
});

Lino.RemoteComboFieldElement = Ext.extend(Lino.ComboBox,{
  mode: 'remote',
  //~ forceSelection:false,
  minChars: 0, // default 4 is too much
//  queryDelay: 300, // default 500 is maybe slow
  queryParam: 'query',
  //~ typeAhead: true,
  //~ selectOnFocus: true, // select any existing text in the field immediately on focus.
  resizable: true
  ,initList : function() {
      Lino.RemoteComboFieldElement.superclass.initList.call(this);
      if (this.pageTb) {

          var me = this;
          this.pageTb.on("beforechange", function(toolbar, o){
              if(me.contextParams)
                  Ext.apply(o, me.contextParams);
          });

          //~
          //~ var btn = ls_buttons
          //~ this.pageTb.items = this.pageTb.items.concat([btn]);
          //~ console.log("20131022 pageTb.items is", this.pageTb.items)
      }
  }
});

/*
Thanks to Animal for posting the basic idea:
http://www.sencha.com/forum/showthread.php?15842-2.0-SOLVED-Combobox-twintrigger-clear&p=76130&viewfull=1#post76130

*/
Lino.TwinCombo = Ext.extend(Lino.RemoteComboFieldElement,{
    trigger2Class : 'x-form-search-trigger',
    //~ trigger2Class : 'x-tbar-detail',
    initComponent : function() {
        //~ Lino.TwinCombo.superclass.initComponent.call(this);
        Lino.ComboBox.prototype.initComponent.call(this);
        Ext.form.TwinTriggerField.prototype.initComponent.call(this);
    },
    onTrigger2Click : function() {
        //~ console.log('onTrigger2Click',this,arguments);
    }
  });
//~ Lino.TwinCombo.prototype.initComponent = Ext.form.TwinTriggerField.prototype.initComponent;
Lino.TwinCombo.prototype.getTrigger = Ext.form.TwinTriggerField.prototype.getTrigger;
Lino.TwinCombo.prototype.getOuterSize = Ext.form.TwinTriggerField.prototype.getOuterSize;
Lino.TwinCombo.prototype.initTrigger = Ext.form.TwinTriggerField.prototype.initTrigger;
Lino.TwinCombo.prototype.onTrigger1Click = Ext.form.ComboBox.prototype.onTriggerClick;
//~ Lino.TwinCombo.prototype.onTrigger2Click = function() {
    //~ console.log('onTrigger2Click',arguments);
//~ };



Lino.SimpleRemoteComboFieldElement = Ext.extend(Lino.RemoteComboFieldElement,{
  displayField: 'value',
  valueField: null,
  forceSelection: false
});




Lino.Window = Ext.extend(Ext.Window,{
  //~ layout: "fit",
  closeAction : 'hide',
  renderTo: 'main_area',
  constrain: true,
  maximized: true,
  draggable: false,
  width: 700,
  height: 500,
  maximizable: false,
  constructor : function (config) {
    if (config.main_item.params_panel) {
        config.layout = 'border';
        config.main_item.region = 'center';
        // 20210501 config.main_item.params_panel.region = 'north';
        //~ config.main_item.params_panel.autoHeight = false; // 20130924
        config.main_item.params_panel.hidden = config.main_item.params_panel_hidden;
        config.items = [config.main_item.params_panel, config.main_item];
        //~ 20130923b
    } else {
        config.layout = 'fit';
        config.items = config.main_item;
    }
    this.main_item = config.main_item;

    if (typeof config.width == "string" && config.width.slice(-1) == "%") {
        config.width = Lino.perc2width(parseInt(config.width.slice(0, -1)));
    }

    delete config.main_item;
    //~ delete config.params_item;

    //~ this.main_item = config.items.get(0);
    this.main_item.containing_window = this;

    //~ console.log('20120110 Lino.Window.constructor() 1');
    //~ if (Lino.current_window) { // all windows except the top are closable
    if (this.main_item.hide_window_title) {
      config.closable = false;
      config.frame = false;
      config.shadow = false;
      //~ config.border = true;
      //~ config.title = undefined;
      //~ config.tools = null;
      delete config.title;
      delete config.tools;
    } else {
      config.title = this.main_item.empty_title;
      config.closable = true;
      config.tools = [
        { qtip: 'permalink',
         handler: Lino.permalink_handler(this),
          id: "pin" },
        { qtip: "Speichern und Fenster schließen."
        , handler: Lino.close_and_save_handler(this),
         id: "save" }
      ];
      if (this.main_item.content_type && this.main_item.action_name != 'insert') {
        config.tools = [ {
          handler: Lino.help_text_editor,
          qtip: "Hilfetexte der Eingabefelder dieser Tabelle bearbeiten",
          scope: this.main_item,
          id: "gear"
        }].concat(config.tools);
      }

    //~ { qtip: '', handler: Lino.save_wc_handler(this), id: "save" },
    //~ { qtip: this.config.qtip, handler: Lino.save_wc_handler(this), id: "save" },
    //~ { qtip: 'Call doLayout() on main Container.', handler: Lino.refresh_handler(this), id: "refresh" },
    //~ if (this.main_item.params_panel) {
        //~ config.tools = config.tools.concat([
          //~ { qtip: 'Show/hide parameter panel', handler: this.toggle_params_panel, id: "gear", scope:this }
        //~ ]);
    //~ }
    //~ if (config.closable !== false) {
      // if undefined, will take default behaviour
      //~ config.tools = config.tools.concat([
        //~ { qtip: 'close', handler: this.hide, id: "close", scope:this }
      //~ ]);
    }

    this.main_item.config_containing_window(config);

    // console.log('20150514 Lino.Window.constructor() 2');
    Lino.Window.superclass.constructor.call(this, config);

    //~ console.log('20120110 Lino.Window.constructor() 3');

  },
  initComponent : function() {
    this.main_item.init_containing_window(this);
    Lino.Window.superclass.initComponent.call(this);

  },
  hide : function() {
      this.main_item.do_when_clean(false,function() {
        if (Lino.current_window){
          Lino.close_window();
        }
        });

  },
  hide_really : function() {
    Lino.Window.superclass.hide.call(this);
  },
  onRender : function(ct, position){
    // console.log('20140829 Lino.Window.onRender() 1');
    Lino.Window.superclass.onRender.call(this, ct, position);
    var main_area = Ext.getCmp('main_area')
    //~ console.log('20120110 Lino.Window.onRender() 2');

    this.on('show', function(win) {
        // console.log('20140829 Lino.Window.on(show) : add resize handler');
        main_area.on('resize', win.onWindowResize, win);
    });
    this.on('hide', function(win) {
        // console.log('20140829 Lino.Window.on(hide) : remove resize handler');
        main_area.un('resize', win.onWindowResize, win);
    });
    // console.log('20140829 Lino.Window.onRender() 3');
  }
});


Ext.override(Ext.form.BasicForm,{
    my_loadRecord : function(record_data){
    //~ loadRecord : function(record){
        /* Same as ExtJS's loadRecord() (setValues()), except that we
        forward also the record_data to field.setValue(). This second
        parameter is used by Lino.Combobox.
        */
        // console.log('20181102 my_loadRecord', record_data)
        if(Ext.isArray(record_data)){
            for(var i = 0, len = record_data.length; i < len; i++){
                var v = record_data[i];
                var f = this.findField(v.id);
                if(f){
                    f.setValue(v.value, record_data);
                    if(this.trackResetOnLoad){
                        f.originalValue = f.getValue();
                    }
                }
            }
        }else{
            var field, id;
            for(id in record_data){
                if(!Ext.isFunction(record_data[id]) && (field = this.findField(id))){
                    // console.log('20181102 setValue', field, record_data[id]);
                    field.setValue(record_data[id], record_data);
                    if(this.trackResetOnLoad){
                        field.originalValue = field.getValue();
                        //~ if (field.hiddenField) {
                          //~ field.hiddenField.originalValue = field.hiddenField.value;
                        //~ }
                    }
                } // else console.log('20181102 not for ', id);
            }
        }
        return this;
    }
});




function initializeFooBarDropZone(cmp) {
    //~ console.log('initializeFooBarDropZone',cmp);
    cmp.dropTarget = new Ext.dd.DropTarget(cmp.bwrap, {
      //~ ddGroup     : 'gridDDGroup',
      notifyEnter : function(ddSource, e, data) {
        console.log('notifyEnter',ddSource,e,data);
        //Add some flare to invite drop.
        cmp.body.stopFx();
        cmp.body.highlight();
      },
      notifyDrop  : function(ddSource, e, data){
        console.log('notifyDrop',ddSource,e,data);
        // Reference the record (single selection) for readability
        //~ var selectedRecord = ddSource.dragData.selections[0];


        // Load the record into the form
        //~ formPanel.getForm().my_loadRecord(selectedRecord);


        // Delete record from the grid.  not really required.
        //~ ddSource.grid.store.remove(selectedRecord);

        return(true);
      }
    })
}



Lino.show_mti_child = function(fieldname,detail_handler) {
  //~ console.log('show_mti_child',this);
  //~ console.log('show_mti_child',panel.find("main_area"));
  rec = Lino.current_window.main_item.get_current_record();
  //~ rec = panel.get_current_record();
  if (rec) {
    //~ console.log('show_mti_child',Lino.current_window,rec);
    if (rec.phantom) {
      Lino.notify('Not allowed on phantom record.');
    }else if (rec.data[fieldname]) {
      //~ console.log('show_mti_child',rec.id);
      //~ detail_handler(Lino.current_window.main_item,{},{record_id:rec.id});
      detail_handler.run(null,{record_id:rec.id});
      //~ window.open(urlroot + '/' + rec.id);
      //~ document.location = urlroot + '/' + rec.id;
      //~ window.open(urlroot + '/' + rec.id,'_blank');
    } else {
      Lino.alert("Kann MTI-Kind nicht anzeigen wenn Checkbox abgeschlatet ist.");
    }
  } else {
    Lino.notify('No current record.');
  }
};


/*
captureEvents utility by Aaron Conran
<http://www.sencha.com/learn/grid-faq/>

Ext.onReady(function(){
    var grid = new Ext.grid.GridPanel({
        ...
    });
    captureEvents(grid);
});
*/
function captureEvents(observable) {
    Ext.util.Observable.capture(
        observable,
        function(eventName) {
            console.info(eventName);
        },
        this
    );
}

// settings.SITE.get_plugin_snippets()



// from lino_xl.lib.extensible (media_name=extensible-1.0.1):snippets/extensible.js

/*
  This is the `extensible.js` snippet. 
  Used in lino.modlib.extensible.App.site_js_snippets
*/

/*
Mappings towards lino.modlib.extensible.models.PanelCalendars
*/
// Sset SS = Ssite.modules.extensible.PanelCalendars.get_handle(Sui).store
Ext.ensible.cal.CalendarMappings = {
    CalendarId:   {name:'ID',       mapping: 'id', type: 'int'},
    Title:        {name:'CalTitle', mapping: 'summary', type: 'string'},
    Description:  {name:'Desc',     mapping: 'description', type: 'string'},
    ColorId:      {name:'Color',    mapping: 'color', type: 'int'},
    IsHidden:     {name:'Hidden',   mapping: 'is_hidden', type: 'boolean'},    
};
Ext.ensible.cal.CalendarRecord.reconfigure();  


/*
Mappings towards lino.modlib.extensible.models.PanelEvents 
*/
// Sset SS = Ssite.modules.extensible.PanelEvents.get_handle(Sui).store
Ext.ensible.cal.EventMappings = {
    EventId:     {name: 'ID',        mapping: 'id', type:'int'},
    CalendarId:  {name: 'CalID',     mapping: 'calendarHidden', type: 'int'},
    Title:       {name: 'EvtTitle',  mapping: 'summary'},
    StartDate:   {name: 'StartDt',   mapping: 'start_dt', 
      type: 'date', 
      dateFormat: "Y-m-d\TH:i:s" },
    EndDate:     {name: 'EndDt',     mapping: 'end_dt', 
      type: 'date', 
      dateFormat: "Y-m-d\TH:i:s"},
    RRule:       {name: 'RecurRule', mapping: 'rsetHidden'},
    Location:    {name: 'Location',  mapping: 'placeHidden'},
    Notes:       {name: 'Desc',      mapping: 'description'},
    Url:         {name: 'LinkUrl',   mapping: 'url'},
    IsAllDay:    {name: 'AllDay',    mapping: 'all_day', type: 'boolean'},
    Reminder:    {name: 'Reminder',  mapping: 'reminder'}
    
};
Ext.ensible.cal.EventRecord.reconfigure();


//~ Lino.on_eventclick = 
    
Lino.on_editdetails = 

Lino.format_time = function(dt) {
    return dt.getHours() + ':' + dt.getMinutes();
}
    
Lino.on_eventdelete = function() {
  //~ console.log("Lino.on_eventdelete",arguments);
};

Lino.on_eventadd  = function(cp,rec,el) {
  //~ console.log("Lino.on_eventadd ",arguments);
  return false;
}
    
Lino.on_eventresize  = function(cp,rec,el) {
  //~ console.log("Lino.on_eventresize ",arguments);
  //~ Lino.cal.Events.insert(cp);
  //~ return false;
}
    
Lino.on_eventupdate  = function(cp,rec,el) {
  //~ console.log("Lino.on_eventupdate",arguments);
  //~ Lino.cal.Events.insert(cp);
  //~ return false;
}
    

//~ Lino.eventStore = new Ext.ensible.cal.EventStore({ 
//~ Lino.eventStore = new Ext.data.ArrayStore({ 
Lino.unused_eventStore = new Ext.data.JsonStore({ 
  listeners: { exception: Lino.on_store_exception }
  ,url: '/restful/extensible/PanelEvents'
  ,restful : true
  ,proxy: new Ext.data.HttpProxy({ 
      url: '/restful/extensible/PanelEvents', 
      disableCaching: false // no need for cache busting when loading via Ajax
      //~ disableCaching:true,
  })
  ,fields: Ext.ensible.cal.EventRecord.prototype.fields.getRange()
  ,totalProperty: "count"
  ,root: "rows"
  ,idProperty: Ext.ensible.cal.EventMappings.EventId.mapping
  ,writer : new Ext.data.JsonWriter({
    writeAllFields: false
  })
  ,load: function(options) {
    //~ foo.bar = baz; // 20120213
      if (!options) options = {};
      if (!options.params) options.params = {};
      //~ options.params.$constants.URL_PARAM_TEAM_VIEW = Lino.calendar_app.team_view_button.pressed;
      
      var view = this.cal_panel.getActiveView();
      var bounds = view.getViewBounds();
      //~ var p = {sd:'05.02.2012',ed:'11.02.2012'};
      //~ var p = {};
      options.params[view.dateParamStart] = bounds.start.format(view.dateParamFormat);
      options.params[view.dateParamEnd] = bounds.end.format(view.dateParamFormat);
      Lino.insert_subst_user(options.params);
      //~ Ext.apply(options.params,p)
      //~ console.log('20120710 eventStore.load()',this.baseParams,options);
    
    return Ext.data.JsonStore.prototype.load.call(this,options);
  }
});


Lino.CalendarCfg = {
    dateParamFormat: 'd.m.Y',
    dateParamStart:'sd',
    dateParamEnd:'ed'
};
//~ 20120704 Lino.CalendarPanel = Ext.extend(Ext.ensible.cal.CalendarPanel,Lino.MainPanel);
//~ Lino.CalendarPanel = Ext.extend(Lino.CalendarPanel,{
Ext.override(Ext.ensible.cal.CalendarPanel,Lino.MainPanel);
Ext.override(Ext.ensible.cal.CalendarPanel,{
  //~ empty_title : "\$ui.get_actor('cal.Panel').report.label",
  empty_title : "Kalender"
  ,activeItem: 1 // 0: day, 1: week
  ,ls_url: '/extensible/CalendarPanel'
  //~ ,disableCaching:true
  //~ ,eventStore: Lino.eventStore
  //~ ,calendarStore: Lino.calendarStore
  //~ ,initComponent : function(){
    //~ Ext.ensible.cal.CalendarPanel.superclass.initComponent.call(this);
    //~ this.eventStore.on('load',function(){
      //~ console.log("20130808",Lino.eventStore);
      //~ if (this.eventStore.reader.jsonData) {
        //~ console.log("20130808 b",this.eventStore.reader.jsonData.title);
        //~ this.set_window_title(this.eventStore.reader.jsonData.title);
      //~ }
    //~ },this);
  //~ }
  ,listeners: { 
    editdetails: function(cp,rec,el) {
      //~ console.log("Lino.on_editdetails",arguments);
      if (rec.data.ID)
          Lino.extensible.PanelEvents.detail.run(null,{
              record_id:rec.data.ID,
              base_params:this.app_instance.event_store.baseParams});
      return false;
    }
    ,eventclick: function(cp,rec,el) {
      //~ console.log("Lino.on_eventclick",arguments);
      //~ Lino.cal.Events.detail_action.run({record_id:rec.data.ID});
      Lino.extensible.PanelEvents.detail.run(null,{
            record_id:rec.data.ID,
                base_params:this.app_instance.event_store.baseParams});
      return false;
    }
    //~ ,eventadd: Lino.on_eventadd
    //~ ,eventdelete: Lino.on_eventdelete
    //~ ,eventresize: Lino.on_eventresize
    ,afterrender : function(config) {
      // console.log("20140402 CalendarPanel.afterrender");
      this.app_instance.calendar_store.cal_panel = this;
      // 20140402 this.app_instance.calendar_store.load();
      //~ console.log("20120704 afterrender calls eventStore.load()",p);
      this.app_instance.event_store.cal_panel = this;
      //~ Lino.eventStore.load({params:p});
      //~ 20130905 removed: this.app_instance.event_store.load();
      //~ Lino.CalendarPanel.superclass.constructor.call(this, config);
      //~ console.log(20120118, config,this);
    }
    }
  ,enableEditDetails: false
  //~ ,monthViewCfg: Lino.CalendarCfg
  //~ ,weekViewCfg: Lino.CalendarCfg
  //~ ,multiDayViewCfg: Lino.CalendarCfg
  //~ ,multiWeekViewCfg: Lino.CalendarCfg
  //~ ,dayViewCfg: Lino.CalendarCfg
  //~ ,initComponent : function() {
    //~ // this.on('eventadd',Lino.on_eventadd);
    //~ Lino.CalendarPanel.superclass.initComponent.call(this);
  //~ }
});




Lino.CalendarAppPanel = Ext.extend(Ext.Panel,Lino.MainPanel);
Lino.CalendarAppPanel = Ext.extend(Lino.CalendarAppPanel,Lino.PanelMixin);
Lino.CalendarAppPanel = Ext.extend(Lino.CalendarAppPanel,{
  app_instance : null
  //~ empty_title : "\$ui.get_actor('cal.Panel').report.label",
  ,empty_title : "Kalender"
  ,ls_url: '/extensible/CalendarPanel'
  ,set_status : function(status,rp) { 
      // console.log('20140402 CalendarAppPanel.set_status()', status);
      this.requesting_panel = Ext.getCmp(rp);
      this.clear_base_params();
      if (status == undefined) status = {};
      //~ if (status.param_values) 
      //~ this.set_field_values(status.field_values);
      if (status.base_params) this.set_base_params(status.base_params);
      this.refresh();
      }
  ,refresh : function() {
      //~ this.app_instance.event_store.reload(); 20130905
      this.app_instance.calendar_store.load();  // added 20140402
      this.app_instance.event_store.load();
  }
  ,layout: 'fit'
  ,get_base_params : function() {
    // console.log('20140402 getbase_params has', this.base_params);
    var p = Ext.apply({}, this.base_params);
    Lino.insert_subst_user(p);
    // console.log('20140402 getbase_params returns', p);
    return p;
  }
  ,set_base_params : function(p) {
    this.base_params = Ext.apply(this.app_instance.event_store.baseParams,p);
    this.app_instance.event_store.baseParams = this.base_params;
    // console.log('20140402 this.base_params is', this.base_params);
  }
  ,clear_base_params : function() {
      this.base_params = {};
      Lino.insert_subst_user(this.base_params);
  }
  ,set_base_param : function(k,v) {
      if (!this.base_params) this.base_params = {};
      this.base_params[k] = v;
  }
});

Lino.CalendarApp = function() { return {
  team_view_button : null 
  ,get_main_panel : function() {
      var cap = null;
      this.event_store = new Ext.data.JsonStore({ 
          listeners: { exception: Lino.on_store_exception }
          ,url: '/restful/extensible/PanelEvents'
          ,restful : true
          ,proxy: new Ext.data.HttpProxy({ 
              url: '/restful/extensible/PanelEvents', 
              disableCaching: false // no need for cache busting when loading via Ajax
              //~ disableCaching:true,
          })
          ,fields: Ext.ensible.cal.EventRecord.prototype.fields.getRange()
          ,totalProperty: "count"
          ,root: "rows"
          ,idProperty: Ext.ensible.cal.EventMappings.EventId.mapping
          ,writer : new Ext.data.JsonWriter({
            writeAllFields: false
          })
          ,load: function(options) {
            //~ foo.bar = baz; // 20120213
              if (!options) options = {};
              if (!options.params) options.params = {};
              //~ options.params.$constants.URL_PARAM_TEAM_VIEW = Lino.calendar_app.team_view_button.pressed;
              
              var view = this.cal_panel.getActiveView();
              var bounds = view.getViewBounds();
              //~ var p = {sd:'05.02.2012',ed:'11.02.2012'};
              //~ var p = {};
              options.params[view.dateParamStart] = bounds.start.format(view.dateParamFormat);
              options.params[view.dateParamEnd] = bounds.end.format(view.dateParamFormat);
              Lino.insert_subst_user(options.params);
              Ext.apply(options.params, cap.get_base_params());
              //~ this.cal_panel.base_params.su.toString();
              //~ if (this.cal_panel) {
                  // Ext.apply(options.params,this.cal_panel.base_params);
              //~ }
              //~ Ext.apply(options.params,p)
              //~ console.log('20130905 eventStore.load()',this.cal_panel,this.baseParams,options.params);
            
            return Ext.data.JsonStore.prototype.load.call(this,options);
          }
      });

      //~ Lino.calendarStore
      this.calendar_store = new Ext.data.JsonStore({ 
          listeners: { exception: Lino.on_store_exception }
          ,restful : true
          ,proxy: new Ext.data.HttpProxy({ 
              url: '/restful/extensible/PanelCalendars?fmt=json', 
              disableCaching: false // no need for cache busting when loading via Ajax
              //~ restful : true
              //~ method: "GET"
          })
          //~ ,autoLoad: true
          //~ ,remoteSort: true
          //~ ,baseParams: bp
          ,totalProperty: "count"
          ,root: "rows"
          ,fields: Ext.ensible.cal.CalendarRecord.prototype.fields.getRange()
          ,idProperty: Ext.ensible.cal.CalendarMappings.CalendarId.mapping
          //~ ,idIndex: Ext.ensible.cal.CalendarMappings.CalendarId.mapping
          ,load: function(options) {
              // new since 20140402 add substitute user when calling
              // calendars
              if (!options) options = {};
              if (!options.params) options.params = {};
              // Lino.insert_subst_user(options.params);
              Ext.apply(options.params, cap.get_base_params());
              // console.log("20140402 calendar_store.load", options.params, 
              //             this.cal_panel, cap.get_base_params());
            return Ext.data.JsonStore.prototype.load.call(this,options);
          }
      });
      
      cap = new Lino.CalendarAppPanel({ 
          app_instance: this, 
          items : 
        //~ [{
          //~ id: 'app-header',
          //~ region: 'north',
          //~ height: 35,
          //~ border: false,
          // contentEl: 'app-header-content'
        //~ },
      {
          id: 'app-center',
          title: '...', // will be updated to the current view's date range
          region: 'center',
          layout: 'border',
          listeners: {
              'afterrender': function(){
                  Ext.getCmp('app-center').header.addClass('app-center-header');
              }
          },
          items: [{
              id:'app-west',
              region: 'west',
              width: 176,
              border: false,
              items: [{
                  xtype: 'datepicker',
                  id: 'app-nav-picker',
                  cls: 'ext-cal-nav-picker',
                  listeners: {
                      'select': {
                          fn: function(dp, dt){
                              // console.log("20131017",dp);
                              //~ Lino.calendarPanel.setStartDate(dt);
                              //~ cap.setStartDate(dt);
                              Ext.getCmp('app-calendar').setStartDate(dt);
                          },
                          //~ scope: this
                      }
                  }
              //~ },{ 
                //~ layout:'fit',
                //~ items: [
                  //~ new Ext.form.Checkbox({
                    //~ boxLabel:"$_('Team view')",
                    //~ hideLabel:true
                    //~ listeners: { click: }
                  //~ })
                //~ ]
              //~ },{ 
                //~ layout:'form',
                //~ items: [
                  //~ this.team_view_button = new Ext.Button({
                    //~ text:"Team view",
                    //~ enableToggle:true,
                    //~ pressed:false,
                    //~ toggleHandler: function(btn,state) { 
                      //~ // console.log('20120716 teamView.toggle()');
                      //~ this.event_store.setBaseParam('tv',state);
                      //~ this.event_store.load();
                      //~ // console.log("team view",state);
                    //~ }
                  //~ })
                //~ ]
              },{
                  xtype: 'extensible.calendarlist',
                  store: this.calendar_store,
                  border: false,
                  width: 175
              }]
          },{
              xtype: 'extensible.calendarpanel', // Ext.ensible.cal.CalendarPanel
              eventStore: this.event_store,
              app_instance: this,
              calendarStore: this.calendar_store,
              border: false,
              id:'app-calendar',
              region: 'center',
              //~ activeItem: 3, // month view
              
              // Any generic view options that should be applied to all sub views:
              viewConfig: {
                  // Lino.CalendarCfg
                  dateParamFormat: 'd.m.Y',
                  dateParamStart:'sd',
                  dateParamEnd:'ed',
                
                  //enableFx: false,
                  //ddIncrement: 10, //only applies to DayView and subclasses, but convenient to put it here
                  viewStartHour: 8, // 8
                  viewEndHour: 18 // 18
                  //minEventDisplayMinutes: 15
              },
              
              // View options specific to a certain view (if the same options exist in viewConfig
              // they will be overridden by the view-specific config):
              monthViewCfg: {
                  showHeader: true,
                  showWeekLinks: true,
                  showWeekNumbers: true,
                  eventBodyMarkup: ['{Title}',
                    //~ '<tpl if="url">',
                        //~ '<a href="{url}">XX</a>',
                    //~ '</tpl>',
                    '<tpl if="_isReminder">',
                        '<i class="ext-cal-ic ext-cal-ic-rem">&#160;</i>',
                    '</tpl>',
                    '<tpl if="_isRecurring">',
                        '<i class="ext-cal-ic ext-cal-ic-rcr">&#160;</i>',
                    '</tpl>',
                    '<tpl if="spanLeft">',
                        '<i class="ext-cal-spl">&#160;</i>',
                    '</tpl>',
                    '<tpl if="spanRight">',
                        '<i class="ext-cal-spr">&#160;</i>',
                    '</tpl>'
                ].join('')
              },
              
              multiWeekViewCfg: {
                  //weekCount: 3
              },
              
              // Some optional CalendarPanel configs to experiment with:
              //readOnly: true,
              //showDayView: false,
              //showMultiDayView: true,
              //showWeekView: false,
              //showMultiWeekView: false,
              //showMonthView: false,
              //showNavBar: false,
              //showTodayText: false,
              //showTime: false,
              //editModal: true,
              //enableEditDetails: false,
              //title: 'My Calendar', // the header of the calendar, could be a subtitle for the app
              
              // Once this component inits it will set a reference to itself as an application
              // member property for easy reference in other functions within App.
              //~ initComponent: function() {
                  //~ Lino.calendarPanel = this;
                  //~ this.constructor.prototype.initComponent.apply(this, arguments);
              //~ },
              
              listeners: {
                  //~ 'eventclick': {
                      //~ fn: function(vw, rec, el){
                          //~ this.clearMsg();
                      //~ },
                      //~ scope: this
                  //~ },
                  'eventover': function(vw, rec, el){
                      //console.log('Entered evt rec='+rec.data[Ext.ensible.cal.EventMappings.Title.name]', view='+ vw.id +', el='+el.id);
                  },
                  'eventout': function(vw, rec, el){
                      //console.log('Leaving evt rec='+rec.data[Ext.ensible.cal.EventMappings.Title.name]+', view='+ vw.id +', el='+el.id);
                  },
                  'eventadd': {
                      fn: function(cp, rec){
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was added');
                      },
                      scope: this
                  },
                  'eventupdate': {
                      fn: function(cp, rec){
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was updated');
                      },
                      scope: this
                  },
                  'eventdelete': {
                      fn: function(cp, rec){
                          //this.eventStore.remove(rec);
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was deleted');
                      },
                      scope: this
                  },
                  'eventcancel': {
                      fn: function(cp, rec){
                          // edit canceled
                      },
                      scope: this
                  },
                  'viewchange': {
                      fn: function(p, vw, dateInfo){
                          if(this.editWin){
                              this.editWin.hide();
                          };
                          if(dateInfo !== null){
                              // will be null when switching to the event edit form so ignore
                              Ext.getCmp('app-nav-picker').setValue(dateInfo.activeDate);
                              this.updateTitle(dateInfo.viewStart, dateInfo.viewEnd);
                          }
                          
                      },
                      scope: this
                  },
                  'dayclick': {
                      fn: function(vw, dt, ad, el){
                          this.clearMsg();
                      },
                      scope: this
                  },
                  'rangeselect': {
                      fn: function(vw, dates, onComplete){
                          this.clearMsg();
                      },
                      scope: this
                  },
                  'eventmove': {
                      fn: function(vw, rec){
                          rec.commit();
                          var time = rec.data[Ext.ensible.cal.EventMappings.IsAllDay.name] ? '' : ' \\a\\t g:i a';
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was moved to '+
                              rec.data[Ext.ensible.cal.EventMappings.StartDate.name].format('F jS'+time));
                      },
                      scope: this
                  },
                  'eventresize': {
                      fn: function(vw, rec){
                          rec.commit();
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was updated');
                      },
                      scope: this
                  },
                  'eventdelete': {
                      fn: function(win, rec){
                          this.event_store.remove(rec);
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was deleted');
                      },
                      scope: this
                  },
                  'initdrag': {
                      fn: function(vw){
                          if(this.editWin && this.editWin.isVisible()){
                              this.editWin.hide();
                          }
                      },
                      scope: this
                  }
              }
          }]
        }
        //~ ]
        
      });
      
      this.event_store.on('load',function(){
        //~ console.log("20130905 on event_store load",this.event_store.reader.jsonData);
        if (this.event_store.reader.jsonData) {
          //~ console.log("20130808 b",this.event_store.reader.jsonData.title);
          //~ console.log("20130808 c",this);
          cap.set_window_title(this.event_store.reader.jsonData.title);
        }
      },this);
      
      //~ cap.app_instance = this;
      return cap;
      
  }
  ,updateTitle: function(startDt, endDt){
      var p = Ext.getCmp('app-center');
      
      if(startDt.clearTime().getTime() == endDt.clearTime().getTime()){
          p.setTitle(startDt.format('F j, Y'));
      }
      else if(startDt.getFullYear() == endDt.getFullYear()){
          if(startDt.getMonth() == endDt.getMonth()){
              p.setTitle(startDt.format('F j') + ' - ' + endDt.format('j, Y'));
          }
          else{
              p.setTitle(startDt.format('F j') + ' - ' + endDt.format('F j, Y'));
          }
      }
      else{
          p.setTitle(startDt.format('F j, Y') + ' - ' + endDt.format('F j, Y'));
      }
  }
  // This is an application-specific way to communicate CalendarPanel event messages back to the user.
  // This could be replaced with a function to do "toast" style messages, growl messages, etc. This will
  // vary based on application requirements, which is why it's not baked into the CalendarPanel.
  ,showMsg: function(msg){
      Lino.notify(msg);
      //~ Ext.fly('app-msg').update(msg).removeClass('x-hidden');
  }
  
  ,clearMsg: function(){
      Lino.notify('');
      //~ Ext.fly('app-msg').update('').addClass('x-hidden');
  }
}
};


// from lino_welfare.modlib.sepa (extends_models=['Account']):iban/uppercasetextfield.js

Lino.UppercaseTextField = Ext.extend(Ext.form.TextField,{
  style: 'text-transform:uppercase;',
  listeners:{
    change: function(field, newValue, oldValue){
      // console.log("20140403 UppercaseTextField",newValue, newValue.toUpperCase());
      field.setRawValue(newValue.toUpperCase());
    }
  }
});


Lino.iban_renderer = function(
    value, metaData, record, rowIndex, colIndex, store) 
{
    var reg = new RegExp(".{4}", "g");
    if(value) {
        return value.replace(reg, function (a) { return a + ' '; });
    }
    return value;
}




// from lino_xl.lib.beid (media_name=eidreader):beid/eidreader.js



function uuid() {
  // Copied from https://gist.github.com/jcxplorer/823878
  var uuid = "", i, random;
  for (i = 0; i < 32; i++) {
    random = Math.random() * 16 | 0;

    if (i == 8 || i == 12 || i == 16 || i == 20) {
      uuid += "-"
    }
    uuid += (i == 12 ? 4 : (i == 16 ? (random & 3 | 8) : random)).toString(16);
  }
  return uuid;
};

Lino.beid_read_card_processor = function() {
    // var card = {}
    var my_id = uuid();
    var url = "beid://" + window.location.origin + "/eid/" + my_id;
    // var current_window = window.window;
    console.log("Gonna open", url);
    var popup = window.open(url, "eidreader");
    // while (popup.event) {setTimeout(()=>console.log("waiting", popup.event),1000)};
    // popup.close();
    // current_window.focus();
    return { uuid: my_id, timeout: 0 };

    // var xhttp = new XMLHttpRequest();
    // xhttp.onreadystatechange = function() {
    //     if (this.readyState == 4 && this.status == 200) {
    //         card = JSON.parse(this.responseText);
    //     } else {
    //         console.log("20180412 status ", this.status);
    //     }
    // };
    // xhttp.open("GET", "/eid/" + my_id, false);
    // xhttp.send();

    // return { card_data: card };
}



// from lino.modlib.tinymce (media_name=tinymce-3.5.11):tinymce/tinymce.js

/* Copyright 2009-2018 Rumma & Ko Ltd */


Lino.edit_tinymce_text = function(panel, tinymce_options) {
  // edit the text in own window.
  // `panel` is the RichTextPanel
  // console.log(20150520, panel);
  //~ var rec = panel.get_current_record();
  var rec = panel.containing_panel.get_current_record();
  var value = rec ? rec.data[panel.editor.name] : '';
  var saving = false;
  var todo_after_save = false;
  var discard_changes = false;
  
  
  function save() {
    if (saving) {alert('tried to save again'); return; }
    var url = panel.containing_panel.get_record_url(rec.id);
    var params = Ext.apply({}, panel.containing_panel.get_base_params());
    params[panel.editor.name] = editor.getValue();
    //~ params.su = Lino.subst_user;
    //~ Lino.insert_subst_user(params);

    // 20150325 http://trac.lino-framework.org/ticket/131
    var action_name = panel.containing_panel.save_action_name;
    if (!action_name) 
        action_name = panel.containing_panel.action_name;
    params.an = action_name;

    var a = { 
      params: params, 
      method: 'PUT',
      url: url,
      failure: function() {
          //~ if (editor.ed.getContainer()) 
          editor.ed.setProgressState(0);
          todo_after_save = false;
          saving = false;
          console.log('tinymce.save() failed. sorry.',arguments);
        },
      success: function() {
        saving = false;
        //~ if (editor.ed.getContainer()) 
        editor.ed.setProgressState(0);
        rec.data[panel.editor.name] = editor.getValue();
        if(todo_after_save) {
            var fn = todo_after_save;
            todo_after_save = false;
            fn();
        }
        //~ panel.containing_window.set_current_record(rec);
        panel.refresh();
      }
    };
    //~ if (editor.ed.getContainer()) 
    editor.ed.setProgressState(1); // Show progress
    saving = true;
    //~ console.log(a);
    Ext.Ajax.request(a);
  };
  function save_callback() {
      save();
      //~ save(function(){editor.ed.setDirty(false);})
      /* return true have the save button disabled.  
      That's not perfect because the PUT is asynchronous 
      and the response is not yet known.
      */
      return true;
  }
  //~ var actions = [
    //~ {text:"Save",handler:save}
  //~ ]; 
  //~ console.log(20110610,panel.editor.disabled);
  var settings = {};
  Ext.apply(settings,{
        readonly: panel.editor.disabled,
        //~ language: "de",
        plugins : "save,emotions,spellchecker,advhr,insertdatetime,preview,table,searchreplace,template", 
        // Theme options - button# indicated the row# only
        theme_advanced_buttons1 : "save,cancel,|,bold,italic,underline,|,justifyleft,justifycenter,justifyright,fontselect,fontsizeselect,formatselect,|,search,replace",
        theme_advanced_buttons2 : "cut,copy,paste,template,|,bullist,numlist,|,outdent,indent,|,undo,redo,|,link,unlink,anchor,image,|,code,preview,|,forecolor,backcolor",
        theme_advanced_buttons3 : "insertdate,inserttime,|,spellchecker,advhr,,removeformat,|,sub,sup,|,charmap,emotions,|,tablecontrols",
        theme_advanced_resizing : false,
        convert_urls : false,
        save_onsavecallback : save_callback,
        save_enablewhendirty : true
        //~ save_oncancelcallback: on_cancel
  });
  Ext.apply(settings, tinymce_options);
  var editor = new Ext.ux.TinyMCE({
      value : value,
      tinymceSettings: settings
    });
  var win = new Ext.Window({
    title: rec.title, 
    //~ bbar: actions,
    layout: 'fit',
    items: editor,
    width: 500, 
    height: 400,
    minWidth: 100,
    minHeight: 100,
    modal: true,
    resizable: true,
    maximizable: true,
    //~ maximized: true,
    //~ closeAction: "close"
    closeAction: "hide"
    //~ hideMode: "offsets",
    //~ constrainHeader: true,
    //~ bodyStyle: 'padding: 10px'
  });

  //~ win.on('beforeclose',function() {
  win.on('beforehide',function() {
    if (todo_after_save) return false;
    if (discard_changes) return true;
    if (editor.isDirty()) {
        //~ var ok = false;
        //~ var allowClose = true;
        var config = {title:"Bestätigung"};
        config.buttons = Ext.MessageBox.YESNOCANCEL;
        config.msg = "Save changes to text ?";
        config.modal = true;
        config.fn = function(buttonId,text,opt) {
          //~ console.log('do_when_clean',buttonId)
          if (buttonId == "yes") {
              /* we cancel this close, but save()'s onSuccess will call again.*/
              //~ allowClose = false;
              todo_after_save = function(){win.hide();}
              editor.ed.execCommand('mceSave');
              //~ editor.ed.save(function(){win.close();});
          } else if (buttonId == "no") { 
              discard_changes = true;
              win.hide()
          //~ } else if (buttonId == "cancel") { 
            //~ ok = true;
              //~ allowClose = false;
          //~ } else { 
            //~ console.log('unknwon buttonId:',buttonId);
          }
        }
        Ext.MessageBox.show(config);
        return false;
        //~ return allowClose;
    }
  });
  win.show();
}


Lino.RichTextPanel = Ext.extend(Ext.Panel,Lino.PanelMixin);
Lino.RichTextPanel = Ext.extend(Lino.RichTextPanel,Lino.FieldBoxMixin);
Lino.RichTextPanel = Ext.extend(Lino.RichTextPanel,{
    
  //~ initComponent : function(){
    //~ Lino.RichTextPanel.superclass.initComponent.call(this);
  //~ },
  constructor : function(config, params) {
      // console.log('20150520a Lino.RichTextPanel.initComponent', this);
    //~ var url = TEMPLATES_URL + config.ls_url + "/" + String(rec.id) + "/" + config.name;
    //~ var url = TEMPLATES_URL + config.ls_url + "/" + config.name;
    var t = this;
    var tinymce_options = {
        theme : "advanced",
        content_css: '/static/extjs/lino.css,/static/tinymce_content.css',

        theme_advanced_font_sizes : "12px,13px,14px,16px,18px,20px,24px",
        font_size_style_values : "12px,13px,14px,16px,18px,20px,24px",
        language: 'de',
        //~ template_external_list_url : url,
        theme_advanced_toolbar_location : "top",
        theme_advanced_toolbar_align : "left",
        theme_advanced_statusbar_location : "bottom",
        template_popup_width : 500,
        template_popup_height : 400,
        template_replace_values : { 
            data_field : function(element){ 
                //~ console.log(20110722,fieldName,t.containing_window.get_current_record()); 
                var fieldName = element.innerHTML;
                element.innerHTML = t.containing_panel.get_current_record().data[fieldName];
            } 
        }
      };
      
    var editorConfig = {
      tinymceSettings: {
        plugins : "noneditable,template", 
        // Theme options - button# indicated the row# only
        theme_advanced_buttons1 : "bold,italic,underline,|,justifyleft,justifycenter,justifyright,|,bullist,numlist,|,outdent,indent,|,undo,redo,|,removeformat,template",
        theme_advanced_buttons2 : "",
        theme_advanced_buttons3 : "", // ,|,sub,sup,|,charmap",      
        theme_advanced_resizing : false
        //~ save_onsavecallback : save_callback,
        //~ save_enablewhendirty : true
        //~ save_oncancelcallback: on_cancel
        
    }};
    Ext.apply(editorConfig.tinymceSettings, tinymce_options);
    //~ editorConfig.name = config.action_name;
    editorConfig.name = config.name;
    delete config.name;
    //~ config.title = config.label;
    //~ delete config.label;
    this.before_init(config,params);
    
    // console.log('20150520b Lino.RichTextPanel.initComponent', this);

    this.editor = new Ext.ux.TinyMCE(editorConfig);
    var t = this;
    function save_cmd() { 
        // console.log("20150902 save_cmd()", arguments);            
        var cw = t.get_containing_window();
        if (cw) {
            cw.main_item.save();
        }
    }
    this.editor.withEd(function(){
        if (!t.editor.ed.addShortcut(
            'ctrl+s', 'Save the content', save_cmd)) {
            console.log("20150902 addShortcut() failed");            
        };
        // t.editor.ed.onKeyDown.add(function(ed, e) {
        //     if (e.keyCode == 13 && e.ctrlKey) {
        //         save_cmd(); 
        //         return tinymce.dom.Event.cancel(e); 
        //         // e.preventDefault();
        //         // http://stackoverflow.com/questions/18971284/event-preventdefault-vs-return-false-no-jquery
        //     }
        // });
    });
    config.tools = [{
                      qtip: "Edit text in own window", 
                      id: "up",
                      handler: function(){
                        if(t.editor.isDirty()) {
                            var record = t.containing_panel.get_current_record();
                            record.data[t.editor.name] = t.editor.getValue();
                        }
                        Lino.edit_tinymce_text(t, tinymce_options)
                      }
                    }];
    
    config.items = this.editor;
    config.layout = "fit";
    // console.log('20150520c Lino.RichTextPanel.initComponent', this);
    Lino.RichTextPanel.superclass.constructor.call(this, config);
    // console.log('20150520d Lino.RichTextPanel.initComponent', this);
  },
  getValue : function(v) {
      return this.editor.getValue(v);
  },
  refresh : function(unused) { 
      this.refresh_with_after();
  },
  /* RichTextPanel */
  refresh_with_after : function(after) {
    // when called from the dashboard:    
    if (!this.containing_panel.get_current_record) { return; }
    var record = this.containing_panel.get_current_record();
    // console.log('20140504 RichTextPanel.refresh()',
    //             this.title,record.title, record);
    var todo = function() {
      if (record) {
        var url = '/tinymce/templates' 
              + this.containing_panel.ls_url + "/" 
              + String(record.id) + "/" + this.editor.name;
        // console.log('20150415 RichTextPanel.refresh()',url);
        if (this.editor.ed)
            this.editor.ed.settings.template_external_list_url = url;
            // else {console.log("20150415 no editor")}
        this.set_base_params(this.containing_panel.get_master_params());
        //~ var v = record ? this.format_data(record.data[this.editor.name]) : ''
        var v = this.format_data(record.data[this.editor.name])
        this.editor.setValue(v);
      } else {
        this.editor.setValue('(no data)');
      }
    };
    Lino.do_when_visible(this,todo.createDelegate(this));
  }
});
//~ Ext.override(Lino.RichTextPanel,Lino.FieldBoxMixin);

Lino.main_menu = [ { "menu": { "items": [ { "handler": function() {Lino.about.About.show.run(null,{ "record_id": -99998 })}, "listeners": { "render": Lino.quicktip_renderer("Foo","A dialog window which displays some information about the site.") }, "text": "Info" } ] }, "text": "Site" }, { "handler": function() {Lino.handle_home_button()}, "text": "Startseite" }, { "handler": function() {Lino.set_user_language("de")}, "text": "de" }, { "handler": function() {Lino.set_user_language("fr")}, "text": "fr" }, { "handler": function() {Lino.set_user_language("en")}, "text": "en" } ];
Ext.namespace('Lino.system.SiteConfigs')
Ext.namespace('Lino.countries.Countries')
Ext.namespace('Lino.countries.Places')
Ext.namespace('Lino.contacts.Partners')
Ext.namespace('Lino.contacts.Persons')
Ext.namespace('Lino.contacts.CompanyTypes')
Ext.namespace('Lino.contacts.Companies')
Ext.namespace('Lino.contacts.RoleTypes')
Ext.namespace('Lino.contacts.Roles')
Ext.namespace('Lino.gfks.ContentTypes')
Ext.namespace('Lino.gfks.HelpTexts')
Ext.namespace('Lino.notify.Messages')
Ext.namespace('Lino.notify.AllMessages')
Ext.namespace('Lino.notify.MyMessages')
Ext.namespace('Lino.changes.Changes')
Ext.namespace('Lino.properties.PropGroups')
Ext.namespace('Lino.properties.PropTypes')
Ext.namespace('Lino.properties.Properties')
Ext.namespace('Lino.properties.PropChoices')
Ext.namespace('Lino.checkdata.Problems')
Ext.namespace('Lino.checkdata.AllProblems')
Ext.namespace('Lino.checkdata.MyProblems')
Ext.namespace('Lino.addresses.Addresses')
Ext.namespace('Lino.excerpts.ExcerptTypes')
Ext.namespace('Lino.excerpts.Excerpts')
Ext.namespace('Lino.excerpts.AllExcerpts')
Ext.namespace('Lino.excerpts.MyExcerpts')
Ext.namespace('Lino.uploads.Volumes')
Ext.namespace('Lino.uploads.UploadTypes')
Ext.namespace('Lino.uploads.Uploads')
Ext.namespace('Lino.uploads.AllUploads')
Ext.namespace('Lino.uploads.MyUploads')
Ext.namespace('Lino.uploads.AreaUploads')
Ext.namespace('Lino.uploads.MyExpiringUploads')
Ext.namespace('Lino.outbox.Recipients')
Ext.namespace('Lino.outbox.Mails')
Ext.namespace('Lino.outbox.Attachments')
Ext.namespace('Lino.cal.RemoteCalendars')
Ext.namespace('Lino.cal.Rooms')
Ext.namespace('Lino.cal.AllRooms')
Ext.namespace('Lino.cal.Calendars')
Ext.namespace('Lino.cal.Subscriptions')
Ext.namespace('Lino.cal.Tasks')
Ext.namespace('Lino.cal.MyTasks')
Ext.namespace('Lino.cal.GuestRoles')
Ext.namespace('Lino.cal.Guests')
Ext.namespace('Lino.cal.AllGuests')
Ext.namespace('Lino.cal.MyPresences')
Ext.namespace('Lino.cal.MyPendingPresences')
Ext.namespace('Lino.cal.MyGuests')
Ext.namespace('Lino.cal.EventTypes')
Ext.namespace('Lino.cal.RecurrentEvents')
Ext.namespace('Lino.cal.Events')
Ext.namespace('Lino.cal.AllEntries')
Ext.namespace('Lino.cal.PublicEntries')
Ext.namespace('Lino.cal.EntriesByDay')
Ext.namespace('Lino.cal.OneEvent')
Ext.namespace('Lino.cal.MyEntries')
Ext.namespace('Lino.cal.MyEntriesToday')
Ext.namespace('Lino.cal.MyAssignedEvents')
Ext.namespace('Lino.cal.OverdueAppointments')
Ext.namespace('Lino.cal.MyOverdueAppointments')
Ext.namespace('Lino.cal.MyUnconfirmedAppointments')
Ext.namespace('Lino.cal.EventPolicies')
Ext.namespace('Lino.extensible.PanelCalendars')
Ext.namespace('Lino.extensible.PanelEvents')
Ext.namespace('Lino.reception.ExpectedGuests')
Ext.namespace('Lino.reception.BusyVisitors')
Ext.namespace('Lino.reception.WaitingVisitors')
Ext.namespace('Lino.reception.GoneVisitors')
Ext.namespace('Lino.reception.MyWaitingVisitors')
Ext.namespace('Lino.reception.MyBusyVisitors')
Ext.namespace('Lino.reception.MyGoneVisitors')
Ext.namespace('Lino.cv.LanguageKnowledges')
Ext.namespace('Lino.cv.AllLanguageKnowledges')
Ext.namespace('Lino.cv.EducationLevels')
Ext.namespace('Lino.cv.StudyTypes')
Ext.namespace('Lino.cv.Trainings')
Ext.namespace('Lino.cv.AllTrainings')
Ext.namespace('Lino.cv.Studies')
Ext.namespace('Lino.cv.Statuses')
Ext.namespace('Lino.cv.Regimes')
Ext.namespace('Lino.cv.Durations')
Ext.namespace('Lino.cv.Sectors')
Ext.namespace('Lino.cv.Functions')
Ext.namespace('Lino.cv.Experiences')
Ext.namespace('Lino.cv.PersonProperties')
Ext.namespace('Lino.pcsw.Clients')
Ext.namespace('Lino.pcsw.CoachedClients')
Ext.namespace('Lino.pcsw.AllClients')
Ext.namespace('Lino.pcsw.PersonGroups')
Ext.namespace('Lino.pcsw.Activities')
Ext.namespace('Lino.pcsw.DispenseReasons')
Ext.namespace('Lino.pcsw.Dispenses')
Ext.namespace('Lino.pcsw.ExclusionTypes')
Ext.namespace('Lino.pcsw.Exclusions')
Ext.namespace('Lino.pcsw.Convictions')
Ext.namespace('Lino.pcsw.AidTypes')
Ext.namespace('Lino.coachings.CoachingTypes')
Ext.namespace('Lino.coachings.CoachingEndings')
Ext.namespace('Lino.coachings.Coachings')
Ext.namespace('Lino.reception.Clients')
Ext.namespace('Lino.boards.Boards')
Ext.namespace('Lino.boards.Members')
Ext.namespace('Lino.households.Types')
Ext.namespace('Lino.households.Households')
Ext.namespace('Lino.households.Members')
Ext.namespace('Lino.isip.ContractTypes')
Ext.namespace('Lino.isip.ExamPolicies')
Ext.namespace('Lino.isip.ContractEndings')
Ext.namespace('Lino.isip.ContractPartners')
Ext.namespace('Lino.isip.Contracts')
Ext.namespace('Lino.isip.MyContracts')
Ext.namespace('Lino.jobs.Schedules')
Ext.namespace('Lino.jobs.JobProviders')
Ext.namespace('Lino.jobs.ContractTypes')
Ext.namespace('Lino.jobs.Contracts')
Ext.namespace('Lino.jobs.MyContracts')
Ext.namespace('Lino.jobs.Offers')
Ext.namespace('Lino.jobs.Candidatures')
Ext.namespace('Lino.jobs.Jobs')
Ext.namespace('Lino.jobs.JobTypes')
Ext.namespace('Lino.jobs.ContractsSearch')
Ext.namespace('Lino.ledger.Accounts')
Ext.namespace('Lino.ledger.Journals')
Ext.namespace('Lino.ledger.JournalsOverview')
Ext.namespace('Lino.ledger.AccountingPeriods')
Ext.namespace('Lino.ledger.PaymentTerms')
Ext.namespace('Lino.ledger.AllVouchers')
Ext.namespace('Lino.ledger.MatchRules')
Ext.namespace('Lino.ledger.PartnerVouchers')
Ext.namespace('Lino.ledger.GeneralAccountBalances')
Ext.namespace('Lino.ledger.PartnerBalancesByTradeType')
Ext.namespace('Lino.ledger.Movements')
Ext.namespace('Lino.ledger.AllMovements')
Ext.namespace('Lino.ledger.MyMovements')
Ext.namespace('Lino.ledger.FiscalYears')
Ext.namespace('Lino.vatless.Invoices')
Ext.namespace('Lino.sepa.Accounts')
Ext.namespace('Lino.b2c.Accounts')
Ext.namespace('Lino.b2c.Statements')
Ext.namespace('Lino.b2c.Transactions')
Ext.namespace('Lino.finan.FinancialVouchers')
Ext.namespace('Lino.finan.JournalEntries')
Ext.namespace('Lino.finan.PaymentOrders')
Ext.namespace('Lino.finan.BankStatements')
Ext.namespace('Lino.finan.AllBankStatements')
Ext.namespace('Lino.finan.AllJournalEntries')
Ext.namespace('Lino.finan.AllPaymentOrders')
Ext.namespace('Lino.finan.DisbursementOrders')
Ext.namespace('Lino.languages.Languages')
Ext.namespace('Lino.integ.Clients')
Ext.namespace('Lino.integ.CoachingEndingsByUser')
Ext.namespace('Lino.integ.CoachingEndingsByType')
Ext.namespace('Lino.integ.ContractEndingsByType')
Ext.namespace('Lino.integ.JobsContractEndingsByType')
Ext.namespace('Lino.users.AllUsers')
Ext.namespace('Lino.users.UsersOverview')
Ext.namespace('Lino.users.Me')
Ext.namespace('Lino.users.Authorities')
Ext.namespace('Lino.users.Sessions')
Ext.namespace('Lino.integ.ContractsPerUserAndContractType')
Ext.namespace('Lino.integ.JobsContractsPerUserAndContractType')
Ext.namespace('Lino.integ.StudyTypesAndContracts')
Ext.namespace('Lino.integ.CompaniesAndContracts')
Ext.namespace('Lino.integ.JobProvidersAndContracts')
Ext.namespace('Lino.art61.ContractTypes')
Ext.namespace('Lino.art61.Contracts')
Ext.namespace('Lino.art61.MyContracts')
Ext.namespace('Lino.xcourses.CourseProviders')
Ext.namespace('Lino.xcourses.CourseContents')
Ext.namespace('Lino.xcourses.CourseOffers')
Ext.namespace('Lino.xcourses.Courses')
Ext.namespace('Lino.xcourses.CourseRequests')
Ext.namespace('Lino.xcourses.PendingCourseRequests')
Ext.namespace('Lino.newcomers.Brokers')
Ext.namespace('Lino.newcomers.Faculties')
Ext.namespace('Lino.newcomers.Competences')
Ext.namespace('Lino.newcomers.NewClients')
Ext.namespace('Lino.newcomers.AvailableCoaches')
Ext.namespace('Lino.cbss.Sectors')
Ext.namespace('Lino.cbss.Purposes')
Ext.namespace('Lino.cbss.IdentifyPersonRequests')
Ext.namespace('Lino.cbss.AllIdentifyPersonRequests')
Ext.namespace('Lino.cbss.MyIdentifyPersonRequests')
Ext.namespace('Lino.cbss.ManageAccessRequests')
Ext.namespace('Lino.cbss.AllManageAccessRequests')
Ext.namespace('Lino.cbss.MyManageAccessRequests')
Ext.namespace('Lino.cbss.RetrieveTIGroupsRequests')
Ext.namespace('Lino.cbss.AllRetrieveTIGroupsRequests')
Ext.namespace('Lino.cbss.MyRetrieveTIGroupsRequests')
Ext.namespace('Lino.humanlinks.Links')
Ext.namespace('Lino.debts.Clients')
Ext.namespace('Lino.debts.Groups')
Ext.namespace('Lino.debts.Accounts')
Ext.namespace('Lino.debts.Actors')
Ext.namespace('Lino.debts.Budgets')
Ext.namespace('Lino.debts.MyBudgets')
Ext.namespace('Lino.debts.Entries')
Ext.namespace('Lino.debts.EntriesByType')
Ext.namespace('Lino.notes.NoteTypes')
Ext.namespace('Lino.notes.EventTypes')
Ext.namespace('Lino.notes.Notes')
Ext.namespace('Lino.notes.AllNotes')
Ext.namespace('Lino.notes.MyNotes')
Ext.namespace('Lino.aids.Categories')
Ext.namespace('Lino.aids.AidTypes')
Ext.namespace('Lino.aids.Grantings')
Ext.namespace('Lino.aids.AllGrantings')
Ext.namespace('Lino.aids.MyPendingGrantings')
Ext.namespace('Lino.aids.SimpleConfirmations')
Ext.namespace('Lino.aids.AllSimpleConfirmations')
Ext.namespace('Lino.aids.IncomeConfirmations')
Ext.namespace('Lino.aids.AllIncomeConfirmations')
Ext.namespace('Lino.aids.RefundConfirmations')
Ext.namespace('Lino.aids.AllRefundConfirmations')
Ext.namespace('Lino.esf.Summaries')
Ext.namespace('Lino.esf.AllSummaries')
Ext.namespace('Lino.dashboard.Widgets')
Ext.namespace('Lino.dashboard.AllWidgets')
Ext.namespace('Lino.dupable_clients.Words')
Ext.namespace('Lino.tinymce.TextFieldTemplates')
Ext.namespace('Lino.tinymce.MyTextFieldTemplates')
Ext.namespace('Lino.clients.ClientContactTypes')
Ext.namespace('Lino.clients.ClientContacts')
Ext.namespace('Lino.cal.EntryRepeaterTable')
Ext.namespace('Lino.ledger.LedgerInfoTable')
Ext.namespace('Lino.finan.JournalEntryItemTable')
Ext.namespace('Lino.finan.BankStatementItemTable')
Ext.namespace('Lino.finan.PaymentOrderItemTable')
Ext.namespace('Lino.vatless.InvoiceItemTable')
Ext.namespace('Lino.countries.PlacesByPlace')
Ext.namespace('Lino.countries.PlacesByCountry')
Ext.namespace('Lino.contacts.PartnersByCity')
Ext.namespace('Lino.contacts.PartnersByCountry')
Ext.namespace('Lino.contacts.RolesByCompany')
Ext.namespace('Lino.contacts.RolesByPerson')
Ext.namespace('Lino.properties.PropsByGroup')
Ext.namespace('Lino.properties.PropsByType')
Ext.namespace('Lino.properties.ChoicesByType')
Ext.namespace('Lino.checkdata.ProblemsByChecker')
Ext.namespace('Lino.addresses.AddressesByPartner')
Ext.namespace('Lino.addresses.AddressesByCity')
Ext.namespace('Lino.excerpts.ExcerptsByType')
Ext.namespace('Lino.excerpts.ExcerptsByProject')
Ext.namespace('Lino.uploads.UploadsByType')
Ext.namespace('Lino.uploads.UploadsByProject')
Ext.namespace('Lino.outbox.RecipientsByMail')
Ext.namespace('Lino.outbox.MyOutbox')
Ext.namespace('Lino.outbox.MailsByUser')
Ext.namespace('Lino.outbox.MailsByProject')
Ext.namespace('Lino.outbox.SentByPartner')
Ext.namespace('Lino.outbox.AttachmentsByMail')
Ext.namespace('Lino.cal.SubscriptionsByUser')
Ext.namespace('Lino.cal.SubscriptionsByCalendar')
Ext.namespace('Lino.cal.TasksByUser')
Ext.namespace('Lino.cal.TasksByProject')
Ext.namespace('Lino.cal.GuestsByEvent')
Ext.namespace('Lino.cal.GuestsByRole')
Ext.namespace('Lino.cal.GuestsByPartner')
Ext.namespace('Lino.cal.EntriesByType')
Ext.namespace('Lino.cal.ConflictingEvents')
Ext.namespace('Lino.cal.EntriesByRoom')
Ext.namespace('Lino.cal.EntriesByProject')
Ext.namespace('Lino.cal.EntriesByGuest')
Ext.namespace('Lino.cal.EntriesByClient')
Ext.namespace('Lino.cal.TasksByClient')
Ext.namespace('Lino.reception.AppointmentsByPartner')
Ext.namespace('Lino.cv.LanguageKnowledgesByPerson')
Ext.namespace('Lino.cv.KnowledgesByLanguage')
Ext.namespace('Lino.cv.StudyTypesByLevel')
Ext.namespace('Lino.cv.TrainingsByCountry')
Ext.namespace('Lino.cv.TrainingsByType')
Ext.namespace('Lino.cv.TrainingsByPerson')
Ext.namespace('Lino.cv.StudiesByCountry')
Ext.namespace('Lino.cv.StudiesByLevel')
Ext.namespace('Lino.cv.StudiesByPlace')
Ext.namespace('Lino.cv.StudiesByType')
Ext.namespace('Lino.cv.StudiesByPerson')
Ext.namespace('Lino.cv.FunctionsBySector')
Ext.namespace('Lino.cv.ExperiencesBySector')
Ext.namespace('Lino.cv.ExperiencesByFunction')
Ext.namespace('Lino.cv.ExperiencesByPerson')
Ext.namespace('Lino.cv.ExperiencesByStatus')
Ext.namespace('Lino.cv.ExperiencesByRegime')
Ext.namespace('Lino.cv.ExperiencesByDuration')
Ext.namespace('Lino.cv.PropsByPerson')
Ext.namespace('Lino.cv.PersonPropsByProp')
Ext.namespace('Lino.cv.ConfiguredPropsByPerson')
Ext.namespace('Lino.cv.SkillsByPerson')
Ext.namespace('Lino.cv.SoftSkillsByPerson')
Ext.namespace('Lino.cv.ObstaclesByPerson')
Ext.namespace('Lino.pcsw.ClientsByNationality')
Ext.namespace('Lino.pcsw.DispensesByClient')
Ext.namespace('Lino.pcsw.ExclusionsByClient')
Ext.namespace('Lino.pcsw.ConvictionsByClient')
Ext.namespace('Lino.coachings.CoachingsByClient')
Ext.namespace('Lino.coachings.CoachingsByEnding')
Ext.namespace('Lino.coachings.CoachingsByUser')
Ext.namespace('Lino.coachings.MyCoachings')
Ext.namespace('Lino.reception.AgentsByClient')
Ext.namespace('Lino.reception.CoachingsByClient')
Ext.namespace('Lino.boards.MembersByBoard')
Ext.namespace('Lino.clients.PartnersByClientContactType')
Ext.namespace('Lino.households.HouseholdsByType')
Ext.namespace('Lino.households.MembersByHousehold')
Ext.namespace('Lino.households.SiblingsByPerson')
Ext.namespace('Lino.households.MembersByPerson')
Ext.namespace('Lino.households.RefundsByPerson')
Ext.namespace('Lino.isip.PartnersByContract')
Ext.namespace('Lino.isip.ContractsByClient')
Ext.namespace('Lino.isip.ContractsByPolicy')
Ext.namespace('Lino.isip.ContractsByType')
Ext.namespace('Lino.isip.ContractsByEnding')
Ext.namespace('Lino.isip.ContractsByStudyType')
Ext.namespace('Lino.jobs.ContractsByClient')
Ext.namespace('Lino.jobs.ContractsByProvider')
Ext.namespace('Lino.jobs.ContractsByPolicy')
Ext.namespace('Lino.jobs.ContractsByType')
Ext.namespace('Lino.jobs.ContractsByEnding')
Ext.namespace('Lino.jobs.ContractsByJob')
Ext.namespace('Lino.jobs.ContractsByRegime')
Ext.namespace('Lino.jobs.ContractsBySchedule')
Ext.namespace('Lino.jobs.CandidaturesByPerson')
Ext.namespace('Lino.jobs.CandidaturesBySector')
Ext.namespace('Lino.jobs.CandidaturesByFunction')
Ext.namespace('Lino.jobs.CandidaturesByJob')
Ext.namespace('Lino.jobs.CandidaturesByOffer')
Ext.namespace('Lino.jobs.ExperiencesByOffer')
Ext.namespace('Lino.jobs.JobsByProvider')
Ext.namespace('Lino.jobs.JobsByType')
Ext.namespace('Lino.jobs.JobsOverviewByType')
Ext.namespace('Lino.ledger.MatchRulesByAccount')
Ext.namespace('Lino.ledger.MatchRulesByJournal')
Ext.namespace('Lino.ledger.MovementsByVoucher')
Ext.namespace('Lino.ledger.MovementsByPartner')
Ext.namespace('Lino.ledger.MovementsByProject')
Ext.namespace('Lino.ledger.MovementsByAccount')
Ext.namespace('Lino.ledger.MovementsByMatch')
Ext.namespace('Lino.vatless.ItemsByInvoice')
Ext.namespace('Lino.vatless.ItemsByProjectInvoice')
Ext.namespace('Lino.vatless.InvoicesByJournal')
Ext.namespace('Lino.vatless.ProjectInvoicesByJournal')
Ext.namespace('Lino.sepa.AccountsByPartner')
Ext.namespace('Lino.sepa.AccountsByClient')
Ext.namespace('Lino.b2c.StatementsByAccount')
Ext.namespace('Lino.b2c.TransactionsByStatement')
Ext.namespace('Lino.finan.PaymentOrdersByJournal')
Ext.namespace('Lino.finan.JournalEntriesByJournal')
Ext.namespace('Lino.finan.BankStatementsByJournal')
Ext.namespace('Lino.finan.ItemsByJournalEntry')
Ext.namespace('Lino.finan.ItemsByBankStatement')
Ext.namespace('Lino.finan.ItemsByPaymentOrder')
Ext.namespace('Lino.finan.ItemsByDisbursementOrder')
Ext.namespace('Lino.finan.DisbursementOrdersByJournal')
Ext.namespace('Lino.users.AuthoritiesGiven')
Ext.namespace('Lino.users.AuthoritiesTaken')
Ext.namespace('Lino.art61.ContractsByClient')
Ext.namespace('Lino.art61.ContractsByProvider')
Ext.namespace('Lino.art61.ContractsByPolicy')
Ext.namespace('Lino.art61.ContractsByType')
Ext.namespace('Lino.art61.ContractsByEnding')
Ext.namespace('Lino.xcourses.CourseOffersByProvider')
Ext.namespace('Lino.xcourses.CourseOffersByContent')
Ext.namespace('Lino.xcourses.CoursesByOffer')
Ext.namespace('Lino.xcourses.CourseRequestsByPerson')
Ext.namespace('Lino.xcourses.CourseRequestsByContent')
Ext.namespace('Lino.xcourses.RequestsByCourse')
Ext.namespace('Lino.xcourses.ParticipantsByCourse')
Ext.namespace('Lino.xcourses.CandidatesByCourse')
Ext.namespace('Lino.newcomers.CompetencesByUser')
Ext.namespace('Lino.newcomers.CompetencesByFaculty')
Ext.namespace('Lino.newcomers.MyCompetences')
Ext.namespace('Lino.newcomers.ClientsByFaculty')
Ext.namespace('Lino.newcomers.AvailableCoachesByClient')
Ext.namespace('Lino.cbss.IdentifyRequestsByPerson')
Ext.namespace('Lino.cbss.ManageAccessRequestsByPerson')
Ext.namespace('Lino.cbss.RetrieveTIGroupsRequestsByPerson')
Ext.namespace('Lino.humanlinks.LinksByHuman')
Ext.namespace('Lino.debts.AccountsByGroup')
Ext.namespace('Lino.debts.ActorsByBudget')
Ext.namespace('Lino.debts.ActorsByPartner')
Ext.namespace('Lino.debts.BudgetsByPartner')
Ext.namespace('Lino.debts.EntriesByAccount')
Ext.namespace('Lino.debts.EntriesByBudget')
Ext.namespace('Lino.debts.ExpensesByBudget')
Ext.namespace('Lino.debts.IncomesByBudget')
Ext.namespace('Lino.debts.LiabilitiesByBudget')
Ext.namespace('Lino.debts.AssetsByBudget')
Ext.namespace('Lino.debts.DistByBudget')
Ext.namespace('Lino.notes.NotesByType')
Ext.namespace('Lino.notes.NotesByEventType')
Ext.namespace('Lino.notes.NotesByProject')
Ext.namespace('Lino.notes.NotesByCompany')
Ext.namespace('Lino.notes.NotesByPerson')
Ext.namespace('Lino.aids.GrantingsByClient')
Ext.namespace('Lino.aids.GrantingsByType')
Ext.namespace('Lino.aids.SimpleConfirmationsByGranting')
Ext.namespace('Lino.aids.IncomeConfirmationsByGranting')
Ext.namespace('Lino.aids.IncomeConfirmationsByCategory')
Ext.namespace('Lino.aids.RefundConfirmationsByGranting')
Ext.namespace('Lino.esf.SummariesByClient')
Ext.namespace('Lino.dashboard.WidgetsByUser')
Ext.namespace('Lino.dupable_clients.WordsByOwner')
Ext.namespace('Lino.clients.ContactsByClient')
Ext.namespace('Lino.clients.ClientContactsByType')
Ext.namespace('Lino.clients.ClientContactsByCompany')
Ext.namespace('Lino.clients.ClientContactsByPerson')
Ext.namespace('Lino.gfks.HelpTextsByModel')
Ext.namespace('Lino.changes.ChangesByObject')
Ext.namespace('Lino.changes.ChangesByMaster')
Ext.namespace('Lino.checkdata.ProblemsByOwner')
Ext.namespace('Lino.excerpts.ExcerptsByOwner')
Ext.namespace('Lino.uploads.UploadsByController')
Ext.namespace('Lino.outbox.MailsByController')
Ext.namespace('Lino.outbox.AttachmentsByController')
Ext.namespace('Lino.cal.TasksByController')
Ext.namespace('Lino.cal.EntriesByController')
Ext.namespace('Lino.isip.DelegatedTasksByContract')
Ext.namespace('Lino.isip.EntriesByContract')
Ext.namespace('Lino.notes.NotesByOwner')
Ext.namespace('Lino.gfks.BrokenGFKs')
Ext.namespace('Lino.gfks.BrokenGFKsByModel')
Ext.namespace('Lino.reception.FindDateByClientTable')
Ext.namespace('Lino.ledger.ExpectedMovements')
Ext.namespace('Lino.ledger.DebtsByAccount')
Ext.namespace('Lino.ledger.DebtsByPartner')
Ext.namespace('Lino.ledger.Debtors')
Ext.namespace('Lino.ledger.Creditors')
Ext.namespace('Lino.vatless.VouchersByPartner')
Ext.namespace('Lino.finan.SuggestionsByVoucher')
Ext.namespace('Lino.finan.SuggestionsByJournalEntry')
Ext.namespace('Lino.finan.SuggestionsByPaymentOrder')
Ext.namespace('Lino.finan.SuggestionsByBankStatement')
Ext.namespace('Lino.finan.SuggestionsByVoucherItem')
Ext.namespace('Lino.finan.SuggestionsByBankStatementItem')
Ext.namespace('Lino.finan.SuggestionsByPaymentOrderItem')
Ext.namespace('Lino.integ.UsersWithClients')
Ext.namespace('Lino.integ.CompareRequestsTable')
Ext.namespace('Lino.integ.PeriodicNumbers')
Ext.namespace('Lino.integ.ContractsByType')
Ext.namespace('Lino.users.UserRoles')
Ext.namespace('Lino.cbss.IdentifyPersonResult')
Ext.namespace('Lino.cbss.RetrieveTIGroupsResult')
Ext.namespace('Lino.debts.PrintEntriesByBudget')
Ext.namespace('Lino.debts.SummaryTable')
Ext.namespace('Lino.debts.ResultByBudget')
Ext.namespace('Lino.debts.DebtsByBudget')
Ext.namespace('Lino.debts.AssetsByBudgetSummary')
Ext.namespace('Lino.aids.ConfirmationsByGranting')
Ext.namespace('Lino.dupable_clients.SimilarClients')
Ext.namespace('Lino.system.Dashboard')
Ext.namespace('Lino.about.About')
Ext.namespace('Lino.extensible.CalendarPanel')
Ext.namespace('Lino.jobs.JobsOverview')
Ext.namespace('Lino.integ.ActivityReport')
Ext.namespace('Lino.system.YesNo')
Ext.namespace('Lino.system.Genders')
Ext.namespace('Lino.system.PeriodEvents')
Ext.namespace('Lino.system.DashboardLayouts')
Ext.namespace('Lino.checkdata.Checkers')
Ext.namespace('Lino.printing.BuildMethods')
Ext.namespace('Lino.users.UserTypes')
Ext.namespace('Lino.about.TimeZones')
Ext.namespace('Lino.about.DateFormats')
Ext.namespace('Lino.xl.Priorities')
Ext.namespace('Lino.countries.PlaceTypes')
Ext.namespace('Lino.uploads.Shortcuts')
Ext.namespace('Lino.uploads.UploadAreas')
Ext.namespace('Lino.ledger.DC')
Ext.namespace('Lino.ledger.JournalGroups')
Ext.namespace('Lino.ledger.PeriodStates')
Ext.namespace('Lino.ledger.CommonAccounts')
Ext.namespace('Lino.ledger.VoucherTypes')
Ext.namespace('Lino.ledger.TradeTypes')
Ext.namespace('Lino.ledger.VoucherStates')
Ext.namespace('Lino.contacts.PartnerEvents')
Ext.namespace('Lino.contacts.CivilStates')
Ext.namespace('Lino.notify.MessageTypes')
Ext.namespace('Lino.notify.MailModes')
Ext.namespace('Lino.changes.ChangeTypes')
Ext.namespace('Lino.properties.DoYouLike')
Ext.namespace('Lino.properties.HowWell')
Ext.namespace('Lino.addresses.AddressTypes')
Ext.namespace('Lino.addresses.DataSources')
Ext.namespace('Lino.excerpts.Shortcuts')
Ext.namespace('Lino.cal.DisplayColors')
Ext.namespace('Lino.cal.Weekdays')
Ext.namespace('Lino.cal.YearMonths')
Ext.namespace('Lino.cal.DurationUnits')
Ext.namespace('Lino.cal.Recurrencies')
Ext.namespace('Lino.cal.AccessClasses')
Ext.namespace('Lino.cal.PlannerColumns')
Ext.namespace('Lino.cal.TaskStates')
Ext.namespace('Lino.cal.GuestStates')
Ext.namespace('Lino.cal.EventEvents')
Ext.namespace('Lino.cal.EntryStates')
Ext.namespace('Lino.cal.NotifyBeforeUnits')
Ext.namespace('Lino.clients.ClientEvents')
Ext.namespace('Lino.clients.ClientStates')
Ext.namespace('Lino.clients.KnownContactTypes')
Ext.namespace('Lino.outbox.RecipientTypes')
Ext.namespace('Lino.cal.ReservationStates')
Ext.namespace('Lino.notes.SpecialTypes')
Ext.namespace('Lino.cv.EducationEntryStates')
Ext.namespace('Lino.cv.HowWell')
Ext.namespace('Lino.cv.CefLevel')
Ext.namespace('Lino.beid.ResidenceTypes')
Ext.namespace('Lino.beid.BeIdCardTypes')
Ext.namespace('Lino.cbss.RequestStates')
Ext.namespace('Lino.cbss.ManageActions')
Ext.namespace('Lino.cbss.QueryRegisters')
Ext.namespace('Lino.cbss.RequestLanguages')
Ext.namespace('Lino.pcsw.RefusalReasons')
Ext.namespace('Lino.households.MemberDependencies')
Ext.namespace('Lino.households.MemberRoles')
Ext.namespace('Lino.isip.ContractEvents')
Ext.namespace('Lino.isip.OverlapGroups')
Ext.namespace('Lino.jobs.CandidatureStates')
Ext.namespace('Lino.sepa.AccountTypes')
Ext.namespace('Lino.art61.Subsidizations')
Ext.namespace('Lino.xcourses.CourseRequestStates')
Ext.namespace('Lino.humanlinks.LinkTypes')
Ext.namespace('Lino.debts.AccountTypes')
Ext.namespace('Lino.debts.TableLayouts')
Ext.namespace('Lino.aids.ConfirmationTypes')
Ext.namespace('Lino.aids.AidRegimes')
Ext.namespace('Lino.aids.ConfirmationStates')
Ext.namespace('Lino.esf.ParticipationCertificates')
Ext.namespace('Lino.esf.StatisticalFields')

// ChoiceLists: 
Lino.system.YesNo = [ [ "y", "Ja" ], [ "n", "Nein" ] ];
Lino.system.Genders = [ [ "M", "M\u00e4nnlich" ], [ "F", "Weiblich" ] ];
Lino.system.PeriodEvents = [ [ "10", "Beginnt" ], [ "20", "Ist aktiv" ], [ "30", "Ended" ] ];
Lino.system.DashboardLayouts = [  ];
Lino.checkdata.Checkers = [ [ "addresses.AddressOwnerChecker", "Adressen pr\u00fcfen" ], [ "aids.ConfirmationChecker", "Check for confirmations outside of granted period" ], [ "beid.SSINChecker", "Check for invalid SSINs" ], [ "cal.ConflictingEventsChecker", "Auf Termin\u00fcberschneidungen pr\u00fcfen" ], [ "cal.EventGuestChecker", "Termine ohne Teilnehmer" ], [ "cal.LongEntryChecker", "Dauer \u00fcberschreitende Kalendereintr\u00e4ge" ], [ "cal.ObsoleteEventTypeChecker", "Veraltete generierte Kalendereintr\u00e4ge" ], [ "coachings.ClientCoachingsChecker", "Begleitung pr\u00fcfen" ], [ "countries.PlaceChecker", "Check data of geographical places." ], [ "dupable_clients.SimilarClientsChecker", "Dublettenkontrolle" ], [ "finan.FinancialVoucherItemChecker", "Check for invalid account/partner combination" ], [ "isip.OverlappingContractsChecker", "auf Vertrags\u00fcberschneidungen pr\u00fcfen" ], [ "ledger.VoucherChecker", "Check integrity of ledger vouchers" ], [ "mixins.DupableChecker", "Sind die phonetischen W\u00f6rter aktualisiert?" ], [ "printing.CachedPrintableChecker", "Check for missing target files" ], [ "sepa.BankAccountChecker", "Check for partner mismatches in bank accounts" ], [ "system.BleachChecker", "Find unbleached html content" ], [ "uploads.UploadChecker", "Check metadata of upload files" ], [ "uploads.UploadsFolderChecker", "Find orphaned files in uploads folder" ] ];
Lino.printing.BuildMethods = [ [ "appydoc", "AppyDocBuildMethod" ], [ "appyodt", "AppyOdtBuildMethod" ], [ "appypdf", "AppyPdfBuildMethod" ], [ "appyrtf", "AppyRtfBuildMethod" ], [ "latex", "LatexBuildMethod" ], [ "rtf", "RtfBuildMethod" ], [ "weasy2html", "WeasyHtmlBuildMethod" ], [ "weasy2pdf", "WeasyPdfBuildMethod" ], [ "xml", "XmlBuildMethod" ] ];
Lino.users.UserTypes = [ [ "000", "000 (000 (Anonym))" ], [ "100", "100 (100 (Begleiter im DSBE))" ], [ "110", "110 (110 (Sozialarbeiter DSBE (Verwalter)))" ], [ "120", "120 (120 (Sozialarbeiter DSBE (flexibel)))" ], [ "200", "200 (200 (Berater Erstempfang))" ], [ "210", "210 (210 (Empfangsschalter))" ], [ "220", "220 (220 (Empfangsschalter (flexibel)))" ], [ "300", "300 (300 (Schuldenberater))" ], [ "400", "400 (400 (Sozi))" ], [ "410", "410 (410 (Sozialarbeiter (Verwalter)))" ], [ "420", "420 (420 (Sozialarbeiter ASD (flexibel)))" ], [ "500", "500 (500 (Buchhalter))" ], [ "510", "510 (510 (Buchhalter (Verwalter)))" ], [ "800", "800 (800 (Supervisor))" ], [ "900", "900 (900 (Verwalter))" ], [ "910", "910 (910 (Security advisor))" ] ];
Lino.about.TimeZones = [ [ "01", "UTC" ] ];
Lino.about.DateFormats = [ [ "010", "dd.mm.y" ], [ "020", "dd.mm.yy" ], [ "030", "dd/mm/y" ], [ "040", "dd/mm/yy" ] ];
Lino.xl.Priorities = [ [ "10", "Kritisch" ], [ "20", "Hoch" ], [ "30", "Normal" ], [ "40", "Niedrig" ], [ "50", "Very Low" ] ];
Lino.countries.PlaceTypes = [ [ "10", "Bundesland" ], [ "11", "Division" ], [ "12", "Region" ], [ "13", "Gemeinschaft" ], [ "14", "Territorium" ], [ "20", "Regierungsbezirk" ], [ "21", "Provinz" ], [ "22", "Grafschaft" ], [ "23", "Unterregion" ], [ "24", "Departement" ], [ "25", "Arrondissement" ], [ "26", "Pr\u00e4fektur" ], [ "27", "Distrikt" ], [ "28", "Sektor" ], [ "50", "Stadt" ], [ "51", "Kleinstadt" ], [ "52", "Gemeinde" ], [ "54", "Pfarre" ], [ "55", "Stadtteil" ], [ "56", "Viertel" ], [ "61", "Ortschaft" ], [ "62", "Kleine Ortschaft" ], [ "70", "Dorf" ] ];
Lino.uploads.Shortcuts = [ [ "pcsw.Client.id_document", "Identifizierendes Dokument" ] ];
Lino.uploads.UploadAreas = [ [ "10", "Vertrag" ], [ "90", "Allgemein" ] ];
Lino.ledger.DC = [ [ "D", "Debit" ], [ "C", "Kredit" ] ];
Lino.ledger.JournalGroups = [ [ "10", "Bestellungen Einkauf" ], [ "20", "Rechnungseing\u00e4nge" ], [ "30", "Forderungen" ], [ "40", "Ausgabeanweisungen" ], [ "50", "Zahlungsauftr\u00e4ge" ] ];
Lino.ledger.PeriodStates = [ [ "10", "In Bearbeitung" ], [ "20", "Abgeschlossen" ] ];
Lino.ledger.CommonAccounts = [ [ "1000", "Net income (loss)" ], [ "4000", "Kunden" ], [ "4100", "Lieferanten" ], [ "4200", "Angestellte" ], [ "4300", "Offene Zahlungsauftr\u00e4ge" ], [ "4450", "Auszuf\u00fchrende Ausgabeanweisungen" ], [ "4500", "Steuer\u00e4mter" ], [ "4510", "Geschuldete Mehrwertsteuer" ], [ "4513", "Deklarierte Mehrwertsteuer" ], [ "4520", "Abziehbare Mehrwertsteuer" ], [ "4530", "R\u00fcckzahlbare Mehrwertsteuer" ], [ "4800", "Internal clearings" ], [ "4810", "Granted aids" ], [ "4900", "Wartekonto" ], [ "5500", "BestBank" ], [ "5700", "Kasse" ], [ "6010", "Eink\u00e4ufe von Dienstleistungen" ], [ "6020", "Investierungsk\u00e4ufe" ], [ "6040", "Wareneink\u00e4ufe" ], [ "6300", "L\u00f6hne und Geh\u00e4lter" ], [ "6900", "Net income" ], [ "7000", "Verkauf" ], [ "7900", "Net loss" ] ];
Lino.ledger.VoucherTypes = [ [ "finan.BankStatementsByJournal", "Kontoauszug (finan.BankStatementsByJournal)" ], [ "finan.DisbursementOrdersByJournal", "Ausgabeanweisungen" ], [ "finan.JournalEntriesByJournal", "Diverse Buchung (finan.JournalEntriesByJournal)" ], [ "finan.PaymentOrdersByJournal", "Zahlungsauftrag (finan.PaymentOrdersByJournal)" ], [ "vatless.InvoicesByJournal", "Rechnungen" ], [ "vatless.ProjectInvoicesByJournal", "Project invoices" ] ];
Lino.ledger.TradeTypes = [ [ "P", "Einkauf" ], [ "A", "Hilfen" ], [ "C", "Begleichungen" ] ];
Lino.ledger.VoucherStates = [ [ "10", "Entwurf" ], [ "20", "Registriert" ], [ "30", "Unterschrieben" ], [ "40", "Storniert" ] ];
Lino.contacts.PartnerEvents = [ [ "has_open_movements", "Has open movements" ] ];
Lino.contacts.CivilStates = [ [ "10", "Ledig" ], [ "20", "Verheiratet" ], [ "30", "Verwitwet" ], [ "40", "Geschieden" ], [ "50", "Getrennt von Tisch und Bett" ], [ "51", "Faktisch getrennt" ], [ "60", "Zusammenwohnend" ] ];
Lino.notify.MessageTypes = [ [ "system", "Systemereignis" ], [ "change", "\u00c4nderung" ], [ "cal_event", "Calendar Event" ], [ "reception", "Empfang" ], [ "coachings", "Begleitungen" ], [ "notes", "Notes" ] ];
Lino.notify.MailModes = [ [ "silent", "Keine Benachrichtigungen" ], [ "never", "Keine E-Mails" ], [ "often", "Direkte E-Mail" ], [ "daily", "Eine E-Mail pro Tag" ], [ "weekly", "Eine E-Mail pro Woche" ] ];
Lino.changes.ChangeTypes = [ [ "C", "Erstellen" ], [ "U", "Aktualisierung" ], [ "D", "L\u00f6schen" ], [ "R", "Remove child" ], [ "A", "Add child" ], [ "M", "Fusionieren" ] ];
Lino.properties.DoYouLike = [ [ "0", "blo\u00df nicht" ], [ "1", "eher nicht" ], [ "2", "normal" ], [ "3", "gerne" ], [ "4", "sehr gerne" ] ];
Lino.properties.HowWell = [ [ "0", "gar nicht" ], [ "1", "ein bisschen" ], [ "2", "mittelm\u00e4\u00dfig" ], [ "3", "gut" ], [ "4", "sehr gut" ] ];
Lino.addresses.AddressTypes = [ [ "01", "Offizielle Adresse" ], [ "02", "Ungepr\u00fcfte Adresse" ], [ "03", "Deklarierte Addresse" ], [ "04", "Referenzadresse" ], [ "98", "Veraltet" ], [ "99", "Sonstige" ] ];
Lino.addresses.DataSources = [ [ "01", "Manuell eingegeben" ], [ "02", "Eingelesen von eID-Karte" ] ];
Lino.excerpts.Shortcuts = [ [ "pcsw.Client.cvs_emitted", "Erstellte Lebensl\u00e4ufe" ] ];
Lino.cal.DisplayColors = [ [ "White", "White" ], [ "Silver", "Silver" ], [ "Gray", "Gray" ], [ "Black", "Black" ], [ "Red", "Red" ], [ "Maroon", "Maroon" ], [ "Yellow", "Yellow" ], [ "Olive", "Olive" ], [ "Lime", "Lime" ], [ "Green", "Green" ], [ "Aqua", "Aqua" ], [ "Teal", "Teal" ], [ "Blue", "Blue" ], [ "Navy", "Navy" ], [ "Fuchsia", "Fuchsia" ], [ "Purple", "Purple" ] ];
Lino.cal.Weekdays = [ [ "1", "Montag" ], [ "2", "Dienstag" ], [ "3", "Mittwoch" ], [ "4", "Donnerstag" ], [ "5", "Freitag" ], [ "6", "Samstag" ], [ "7", "Sonntag" ] ];
Lino.cal.YearMonths = [ [ "1", "Januar" ], [ "2", "Februar" ], [ "3", "M\u00e4rz" ], [ "4", "April" ], [ "5", "Mai" ], [ "6", "Juni" ], [ "7", "Juli" ], [ "8", "August" ], [ "9", "September" ], [ "10", "Oktober" ], [ "11", "November" ], [ "12", "Dezember" ] ];
Lino.cal.DurationUnits = [ [ "s", "Sekunden" ], [ "m", "Minuten" ], [ "h", "Stunden" ], [ "D", "Tage" ], [ "W", "Wochen" ], [ "M", "Monate" ], [ "Y", "Jahre" ] ];
Lino.cal.Recurrencies = [ [ "O", "einmalig" ], [ "D", "t\u00e4glich" ], [ "W", "w\u00f6chentlich" ], [ "M", "monatlich" ], [ "Y", "j\u00e4hrlich" ], [ "P", "pro Wochentag" ], [ "E", "Beweglich mit Ostern" ] ];
Lino.cal.AccessClasses = [ [ "10", "Privat" ], [ "20", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")" ], [ "30", "\u00d6ffentlich" ] ];
Lino.cal.PlannerColumns = [ [ "10", "Extern" ], [ "20", "Intern" ] ];
Lino.cal.TaskStates = [ [ "10", "Zu tun" ], [ "15", "Wichtig" ], [ "20", "Begonnen" ], [ "30", "Erledigt" ], [ "50", "Storniert" ] ];
Lino.cal.GuestStates = [ [ "10", "Eingeladen" ], [ "20", "Zugesagt" ], [ "30", "Abgesagt" ], [ "40", "Anwesend" ], [ "44", "Wartet" ], [ "45", "Besch\u00e4ftigt" ], [ "46", "Gegangen" ], [ "50", "Abwesend" ], [ "60", "Entschuldigt" ] ];
Lino.cal.EventEvents = [ [ "10", "Stabil" ], [ "20", "Unstabil" ] ];
Lino.cal.EntryStates = [ [ "10", "Vorschlag" ], [ "20", "Entwurf" ], [ "40", "Ver\u00f6ffentlicht" ], [ "50", "Stattgefunden" ], [ "70", "Storniert" ] ];
Lino.cal.NotifyBeforeUnits = [ [ "10", "Minuten" ], [ "20", "Stunden" ], [ "30", "Tage" ], [ "40", "Wochen" ] ];
Lino.clients.ClientEvents = [ [ "created", "Erstellt" ], [ "modified", "Bearbeitet" ], [ "note", "Notiz" ], [ "dispense", "Dispenz" ], [ "penalty", "AG-Sperre" ], [ "active", "Begleitung" ], [ "isip", "VSE" ], [ "jobs", "Art.60\u00a77-Konvention" ], [ "available", "Verf\u00fcgbar" ], [ "art61", "Art.61-Konvention" ] ];
Lino.clients.ClientStates = [ [ "10", "Neuantrag" ], [ "20", "Abgelehnt" ], [ "30", "Begleitet" ], [ "50", "Ehemalig" ] ];
Lino.clients.KnownContactTypes = [ [ "10", "Begleiter" ], [ "20", "Sonstige" ] ];
Lino.outbox.RecipientTypes = [ [ "to", "Empf\u00e4nger" ], [ "cc", "Kopie an" ], [ "bcc", "Blindkopie an" ] ];
Lino.cal.ReservationStates = [  ];
Lino.notes.SpecialTypes = [ [ "100", "Erstgespr\u00e4ch" ] ];
Lino.cv.EducationEntryStates = [ [ "0", "Erfolgreich abgeschlossen" ], [ "1", "Abbruch" ], [ "2", "in Gang" ] ];
Lino.cv.HowWell = [ [ "0", "gar nicht" ], [ "1", "ein bisschen" ], [ "2", "mittelm\u00e4\u00dfig" ], [ "3", "gut" ], [ "4", "sehr gut" ] ];
Lino.cv.CefLevel = [ [ "A0", "A0" ], [ "A1", "A1" ], [ "A1+", "A1+" ], [ "A2", "A2" ], [ "A2+", "A2+" ], [ "B1", "B1" ], [ "B2", "B2" ], [ "B2+", "B2+" ], [ "C1", "C1" ], [ "C2", "C2" ], [ "C2+", "C2+" ] ];
Lino.beid.ResidenceTypes = [ [ "1", "Bev\u00f6lkerungsregister" ], [ "2", "Fremdenregister" ], [ "3", "Warteregister" ] ];
Lino.beid.BeIdCardTypes = [ [ "01", "Belgischer Staatsb\u00fcrger" ], [ "06", "Kind unter 12 Jahren" ], [ "11", "A (Bescheinigung der Eintragung im Ausl\u00e4nderregister - Vor\u00fcbergehender Aufenthalt)" ], [ "12", "B (Bescheinigung der Eintragung im Ausl\u00e4nderregister)" ], [ "13", "C (Personalausweis f\u00fcr Ausl\u00e4nder)" ], [ "14", "D (Daueraufenthalt - EG)" ], [ "15", "E (Anmeldebescheinigung)" ], [ "16", "E+" ], [ "17", "F (Aufenthaltskarte f\u00fcr Familienangeh\u00f6rige eines Unionsb\u00fcrgers)" ], [ "18", "F+" ], [ "99", "Eintragungsbescheinigung (Orange Karte)" ] ];
Lino.cbss.RequestStates = [ [ "10", "Versendet" ], [ "20", "Fehlgeschlagen" ], [ "25", "Validiert" ], [ "30", "OK" ], [ "40", "Warnungen" ], [ "50", "Fehlermeldungen" ] ];
Lino.cbss.ManageActions = [ [ "1", "Registrieren" ], [ "2", "Austragen" ], [ "3", "Auflisten" ] ];
Lino.cbss.QueryRegisters = [ [ "1", "Prim\u00e4r" ], [ "2", "Sekund\u00e4r" ], [ "3", "Alle" ] ];
Lino.cbss.RequestLanguages = [ [ "nl", "Niederl\u00e4ndisch" ], [ "fr", "Franz\u00f6sisch" ], [ "de", "Deutsch" ] ];
Lino.pcsw.RefusalReasons = [ [ "10", "Information (keine Begleitung erforderlich)" ], [ "20", "\u00d6SHZ ist nicht zust\u00e4ndig" ], [ "30", "Antragsteller ist nicht zur\u00fcck gekommen" ] ];
Lino.households.MemberDependencies = [ [ "01", "Zu Lasten" ], [ "02", "Nicht zu Lasten" ], [ "03", "Lasten geteilt" ] ];
Lino.households.MemberRoles = [ [ "01", "Vorstand" ], [ "02", "Ehepartner" ], [ "03", "Partner" ], [ "04", "Mitbewohner" ], [ "05", "Kind" ], [ "06", "Verwandt" ], [ "07", "Adoptivkind" ], [ "08", "Pflegekind" ], [ "10", "Sonstige" ] ];
Lino.isip.ContractEvents = [ [ "10", "Aktiv" ], [ "20", "Gestartet" ], [ "30", "Beendet" ], [ "40", "Beschlossen" ], [ "50", "Ausgestellt" ] ];
Lino.isip.OverlapGroups = [ [ "10", "Vorstrafen" ], [ "20", "Ausbildungen" ] ];
Lino.jobs.CandidatureStates = [ [ "10", "Aktiv" ], [ "20", "Probezeit" ], [ "25", "Probezeit ohne Erfolg" ], [ "27", "Arbeitet" ], [ "30", "Inaktiv" ] ];
Lino.sepa.AccountTypes = [ [ "01", "Giro" ], [ "02", "Sparkonto" ], [ "03", "Deposits" ], [ "04", "Sonstige" ] ];
Lino.art61.Subsidizations = [ [ "10", "Activa" ], [ "20", "Tutorate" ], [ "30", "Walloon Region" ], [ "40", "SINE" ], [ "50", "PTP" ] ];
Lino.xcourses.CourseRequestStates = [ [ "10", "Offen" ], [ "20", "Eingetragen" ], [ "30", "Bestanden" ], [ "40", "Gut bestanden" ], [ "50", "Nicht bestanden" ], [ "60", "Abgebrochen" ], [ "70", "Inaktiv" ] ];
Lino.humanlinks.LinkTypes = [ [ "01", "Vater (Mutter)" ], [ "02", "Adoptivvater (Adoptivmutter)" ], [ "03", "Gro\u00dfvater (Gro\u00dfmutter)" ], [ "05", "Ehemann (Ehefrau)" ], [ "06", "Freund (Freundin)" ], [ "07", "Partner (Partnerin)" ], [ "08", "Stiefvater (Stiefmutter)" ], [ "09", "Pflegevater (Pflegemutter)" ], [ "10", "Bruder (Schwester)" ], [ "11", "Vetter (Kusine)" ], [ "12", "Onkel (Tante)" ], [ "80", "Verwandter (Verwandte)" ], [ "90", "Sonstiger (Sonstige)" ] ];
Lino.debts.AccountTypes = [ [ "A", "Verm\u00f6gen" ], [ "L", "Verpflichtungen" ], [ "C", "Capital" ], [ "I", "Incomes" ], [ "E", "Ausgaben" ] ];
Lino.debts.TableLayouts = [ [ "10", "Description, remarks, yearly amount, actor amounts" ], [ "11", "Description, remarks, actor amounts" ], [ "20", "Partner, remarks, monthly rate, actor amounts" ], [ "30", "Full description, actor amounts" ], [ "40", "Debt-collector, partner, remarks, monthly rate, amounts" ] ];
Lino.aids.ConfirmationTypes = [ [ "aids.SimpleConfirmation", "Einfache Bescheinigung (aids.SimpleConfirmation)" ], [ "aids.IncomeConfirmation", "Einkommensbescheinigung (aids.IncomeConfirmation)" ], [ "aids.RefundConfirmation", "Kosten\u00fcbernahmeschein (aids.RefundConfirmation)" ] ];
Lino.aids.AidRegimes = [ [ "10", "Finanzielle Hilfen" ], [ "20", "Gesundheitshilfen" ], [ "30", "Sonstige Hilfen" ] ];
Lino.aids.ConfirmationStates = [ [ "01", "Unbest\u00e4tigt" ], [ "02", "Best\u00e4tigt" ] ];
Lino.esf.ParticipationCertificates = [ [ "10", "Epreuve d\u2019\u00e9valuation r\u00e9ussie sans titre sp\u00e9cifique" ] ];
Lino.esf.StatisticalFields = [ [ "10", "Informative sessions" ], [ "20", "Individual consultation" ], [ "21", "Evaluation of external training" ], [ "30", "Certified integration service" ], [ "40", "Level tests" ], [ "41", "IT basics" ], [ "42", "Mobility" ], [ "43", "Remedial teaching" ], [ "44", "Wake up!" ], [ "50", "Getting a professional situation" ], [ "60", "Cyber Job" ], [ "70", "Art 60\u00a77 job supplyment" ] ];

Lino.vatless.InvoicesByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var partner1 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(vatless.InvoicesByJournal.partner) ") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/partner" }) }) });
    var state2 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Belegzustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(vatless.InvoicesByJournal.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates) });
    var year3 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Gesch\u00e4ftsjahr ausw\u00e4hlen...", "fieldLabel": "Gesch\u00e4ftsjahr", "hiddenName": "yearHidden", "listeners": { "render": Lino.quicktip_renderer("Gesch\u00e4ftsjahr","(vatless.InvoicesByJournal.year) ") }, "name": "year", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.FiscalYears", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/year" }) }) });
    this.items = [ { "autoHeight": true, "flex": 35, "items": partner1, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": state2, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": year3, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ partner1, state2, year3 ];
    Lino.vatless.InvoicesByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.dashboard.Widgets.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user8 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(dashboard.Widgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/Widgets/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user8, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user8 ];
    Lino.dashboard.Widgets.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.IncomeConfirmations.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date11 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.IncomeConfirmations.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date12 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.IncomeConfirmations.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event13 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(aids.IncomeConfirmations.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var board14 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.IncomeConfirmations.board) Only rows decided by this board.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/board" }) }) });
    var signer15 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.IncomeConfirmations.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/signer" }) }) });
    var user16 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.IncomeConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/user" }) }), "value": null });
    var main_1_panel17 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": start_date11, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date12, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": observed_event13, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": board14, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer15, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user16, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type24 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.IncomeConfirmations.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/aid_type" }) }) });
    var state25 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(aids.IncomeConfirmations.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    var client26 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.IncomeConfirmations.client) ") }, "name": "client", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/client" }) }), "value": null });
    var gender27 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(aids.IncomeConfirmations.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var main_2_panel28 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": aid_type24, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": state25, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": client26, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": gender27, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel17, main_2_panel28 ];
    this.fields = [ start_date11, end_date12, observed_event13, board14, signer15, user16, aid_type24, state25, client26, gender27 ];
    Lino.aids.IncomeConfirmations.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var aged_from34 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(pcsw.Clients.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to35 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(pcsw.Clients.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var gender36 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(pcsw.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    var nationality37 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Staatsangeh\u00f6rigkeit", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(pcsw.Clients.nationality) ") }, "name": "nationality", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/nationality" }) }) });
    var also_obsolete38 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(pcsw.Clients.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var main_1_panel39 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": aged_from34, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": aged_to35, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": gender36, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": nationality37, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": also_obsolete38, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_state45 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(pcsw.Clients.client_state) ") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var coached_by46 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(pcsw.Clients.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/coached_by" }) }) });
    var and_coached_by47 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(pcsw.Clients.and_coached_by) Nur Klienten, die auch mit diesem Benutzer eine Begleitung haben.") }, "name": "and_coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/and_coached_by" }) }) });
    var start_date48 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(pcsw.Clients.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date49 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(pcsw.Clients.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event50 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(pcsw.Clients.observed_event) Extended filter criteria, e.g.:<br/>Active: All those who have some active coaching.") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientEvents) });
    var only_primary51 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur prim\u00e4re Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur prim\u00e4re Begleitungen","(pcsw.Clients.only_primary) Nur Klienten, die eine effektive <b>prim\u00e4re</b> Begleitung haben.") }, "name": "only_primary", "selectOnFocus": true });
    var main_2_panel52 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": client_state45, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": coached_by46, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": and_coached_by47, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": start_date48, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": end_date49, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": observed_event50, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": only_primary51, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel39, main_2_panel52 ];
    this.fields = [ aged_from34, aged_to35, gender36, nationality37, also_obsolete38, client_state45, coached_by46, and_coached_by47, start_date48, end_date49, observed_event50, only_primary51 ];
    Lino.pcsw.Clients.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.PaymentOrdersByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period61 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(finan.PaymentOrdersByJournal.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrdersByJournal/start_period" }) }) });
    var end_period62 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(finan.PaymentOrdersByJournal.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrdersByJournal/end_period" }) }) });
    var state63 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.PaymentOrdersByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates), "value": null });
    var user64 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.PaymentOrdersByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrdersByJournal/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": start_period61, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period62, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": state63, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user64, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period61, end_period62, state63, user64 ];
    Lino.finan.PaymentOrdersByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.FinancialVouchers.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var pjournal70 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "pjournalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.FinancialVouchers.pjournal) ") }, "name": "pjournal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/pjournal" }) }) });
    var pyear71 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Gesch\u00e4ftsjahr ausw\u00e4hlen...", "fieldLabel": "Gesch\u00e4ftsjahr", "hiddenName": "pyearHidden", "listeners": { "render": Lino.quicktip_renderer("Gesch\u00e4ftsjahr","(finan.FinancialVouchers.pyear) ") }, "name": "pyear", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.FiscalYears", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/pyear" }) }) });
    this.items = [ { "autoHeight": true, "flex": 50, "items": pjournal70, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": pyear71, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ pjournal70, pyear71 ];
    Lino.finan.FinancialVouchers.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Subscriptions.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user75 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.Subscriptions.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Subscriptions/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user75, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user75 ];
    Lino.cal.Subscriptions.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.MyEntries.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date78 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cal.MyEntries.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date79 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cal.MyEntries.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event80 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cal.MyEntries.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EventEvents) });
    var state81 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.MyEntries.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var main_1_panel82 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": start_date78, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_date79, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": observed_event80, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": state81, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user87 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.MyEntries.user) Der verantwortliche Benutzer.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/user" }) }), "value": null });
    var assigned_to88 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugewiesen zu</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Zugewiesen zu","(cal.MyEntries.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/assigned_to" }) }), "value": null });
    var project89 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.MyEntries.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/project" }) }), "value": null });
    var event_type90 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.MyEntries.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/event_type" }) }), "value": null });
    var room91 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.MyEntries.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/room" }) }), "value": null });
    var show_appointments92 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Termine</span>", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Termine","(cal.MyEntries.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_2_panel93 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": user87, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": assigned_to88, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": project89, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": event_type90, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": room91, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": show_appointments92, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel82, main_2_panel93 ];
    this.fields = [ start_date78, end_date79, observed_event80, state81, user87, assigned_to88, project89, event_type90, room91, show_appointments92 ];
    Lino.cal.MyEntries.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.AllVouchers.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var journal101 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(ledger.AllVouchers.journal) ") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllVouchers/journal" }) }) });
    var start_period102 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.AllVouchers.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllVouchers/start_period" }) }) });
    var end_period103 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(ledger.AllVouchers.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllVouchers/end_period" }) }) });
    var user104 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(ledger.AllVouchers.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllVouchers/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": journal101, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": start_period102, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period103, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user104, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ journal101, start_period102, end_period103, user104 ];
    Lino.ledger.AllVouchers.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobsOverviewByType.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var date110 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(jobs.JobsOverviewByType.date) ") }, "name": "date", "selectOnFocus": true });
    var contract_type111 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Art.60\u00a77-Konventionsart", "hiddenName": "contract_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionsart","(jobs.JobsOverviewByType.contract_type) ") }, "name": "contract_type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsOverviewByType/contract_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 39, "items": date110, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": contract_type111, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ date110, contract_type111 ];
    Lino.jobs.JobsOverviewByType.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Budgets.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user115 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(debts.Budgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user115, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user115 ];
    Lino.debts.Budgets.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.NewClients.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var client_state118 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(newcomers.NewClients.client_state) ") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var new_since119 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neue Klienten seit</span>", "listeners": { "render": Lino.quicktip_renderer("Neue Klienten seit","(newcomers.NewClients.new_since) Auch Klienten, die erst seit Kurzem begleitet sind.") }, "name": "new_since", "selectOnFocus": true });
    var also_obsolete120 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(newcomers.NewClients.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var coached_by121 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(newcomers.NewClients.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/coached_by" }) }) });
    this.items = [ { "autoHeight": true, "flex": 21, "items": client_state118, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": new_since119, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": also_obsolete120, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": coached_by121, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ client_state118, new_since119, also_obsolete120, coached_by121 ];
    Lino.newcomers.NewClients.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.integ.ActivityReport.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date127 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(integ.ActivityReport.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date128 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(integ.ActivityReport.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var include_jobs129 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Art. 60\u00a77", "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Art. 60\u00a77","(integ.ActivityReport.include_jobs) ") }, "name": "include_jobs", "selectOnFocus": true });
    var include_isip130 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "VSE", "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("VSE","(integ.ActivityReport.include_isip) ") }, "name": "include_isip", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "flex": 28, "items": start_date127, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": end_date128, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": include_jobs129, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": include_isip130, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date127, end_date128, include_jobs129, include_isip130 ];
    Lino.integ.ActivityReport.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.outbox.Mails.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var project136 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(outbox.Mails.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/project" }) }), "value": null });
    var user137 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Absender</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Absender","(outbox.Mails.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": project136, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": user137, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ project136, user137 ];
    Lino.outbox.Mails.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var request_state141 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "request_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.CourseRequests.request_state) ") }, "name": "request_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.xcourses.CourseRequestStates) });
    var course_content142 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "Kursinhalt", "hiddenName": "course_contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.CourseRequests.course_content) ") }, "name": "course_content", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/course_content" }) }) });
    var course_offer143 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "course_offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.CourseRequests.course_offer) ") }, "name": "course_offer", "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/course_offer" }) }) });
    var course_provider144 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "Kursanbieter", "hiddenName": "course_providerHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Kursanbieter","(xcourses.CourseRequests.course_provider) ") }, "name": "course_provider", "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/course_provider" }) }) });
    var coached_by145 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(xcourses.CourseRequests.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/coached_by" }) }) });
    var and_coached_by146 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(xcourses.CourseRequests.and_coached_by) Nur Klienten, die auch mit diesem Benutzer eine Begleitung haben.") }, "name": "and_coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/and_coached_by" }) }) });
    var nationality147 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Staatsangeh\u00f6rigkeit", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(xcourses.CourseRequests.nationality) ") }, "name": "nationality", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/nationality" }) }) });
    var observed_event148 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(xcourses.CourseRequests.observed_event) Extended filter criteria, e.g.:<br/>Active: All those who have some active coaching.") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientEvents) });
    var only_primary149 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur prim\u00e4re Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur prim\u00e4re Begleitungen","(xcourses.CourseRequests.only_primary) Nur Klienten, die eine effektive <b>prim\u00e4re</b> Begleitung haben.") }, "name": "only_primary", "selectOnFocus": true });
    var also_obsolete150 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(xcourses.CourseRequests.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var start_date151 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(xcourses.CourseRequests.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date152 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(xcourses.CourseRequests.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var aged_from153 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(xcourses.CourseRequests.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to154 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(xcourses.CourseRequests.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var client_state155 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.CourseRequests.client_state) ") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var client_contact_company156 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client contact organization</span>", "hiddenName": "client_contact_companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Client contact organization","(xcourses.CourseRequests.client_contact_company) Only clients having a contact with that organization") }, "name": "client_contact_company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/client_contact_company" }) }) });
    var gender157 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(xcourses.CourseRequests.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    this.items = [ { "autoHeight": true, "flex": 6, "items": request_state141, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": course_content142, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": course_offer143, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": course_provider144, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": coached_by145, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": and_coached_by146, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": nationality147, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": observed_event148, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 3, "items": only_primary149, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 3, "items": also_obsolete150, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": start_date151, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": end_date152, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 1, "items": aged_from153, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 1, "items": aged_to154, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 4, "items": client_state155, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": client_contact_company156, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 4, "items": gender157, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ request_state141, course_content142, course_offer143, course_provider144, coached_by145, and_coached_by146, nationality147, observed_event148, only_primary149, also_obsolete150, start_date151, end_date152, aged_from153, aged_to154, client_state155, client_contact_company156, gender157 ];
    Lino.xcourses.CourseRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.tinymce.TextFieldTemplates.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user176 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(tinymce.TextFieldTemplates.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/TextFieldTemplates/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user176, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user176 ];
    Lino.tinymce.TextFieldTemplates.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Studies.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date179 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cv.Studies.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date180 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cv.Studies.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event181 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cv.Studies.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    this.items = [ { "autoHeight": true, "flex": 31, "items": start_date179, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date180, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": observed_event181, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date179, end_date180, observed_event181 ];
    Lino.cv.Studies.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Contracts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user186 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(jobs.Contracts.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/user" }) }) });
    var type187 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(jobs.Contracts.type) ") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/type" }) }) });
    var start_date188 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(jobs.Contracts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date189 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(jobs.Contracts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event190 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(jobs.Contracts.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.ContractEvents) });
    var main_1_panel191 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user186, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": type187, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date188, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date189, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": observed_event190, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company197 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(jobs.Contracts.company) Only contracts with this company as partner.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/company" }) }) });
    var ending_success198 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erfolgreich abgeschlossen</span>", "forceSelection": true, "hiddenName": "ending_successHidden", "listeners": { "render": Lino.quicktip_renderer("Erfolgreich abgeschlossen","(jobs.Contracts.ending_success) Contrats termin\u00e9s avec succ\u00e8s.") }, "name": "ending_success", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var ending199 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beendigungsgrund</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(jobs.Contracts.ending) Nur Konventionen mit diesem Beendigungsgrund.") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/ending" }) }) });
    var main_2_panel200 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 36, "items": company197, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": ending_success198, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": ending199, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel191, main_2_panel200 ];
    this.fields = [ user186, type187, start_date188, end_date189, observed_event190, company197, ending_success198, ending199 ];
    Lino.jobs.Contracts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.Authorities.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user205 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(users.Authorities.user) The user who gives the right of representation. author of this\nauthority") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Authorities/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user205, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user205 ];
    Lino.users.Authorities.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.PartnerBalancesByTradeType.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period208 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.PartnerBalancesByTradeType.start_period) Start of observed period range") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerBalancesByTradeType/start_period" }) }) });
    var end_period209 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.PartnerBalancesByTradeType.end_period) Optional end of observed period range. Leave empty to consider only the Start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerBalancesByTradeType/end_period" }) }) });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_period208, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_period209, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period208, end_period209 ];
    Lino.ledger.PartnerBalancesByTradeType.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user213 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.RetrieveTIGroupsRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user213, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user213 ];
    Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.integ.ContractsPerUserAndContractType.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user_type216 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzerart", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(integ.ContractsPerUserAndContractType.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date217 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(integ.ContractsPerUserAndContractType.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date218 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(integ.ContractsPerUserAndContractType.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 69, "items": user_type216, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_date217, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_date218, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type216, start_date217, end_date218 ];
    Lino.integ.ContractsPerUserAndContractType.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Uploads.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var observed_event223 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "G\u00fcltigkeit", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltigkeit","(uploads.Uploads.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var start_date224 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(uploads.Uploads.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date225 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(uploads.Uploads.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var coached_by226 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(uploads.Uploads.coached_by) Show only uploads for clients coached by this user.") }, "name": "coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/coached_by" }) }) });
    var user227 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.Uploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/user" }) }), "value": null });
    var upload_type228 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art", "hiddenName": "upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.Uploads.upload_type) ") }, "name": "upload_type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/upload_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 20, "items": observed_event223, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": start_date224, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date225, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": coached_by226, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": user227, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": upload_type228, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ observed_event223, start_date224, end_date225, coached_by226, user227, upload_type228 ];
    Lino.uploads.Uploads.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.RefundConfirmations.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date236 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.RefundConfirmations.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date237 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.RefundConfirmations.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event238 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(aids.RefundConfirmations.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var board239 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.RefundConfirmations.board) Only rows decided by this board.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/board" }) }) });
    var signer240 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.RefundConfirmations.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/signer" }) }) });
    var user241 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.RefundConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/user" }) }), "value": null });
    var main_1_panel242 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": start_date236, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date237, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": observed_event238, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": board239, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer240, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user241, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type249 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.RefundConfirmations.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/aid_type" }) }) });
    var state250 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(aids.RefundConfirmations.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    var client251 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.RefundConfirmations.client) ") }, "name": "client", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/client" }) }), "value": null });
    var gender252 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(aids.RefundConfirmations.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var main_2_panel253 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": aid_type249, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": state250, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": client251, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": gender252, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel242, main_2_panel253 ];
    this.fields = [ start_date236, end_date237, observed_event238, board239, signer240, user241, aid_type249, state250, client251, gender252 ];
    Lino.aids.RefundConfirmations.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.EntriesByContract.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date259 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(isip.EntriesByContract.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date260 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(isip.EntriesByContract.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event261 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(isip.EntriesByContract.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EventEvents) });
    var show_appointments262 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Termine", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Termine","(isip.EntriesByContract.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var presence_guest263 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Gast", "hiddenName": "presence_guestHidden", "listeners": { "render": Lino.quicktip_renderer("Gast","(isip.EntriesByContract.presence_guest) ") }, "name": "presence_guest", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/presence_guest" }) }) });
    var user264 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(isip.EntriesByContract.user) Der verantwortliche Benutzer.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/user" }) }), "value": null });
    var assigned_to265 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugewiesen zu</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Zugewiesen zu","(isip.EntriesByContract.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/assigned_to" }) }), "value": null });
    var project266 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(isip.EntriesByContract.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/project" }) }), "value": null });
    var state267 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(isip.EntriesByContract.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var room268 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(isip.EntriesByContract.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/room" }) }), "value": null });
    var event_type269 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(isip.EntriesByContract.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/event_type" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 6, "items": start_date259, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": end_date260, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": observed_event261, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": show_appointments262, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": presence_guest263, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": user264, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": assigned_to265, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": project266, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": state267, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": room268, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": event_type269, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date259, end_date260, observed_event261, show_appointments262, presence_guest263, user264, assigned_to265, project266, state267, room268, event_type269 ];
    Lino.isip.EntriesByContract.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.MyMovements.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period282 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.MyMovements.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MyMovements/start_period" }) }) });
    var end_period283 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(ledger.MyMovements.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MyMovements/end_period" }) }) });
    var start_date284 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(ledger.MyMovements.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date285 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.MyMovements.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var cleared286 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beglichene Bewegungen zeigen", "forceSelection": true, "hiddenName": "clearedHidden", "listeners": { "render": Lino.quicktip_renderer("Beglichene Bewegungen zeigen","(ledger.MyMovements.cleared) ") }, "name": "cleared", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_1_panel287 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": start_period282, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_period283, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date284, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date285, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": cleared286, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel287 ];
    this.fields = [ start_period282, end_period283, start_date284, end_date285, cleared286 ];
    Lino.ledger.MyMovements.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.AccountingPeriods.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date294 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.AccountingPeriods.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date295 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.AccountingPeriods.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_date294, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date295, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date294, end_date295 ];
    Lino.ledger.AccountingPeriods.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Events.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user299 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.Events.user) Der verantwortliche Benutzer.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/user" }) }), "value": null });
    var event_type300 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.Events.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/event_type" }) }), "value": null });
    var room301 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.Events.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/room" }) }), "value": null });
    var project302 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Events.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/project" }) }), "value": null });
    var presence_guest303 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gast</span>", "hiddenName": "presence_guestHidden", "listeners": { "render": Lino.quicktip_renderer("Gast","(cal.Events.presence_guest) ") }, "name": "presence_guest", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/presence_guest" }) }) });
    this.items = [ { "autoHeight": true, "flex": 20, "items": user299, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": event_type300, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": room301, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": project302, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": presence_guest303, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user299, event_type300, room301, project302, presence_guest303 ];
    Lino.cal.Events.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Debtors.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var today310 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Situation am</span>", "listeners": { "render": Lino.quicktip_renderer("Situation am","(ledger.Debtors.today) Date of observation") }, "name": "today", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": today310, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ today310 ];
    Lino.ledger.Debtors.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.ExperiencesByOffer.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date313 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(jobs.ExperiencesByOffer.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date314 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(jobs.ExperiencesByOffer.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_date313, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date314, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date313, end_date314 ];
    Lino.jobs.ExperiencesByOffer.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.RecurrentEvents.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user318 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.RecurrentEvents.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user318, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user318 ];
    Lino.cal.RecurrentEvents.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.DelegatedTasksByContract.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date321 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(isip.DelegatedTasksByContract.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date322 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(isip.DelegatedTasksByContract.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user323 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(isip.DelegatedTasksByContract.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/DelegatedTasksByContract/user" }) }), "value": null });
    var project324 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(isip.DelegatedTasksByContract.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/DelegatedTasksByContract/project" }) }), "value": null });
    var state325 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(isip.DelegatedTasksByContract.state) The state of this Task. one of TaskStates.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.TaskStates), "value": null });
    this.items = [ { "autoHeight": true, "flex": 16, "items": start_date321, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date322, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user323, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": project324, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": state325, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date321, end_date322, user323, project324, state325 ];
    Lino.isip.DelegatedTasksByContract.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Trainings.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date332 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cv.Trainings.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date333 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cv.Trainings.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event334 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cv.Trainings.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    this.items = [ { "autoHeight": true, "flex": 31, "items": start_date332, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date333, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": observed_event334, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date332, end_date333, observed_event334 ];
    Lino.cv.Trainings.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.Competences.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user339 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzer</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(newcomers.Competences.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/Competences/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user339, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user339 ];
    Lino.newcomers.Competences.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var gender342 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(contacts.Persons.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    var also_obsolete343 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(contacts.Persons.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var main_1_panel344 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 52, "items": gender342, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": also_obsolete343, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel344 ];
    this.fields = [ gender342, also_obsolete343 ];
    Lino.contacts.Persons.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.addresses.Addresses.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var place348 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ort</span>", "hiddenName": "placeHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ort","(addresses.Addresses.place) ") }, "name": "place", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/place" }) }) });
    var partner349 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(addresses.Addresses.partner) ") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/partner" }) }), "value": null });
    var address_type350 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adressenart</span>", "forceSelection": true, "hiddenName": "address_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Adressenart","(addresses.Addresses.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "name": "address_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.addresses.AddressTypes), "value": null });
    this.items = [ { "autoHeight": true, "flex": 31, "items": place348, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": partner349, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": address_type350, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ place348, partner349, address_type350 ];
    Lino.addresses.Addresses.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.coachings.Coachings.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date355 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(coachings.Coachings.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date356 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(coachings.Coachings.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event357 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(coachings.Coachings.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var coached_by358 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(coachings.Coachings.coached_by) Nur Begleitungen dieses Benutzers.") }, "name": "coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/coached_by" }) }) });
    var and_coached_by359 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(coachings.Coachings.and_coached_by) ... und auch Begleitungen dieses Benutzers.") }, "name": "and_coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/and_coached_by" }) }) });
    var main_1_panel360 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 13, "items": start_date355, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": end_date356, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": observed_event357, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": coached_by358, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": and_coached_by359, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var primary_coachings366 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Prim\u00e4re Begleitungen</span>", "forceSelection": true, "hiddenName": "primary_coachingsHidden", "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4re Begleitungen","(coachings.Coachings.primary_coachings) Accompagnements primaires.") }, "name": "primary_coachings", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var coaching_type367 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Dienst ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dienst</span>", "hiddenName": "coaching_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Dienst","(coachings.Coachings.coaching_type) Nur Begleitungen dieses Dienstes.") }, "name": "coaching_type", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/coaching_type" }) }) });
    var ending368 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.coachings.CoachingEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beendigungsgrund</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(coachings.Coachings.ending) Nur Begleitungen mit diesem Beendigungsgrund.") }, "name": "ending", "pageSize": 20, "related_actor_id": "coachings.CoachingEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/ending" }) }) });
    var main_2_panel369 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": primary_coachings366, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": coaching_type367, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": ending368, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel360, main_2_panel369 ];
    this.fields = [ start_date355, end_date356, observed_event357, coached_by358, and_coached_by359, primary_coachings366, coaching_type367, ending368 ];
    Lino.coachings.Coachings.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.integ.Clients.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var client_state374 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(integ.Clients.client_state) ") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var coached_by375 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(integ.Clients.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/coached_by" }) }) });
    var and_coached_by376 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(integ.Clients.and_coached_by) Nur Klienten, die auch mit diesem Benutzer eine Begleitung haben.") }, "name": "and_coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/and_coached_by" }) }) });
    var start_date377 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(integ.Clients.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date378 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(integ.Clients.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event379 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(integ.Clients.observed_event) Extended filter criteria, e.g.:<br/>Active: All those who have some active coaching.") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientEvents) });
    var main_1_panel380 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 12, "items": client_state374, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": coached_by375, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": and_coached_by376, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": start_date377, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": end_date378, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": observed_event379, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aged_from387 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(integ.Clients.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to388 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(integ.Clients.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var gender389 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(integ.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    var nationality390 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Staatsangeh\u00f6rigkeit", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(integ.Clients.nationality) ") }, "name": "nationality", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/nationality" }) }) });
    var also_obsolete391 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(integ.Clients.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var main_2_panel392 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": aged_from387, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": aged_to388, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": gender389, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": nationality390, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": also_obsolete391, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var language398 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.languages.Languages.detail", "emptyText": "Sprache ausw\u00e4hlen...", "fieldLabel": "Sprachkenntnis", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprachkenntnis","(integ.Clients.language) ") }, "name": "language", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/language" }) }) });
    var wanted_property399 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.Properties.detail", "emptyText": "Eigenschaft ausw\u00e4hlen...", "fieldLabel": "Erw\u00fcnschte Eigenschaft", "hiddenName": "wanted_propertyHidden", "listeners": { "render": Lino.quicktip_renderer("Erw\u00fcnschte Eigenschaft","(integ.Clients.wanted_property) ") }, "name": "wanted_property", "pageSize": 20, "related_actor_id": "properties.Properties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/wanted_property" }) }) });
    var group400 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Integrationsphase ausw\u00e4hlen...", "fieldLabel": "Integrationsphase", "hiddenName": "groupHidden", "listeners": { "render": Lino.quicktip_renderer("Integrationsphase","(integ.Clients.group) ") }, "name": "group", "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/group" }) }) });
    var only_active401 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur aktive Klienten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur aktive Klienten","(integ.Clients.only_active) Show only clients in 'active' integration phases") }, "name": "only_active", "selectOnFocus": true });
    var only_primary402 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur prim\u00e4re Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur prim\u00e4re Begleitungen","(integ.Clients.only_primary) Nur Klienten, die eine effektive <b>prim\u00e4re</b> Begleitung haben.") }, "name": "only_primary", "selectOnFocus": true });
    var main_3_panel403 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": language398, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": wanted_property399, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": group400, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": only_active401, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": only_primary402, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel380, main_2_panel392, main_3_panel403 ];
    this.fields = [ client_state374, coached_by375, and_coached_by376, start_date377, end_date378, observed_event379, aged_from387, aged_to388, gender389, nationality390, also_obsolete391, language398, wanted_property399, group400, only_active401, only_primary402 ];
    Lino.integ.Clients.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.OneEvent.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user410 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.OneEvent.user) Der verantwortliche Benutzer.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/user" }) }), "value": null });
    var event_type411 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.OneEvent.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/event_type" }) }), "value": null });
    var room412 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.OneEvent.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/room" }) }), "value": null });
    var project413 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.OneEvent.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/project" }) }), "value": null });
    var presence_guest414 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gast</span>", "hiddenName": "presence_guestHidden", "listeners": { "render": Lino.quicktip_renderer("Gast","(cal.OneEvent.presence_guest) ") }, "name": "presence_guest", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/presence_guest" }) }) });
    this.items = [ { "autoHeight": true, "flex": 20, "items": user410, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": event_type411, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": room412, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": project413, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": presence_guest414, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user410, event_type411, room412, project413, presence_guest414 ];
    Lino.cal.OneEvent.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.PartnerVouchers.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var partner421 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(ledger.PartnerVouchers.partner) ") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/partner" }) }) });
    var project422 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(ledger.PartnerVouchers.project) ") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/project" }) }) });
    var state423 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Belegzustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(ledger.PartnerVouchers.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates) });
    var journal424 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(ledger.PartnerVouchers.journal) ") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/journal" }) }) });
    var start_period425 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.PartnerVouchers.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/start_period" }) }) });
    var end_period426 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(ledger.PartnerVouchers.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/end_period" }) }) });
    var cleared427 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beglichene Bewegungen zeigen", "forceSelection": true, "hiddenName": "clearedHidden", "listeners": { "render": Lino.quicktip_renderer("Beglichene Bewegungen zeigen","(ledger.PartnerVouchers.cleared) ") }, "name": "cleared", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    this.items = [ { "autoHeight": true, "flex": 15, "items": partner421, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": project422, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": state423, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": journal424, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_period425, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_period426, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": cleared427, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ partner421, project422, state423, journal424, start_period425, end_period426, cleared427 ];
    Lino.ledger.PartnerVouchers.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.AvailableCoaches.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var for_client436 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Zeige Vorschl\u00e4ge f\u00fcr", "hiddenName": "for_clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Zeige Vorschl\u00e4ge f\u00fcr","(newcomers.AvailableCoaches.for_client) ") }, "name": "for_client", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/AvailableCoaches/for_client" }) }) });
    var since437 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neue Klienten seit</span>", "listeners": { "render": Lino.quicktip_renderer("Neue Klienten seit","(newcomers.AvailableCoaches.since) Neue Klienten sind die, deren Begleitung nach diesem Datum beginnt") }, "name": "since", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "flex": 60, "items": for_client436, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": since437, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ for_client436, since437 ];
    Lino.newcomers.AvailableCoaches.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.checkdata.Problems.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user441 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(checkdata.Problems.user) The user responsible for fixing this\nproblem.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Problems/user" }) }), "value": null });
    var checker442 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Checker</span>", "forceSelection": true, "hiddenName": "checkerHidden", "listeners": { "render": Lino.quicktip_renderer("Checker","(checkdata.Problems.checker) The Checker that reported this\nproblem.") }, "name": "checker", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.checkdata.Checkers), "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": user441, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": checker442, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user441, checker442 ];
    Lino.checkdata.Problems.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.CandidaturesByOffer.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var state446 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kandidatur-Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Kandidatur-Zustand","(jobs.CandidaturesByOffer.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.jobs.CandidatureStates), "value": null });
    var job447 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Stelle ausw\u00e4hlen...", "fieldLabel": "Stelle", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Stelle","(jobs.CandidaturesByOffer.job) ") }, "name": "job", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/job" }) }), "value": null });
    var function448 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.CandidaturesByOffer.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/function" }) }), "value": null });
    var person449 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(jobs.CandidaturesByOffer.person) ") }, "name": "person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/person" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 28, "items": state446, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": job447, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": function448, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": person449, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ state446, job447, function448, person449 ];
    Lino.jobs.CandidaturesByOffer.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.notify.Messages.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user455 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger","(notify.Messages.user) The recipient of this message. The site user to whom this\nmessage is to be delivered.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/Messages/user" }) }), "value": null });
    var show_seen456 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gelesen", "forceSelection": true, "hiddenName": "show_seenHidden", "listeners": { "render": Lino.quicktip_renderer("Gelesen","(notify.Messages.show_seen) ") }, "name": "show_seen", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var start_date457 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(notify.Messages.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date458 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(notify.Messages.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 32, "items": user455, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": show_seen456, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": start_date457, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": end_date458, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user455, show_seen456, start_date457, end_date458 ];
    Lino.notify.Messages.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Experiences.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date464 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cv.Experiences.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date465 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cv.Experiences.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event466 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cv.Experiences.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    this.items = [ { "autoHeight": true, "flex": 31, "items": start_date464, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date465, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": observed_event466, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date464, end_date465, observed_event466 ];
    Lino.cv.Experiences.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.IdentifyPersonRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user471 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.IdentifyPersonRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user471, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user471 ];
    Lino.cbss.IdentifyPersonRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Partners.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var observed_event474 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(contacts.Partners.observed_event) Extended filter criteria") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.PartnerEvents) });
    var start_date475 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(contacts.Partners.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date476 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(contacts.Partners.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 44, "items": observed_event474, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": start_date475, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": end_date476, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ observed_event474, start_date475, end_date476 ];
    Lino.contacts.Partners.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.UsersOverview.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user_type481 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzerart", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.UsersOverview.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date482 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(users.UsersOverview.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date483 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(users.UsersOverview.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 69, "items": user_type481, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_date482, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_date483, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type481, start_date482, end_date483 ];
    Lino.users.UsersOverview.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.DisbursementOrdersByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period488 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(finan.DisbursementOrdersByJournal.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/start_period" }) }) });
    var end_period489 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(finan.DisbursementOrdersByJournal.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/end_period" }) }) });
    var state490 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.DisbursementOrdersByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates), "value": null });
    var user491 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.DisbursementOrdersByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": start_period488, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period489, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": state490, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user491, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period488, end_period489, state490, user491 ];
    Lino.finan.DisbursementOrdersByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Accounts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var common_account497 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gemeinkonto", "forceSelection": true, "hiddenName": "common_accountHidden", "listeners": { "render": Lino.quicktip_renderer("Gemeinkonto","(ledger.Accounts.common_account) ") }, "name": "common_account", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.CommonAccounts), "value": null });
    this.items = [ { "autoHeight": true, "items": common_account497, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ common_account497 ];
    Lino.ledger.Accounts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.JournalEntriesByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period500 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(finan.JournalEntriesByJournal.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntriesByJournal/start_period" }) }) });
    var end_period501 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(finan.JournalEntriesByJournal.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntriesByJournal/end_period" }) }) });
    var state502 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.JournalEntriesByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates), "value": null });
    var user503 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.JournalEntriesByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntriesByJournal/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": start_period500, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period501, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": state502, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user503, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period500, end_period501, state502, user503 ];
    Lino.finan.JournalEntriesByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Tasks.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date509 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cal.Tasks.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date510 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cal.Tasks.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user511 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.Tasks.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/user" }) }), "value": null });
    var state512 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.Tasks.state) The state of this Task. one of TaskStates.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.TaskStates), "value": null });
    var project513 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Tasks.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/project" }) }), "value": null });
    var main_1_panel514 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": start_date509, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date510, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user511, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": state512, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": project513, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel514 ];
    this.fields = [ start_date509, end_date510, user511, state512, project513 ];
    Lino.cal.Tasks.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Movements.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period521 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.Movements.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/start_period" }) }) });
    var end_period522 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(ledger.Movements.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/end_period" }) }) });
    var start_date523 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(ledger.Movements.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date524 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.Movements.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var cleared525 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beglichene Bewegungen zeigen", "forceSelection": true, "hiddenName": "clearedHidden", "listeners": { "render": Lino.quicktip_renderer("Beglichene Bewegungen zeigen","(ledger.Movements.cleared) ") }, "name": "cleared", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_1_panel526 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": start_period521, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_period522, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date523, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date524, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": cleared525, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var journal_group532 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Journalgruppe", "forceSelection": true, "hiddenName": "journal_groupHidden", "listeners": { "render": Lino.quicktip_renderer("Journalgruppe","(ledger.Movements.journal_group) ") }, "name": "journal_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.JournalGroups) });
    var journal533 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(ledger.Movements.journal) ") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/journal" }) }) });
    var year534 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Gesch\u00e4ftsjahr ausw\u00e4hlen...", "fieldLabel": "Gesch\u00e4ftsjahr", "hiddenName": "yearHidden", "listeners": { "render": Lino.quicktip_renderer("Gesch\u00e4ftsjahr","(ledger.Movements.year) ") }, "name": "year", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.FiscalYears", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/year" }) }) });
    var project535 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(ledger.Movements.project) ") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/project" }) }) });
    var partner536 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(ledger.Movements.partner) ") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/partner" }) }) });
    var account537 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "Haushaltsartikel", "hiddenName": "accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Haushaltsartikel","(ledger.Movements.account) ") }, "name": "account", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/account" }) }) });
    var main_2_panel538 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 18, "items": journal_group532, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": journal533, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": year534, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": project535, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": partner536, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": account537, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel526, main_2_panel538 ];
    this.fields = [ start_period521, end_period522, start_date523, end_date524, cleared525, journal_group532, journal533, year534, project535, partner536, account537 ];
    Lino.ledger.Movements.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.AllEntries.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date546 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cal.AllEntries.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date547 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cal.AllEntries.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event548 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cal.AllEntries.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EventEvents) });
    var state549 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.AllEntries.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var main_1_panel550 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": start_date546, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_date547, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": observed_event548, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": state549, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user555 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.AllEntries.user) Der verantwortliche Benutzer.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/user" }) }), "value": null });
    var assigned_to556 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugewiesen zu</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Zugewiesen zu","(cal.AllEntries.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/assigned_to" }) }), "value": null });
    var project557 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.AllEntries.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/project" }) }), "value": null });
    var event_type558 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.AllEntries.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/event_type" }) }), "value": null });
    var room559 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.AllEntries.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/room" }) }), "value": null });
    var show_appointments560 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Termine</span>", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Termine","(cal.AllEntries.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_2_panel561 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": user555, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": assigned_to556, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": project557, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": event_type558, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": room559, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": show_appointments560, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel550, main_2_panel561 ];
    this.fields = [ start_date546, end_date547, observed_event548, state549, user555, assigned_to556, project557, event_type558, room559, show_appointments560 ];
    Lino.cal.AllEntries.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.Notes.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var project569 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(notes.Notes.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/project" }) }), "value": null });
    var user570 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(notes.Notes.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": project569, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": user570, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ project569, user570 ];
    Lino.notes.Notes.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.ExpectedMovements.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var trade_type574 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handelsart</span>", "forceSelection": true, "hiddenName": "trade_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Handelsart","(ledger.ExpectedMovements.trade_type) ") }, "name": "trade_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.TradeTypes) });
    var date_until575 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum bis</span>", "listeners": { "render": Lino.quicktip_renderer("Datum bis","(ledger.ExpectedMovements.date_until) ") }, "name": "date_until", "selectOnFocus": true });
    var from_journal576 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "from_journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(ledger.ExpectedMovements.from_journal) ") }, "name": "from_journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/from_journal" }) }) });
    var for_journal577 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleichbar durch</span>", "hiddenName": "for_journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Begleichbar durch","(ledger.ExpectedMovements.for_journal) ") }, "name": "for_journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/for_journal" }) }) });
    var main_1_panel578 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": trade_type574, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": date_until575, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": from_journal576, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": for_journal577, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var project583 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(ledger.ExpectedMovements.project) ") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/project" }) }) });
    var partner584 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(ledger.ExpectedMovements.partner) ") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/partner" }) }) });
    var account585 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsartikel</span>", "hiddenName": "accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Haushaltsartikel","(ledger.ExpectedMovements.account) ") }, "name": "account", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/account" }) }) });
    var show_sepa586 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Mit SEPA</span>", "forceSelection": true, "hiddenName": "show_sepaHidden", "listeners": { "render": Lino.quicktip_renderer("Mit SEPA","(ledger.ExpectedMovements.show_sepa) ") }, "name": "show_sepa", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var same_dc587 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Same D/C</span>", "forceSelection": true, "hiddenName": "same_dcHidden", "listeners": { "render": Lino.quicktip_renderer("Same D/C","(ledger.ExpectedMovements.same_dc) ") }, "name": "same_dc", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_2_panel588 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": project583, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": partner584, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": account585, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": show_sepa586, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": same_dc587, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel578, main_2_panel588 ];
    this.fields = [ trade_type574, date_until575, from_journal576, for_journal577, project583, partner584, account585, show_sepa586, same_dc587 ];
    Lino.ledger.ExpectedMovements.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.changes.Changes.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var date595 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Only changes from", "listeners": { "render": Lino.quicktip_renderer("Only changes from","(changes.Changes.date) ") }, "name": "date", "selectOnFocus": true });
    var user596 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(changes.Changes.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/user" }) }) });
    var change_type597 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00c4nderungsart", "forceSelection": false, "hiddenName": "change_typeHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c4nderungsart","(changes.Changes.change_type) ") }, "name": "change_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.changes.ChangeTypes) });
    var object_type598 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.gfks.ContentTypes.detail", "emptyText": "Datenbankmodell ausw\u00e4hlen...", "fieldLabel": "Object type", "hiddenName": "object_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Object type","(changes.Changes.object_type) ") }, "name": "object_type", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/object_type" }) }) });
    var object_id599 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "Object ID", "hiddenName": "object_idHidden", "listeners": { "render": Lino.quicktip_renderer("Object ID","(changes.Changes.object_id) ") }, "name": "object_id", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/object_id" }) }) });
    var main_1_panel600 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": date595, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user596, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": change_type597, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": object_type598, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": object_id599, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel600 ];
    this.fields = [ date595, user596, change_type597, object_type598, object_id599 ];
    Lino.changes.Changes.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.ManageAccessRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user607 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.ManageAccessRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user607, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user607 ];
    Lino.cbss.ManageAccessRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.Excerpts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date610 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(excerpts.Excerpts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date611 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(excerpts.Excerpts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var pcertifying612 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Certifying excerpts", "forceSelection": true, "hiddenName": "pcertifyingHidden", "listeners": { "render": Lino.quicktip_renderer("Certifying excerpts","(excerpts.Excerpts.pcertifying) ") }, "name": "pcertifying", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_1_panel613 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 31, "items": start_date610, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date611, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": pcertifying612, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user617 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(excerpts.Excerpts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/user" }) }), "value": null });
    var excerpt_type618 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.excerpts.ExcerptTypes.detail", "emptyText": "Auszugsart ausw\u00e4hlen...", "fieldLabel": "Auszugsart", "hiddenName": "excerpt_typeHidden", "insert_action": "Lino.excerpts.ExcerptTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Auszugsart","(excerpts.Excerpts.excerpt_type) ") }, "name": "excerpt_type", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/excerpt_type" }) }) });
    var main_2_panel619 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": user617, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": excerpt_type618, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel613, main_2_panel619 ];
    this.fields = [ start_date610, end_date611, pcertifying612, user617, excerpt_type618 ];
    Lino.excerpts.Excerpts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Candidatures.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var state623 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kandidatur-Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Kandidatur-Zustand","(jobs.Candidatures.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.jobs.CandidatureStates), "value": null });
    var job624 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Stelle ausw\u00e4hlen...", "fieldLabel": "Stelle", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Stelle","(jobs.Candidatures.job) ") }, "name": "job", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Candidatures/job" }) }), "value": null });
    var function625 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.Candidatures.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Candidatures/function" }) }), "value": null });
    var person626 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(jobs.Candidatures.person) ") }, "name": "person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Candidatures/person" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 28, "items": state623, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": job624, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": function625, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": person626, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ state623, job624, function625, person626 ];
    Lino.jobs.Candidatures.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.FiscalYears.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date632 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.FiscalYears.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date633 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.FiscalYears.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_date632, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date633, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date632, end_date633 ];
    Lino.ledger.FiscalYears.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.Grantings.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var board637 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.Grantings.board) Only rows decided by this board.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/board" }) }) });
    var aid_type638 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.Grantings.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/aid_type" }) }) });
    var user639 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.Grantings.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/user" }) }), "value": null });
    var signer640 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.Grantings.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/signer" }) }) });
    var state641 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(aids.Grantings.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    this.items = [ { "autoHeight": true, "flex": 21, "items": board637, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": aid_type638, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user639, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer640, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": state641, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ board637, aid_type638, user639, signer640, state641 ];
    Lino.aids.Grantings.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date648 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(cal.Guests.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date649 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cal.Guests.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user650 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(cal.Guests.user) Only rows managed by this user.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/user" }) }) });
    var event_state651 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand Termin</span>", "forceSelection": true, "hiddenName": "event_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand Termin","(cal.Guests.event_state) Only rows on calendar entries having this state.") }, "name": "event_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates) });
    var guest_state652 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand Gast</span>", "forceSelection": true, "hiddenName": "guest_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand Gast","(cal.Guests.guest_state) Only rows having this guest state.") }, "name": "guest_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.GuestStates) });
    var main_1_panel653 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": start_date648, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date649, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user650, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": event_state651, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": guest_state652, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var project659 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Guests.project) ") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/project" }) }) });
    var partner660 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "forceSelection": false, "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(cal.Guests.partner) ") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/partner" }) }) });
    var main_2_panel661 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": project659, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": partner660, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel653, main_2_panel661 ];
    this.fields = [ start_date648, end_date649, user650, event_state651, guest_state652, project659, partner660 ];
    Lino.cal.Guests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.Invoices.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var partner665 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(vatless.Invoices.partner) ") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/partner" }) }) });
    var project666 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(vatless.Invoices.project) ") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/project" }) }) });
    var state667 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Belegzustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(vatless.Invoices.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates) });
    var journal668 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(vatless.Invoices.journal) ") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/journal" }) }) });
    var start_period669 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(vatless.Invoices.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/start_period" }) }) });
    var end_period670 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(vatless.Invoices.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/end_period" }) }) });
    var cleared671 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beglichene Bewegungen zeigen", "forceSelection": true, "hiddenName": "clearedHidden", "listeners": { "render": Lino.quicktip_renderer("Beglichene Bewegungen zeigen","(vatless.Invoices.cleared) ") }, "name": "cleared", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    this.items = [ { "autoHeight": true, "flex": 15, "items": partner665, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": project666, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": state667, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": journal668, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_period669, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_period670, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": cleared671, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ partner665, project666, state667, journal668, start_period669, end_period670, cleared671 ];
    Lino.vatless.Invoices.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user_type680 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzerart", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.AllUsers.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date681 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(users.AllUsers.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date682 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(users.AllUsers.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 69, "items": user_type680, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_date681, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_date682, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type680, start_date681, end_date682 ];
    Lino.users.AllUsers.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Creditors.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var today687 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Situation am</span>", "listeners": { "render": Lino.quicktip_renderer("Situation am","(ledger.Creditors.today) Date of observation") }, "name": "today", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": today687, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ today687 ];
    Lino.ledger.Creditors.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.Me.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user_type690 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzerart", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.Me.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date691 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(users.Me.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date692 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(users.Me.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 69, "items": user_type690, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_date691, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_date692, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type690, start_date691, end_date692 ];
    Lino.users.Me.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.SimpleConfirmations.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date697 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.SimpleConfirmations.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date698 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.SimpleConfirmations.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event699 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(aids.SimpleConfirmations.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var board700 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.SimpleConfirmations.board) Only rows decided by this board.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/board" }) }) });
    var signer701 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.SimpleConfirmations.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/signer" }) }) });
    var user702 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.SimpleConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/user" }) }), "value": null });
    var main_1_panel703 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": start_date697, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date698, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": observed_event699, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": board700, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer701, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user702, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type710 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.SimpleConfirmations.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/aid_type" }) }) });
    var state711 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(aids.SimpleConfirmations.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    var client712 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.SimpleConfirmations.client) ") }, "name": "client", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/client" }) }), "value": null });
    var gender713 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(aids.SimpleConfirmations.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var main_2_panel714 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": aid_type710, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": state711, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": client712, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": gender713, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel703, main_2_panel714 ];
    this.fields = [ start_date697, end_date698, observed_event699, board700, signer701, user702, aid_type710, state711, client712, gender713 ];
    Lino.aids.SimpleConfirmations.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.PendingCourseRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var aged_from720 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(xcourses.PendingCourseRequests.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to721 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(xcourses.PendingCourseRequests.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var gender722 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(xcourses.PendingCourseRequests.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    var nationality723 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Staatsangeh\u00f6rigkeit", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(xcourses.PendingCourseRequests.nationality) ") }, "name": "nationality", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/nationality" }) }) });
    var also_obsolete724 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(xcourses.PendingCourseRequests.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var main_1_panel725 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": aged_from720, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": aged_to721, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": gender722, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": nationality723, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": also_obsolete724, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_state731 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.PendingCourseRequests.client_state) ") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var coached_by732 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(xcourses.PendingCourseRequests.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/coached_by" }) }) });
    var and_coached_by733 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(xcourses.PendingCourseRequests.and_coached_by) Nur Klienten, die auch mit diesem Benutzer eine Begleitung haben.") }, "name": "and_coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/and_coached_by" }) }) });
    var start_date734 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(xcourses.PendingCourseRequests.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date735 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(xcourses.PendingCourseRequests.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event736 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(xcourses.PendingCourseRequests.observed_event) Extended filter criteria, e.g.:<br/>Active: All those who have some active coaching.") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientEvents) });
    var only_primary737 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur prim\u00e4re Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur prim\u00e4re Begleitungen","(xcourses.PendingCourseRequests.only_primary) Nur Klienten, die eine effektive <b>prim\u00e4re</b> Begleitung haben.") }, "name": "only_primary", "selectOnFocus": true });
    var main_2_panel738 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": client_state731, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": coached_by732, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": and_coached_by733, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": start_date734, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": end_date735, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": observed_event736, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": only_primary737, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var request_state746 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "request_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.PendingCourseRequests.request_state) ") }, "name": "request_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.xcourses.CourseRequestStates) });
    var course_content747 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "Kursinhalt", "hiddenName": "course_contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.PendingCourseRequests.course_content) ") }, "name": "course_content", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/course_content" }) }) });
    var course_provider748 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "Kursanbieter", "hiddenName": "course_providerHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Kursanbieter","(xcourses.PendingCourseRequests.course_provider) ") }, "name": "course_provider", "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/course_provider" }) }) });
    var course_offer749 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "course_offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.PendingCourseRequests.course_offer) ") }, "name": "course_offer", "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/course_offer" }) }) });
    var main_3_panel750 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": request_state746, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": course_content747, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": course_provider748, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": course_offer749, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel725, main_2_panel738, main_3_panel750 ];
    this.fields = [ aged_from720, aged_to721, gender722, nationality723, also_obsolete724, client_state731, coached_by732, and_coached_by733, start_date734, end_date735, observed_event736, only_primary737, request_state746, course_content747, course_provider748, course_offer749 ];
    Lino.xcourses.PendingCourseRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.AllUploads.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date756 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(uploads.AllUploads.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date757 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(uploads.AllUploads.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user758 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.AllUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/user" }) }), "value": null });
    var upload_type759 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art", "hiddenName": "upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.AllUploads.upload_type) ") }, "name": "upload_type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/upload_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 16, "items": start_date756, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date757, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": user758, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": upload_type759, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date756, end_date757, user758, upload_type759 ];
    Lino.uploads.AllUploads.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.Contracts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user765 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(art61.Contracts.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/user" }) }) });
    var type766 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Only job supplies of type", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Only job supplies of type","(art61.Contracts.type) ") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/type" }) }) });
    var start_date767 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(art61.Contracts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date768 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(art61.Contracts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event769 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(art61.Contracts.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.ContractEvents) });
    var main_1_panel770 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user765, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": type766, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date767, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date768, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": observed_event769, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company776 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(art61.Contracts.company) Only contracts with this company as partner.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/company" }) }) });
    var ending_success777 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erfolgreich abgeschlossen</span>", "forceSelection": true, "hiddenName": "ending_successHidden", "listeners": { "render": Lino.quicktip_renderer("Erfolgreich abgeschlossen","(art61.Contracts.ending_success) Contrats termin\u00e9s avec succ\u00e8s.") }, "name": "ending_success", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var ending778 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beendigungsgrund</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(art61.Contracts.ending) Nur Konventionen mit diesem Beendigungsgrund.") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/ending" }) }) });
    var main_2_panel779 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 36, "items": company776, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": ending_success777, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": ending778, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel770, main_2_panel779 ];
    this.fields = [ user765, type766, start_date767, end_date768, observed_event769, company776, ending_success777, ending778 ];
    Lino.art61.Contracts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.Contracts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user784 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(isip.Contracts.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user" }) }) });
    var type785 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ContractTypes.detail", "emptyText": "VSE-Art ausw\u00e4hlen...", "fieldLabel": "VSE-Art", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("VSE-Art","(isip.Contracts.type) ") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/type" }) }) });
    var start_date786 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(isip.Contracts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date787 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(isip.Contracts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event788 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(isip.Contracts.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.ContractEvents) });
    var main_1_panel789 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user784, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": type785, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date786, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date787, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": observed_event788, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company795 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(isip.Contracts.company) Only contracts with this company as partner.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/company" }) }) });
    var study_type796 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "Bildungsart", "hiddenName": "study_typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(isip.Contracts.study_type) ") }, "name": "study_type", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/study_type" }) }) });
    var ending_success797 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erfolgreich abgeschlossen</span>", "forceSelection": true, "hiddenName": "ending_successHidden", "listeners": { "render": Lino.quicktip_renderer("Erfolgreich abgeschlossen","(isip.Contracts.ending_success) Contrats termin\u00e9s avec succ\u00e8s.") }, "name": "ending_success", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var ending798 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beendigungsgrund</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(isip.Contracts.ending) Nur Konventionen mit diesem Beendigungsgrund.") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/ending" }) }) });
    var main_2_panel799 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 26, "items": company795, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": study_type796, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": ending_success797, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": ending798, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel789, main_2_panel799 ];
    this.fields = [ user784, type785, start_date786, end_date787, observed_event788, company795, study_type796, ending_success797, ending798 ];
    Lino.isip.Contracts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.GeneralAccountBalances.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period805 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.GeneralAccountBalances.start_period) Start of observed period range") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/GeneralAccountBalances/start_period" }) }) });
    var end_period806 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.GeneralAccountBalances.end_period) Optional end of observed period range. Leave empty to consider only the Start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/GeneralAccountBalances/end_period" }) }) });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_period805, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_period806, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period805, end_period806 ];
    Lino.ledger.GeneralAccountBalances.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.boards.Boards.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date810 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(boards.Boards.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date811 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(boards.Boards.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_date810, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date811, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date810, end_date811 ];
    Lino.boards.Boards.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.BankStatementsByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period815 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(finan.BankStatementsByJournal.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementsByJournal/start_period" }) }) });
    var end_period816 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(finan.BankStatementsByJournal.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementsByJournal/end_period" }) }) });
    var state817 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.BankStatementsByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates), "value": null });
    var user818 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.BankStatementsByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementsByJournal/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": start_period815, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period816, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": state817, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user818, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period815, end_period816, state817, user818 ];
    Lino.finan.BankStatementsByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobsOverview.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var today824 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(jobs.JobsOverview.today) ") }, "name": "today", "selectOnFocus": true });
    var job_type825 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobTypes.detail", "emptyText": "Stellenart ausw\u00e4hlen...", "fieldLabel": "Stellenart", "hiddenName": "job_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Stellenart","(jobs.JobsOverview.job_type) ") }, "name": "job_type", "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsOverview/job_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 39, "items": today824, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": job_type825, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ today824, job_type825 ];
    Lino.jobs.JobsOverview.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Members.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date829 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(households.Members.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date830 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(households.Members.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var aged_from831 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(households.Members.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to832 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(households.Members.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var gender833 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(households.Members.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    this.items = [ { "autoHeight": true, "flex": 24, "items": start_date829, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_date830, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": aged_from831, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": aged_to832, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": gender833, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date829, end_date830, aged_from831, aged_to832, gender833 ];
    Lino.households.Members.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Volumes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to883 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.Volumes.detail", "emptyText": "Dateibibliothek ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.uploads.Volumes.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/uploads/Volumes/merge_row/merge_to" }) }) });
    this.reason884 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to883, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason884, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to883, this.reason884 ];
    this.http_method = "GET"
    Lino.uploads.Volumes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to856 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/merge_row/merge_to" }) }) });
    this.addresses_Address857 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account858 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel859 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address857, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account858, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason862 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to856, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel859, { "anchor": "-20", "autoHeight": true, "items": this.reason862, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to856, this.addresses_Address857, this.sepa_Account858, this.reason862 ];
    this.http_method = "GET"
    Lino.contacts.Persons.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.checkin_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'checkin',
  window_title: "Einchecken",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject893 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(Einchecken.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body894 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(Einchecken.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent895 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Keine Mitteilung an andere", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Keine Mitteilung an andere","(Einchecken.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject893, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body894, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent895, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject893, this.notify_body894, this.notify_silent895 ];
    this.http_method = "GET"
    Lino.cal.Guests.checkin_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.coachings.Coachings.create_visit_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'create_visit',
  window_title: "Visite erstellen",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.user962 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(Visite erstellen.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/coachings/Coachings/create_visit/user" }) }) });
    this.summary963 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Visite erstellen.summary) ") }, "name": "summary", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.user962, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.summary963, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.user962, this.summary963 ];
    this.http_method = "GET"
    Lino.coachings.Coachings.create_visit_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.create_household_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'create_household',
  window_title: "Haushalt erstellen",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.head866 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Vorstand", "hiddenName": "headHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Vorstand","(Haushalt erstellen.head) ") }, "name": "head", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/create_household/head" }) }) });
    this.type867 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Haushaltsart ausw\u00e4hlen...", "fieldLabel": "Haushaltsart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Haushaltsart","(Haushalt erstellen.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/create_household/type" }) }) });
    this.partner868 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Partner","(Haushalt erstellen.partner) ") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/create_household/partner" }) }) });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.head866, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.type867, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.partner868, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.head866, this.type867, this.partner868 ];
    this.http_method = "GET"
    Lino.contacts.Persons.create_household_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Accounts.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1058 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Accounts.detail", "emptyText": "Konto ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.debts.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "related_actor_id": "debts.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/debts/Accounts/merge_row/merge_to" }) }) });
    this.reason1059 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1058, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1059, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1058, this.reason1059 ];
    this.http_method = "GET"
    Lino.debts.Accounts.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobProviders.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to980 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Stellenanbieter ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/jobs/JobProviders/merge_row/merge_to" }) }) });
    this.addresses_Address981 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account982 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel983 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address981, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account982, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason986 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to980, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel983, { "anchor": "-20", "autoHeight": true, "items": this.reason986, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to980, this.addresses_Address981, this.sepa_Account982, this.reason986 ];
    this.http_method = "GET"
    Lino.jobs.JobProviders.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.FiscalYears.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1017 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "emptyText": "Gesch\u00e4ftsjahr ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.FiscalYears", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/FiscalYears/merge_row/merge_to" }) }) });
    this.reason1018 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1017, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1018, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1017, this.reason1018 ];
    this.http_method = "GET"
    Lino.ledger.FiscalYears.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to919 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/pcsw/Clients/merge_row/merge_to" }) }) });
    this.aids_IncomeConfirmation920 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Einkommensbescheinigungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Einkommensbescheinigungen","(Fusionieren.aids_IncomeConfirmation) ") }, "name": "aids_IncomeConfirmation", "selectOnFocus": true });
    this.aids_RefundConfirmation921 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Kosten\u00fcbernahmescheine", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Kosten\u00fcbernahmescheine","(Fusionieren.aids_RefundConfirmation) ") }, "name": "aids_RefundConfirmation", "selectOnFocus": true });
    var keep_volatiles_1_panel922 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.aids_IncomeConfirmation920, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.aids_RefundConfirmation921, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.aids_SimpleConfirmation925 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Einfache Bescheinigungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Einfache Bescheinigungen","(Fusionieren.aids_SimpleConfirmation) ") }, "name": "aids_SimpleConfirmation", "selectOnFocus": true });
    this.coachings_Coaching926 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Begleitungen","(Fusionieren.coachings_Coaching) ") }, "name": "coachings_Coaching", "selectOnFocus": true });
    var keep_volatiles_2_panel927 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.aids_SimpleConfirmation925, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.coachings_Coaching926, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.cv_LanguageKnowledge930 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sprachkenntnisse", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sprachkenntnisse","(Fusionieren.cv_LanguageKnowledge) ") }, "name": "cv_LanguageKnowledge", "selectOnFocus": true });
    this.cv_PersonProperty931 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Eigenschaften", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Eigenschaften","(Fusionieren.cv_PersonProperty) ") }, "name": "cv_PersonProperty", "selectOnFocus": true });
    var keep_volatiles_3_panel932 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.cv_LanguageKnowledge930, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.cv_PersonProperty931, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.dupable_clients_Word935 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Phonetische W\u00f6rter", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Phonetische W\u00f6rter","(Fusionieren.dupable_clients_Word) ") }, "name": "dupable_clients_Word", "selectOnFocus": true });
    this.esf_ClientSummary936 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "ESF Summaries", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("ESF Summaries","(Fusionieren.esf_ClientSummary) ") }, "name": "esf_ClientSummary", "selectOnFocus": true });
    var keep_volatiles_4_panel937 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.dupable_clients_Word935, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.esf_ClientSummary936, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.pcsw_Dispense940 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Dispenzen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Dispenzen","(Fusionieren.pcsw_Dispense) ") }, "name": "pcsw_Dispense", "selectOnFocus": true });
    this.addresses_Address941 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    var keep_volatiles_5_panel942 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.pcsw_Dispense940, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.addresses_Address941, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.sepa_Account945 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel946 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ keep_volatiles_1_panel922, keep_volatiles_2_panel927, keep_volatiles_3_panel932, keep_volatiles_4_panel937, keep_volatiles_5_panel942, { "anchor": "-20", "autoHeight": true, "items": this.sepa_Account945, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form", "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason948 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to919, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel946, { "anchor": "-20", "autoHeight": true, "items": this.reason948, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to919, this.aids_IncomeConfirmation920, this.aids_RefundConfirmation921, this.aids_SimpleConfirmation925, this.coachings_Coaching926, this.cv_LanguageKnowledge930, this.cv_PersonProperty931, this.dupable_clients_Word935, this.esf_ClientSummary936, this.pcsw_Dispense940, this.addresses_Address941, this.sepa_Account945, this.reason948 ];
    this.http_method = "GET"
    Lino.pcsw.Clients.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseProviders.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1041 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/xcourses/CourseProviders/merge_row/merge_to" }) }) });
    this.addresses_Address1042 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account1043 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel1044 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address1042, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account1043, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason1047 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1041, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel1044, { "anchor": "-20", "autoHeight": true, "items": this.reason1047, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1041, this.addresses_Address1042, this.sepa_Account1043, this.reason1047 ];
    this.http_method = "GET"
    Lino.xcourses.CourseProviders.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.about.About.sign_in_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "fit",
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'sign_in',
  window_title: "Anmelden",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.username840 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzername", "listeners": { "render": Lino.quicktip_renderer("Benutzername","(Anmelden.username) ") }, "name": "username", "selectOnFocus": true });
    this.password841 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Passwort", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Passwort","(Anmelden.password) ") }, "name": "password", "selectOnFocus": true });
    var login_panel_panel842 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": this.username840, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.password841, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = [ login_panel_panel842 ];
    this.fields = [ this.username840, this.password841 ];
    this.http_method = "POST"
    Lino.about.About.sign_in_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.change_password_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'change_password',
  window_title: "Passwort \u00e4ndern",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.current1029 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aktuelles Passwort</span>", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Aktuelles Passwort","(Passwort \u00e4ndern.current) The current password. Leave empty if the user has no password\nyet. And SiteAdmin users don't need to specify this at all.") }, "name": "current", "selectOnFocus": true });
    this.new11030 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neues Passwort</span>", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Neues Passwort","(Passwort \u00e4ndern.new1) The new password.") }, "name": "new1", "selectOnFocus": true });
    this.new21031 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neues Passwort nochmal</span>", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Neues Passwort nochmal","(Passwort \u00e4ndern.new2) The new password a second time. Both passwords must match.") }, "name": "new2", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.current1029, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.new11030, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.new21031, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.current1029, this.new11030, this.new21031 ];
    this.http_method = "GET"
    Lino.users.AllUsers.change_password_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.GuestRoles.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to888 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/cal/GuestRoles/merge_row/merge_to" }) }) });
    this.reason889 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to888, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason889, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to888, this.reason889 ];
    this.http_method = "GET"
    Lino.cal.GuestRoles.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Companies.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to873 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Companies/merge_row/merge_to" }) }) });
    this.addresses_Address874 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account875 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel876 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address874, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account875, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason879 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to873, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel876, { "anchor": "-20", "autoHeight": true, "items": this.reason879, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to873, this.addresses_Address874, this.sepa_Account875, this.reason879 ];
    this.http_method = "GET"
    Lino.contacts.Companies.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.create_visit_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'create_visit',
  window_title: "Visite erstellen",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.user957 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(Visite erstellen.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/pcsw/Clients/create_visit/user" }) }) });
    this.summary958 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Visite erstellen.summary) ") }, "name": "summary", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.user957, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.summary958, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.user957, this.summary958 ];
    this.http_method = "GET"
    Lino.pcsw.Clients.create_visit_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.refuse_client_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'refuse_client',
  window_title: "Ablehnen",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.reason952 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablehnungsgrund", "forceSelection": true, "hiddenName": "reasonHidden", "listeners": { "render": Lino.quicktip_renderer("Ablehnungsgrund","(Ablehnen.reason) ") }, "name": "reason", "selectOnFocus": true, "store": Lino.pcsw.RefusalReasons });
    this.remark953 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(Ablehnen.remark) ") }, "name": "remark", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.reason952, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 83, "items": this.remark953, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.reason952, this.remark953 ];
    this.http_method = "GET"
    Lino.pcsw.Clients.refuse_client_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.ContractTypes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to990 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/jobs/ContractTypes/merge_row/merge_to" }) }) });
    this.reason991 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to990, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason991, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to990, this.reason991 ];
    this.http_method = "GET"
    Lino.jobs.ContractTypes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.PaymentTerms.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1012 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/PaymentTerms/merge_row/merge_to" }) }) });
    this.reason1013 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1012, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1013, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1012, this.reason1013 ];
    this.http_method = "GET"
    Lino.ledger.PaymentTerms.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EventTypes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to914 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/cal/EventTypes/merge_row/merge_to" }) }) });
    this.reason915 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to914, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason915, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to914, this.reason915 ];
    this.http_method = "GET"
    Lino.cal.EventTypes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Partners.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to846 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Partners/merge_row/merge_to" }) }) });
    this.addresses_Address847 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account848 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel849 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address847, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account848, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason852 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to846, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel849, { "anchor": "-20", "autoHeight": true, "items": this.reason852, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to846, this.addresses_Address847, this.sepa_Account848, this.reason852 ];
    this.http_method = "GET"
    Lino.contacts.Partners.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Journals.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1000 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/Journals/merge_row/merge_to" }) }) });
    this.ledger_MatchRule1001 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Begleichungsregeln","(Fusionieren.ledger_MatchRule) ") }, "name": "ledger_MatchRule", "selectOnFocus": true });
    this.reason1002 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1000, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.ledger_MatchRule1001, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1002, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1000, this.ledger_MatchRule1001, this.reason1002 ];
    this.http_method = "GET"
    Lino.ledger.Journals.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1022 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/users/AllUsers/merge_row/merge_to" }) }) });
    this.cal_Subscription1023 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Abonnements","(Fusionieren.cal_Subscription) ") }, "name": "cal_Subscription", "selectOnFocus": true });
    this.reason1024 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1022, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.cal_Subscription1023, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1024, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1022, this.cal_Subscription1023, this.reason1024 ];
    this.http_method = "GET"
    Lino.users.AllUsers.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.wf1_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'wf1',
  window_title: "Zusagen",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject900 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(Zusagen.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body901 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(Zusagen.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent902 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Keine Mitteilung an andere", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Keine Mitteilung an andere","(Zusagen.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject900, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body901, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent902, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject900, this.notify_body901, this.notify_silent902 ];
    this.http_method = "GET"
    Lino.cal.Guests.wf1_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.ContractTypes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1036 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/art61/ContractTypes/merge_row/merge_to" }) }) });
    this.reason1037 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1036, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1037, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1036, this.reason1037 ];
    this.http_method = "GET"
    Lino.art61.ContractTypes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Households.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to967 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Households.detail", "emptyText": "Haushalt ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.households.Households.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/households/Households/merge_row/merge_to" }) }) });
    this.households_Member968 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Mitglieder", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Mitglieder","(Fusionieren.households_Member) ") }, "name": "households_Member", "selectOnFocus": true });
    this.addresses_Address969 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    var keep_volatiles_1_panel970 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.households_Member968, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.addresses_Address969, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.sepa_Account973 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel974 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ keep_volatiles_1_panel970, { "anchor": "-20", "autoHeight": true, "items": this.sepa_Account973, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form", "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason976 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to967, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel974, { "anchor": "-20", "autoHeight": true, "items": this.reason976, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to967, this.households_Member968, this.addresses_Address969, this.sepa_Account973, this.reason976 ];
    this.http_method = "GET"
    Lino.households.Households.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Accounts.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to995 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/Accounts/merge_row/merge_to" }) }) });
    this.reason996 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to995, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason996, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to995, this.reason996 ];
    this.http_method = "GET"
    Lino.ledger.Accounts.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.AvailableCoachesByClient.assign_coach_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'assign_coach',
  window_title: "Zuweisen",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject1051 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(Zuweisen.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body1052 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(Zuweisen.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent1053 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Keine Mitteilung an andere", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Keine Mitteilung an andere","(Zuweisen.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject1051, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body1052, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent1053, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject1051, this.notify_body1052, this.notify_silent1053 ];
    this.http_method = "GET"
    Lino.newcomers.AvailableCoachesByClient.assign_coach_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.wf2_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'wf2',
  window_title: "Absagen",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject907 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(Absagen.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body908 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(Absagen.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent909 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Keine Mitteilung an andere", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Keine Mitteilung an andere","(Absagen.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject907, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body908, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent909, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject907, this.notify_body908, this.notify_silent909 ];
    this.http_method = "GET"
    Lino.cal.Guests.wf2_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.AccountingPeriods.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1007 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/AccountingPeriods/merge_row/merge_to" }) }) });
    this.reason1008 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1007, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1008, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1007, this.reason1008 ];
    this.http_method = "GET"
    Lino.ledger.AccountingPeriods.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.AllUploads.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-AllUploads",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 26,
  initComponent : function() {
    var file1063 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.AllUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var user1064 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.AllUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/user" }) }) });
    var main_1_panel1065 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 51, "items": file1063, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": user1064, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var volume1068 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.Volumes.detail", "emptyText": "Dateibibliothek ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dateibibliothek</span>", "hiddenName": "volumeHidden", "insert_action": "Lino.uploads.Volumes.insert", "listeners": { "render": Lino.quicktip_renderer("Dateibibliothek","(uploads.AllUploads.volume) A pointer to the library volume where this file is stored.") }, "name": "volume", "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/volume" }) }) });
    var library_file1069 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bibliotheksdatei</span>", "listeners": { "render": Lino.quicktip_renderer("Bibliotheksdatei","(uploads.AllUploads.library_file) The path of this file, relative the volume's root.") }, "name": "library_file", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/library_file" }) }) });
    var main_2_panel1070 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": volume1068, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": library_file1069, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var upload_area1073 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Bereich</span>", "forceSelection": true, "hiddenName": "upload_areaHidden", "listeners": { "render": Lino.quicktip_renderer("Upload-Bereich","(uploads.AllUploads.upload_area) The upload area this file belongs to.") }, "name": "upload_area", "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var type1074 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.AllUploads.type) The type of this upload.") }, "name": "type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/type" }) }) });
    var description1075 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.AllUploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var main_3_panel1076 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": upload_area1073, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": type1074, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": description1075, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp1080 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Verkn\u00fcpft mit", "name": "owner" });
    var main_panel1081 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1065, main_2_panel1070, main_3_panel1076, { "anchor": "-20", "autoHeight": true, "items": owner_disp1080, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1081;
    this.before_row_edit = function(record) {
      library_file1069.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
      type1074.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof volume1068 !== 'undefined' && volume1068.on('change',Lino.chooser_handler(library_file1069,'volume'));
      typeof upload_area1073 !== 'undefined' && upload_area1073.on('change',Lino.chooser_handler(type1074,'upload_area'));
      Lino.uploads.AllUploads.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.uploads.AllUploads.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.properties.Properties.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel properties-Properties",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 19,
  initComponent : function() {
    var id1083 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(properties.Properties.id) ") }, "name": "id", "selectOnFocus": true });
    var group1084 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropGroups.detail", "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "fieldLabel": "Eigenschaftsgruppe", "hiddenName": "groupHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschaftsgruppe","(properties.Properties.group) ") }, "name": "group", "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/Properties/group" }) }) });
    var type1085 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropTypes.detail", "emptyText": "Eigenschafts-Datentyp ausw\u00e4hlen...", "fieldLabel": "Eigenschafts-Datentyp", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschafts-Datentyp","(properties.Properties.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "properties.PropTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/Properties/type" }) }) });
    var main_1_panel1086 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 11, "items": id1083, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": group1084, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": type1085, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name1090 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(properties.Properties.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr1091 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(properties.Properties.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en1092 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(properties.Properties.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel1093 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name1090, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr1091, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en1092, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1105 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1086, main_2_panel1093 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1105;
    this.before_row_edit = function(record) {
    }
    Lino.properties.Properties.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Groups.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel debts-Groups",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 124,
  initComponent : function() {
    var ref1106 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ref", "listeners": { "render": Lino.quicktip_renderer("ref","(debts.Groups.ref) ") }, "maxLength": 20, "name": "ref", "selectOnFocus": true });
    var name1107 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(debts.Groups.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr1108 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(debts.Groups.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en1109 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(debts.Groups.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var id1110 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(debts.Groups.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel1111 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": ref1106, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name1107, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_fr1108, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en1109, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": id1110, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var account_type1117 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kontoart", "forceSelection": true, "hiddenName": "account_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoart","(debts.Groups.account_type) ") }, "name": "account_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.AccountTypes) });
    var entries_layout1118 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Budget entries layout", "forceSelection": true, "hiddenName": "entries_layoutHidden", "listeners": { "render": Lino.quicktip_renderer("Budget entries layout","(debts.Groups.entries_layout) ") }, "name": "entries_layout", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.TableLayouts) });
    var main_2_panel1119 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": account_type1117, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 76, "items": entries_layout1118, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1193 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1111, main_2_panel1119 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1193;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Groups.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Groups.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel debts-Groups",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 124,
  initComponent : function() {
    var name1194 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(debts.Groups.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr1195 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(debts.Groups.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en1196 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(debts.Groups.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel1197 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name1194, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr1195, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en1196, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var account_type1201 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kontoart", "forceSelection": true, "hiddenName": "account_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoart","(debts.Groups.account_type) ") }, "name": "account_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.AccountTypes) });
    var ref1202 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ref", "listeners": { "render": Lino.quicktip_renderer("ref","(debts.Groups.ref) ") }, "maxLength": 20, "name": "ref", "selectOnFocus": true });
    var main_2_panel1203 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 46, "items": account_type1201, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 53, "items": ref1202, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1206 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1197, main_2_panel1203 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel1206;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Groups.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.ProjectInvoicesByJournal.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel vatless-ProjectInvoicesByJournal",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  autoHeight: true,
  content_type: 77,
  initComponent : function() {
    var project1207 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(vatless.ProjectInvoicesByJournal.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/project" }) }) });
    var partner1208 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.ProjectInvoicesByJournal.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/partner" }) }) });
    var entry_date1209 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.ProjectInvoicesByJournal.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var main_panel1210 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": project1207, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": partner1208, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": entry_date1209, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1210;
    this.before_row_edit = function(record) {
    }
    Lino.vatless.ProjectInvoicesByJournal.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.Contracts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 96,
  initComponent : function() {
    var id1214 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(isip.Contracts.id) ") }, "name": "id", "selectOnFocus": true });
    var client1215 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(isip.Contracts.client) ") }, "name": "client", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/client" }) }) });
    var type1216 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ContractTypes.detail", "emptyText": "VSE-Art ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(isip.Contracts.type) ") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/type" }) }) });
    var user1217 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(isip.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user" }) }) });
    var user_dsbe1218 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Verantwortlicher (DSBE)", "hiddenName": "user_dsbeHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher (DSBE)","(isip.Contracts.user_dsbe) ") }, "name": "user_dsbe", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user_dsbe" }) }) });
    var user_asd1219 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Verantwortlicher (ASD)", "hiddenName": "user_asdHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher (ASD)","(isip.Contracts.user_asd) ") }, "name": "user_asd", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user_asd" }) }) });
    var general_1_panel1220 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 8, "items": id1214, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": client1215, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": type1216, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": user1217, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": user_dsbe1218, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": user_asd1219, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var study_type1227 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "Bildungsart", "hiddenName": "study_typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(isip.Contracts.study_type) ") }, "name": "study_type", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/study_type" }) }) });
    var applies_from1228 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(isip.Contracts.applies_from) ") }, "name": "applies_from", "selectOnFocus": true });
    var applies_until1229 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("Laufzeit bis","(isip.Contracts.applies_until) ") }, "name": "applies_until", "selectOnFocus": true });
    var exam_policy1230 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "fieldLabel": "Auswertungsstrategie", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Auswertungsstrategie","(isip.Contracts.exam_policy) ") }, "name": "exam_policy", "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/exam_policy" }) }) });
    var language1231 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(isip.Contracts.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var general_2_panel1232 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": study_type1227, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": applies_from1228, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": applies_until1229, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": exam_policy1230, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": language1231, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var date_decided1238 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen am", "listeners": { "render": Lino.quicktip_renderer("Beschlossen am","(isip.Contracts.date_decided) ") }, "name": "date_decided", "selectOnFocus": true });
    var date_issued1239 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ausgestellt am", "listeners": { "render": Lino.quicktip_renderer("Ausgestellt am","(isip.Contracts.date_issued) ") }, "name": "date_issued", "selectOnFocus": true });
    var printed_disp1240 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(isip.Contracts.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var date_ended1241 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(isip.Contracts.date_ended) ") }, "name": "date_ended", "selectOnFocus": true });
    var ending1242 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "Beendigungsgrund", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(isip.Contracts.ending) ") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/ending" }) }) });
    var general_3_panel1243 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": date_decided1238, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": date_issued1239, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp1240, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": date_ended1241, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": ending1242, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel1516 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1220, general_2_panel1232, general_3_panel1243 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var stages1517 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Etappen", "flex": 33, "name": "stages", "selectOnFocus": true, "title": "Etappen" });
    var goals1518 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Zielsetzungen", "flex": 33, "name": "goals", "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_person1519 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen Person", "flex": 33, "name": "duties_person", "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var isip_1_panel1520 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ stages1517, goals1518, duties_person1519 ], "labelAlign": "top", "labelWidth": 207, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "north", "split": true });
    var duties_asd1521 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen ASD", "flex": 33, "name": "duties_asd", "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe1522 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen DSBE", "flex": 33, "name": "duties_dsbe", "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw1523 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen \u00d6SHZ", "flex": 33, "name": "duties_pcsw", "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var isip_2_panel1524 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ duties_asd1521, duties_dsbe1522, duties_pcsw1523 ], "labelAlign": "top", "labelWidth": 189, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center", "split": true });
    var isip_panel1525 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ isip_1_panel1520, isip_2_panel1524 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "VSE" });
    var main_panel1526 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1516, isip_panel1525 ], "labelAlign": "top", "split": true });
    this.items = main_panel1526;
    this.before_row_edit = function(record) {
      stages1517.refresh();
      goals1518.refresh();
      duties_person1519.refresh();
      duties_asd1521.refresh();
      duties_dsbe1522.refresh();
      duties_pcsw1523.refresh();
    }
    Lino.isip.Contracts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Companies.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel contacts-Companies",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 9,
  initComponent : function() {
    var name1527 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(contacts.Companies.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var email1528 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Companies.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var type1529 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisationsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Organisationsart","(contacts.Companies.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/type" }) }) });
    var main_panel1530 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name1527, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": email1528, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type1529, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1530;
    this.before_row_edit = function(record) {
    }
    Lino.contacts.Companies.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.Contracts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel isip-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 96,
  initComponent : function() {
    var client1534 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(isip.Contracts.client) ") }, "name": "client", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/client" }) }) });
    var type1535 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ContractTypes.detail", "emptyText": "VSE-Art ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(isip.Contracts.type) ") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/type" }) }) });
    var main_panel1536 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client1534, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type1535, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1536;
    this.before_row_edit = function(record) {
    }
    Lino.isip.Contracts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.Faculties.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel newcomers-Faculties",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 113,
  initComponent : function() {
    var name1539 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(newcomers.Faculties.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr1540 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(newcomers.Faculties.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en1541 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(newcomers.Faculties.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel1542 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name1539, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr1540, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en1541, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var weight1546 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aufwand</span>", "listeners": { "render": Lino.quicktip_renderer("Aufwand","(newcomers.Faculties.weight) Wieviel Aufwand ein Neuantrag in diesem Fachbereich allgemein verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "name": "weight", "selectOnFocus": true, "value": 10 });
    var main_panel1547 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1542, { "anchor": "-20", "autoHeight": true, "items": weight1546, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1547;
    this.before_row_edit = function(record) {
    }
    Lino.newcomers.Faculties.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Accounts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel debts-Accounts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 125,
  initComponent : function() {
    var ref1135 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(debts.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var name1136 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(debts.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr1137 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(debts.Accounts.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en1138 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(debts.Accounts.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel1139 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": ref1135, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name1136, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_fr1137, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en1138, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var group1144 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Groups.detail", "emptyText": "Kontengruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontengruppe</span>", "hiddenName": "groupHidden", "insert_action": "Lino.debts.Groups.insert", "listeners": { "render": Lino.quicktip_renderer("Kontengruppe","(debts.Accounts.group) The account group to which this account belongs.  This must\npoint to an instance of Group.") }, "name": "group", "pageSize": 20, "related_actor_id": "debts.Groups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Accounts/group" }) }) });
    var type1145 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontoart</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoart","(debts.Accounts.type) The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.debts.AccountTypes });
    var main_2_panel1146 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 52, "items": group1144, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": type1145, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var required_for_household1149 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "verpflichtend f\u00fcr Haushalte", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("verpflichtend f\u00fcr Haushalte","(debts.Accounts.required_for_household) ") }, "name": "required_for_household", "selectOnFocus": true });
    var required_for_person1150 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "verpflichtend f\u00fcr Personen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("verpflichtend f\u00fcr Personen","(debts.Accounts.required_for_person) ") }, "name": "required_for_person", "selectOnFocus": true });
    var periods1151 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Perioden</span>", "listeners": { "render": Lino.quicktip_renderer("Perioden","(debts.Accounts.periods) For how many months the entered amount counts. \nFor example 1 means a monthly amount, 12 a yearly amount.") }, "name": "periods", "selectOnFocus": true, "value": 1 });
    var default_amount1152 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Vorschlag Betrag", "listeners": { "render": Lino.quicktip_renderer("Vorschlag Betrag","(debts.Accounts.default_amount) ") }, "name": "default_amount", "selectOnFocus": true });
    var main_3_panel1153 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": required_for_household1149, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": required_for_person1150, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": periods1151, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": default_amount1152, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1176 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1139, main_2_panel1146, main_3_panel1153 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1176;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Accounts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel contacts-Persons",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 8,
  initComponent : function() {
    var overview_htmlbox1549 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(contacts.Persons.overview) ") }, "name": "overview", "value": "<br/>" });
    var title1550 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Titel</span>", "listeners": { "render": Lino.quicktip_renderer("Titel","(contacts.Persons.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var first_name1551 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorname</span>", "listeners": { "render": Lino.quicktip_renderer("Vorname","(contacts.Persons.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name1552 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zwischenname</span>", "listeners": { "render": Lino.quicktip_renderer("Zwischenname","(contacts.Persons.middle_name) A space-separated list of all middle names.") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var general2_1_panel1553 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 41, "items": title1550, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": first_name1551, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": middle_name1552, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var last_name1557 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Familienname</span>", "listeners": { "render": Lino.quicktip_renderer("Familienname","(contacts.Persons.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var gender1558 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(contacts.Persons.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date1559 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(contacts.Persons.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var age_disp1560 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter</span>", "listeners": { "render": Lino.quicktip_renderer("Alter","(contacts.Persons.age) Virtual field displaying the age in years.") }, "name": "age", "value": "<br/>" });
    var general2_3_panel1561 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 31, "items": gender1558, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": birth_date1559, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": age_disp1560, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var id1565 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(contacts.Persons.id) ") }, "name": "id", "selectOnFocus": true });
    var language1566 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(contacts.Persons.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var general2_4_panel1567 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": id1565, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": language1566, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general2_panel1570 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel1553, { "anchor": "-20", "autoHeight": true, "items": last_name1557, "labelAlign": "top", "layout": "form", "xtype": "panel" }, general2_3_panel1561, general2_4_panel1567 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email1572 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Persons.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone1573 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(contacts.Persons.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm1574 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(contacts.Persons.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax1575 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(contacts.Persons.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel1576 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email1572, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone1573, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm1574, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax1575, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel1581 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox1549, general2_panel1570, general3_panel1576 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel1588 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1581 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var remarks1609 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(contacts.Persons.remarks) ") }, "name": "remarks", "region": "center" });
    var contact_3_panel1628 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 21, "items": remarks1609, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center", "split": true });
    var contact_panel1630 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ contact_3_panel1628 ], "labelAlign": "top", "labelWidth": 108, "listeners": { "activate": Lino.on_tab_activate }, "title": "Kontakt" });
    var payment_term1631 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(contacts.Persons.payment_term) The default payment term for sales invoices to this customer.") }, "name": "payment_term", "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/payment_term" }) }) });
    var ledger_panel1634 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": payment_term1631, "labelAlign": "top", "layout": "form", "region": "north", "split": true, "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 126, "listeners": { "activate": Lino.on_tab_activate }, "title": "Buchhaltung" });
    var activity1636 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Beruf ausw\u00e4hlen...", "fieldLabel": "Beruf", "hiddenName": "activityHidden", "listeners": { "render": Lino.quicktip_renderer("Beruf","(contacts.Persons.activity) ") }, "name": "activity", "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/activity" }) }) });
    var url1637 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(contacts.Persons.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var client_contact_type1638 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(contacts.Persons.client_contact_type) ") }, "name": "client_contact_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/client_contact_type" }) }) });
    var is_obsolete1639 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "veraltet", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("veraltet","(contacts.Persons.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "name": "is_obsolete", "selectOnFocus": true });
    var misc_1_panel1640 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": activity1636, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": url1637, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": client_contact_type1638, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_obsolete1639, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var created1645 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(contacts.Persons.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified1646 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(contacts.Persons.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var misc_2_panel1647 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": created1645, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": modified1646, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var misc_panel1655 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ misc_1_panel1640, misc_2_panel1647 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Sonstiges" });
    var main_panel1782 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1588, contact_panel1630, ledger_panel1634, misc_panel1655 ], "labelAlign": "top", "split": true });
    this.items = main_panel1782;
    this.before_row_edit = function(record) {
      overview_htmlbox1549.refresh();
    }
    Lino.contacts.Persons.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.debts.Accounts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel debts-Accounts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 125,
  initComponent : function() {
    var ref1177 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(debts.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var group1178 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Groups.detail", "emptyText": "Kontengruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontengruppe</span>", "hiddenName": "groupHidden", "insert_action": "Lino.debts.Groups.insert", "listeners": { "render": Lino.quicktip_renderer("Kontengruppe","(debts.Accounts.group) The account group to which this account belongs.  This must\npoint to an instance of Group.") }, "name": "group", "pageSize": 20, "related_actor_id": "debts.Groups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Accounts/group" }) }) });
    var type1179 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontoart</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoart","(debts.Accounts.type) The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.debts.AccountTypes });
    var main_1_panel1180 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": ref1177, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": group1178, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": type1179, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name1184 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(debts.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr1185 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(debts.Accounts.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en1186 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(debts.Accounts.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel1187 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name1184, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr1185, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en1186, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1191 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1180, main_2_panel1187 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel1191;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Accounts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Companies.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel contacts-Companies",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 9,
  initComponent : function() {
    var overview_htmlbox1783 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(contacts.Companies.overview) ") }, "name": "overview", "value": "<br/>" });
    var prefix1784 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(contacts.Companies.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name1785 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(contacts.Companies.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var general2_1_panel1786 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": prefix1784, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 66, "items": name1785, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type1789 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisationsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Organisationsart","(contacts.Companies.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/type" }) }) });
    var vat_id1790 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">MwSt.-Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("MwSt.-Nr.","(contacts.Companies.vat_id) The VAT id used to identify this partner. Lino verifies validity\nbased on the partner's country field.") }, "maxLength": 200, "name": "vat_id", "selectOnFocus": true });
    var general2_2_panel1791 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type1789, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": vat_id1790, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_contact_type1794 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(contacts.Companies.client_contact_type) ") }, "name": "client_contact_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/client_contact_type" }) }) });
    var url1795 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(contacts.Companies.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel1796 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel1786, general2_2_panel1791, { "anchor": "-20", "autoHeight": true, "items": client_contact_type1794, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": url1795, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email1799 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Companies.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone1800 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(contacts.Companies.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm1801 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(contacts.Companies.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax1802 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(contacts.Companies.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel1803 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email1799, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone1800, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm1801, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax1802, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel1808 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox1783, general2_panel1796, general3_panel1803 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel1815 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1808 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var remarks1882 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(contacts.Companies.remarks) ") }, "name": "remarks", "region": "center" });
    var contact_2_panel1884 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 21, "items": remarks1882, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center", "split": true });
    var contact_panel1886 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ contact_2_panel1884 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Kontakt" });
    var payment_term1888 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(contacts.Companies.payment_term) The default payment term for sales invoices to this customer.") }, "name": "payment_term", "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/payment_term" }) }) });
    var ledger_panel1891 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": payment_term1888, "labelAlign": "top", "layout": "form", "region": "north", "split": true, "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 126, "listeners": { "activate": Lino.on_tab_activate }, "title": "Buchhaltung" });
    var id1893 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(contacts.Companies.id) ") }, "name": "id", "selectOnFocus": true });
    var language1894 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(contacts.Companies.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var activity1895 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Beruf ausw\u00e4hlen...", "fieldLabel": "Beruf", "hiddenName": "activityHidden", "listeners": { "render": Lino.quicktip_renderer("Beruf","(contacts.Companies.activity) ") }, "name": "activity", "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/activity" }) }) });
    var is_obsolete1896 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "veraltet", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("veraltet","(contacts.Companies.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "name": "is_obsolete", "selectOnFocus": true });
    var misc_1_panel1897 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": id1893, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": language1894, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": activity1895, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": is_obsolete1896, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var created1902 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(contacts.Companies.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified1903 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(contacts.Companies.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var misc_2_panel1904 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": created1902, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": modified1903, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var misc_panel1908 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ misc_1_panel1897, misc_2_panel1904 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Sonstiges" });
    var main_panel1909 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1815, contact_panel1886, ledger_panel1891, misc_panel1908 ], "labelAlign": "top", "split": true });
    this.items = main_panel1909;
    this.before_row_edit = function(record) {
      overview_htmlbox1783.refresh();
    }
    Lino.contacts.Companies.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.newcomers.Faculties.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel newcomers-Faculties",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 113,
  initComponent : function() {
    var id1910 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(newcomers.Faculties.id) ") }, "name": "id", "selectOnFocus": true });
    var name1911 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(newcomers.Faculties.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr1912 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(newcomers.Faculties.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en1913 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(newcomers.Faculties.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var weight1914 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aufwand</span>", "listeners": { "render": Lino.quicktip_renderer("Aufwand","(newcomers.Faculties.weight) Wieviel Aufwand ein Neuantrag in diesem Fachbereich allgemein verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "name": "weight", "selectOnFocus": true, "value": 10 });
    var main_1_panel1915 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id1910, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name1911, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_fr1912, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_en1913, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": weight1914, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var main_panel2943 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1915 ], "labelAlign": "top" });
    this.items = main_panel2943;
    this.before_row_edit = function(record) {
    }
    Lino.newcomers.Faculties.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.changes.Changes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel changes-Changes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 15,
  disable_editing: true,
  initComponent : function() {
    var time2944 = new Ext.form.DisplayField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "time", "listeners": { "render": Lino.quicktip_renderer("time","(changes.Changes.time) ") }, "name": "time", "selectOnFocus": true, "value": "<br>" });
    var user2945 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(changes.Changes.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/user" }) }) });
    var type2946 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00c4nderungsart", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c4nderungsart","(changes.Changes.type) ") }, "name": "type", "selectOnFocus": true, "store": Lino.changes.ChangeTypes });
    var master_disp2947 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Stammdaten</span>", "name": "master" });
    var object_disp2948 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Object</span>", "name": "object" });
    var id2949 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(changes.Changes.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel2950 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": time2944, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user2945, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": type2946, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": master_disp2947, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": object_disp2948, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": id2949, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var diff2957 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "\u00c4nderungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("\u00c4nderungen","(changes.Changes.diff) ") }, "name": "diff" });
    var main_panel2958 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2950, { "flex": 83, "items": diff2957, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2958;
    this.before_row_edit = function(record) {
    }
    Lino.changes.Changes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Schedules.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Schedules",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 97,
  initComponent : function() {
    var id2960 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.Schedules.id) ") }, "name": "id", "selectOnFocus": true });
    var name2961 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(jobs.Schedules.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr2962 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(jobs.Schedules.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en2963 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(jobs.Schedules.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2964 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id2960, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name2961, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr2962, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en2963, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2999 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2964 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2999;
    this.before_row_edit = function(record) {
    }
    Lino.jobs.Schedules.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.ContractTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel art61-ContractTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 105,
  initComponent : function() {
    var id3000 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(art61.ContractTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name3001 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(art61.ContractTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3002 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(art61.ContractTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3003 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(art61.ContractTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var ref3004 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(art61.ContractTypes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var overlap_group3005 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00dcberlappungsgruppe", "forceSelection": true, "hiddenName": "overlap_groupHidden", "listeners": { "render": Lino.quicktip_renderer("\u00dcberlappungsgruppe","(art61.ContractTypes.overlap_group) ") }, "name": "overlap_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.OverlapGroups) });
    var main_1_panel3006 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 3, "items": id3000, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": name3001, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": name_fr3002, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": name_en3003, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": ref3004, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": overlap_group3005, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3124 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3006 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3124;
    this.before_row_edit = function(record) {
    }
    Lino.art61.ContractTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.countries.Countries.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel countries-Countries",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 2,
  initComponent : function() {
    var isocode3125 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ISO-Code</span>", "listeners": { "render": Lino.quicktip_renderer("ISO-Code","(countries.Countries.isocode) The two-letter code for this country as defined by ISO 3166-1.\nFor countries that no longer exist it may be a 4-letter code.") }, "maxLength": 4, "name": "isocode", "selectOnFocus": true });
    var inscode3126 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(3), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">INS code</span>", "listeners": { "render": Lino.quicktip_renderer("INS code","(countries.Countries.inscode) The official code for this country used by statbel.fgov.be") }, "maxLength": 3, "name": "inscode", "selectOnFocus": true });
    var main_1_panel3127 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": isocode3125, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": inscode3126, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name3130 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(countries.Countries.name) The designation of this country.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3131 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(countries.Countries.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3132 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(countries.Countries.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel3133 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name3130, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr3131, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en3132, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3137 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3127, main_2_panel3133 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel3137;
    this.before_row_edit = function(record) {
    }
    Lino.countries.Countries.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-JobTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 104,
  initComponent : function() {
    var id3138 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.JobTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name3139 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(jobs.JobTypes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var is_social3140 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sozial\u00f6konomie", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sozial\u00f6konomie","(jobs.JobTypes.is_social) ") }, "name": "is_social", "selectOnFocus": true });
    var main_1_panel3141 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 13, "items": id3138, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 58, "items": name3139, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": is_social3140, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3239 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3141 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3239;
    this.before_row_edit = function(record) {
    }
    Lino.jobs.JobTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.IncomeConfirmationsByGranting.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-IncomeConfirmationsByGranting",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 136,
  initComponent : function() {
    var client3240 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "flex": 44, "hidden": true, "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.IncomeConfirmationsByGranting.client) ") }, "name": "client", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/client" }) }) });
    var granting3241 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "fieldLabel": "Hilfebeschluss", "flex": 55, "hidden": true, "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfebeschluss","(aids.IncomeConfirmationsByGranting.granting) ") }, "name": "granting", "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/granting" }) }) });
    var main_1_panel3242 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hidden": true, "hideCheckBoxLabels": true, "items": [ client3240, granting3241 ], "labelAlign": "top", "labelWidth": 135, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date3243 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.IncomeConfirmationsByGranting.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date3244 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.IncomeConfirmationsByGranting.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_2_panel3245 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date3243, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date3244, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var category3248 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Categories.detail", "emptyText": "Kategorie ausw\u00e4hlen...", "fieldLabel": "Kategorie", "hiddenName": "categoryHidden", "listeners": { "render": Lino.quicktip_renderer("Kategorie","(aids.IncomeConfirmationsByGranting.category) ") }, "name": "category", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/category" }) }) });
    var amount3249 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(aids.IncomeConfirmationsByGranting.amount) ") }, "name": "amount", "selectOnFocus": true });
    var main_3_panel3250 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 62, "items": category3248, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": amount3249, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3253 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.IncomeConfirmationsByGranting.company) Pointer to Company.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/company" }) }) });
    var contact_person3254 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.IncomeConfirmationsByGranting.contact_person) Pointer to Person.") }, "name": "contact_person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/contact_person" }) }) });
    var language3255 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.IncomeConfirmationsByGranting.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_4_panel3256 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company3253, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person3254, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language3255, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark3260 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 55, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel3261 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3242, main_2_panel3245, main_3_panel3250, main_4_panel3256, remark3260 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3261;
    this.before_row_edit = function(record) {
      contact_person3254.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark3260.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company3253 !== 'undefined' && company3253.on('change',Lino.chooser_handler(contact_person3254,'company'));
      Lino.aids.IncomeConfirmationsByGranting.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.IncomeConfirmationsByGranting.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.Contracts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel art61-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 106,
  initComponent : function() {
    var client3116 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(art61.Contracts.client) ") }, "name": "client", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/client" }) }) });
    var company3117 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(art61.Contracts.company) Pointer to Company.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/company" }) }) });
    var type3118 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Art", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art","(art61.Contracts.type) ") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/type" }) }) });
    var main_panel3119 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client3116, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": company3117, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type3118, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3119;
    this.before_row_edit = function(record) {
    }
    Lino.art61.Contracts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseOffers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-CourseOffers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 108,
  initComponent : function() {
    var id3262 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(xcourses.CourseOffers.id) ") }, "name": "id", "selectOnFocus": true });
    var title3263 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.CourseOffers.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var content3264 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "Kursinhalt", "hiddenName": "contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.CourseOffers.content) ") }, "name": "content", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/content" }) }) });
    var provider3265 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "Kursanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Kursanbieter","(xcourses.CourseOffers.provider) ") }, "name": "provider", "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/provider" }) }) });
    var guest_role3266 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gastrolle</span>", "hiddenName": "guest_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Gastrolle","(xcourses.CourseOffers.guest_role) Default guest role for particpants of events.") }, "name": "guest_role", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/guest_role" }) }) });
    var main_1_panel3267 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 8, "items": id3262, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": title3263, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": content3264, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": provider3265, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": guest_role3266, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var description3273 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Beschreibung", "flex": 5, "name": "description", "region": "center", "selectOnFocus": true, "split": true, "title": "Beschreibung" });
    var main_panel3314 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3267, description3273 ], "labelAlign": "top", "labelWidth": 117 });
    this.items = main_panel3314;
    this.before_row_edit = function(record) {
      description3273.refresh();
    }
    Lino.xcourses.CourseOffers.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobsOverview.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel utils-Report",
  layout: 'fit',
  auto_save: true,
  disable_editing: true,
  initComponent : function() {
    var body_htmlbox3315 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(utils.Report.body) ") }, "name": "body", "region": "center", "value": "<br/>" });
    var main_panel3316 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ body_htmlbox3315 ], "labelAlign": "top", "labelWidth": 0, "layout": "fit" });
    this.items = main_panel3316;
    this.before_row_edit = function(record) {
      body_htmlbox3315.refresh();
    }
    Lino.jobs.JobsOverview.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseOffers.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel xcourses-CourseOffers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 108,
  initComponent : function() {
    var provider3317 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "Kursanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Kursanbieter","(xcourses.CourseOffers.provider) ") }, "name": "provider", "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/provider" }) }) });
    var content3318 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "Kursinhalt", "hiddenName": "contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.CourseOffers.content) ") }, "name": "content", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/content" }) }) });
    var title3319 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.CourseOffers.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var main_panel3320 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": provider3317, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": content3318, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": title3319, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3320;
    this.before_row_edit = function(record) {
    }
    Lino.xcourses.CourseOffers.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.checkdata.Checkers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel checkdata-Checkers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  disable_editing: true,
  initComponent : function() {
    var value3324 = new Ext.form.TextField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Wert", "listeners": { "render": Lino.quicktip_renderer("Wert","(checkdata.Checkers.value) ") }, "maxLength": 20, "name": "value" });
    var text3325 = new Ext.form.TextField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Text", "listeners": { "render": Lino.quicktip_renderer("Text","(checkdata.Checkers.text) ") }, "maxLength": 50, "name": "text" });
    var main_1_panel3326 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": value3324, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": text3325, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3350 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3326 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3350;
    this.before_row_edit = function(record) {
    }
    Lino.checkdata.Checkers.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Types.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel households-Types",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 120,
  initComponent : function() {
    var name3351 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(households.Types.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3352 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(households.Types.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3353 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(households.Types.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3354 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name3351, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr3352, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en3353, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3438 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3354 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3438;
    this.before_row_edit = function(record) {
    }
    Lino.households.Types.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Budgets.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel debts-Budgets",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 126,
  initComponent : function() {
    var partner1764 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(debts.Budgets.partner) ") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/partner" }) }) });
    var date1765 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(debts.Budgets.date) ") }, "name": "date", "selectOnFocus": true });
    var user1766 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(debts.Budgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/user" }) }) });
    var main_2_panel1767 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": date1765, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": user1766, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1770 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": partner1764, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel1767 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1770;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Budgets.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Households.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel households-Households",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 122,
  initComponent : function() {
    var type3439 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Haushaltsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Haushaltsart","(households.Households.type) The type of this household.  See household types") }, "name": "type", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/type" }) }) });
    var prefix3440 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(households.Households.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name3441 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.Households.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var id3442 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(households.Households.id) ") }, "name": "id", "selectOnFocus": true });
    var general_1_panel3443 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 29, "items": type3439, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": prefix3440, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": name3441, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id3442, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var overview_htmlbox3448 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 50, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(households.Households.overview) ") }, "name": "overview", "value": "<br/>" });
    var language3449 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(households.Households.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var email3450 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(households.Households.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone3451 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(households.Households.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm3452 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(households.Households.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var box3_panel3453 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 50, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language3449, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": email3450, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone3451, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm3452, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_2_panel3458 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox3448, box3_panel3453 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel3460 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel3443, general_2_panel3458 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "region": "center", "title": "Allgemein" });
    var main_panel3464 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel3460 ], "labelAlign": "top", "split": true });
    this.items = main_panel3464;
    this.before_row_edit = function(record) {
      overview_htmlbox3448.refresh();
    }
    Lino.households.Households.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.vatless.Invoices.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel vatless-Invoices",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  autoHeight: true,
  content_type: 77,
  initComponent : function() {
    var journal3465 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(vatless.Invoices.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/journal" }) }) });
    var partner3466 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.Invoices.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/partner" }) }) });
    var entry_date3467 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.Invoices.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var main_panel3468 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": journal3465, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": partner3466, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": entry_date3467, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3468;
    this.before_row_edit = function(record) {
    }
    Lino.vatless.Invoices.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Households.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel households-Households",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 122,
  initComponent : function() {
    var name3472 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.Households.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var type3473 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Haushaltsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Haushaltsart","(households.Households.type) The type of this household.  See household types") }, "name": "type", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/type" }) }) });
    var main_panel3474 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name3472, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type3473, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3474;
    this.before_row_edit = function(record) {
    }
    Lino.households.Households.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.properties.PropGroups.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel properties-PropGroups",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 18,
  initComponent : function() {
    var id3477 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(properties.PropGroups.id) ") }, "name": "id", "selectOnFocus": true });
    var name3478 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(properties.PropGroups.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3479 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(properties.PropGroups.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3480 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(properties.PropGroups.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3481 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id3477, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name3478, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr3479, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en3480, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3494 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3481 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3494;
    this.before_row_edit = function(record) {
    }
    Lino.properties.PropGroups.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Guests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 40,
  initComponent : function() {
    var event1403 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.OneEvent.detail", "emptyText": "Kalendereintrag ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintrag</span>", "hiddenName": "eventHidden", "insert_action": "Lino.cal.OneEvent.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintrag","(cal.Guests.event) The calendar event to which this presence applies.") }, "name": "event", "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/event" }) }) });
    var client1404 = new Lino.RemoteComboFieldElement({ "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Guests.client) Virtual field which returns the partner if it is a client.") }, "name": "client", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var role1405 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Rolle</span>", "hiddenName": "roleHidden", "listeners": { "render": Lino.quicktip_renderer("Rolle","(cal.Guests.role) The role of this partner in this presence.") }, "name": "role", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/role" }) }) });
    var main_1_panel1406 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": event1403, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": client1404, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": role1405, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var state1410 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.Guests.state) The state of this presence.  See GuestStates.") }, "name": "state", "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var remark1411 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(cal.Guests.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var workflow_buttons_disp1412 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(cal.Guests.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_2_panel1413 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": state1410, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": remark1411, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 45, "items": workflow_buttons_disp1412, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var waiting_since1417 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wartet seit</span>", "listeners": { "render": Lino.quicktip_renderer("Wartet seit","(cal.Guests.waiting_since) Time when the visitor arrived (checked in).") }, "name": "waiting_since", "value": "<br>" });
    var busy_since1418 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hat gewartet bis</span>", "listeners": { "render": Lino.quicktip_renderer("Hat gewartet bis","(cal.Guests.busy_since) Time when the visitor was received by agent.") }, "name": "busy_since", "value": "<br>" });
    var gone_since1419 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Anwesend bis</span>", "listeners": { "render": Lino.quicktip_renderer("Anwesend bis","(cal.Guests.gone_since) Time when the visitor left (checked out).") }, "name": "gone_since", "value": "<br>" });
    var main_3_panel1420 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": waiting_since1417, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": busy_since1418, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": gone_since1419, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1424 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1406, main_2_panel1413, main_3_panel1420 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel1424;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Guests.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.GuestRoles.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-GuestRoles",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 32,
  initComponent : function() {
    var ref3495 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(cal.GuestRoles.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var name3496 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.GuestRoles.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3497 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.GuestRoles.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3498 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.GuestRoles.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var id3499 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.GuestRoles.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel3500 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": ref3495, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name3496, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name_fr3497, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name_en3498, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": id3499, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3518 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3500 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3518;
    this.before_row_edit = function(record) {
    }
    Lino.cal.GuestRoles.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.properties.PropTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel properties-PropTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 16,
  initComponent : function() {
    var id3519 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(properties.PropTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name3520 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(properties.PropTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3521 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(properties.PropTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3522 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(properties.PropTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var choicelist3523 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "Auswahliste", "hiddenName": "choicelistHidden", "listeners": { "render": Lino.quicktip_renderer("Auswahliste","(properties.PropTypes.choicelist) ") }, "name": "choicelist", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/PropTypes/choicelist" }) }) });
    var default_value3524 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert</span>", "hiddenName": "default_valueHidden", "listeners": { "render": Lino.quicktip_renderer("Standardwert","(properties.PropTypes.default_value) The default value to set when creating a PropertyOccurence.\nThis is currently used only in some fixture...") }, "name": "default_value", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/PropTypes/default_value" }) }) });
    var main_1_panel3525 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id3519, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name3520, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_fr3521, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en3522, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": choicelist3523, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": default_value3524, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var main_panel3548 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3525 ], "labelAlign": "top" });
    this.items = main_panel3548;
    this.before_row_edit = function(record) {
      default_value3524.setContextValue('choicelist', record ? record.data['choicelist'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof choicelist3523 !== 'undefined' && choicelist3523.on('change',Lino.chooser_handler(default_value3524,'choicelist'));
      Lino.properties.PropTypes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.properties.PropTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.addresses.Addresses.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel addresses-Addresses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 21,
  initComponent : function() {
    var country1834 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(addresses.Addresses.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/country" }) }) });
    var city1835 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(addresses.Addresses.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/city" }) }) });
    var zip_code1836 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "Postleitzahl", "listeners": { "render": Lino.quicktip_renderer("Postleitzahl","(addresses.Addresses.zip_code) ") }, "maxLength": 10, "name": "zip_code", "selectOnFocus": true });
    var main_1_panel1837 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": country1834, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": city1835, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": zip_code1836, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr11841 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adresszeile vor Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Adresszeile vor Stra\u00dfe","(addresses.Addresses.addr1) Adresszeile vor Stra\u00dfe") }, "maxLength": 200, "name": "addr1", "selectOnFocus": true });
    var street1842 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Stra\u00dfe","(addresses.Addresses.street) Name der Stra\u00dfe, ohne Hausnummer") }, "maxLength": 200, "name": "street", "selectOnFocus": true });
    var street_no1843 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(addresses.Addresses.street_no) Hausnummer") }, "maxLength": 10, "name": "street_no", "selectOnFocus": true });
    var street_box1844 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Box</span>", "listeners": { "render": Lino.quicktip_renderer("Box","(addresses.Addresses.street_box) Text to print after street number on the same line.") }, "maxLength": 10, "name": "street_box", "selectOnFocus": true });
    var main_3_panel1845 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": street1842, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_no1843, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_box1844, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr21849 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adresszeile nach Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Adresszeile nach Stra\u00dfe","(addresses.Addresses.addr2) Adresszeile nach Stra\u00dfe") }, "maxLength": 200, "name": "addr2", "selectOnFocus": true });
    var address_type1850 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adressenart</span>", "forceSelection": true, "hiddenName": "address_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Adressenart","(addresses.Addresses.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "name": "address_type", "selectOnFocus": true, "store": Lino.addresses.AddressTypes });
    var remark1851 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(addresses.Addresses.remark) ") }, "maxLength": 50, "name": "remark", "selectOnFocus": true });
    var main_5_panel1852 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 52, "items": address_type1850, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": remark1851, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var data_source1855 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datenquelle</span>", "forceSelection": true, "hiddenName": "data_sourceHidden", "listeners": { "render": Lino.quicktip_renderer("Datenquelle","(addresses.Addresses.data_source) Pointer to DataSources.") }, "name": "data_source", "store": Lino.addresses.DataSources });
    var partner1856 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(addresses.Addresses.partner) ") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/partner" }) }) });
    var main_6_panel1857 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 57, "items": data_source1855, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 42, "items": partner1856, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1860 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1837, { "anchor": "-20", "autoHeight": true, "items": addr11841, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel1845, { "anchor": "-20", "autoHeight": true, "items": addr21849, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_5_panel1852, main_6_panel1857 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1860;
    this.before_row_edit = function(record) {
      city1835.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city1835.setContextValue('region', record ? record.data['regionHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country1834 !== 'undefined' && country1834.on('change',Lino.chooser_handler(city1835,'country'));
      Lino.addresses.Addresses.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.addresses.Addresses.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    zip_code1836.on("change", function(){ this.save() }, this);
    city1835.on("change", function(){ this.save() }, this);
  }
});


Lino.jobs.Jobs.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel jobs-Jobs",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 102,
  initComponent : function() {
    var name3222 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.Jobs.name) ") }, "maxLength": 100, "name": "name", "selectOnFocus": true });
    var provider3223 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Stellenanbieter ausw\u00e4hlen...", "fieldLabel": "Stellenanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Stellenanbieter","(jobs.Jobs.provider) ") }, "name": "provider", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/provider" }) }) });
    var main_1_panel3224 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 51, "items": name3222, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": provider3223, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contract_type3227 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "contract_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(jobs.Jobs.contract_type) ") }, "name": "contract_type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/contract_type" }) }) });
    var type3228 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobTypes.detail", "emptyText": "Stellenart ausw\u00e4hlen...", "fieldLabel": "Stellenart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Stellenart","(jobs.Jobs.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/type" }) }) });
    var main_2_panel3229 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": contract_type3227, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": type3228, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector3232 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(jobs.Jobs.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/sector" }) }) });
    var function3233 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.Jobs.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/function" }) }) });
    var main_3_panel3234 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": sector3232, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": function3233, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3237 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3224, main_2_panel3229, main_3_panel3234 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel3237;
    this.before_row_edit = function(record) {
      function3233.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof sector3232 !== 'undefined' && sector3232.on('change',Lino.chooser_handler(function3233,'sector'));
      Lino.jobs.Jobs.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.jobs.Jobs.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.Excerpts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel excerpts-Excerpts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 23,
  initComponent : function() {
    var excerpt_type3549 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.excerpts.ExcerptTypes.detail", "emptyText": "Auszugsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Auszugsart</span>", "hiddenName": "excerpt_typeHidden", "insert_action": "Lino.excerpts.ExcerptTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Auszugsart","(excerpts.Excerpts.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "name": "excerpt_type", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/excerpt_type" }) }) });
    var project3550 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(excerpts.Excerpts.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/project" }) }) });
    var main_1_panel3551 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": excerpt_type3549, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project3550, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3554 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(excerpts.Excerpts.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/company" }) }) });
    var contact_person3555 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(excerpts.Excerpts.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "name": "contact_person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/contact_person" }) }) });
    var main_2_panel3556 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": company3554, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": contact_person3555, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3559 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3551, main_2_panel3556 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel3559;
    this.before_row_edit = function(record) {
      excerpt_type3549.setContextValue('owner', record ? record.data['owner'] : undefined);
      contact_person3555.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company3554 !== 'undefined' && company3554.on('change',Lino.chooser_handler(contact_person3555,'company'));
      Lino.excerpts.Excerpts.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.Excerpts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Jobs.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Jobs",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 102,
  initComponent : function() {
    var name3156 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.Jobs.name) ") }, "maxLength": 100, "name": "name", "selectOnFocus": true });
    var provider3157 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Stellenanbieter ausw\u00e4hlen...", "fieldLabel": "Stellenanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Stellenanbieter","(jobs.Jobs.provider) ") }, "name": "provider", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/provider" }) }) });
    var contract_type3158 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "contract_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(jobs.Jobs.contract_type) ") }, "name": "contract_type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/contract_type" }) }) });
    var type3159 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobTypes.detail", "emptyText": "Stellenart ausw\u00e4hlen...", "fieldLabel": "Stellenart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Stellenart","(jobs.Jobs.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/type" }) }) });
    var id3160 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.Jobs.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel3161 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": name3156, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": provider3157, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": contract_type3158, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": type3159, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": id3160, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector3167 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(jobs.Jobs.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/sector" }) }) });
    var function3168 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.Jobs.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/function" }) }) });
    var capacity3169 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kapazit\u00e4t", "listeners": { "render": Lino.quicktip_renderer("Kapazit\u00e4t","(jobs.Jobs.capacity) ") }, "name": "capacity", "selectOnFocus": true, "value": 1 });
    var hourly_rate3170 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Stundensatz", "listeners": { "render": Lino.quicktip_renderer("Stundensatz","(jobs.Jobs.hourly_rate) ") }, "name": "hourly_rate", "selectOnFocus": true });
    var main_2_panel3171 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 35, "items": sector3167, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": function3168, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": capacity3169, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": hourly_rate3170, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark3176 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(jobs.Jobs.remark) ") }, "name": "remark", "region": "center", "selectOnFocus": true });
    var main_3_panel3189 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 41, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 33, "items": remark3176, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel3221 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3161, main_2_panel3171, main_3_panel3189 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3221;
    this.before_row_edit = function(record) {
      function3168.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof sector3167 !== 'undefined' && sector3167.on('change',Lino.chooser_handler(function3168,'sector'));
      Lino.jobs.Jobs.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.jobs.Jobs.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.ContractTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-ContractTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 99,
  initComponent : function() {
    var id3560 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.ContractTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name3561 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(jobs.ContractTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3562 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(jobs.ContractTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3563 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(jobs.ContractTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var ref3564 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(jobs.ContractTypes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var overlap_group3565 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00dcberlappungsgruppe", "forceSelection": true, "hiddenName": "overlap_groupHidden", "listeners": { "render": Lino.quicktip_renderer("\u00dcberlappungsgruppe","(jobs.ContractTypes.overlap_group) ") }, "name": "overlap_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.OverlapGroups) });
    var main_1_panel3566 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 3, "items": id3560, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": name3561, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": name_fr3562, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": name_en3563, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": ref3564, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": overlap_group3565, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3603 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3566 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3603;
    this.before_row_edit = function(record) {
    }
    Lino.jobs.ContractTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseContents.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-CourseContents",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 107,
  initComponent : function() {
    var id3604 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(xcourses.CourseContents.id) ") }, "name": "id", "selectOnFocus": true });
    var name3605 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.CourseContents.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var main_1_panel3606 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": id3604, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": name3605, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var main_panel3629 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3606 ], "labelAlign": "top" });
    this.items = main_panel3629;
    this.before_row_edit = function(record) {
    }
    Lino.xcourses.CourseContents.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Budgets.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel debts-Budgets",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 126,
  initComponent : function() {
    var date1668 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(debts.Budgets.date) ") }, "name": "date", "selectOnFocus": true });
    var partner1669 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(debts.Budgets.partner) ") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/partner" }) }) });
    var id1670 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(debts.Budgets.id) ") }, "name": "id", "selectOnFocus": true });
    var user1671 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(debts.Budgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/user" }) }) });
    var general_1_panel1672 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": date1668, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": partner1669, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": id1670, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": user1671, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var intro1677 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Einleitung", "flex": 5, "name": "intro", "region": "center", "selectOnFocus": true, "split": true, "title": "Einleitung" });
    var general_panel1686 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1672, intro1677 ], "labelAlign": "top", "labelWidth": 99, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var conclusion1741 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Schlussfolgerung", "flex": 55, "name": "conclusion", "selectOnFocus": true, "title": "Schlussfolgerung" });
    var dist_amount1742 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verteilbarer Betrag</span>", "listeners": { "render": Lino.quicktip_renderer("Verteilbarer Betrag","(debts.Budgets.dist_amount) Der monatlich verf\u00fcgbare Gesamtbetrag f\u00fcr Tabelle Schuldenverteilung.") }, "name": "dist_amount", "selectOnFocus": true, "value": 120 });
    var printed_disp1743 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(debts.Budgets.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var total_debt1744 = new Ext.form.NumberField({ "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true, "fieldLabel": "Gesamtschuld", "listeners": { "render": Lino.quicktip_renderer("Gesamtschuld","(debts.Budgets.total_debt) ") }, "name": "total_debt" });
    var summary2_2_panel1745 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": dist_amount1742, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 55, "items": printed_disp1743, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": total_debt1744, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var include_yearly_incomes1749 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "J\u00e4hrliche Einkommen ber\u00fccksichtigen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("J\u00e4hrliche Einkommen ber\u00fccksichtigen","(debts.Budgets.include_yearly_incomes) Check this to include yearly incomes in the Debts Overview table of this Budget.") }, "name": "include_yearly_incomes", "selectOnFocus": true });
    var print_empty_rows1750 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch leere Eintr\u00e4ge drucken", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch leere Eintr\u00e4ge drucken","(debts.Budgets.print_empty_rows) Check this to print also empty rows for later completion.") }, "name": "print_empty_rows", "selectOnFocus": true });
    var print_todos1751 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "To-do-Liste drucken", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("To-do-Liste drucken","(debts.Budgets.print_todos) Eintr\u00e4ge im Feld \"To-do\" werden nur ausgedruckt,\nwenn die Option \"To-dos drucken\" des Budgets angekreuzt ist.\nDiese Option wird aber momentan noch ignoriert\n(d.h. To-do-Liste wird gar nicht ausgedruckt),\nweil wir noch \u00fcberlegen m\u00fcssen, *wie* sie ausgedruckt werden sollen.\nVielleicht mit Fu\u00dfnoten?") }, "name": "print_todos", "selectOnFocus": true });
    var summary2_3_panel1752 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": include_yearly_incomes1749, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": print_empty_rows1750, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": print_todos1751, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary2_panel1756 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 57, "frame": true, "hideCheckBoxLabels": true, "items": [ conclusion1741, summary2_2_panel1745, summary2_3_panel1752 ], "labelAlign": "top", "labelWidth": 153, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var summary_tab_1_panel1757 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 9, "frame": false, "hideCheckBoxLabels": true, "items": [ summary2_panel1756 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center", "split": true });
    var summary_tab_panel1759 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ summary_tab_1_panel1757 ], "labelAlign": "top", "labelWidth": 171, "listeners": { "activate": Lino.on_tab_activate }, "title": "Zusammenfassung" });
    var data_box_htmlbox1760 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Erfasste Daten","(debts.Budgets.data_box) ") }, "name": "data_box", "region": "north", "split": true, "title": "Erfasste Daten", "value": "<br/>" });
    var summary_box_htmlbox1761 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Zusammenfassung","(debts.Budgets.summary_box) ") }, "name": "summary_box", "region": "center", "split": true, "title": "Zusammenfassung", "value": "<br/>" });
    var preview_tab_panel1762 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ data_box_htmlbox1760, summary_box_htmlbox1761 ], "labelAlign": "top", "labelWidth": 144, "listeners": { "activate": Lino.on_tab_activate }, "title": "Vorschau" });
    var main_panel1763 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1686, summary_tab_panel1759, preview_tab_panel1762 ], "labelAlign": "top", "split": true });
    this.items = main_panel1763;
    this.before_row_edit = function(record) {
      intro1677.refresh();
      conclusion1741.refresh();
      data_box_htmlbox1760.refresh();
      summary_box_htmlbox1761.refresh();
    }
    Lino.debts.Budgets.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel users-Users",
  layout: 'fit',
  auto_save: true,
  content_type: 11,
  initComponent : function() {
    var username2092 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzername</span>", "listeners": { "render": Lino.quicktip_renderer("Benutzername","(users.Users.username) Must be either unique or empty.  Users with an empty username cannot\nsign in.") }, "maxLength": 30, "name": "username", "selectOnFocus": true });
    var user_type2093 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzerart</span>", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.Users.user_type) The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var partner2094 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(users.Users.partner) The partner record with additional contact information about\nthis user account.") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/partner" }) }) });
    var box1_1_panel2095 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": username2092, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": user_type2093, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": partner2094, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name2099 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(users.Users.first_name) ") }, "maxLength": 30, "name": "first_name", "selectOnFocus": true });
    var last_name2100 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(users.Users.last_name) ") }, "maxLength": 30, "name": "last_name", "selectOnFocus": true });
    var initials2101 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Initialien</span>", "listeners": { "render": Lino.quicktip_renderer("Initialien","(users.Users.initials) The nickname or initials of this user. This does not need to be unique\nbut should be reasonably identifying.") }, "maxLength": 10, "name": "initials", "selectOnFocus": true });
    var box1_2_panel2102 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": first_name2099, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": last_name2100, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": initials2101, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var email2106 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(users.Users.email) ") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var language2107 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(users.Users.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var mail_mode2108 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benachrichtigungsmodus", "forceSelection": true, "hiddenName": "mail_modeHidden", "listeners": { "render": Lino.quicktip_renderer("Benachrichtigungsmodus","(users.Users.mail_mode) ") }, "name": "mail_mode", "selectOnFocus": true, "store": Lino.notify.MailModes });
    var box1_3_panel2109 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": email2106, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": language2107, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": mail_mode2108, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var id2113 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(users.Users.id) ") }, "name": "id", "selectOnFocus": true });
    var created2114 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(users.Users.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified2115 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(users.Users.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var box1_4_panel2116 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 13, "items": id2113, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": created2114, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": modified2115, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var box1_panel2120 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 66, "frame": true, "hideCheckBoxLabels": true, "items": [ box1_1_panel2095, box1_2_panel2102, box1_3_panel2109, box1_4_panel2116 ], "labelAlign": "top", "layout": "form" });
    var general_1_panel2124 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ box1_panel2120 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks2125 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(users.Users.remarks) ") }, "name": "remarks", "region": "center", "selectOnFocus": true });
    var general_2_panel2129 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 66, "items": remarks2125, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var general_panel2131 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel2124, general_2_panel2129 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var newcomer_quota2179 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Quote Erstempfang</span>", "listeners": { "render": Lino.quicktip_renderer("Quote Erstempfang","(users.Users.newcomer_quota) Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n") }, "name": "newcomer_quota", "selectOnFocus": true, "value": 0 });
    var coaching_type2180 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Dienst ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dienst</span>", "hiddenName": "coaching_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Dienst","(users.Users.coaching_type) The coaching type used for new coachings of this user.") }, "name": "coaching_type", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/coaching_type" }) }) });
    var coaching_supervisor2181 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Coaching supervisor", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Coaching supervisor","(users.Users.coaching_supervisor) Notify me when a coach has been assigned.") }, "name": "coaching_supervisor", "selectOnFocus": true });
    var newcomer_consultations2182 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": " Erstempfang direkt", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer(" Erstempfang direkt","(users.Users.newcomer_consultations) Accepts prompt consultations for newcomers.") }, "name": "newcomer_consultations", "selectOnFocus": true });
    var newcomer_appointments2183 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Erstempfang auf Vereinbarung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Erstempfang auf Vereinbarung","(users.Users.newcomer_appointments) Accepts appointments for newcomers.") }, "name": "newcomer_appointments", "selectOnFocus": true });
    var coaching_a_panel2191 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 33, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": newcomer_quota2179, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": coaching_type2180, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": coaching_supervisor2181, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": newcomer_consultations2182, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": newcomer_appointments2183, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var coaching_1_panel2205 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ coaching_a_panel2191 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Begleitung" });
    var main_panel2215 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel2131, coaching_1_panel2205 ], "labelAlign": "top", "split": true });
    this.items = main_panel2215;
    this.before_row_edit = function(record) {
    }
    Lino.users.AllUsers.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    partner2094.on("change", function(){ this.save() }, this);
  }
});


Lino.notes.Notes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel notes-Notes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 131,
  initComponent : function() {
    var date3630 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(notes.Notes.date) ") }, "name": "date", "selectOnFocus": true });
    var time3631 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zeit", "listeners": { "render": Lino.quicktip_renderer("Zeit","(notes.Notes.time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "time", "selectOnFocus": true });
    var event_type3632 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Event Type ausw\u00e4hlen...", "fieldLabel": "Ereignisart (Form)", "hiddenName": "event_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ereignisart (Form)","(notes.Notes.event_type) ") }, "name": "event_type", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/event_type" }) }) });
    var type3633 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.NoteTypes.detail", "emptyText": "Notizart ausw\u00e4hlen...", "fieldLabel": "Notizart (Inhalt)", "hiddenName": "typeHidden", "insert_action": "Lino.notes.NoteTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Notizart (Inhalt)","(notes.Notes.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/type" }) }) });
    var left_1_panel3634 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": date3630, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": time3631, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": event_type3632, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": type3633, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var project3639 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(notes.Notes.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/project" }) }) });
    var subject3640 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(notes.Notes.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var important3641 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Wichtig", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Wichtig","(notes.Notes.important) ") }, "name": "important", "selectOnFocus": true });
    var left_2_panel3642 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": project3639, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 41, "items": subject3640, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": important3641, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3646 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(notes.Notes.company) Pointer to Company.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/company" }) }) });
    var contact_person3647 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(notes.Notes.contact_person) Pointer to Person.") }, "name": "contact_person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/contact_person" }) }) });
    var left_3_panel3648 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": company3646, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": contact_person3647, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user3651 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(notes.Notes.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/user" }) }) });
    var language3652 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(notes.Notes.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var build_time3653 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Druckdatum","(notes.Notes.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "name": "build_time", "value": "<br>" });
    var id3654 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(notes.Notes.id) ") }, "name": "id", "selectOnFocus": true });
    var left_4_panel3655 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user3651, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": language3652, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 41, "items": build_time3653, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": id3654, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var body3660 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Inhalt", "flex": 55, "name": "body", "selectOnFocus": true, "title": "Inhalt" });
    var left_panel3661 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 66, "frame": true, "hideCheckBoxLabels": true, "items": [ left_1_panel3634, left_2_panel3642, left_3_panel3648, left_4_panel3655, body3660 ], "labelAlign": "top", "labelWidth": 63, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var main_1_panel3666 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ left_panel3661 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var main_panel3667 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3666 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel3667;
    this.before_row_edit = function(record) {
      contact_person3647.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body3660.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company3646 !== 'undefined' && company3646.on('change',Lino.chooser_handler(contact_person3647,'company'));
      Lino.notes.Notes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.notes.Notes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.ExcerptTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel excerpts-ExcerptTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 22,
  initComponent : function() {
    var name3668 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(excerpts.ExcerptTypes.name) The designation of this excerpt type.\nOne field for every language.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3669 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(excerpts.ExcerptTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3670 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(excerpts.ExcerptTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3671 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name3668, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr3669, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en3670, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var content_type3675 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.gfks.ContentTypes.detail", "emptyText": "Datenbankmodell ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Modell</span>", "hiddenName": "content_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Modell","(excerpts.ExcerptTypes.content_type) The database model for which this excerpt type is to be used.") }, "name": "content_type", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/content_type" }) }) });
    var primary3676 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Prim\u00e4r", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4r","(excerpts.ExcerptTypes.primary) Whether this is the default type to use for this model. There's at most one primary type per model. Enabling this field will automatically make the other types non-primary.") }, "name": "primary", "selectOnFocus": true });
    var certifying3677 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bescheinigend", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bescheinigend","(excerpts.ExcerptTypes.certifying) Ob Ausz\u00fcge dieser Art als einmalige Ausdrucke behandelt werden sollen.") }, "name": "certifying", "selectOnFocus": true });
    var main_2_panel3678 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": content_type3675, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": primary3676, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": certifying3677, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var build_method3682 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(excerpts.ExcerptTypes.build_method) See lino.modlib.printing.mixins.PrintableType.build_method.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template3683 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Vorlage","(excerpts.ExcerptTypes.template) The main template to be used when printing an excerpt of this type.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/template" }) }) });
    var body_template3684 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Textk\u00f6rper-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Textk\u00f6rper-Vorlage","(excerpts.ExcerptTypes.body_template) The body template to use when printing an excerpt of this type.") }, "name": "body_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/body_template" }) }) });
    var main_3_panel3685 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 53, "items": build_method3682, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": template3683, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": body_template3684, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3689 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3671, main_2_panel3678, main_3_panel3685 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel3689;
    this.before_row_edit = function(record) {
      template3683.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      template3683.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      body_template3684.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof build_method3682 !== 'undefined' && build_method3682.on('change',Lino.chooser_handler(template3683,'build_method'));
      typeof content_type3675 !== 'undefined' && content_type3675.on('change',Lino.chooser_handler(template3683,'content_type'));
      typeof content_type3675 !== 'undefined' && content_type3675.on('change',Lino.chooser_handler(body_template3684,'content_type'));
      Lino.excerpts.ExcerptTypes.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.ExcerptTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Regimes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Regimes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 86,
  initComponent : function() {
    var id3690 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Regimes.id) ") }, "name": "id", "selectOnFocus": true });
    var name3691 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Regimes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3692 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Regimes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3693 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Regimes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3694 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id3690, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name3691, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr3692, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en3693, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var main_panel3739 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3694 ], "labelAlign": "top" });
    this.items = main_panel3739;
    this.before_row_edit = function(record) {
    }
    Lino.cv.Regimes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.ExcerptTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel excerpts-ExcerptTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 22,
  initComponent : function() {
    var id3740 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(excerpts.ExcerptTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name3741 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(excerpts.ExcerptTypes.name) The designation of this excerpt type.\nOne field for every language.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3742 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(excerpts.ExcerptTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3743 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(excerpts.ExcerptTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3744 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id3740, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name3741, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr3742, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en3743, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var content_type3749 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.gfks.ContentTypes.detail", "emptyText": "Datenbankmodell ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Modell</span>", "hiddenName": "content_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Modell","(excerpts.ExcerptTypes.content_type) The database model for which this excerpt type is to be used.") }, "name": "content_type", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/content_type" }) }) });
    var build_method3750 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(excerpts.ExcerptTypes.build_method) See lino.modlib.printing.mixins.PrintableType.build_method.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template3751 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Vorlage","(excerpts.ExcerptTypes.template) The main template to be used when printing an excerpt of this type.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/template" }) }) });
    var body_template3752 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Textk\u00f6rper-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Textk\u00f6rper-Vorlage","(excerpts.ExcerptTypes.body_template) The body template to use when printing an excerpt of this type.") }, "name": "body_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/body_template" }) }) });
    var email_template3753 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Vorlage","(excerpts.ExcerptTypes.email_template) The template to use when sending this an excerpt of this type\nby email.") }, "name": "email_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/email_template" }) }) });
    var shortcut3754 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Excerpt shortcut</span>", "forceSelection": true, "hiddenName": "shortcutHidden", "listeners": { "render": Lino.quicktip_renderer("Excerpt shortcut","(excerpts.ExcerptTypes.shortcut) Optional pointer to a shortcut field.  If this is not empty, then\nthe given shortcut field will manage excerpts of this type.") }, "name": "shortcut", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.excerpts.Shortcuts) });
    var main_2_panel3755 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 15, "items": content_type3749, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": build_method3750, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": template3751, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": body_template3752, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": email_template3753, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": shortcut3754, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var primary3762 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Prim\u00e4r", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4r","(excerpts.ExcerptTypes.primary) Whether this is the default type to use for this model. There's at most one primary type per model. Enabling this field will automatically make the other types non-primary.") }, "name": "primary", "selectOnFocus": true });
    var print_directly3763 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Direkt drucken", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Direkt drucken","(excerpts.ExcerptTypes.print_directly) ") }, "name": "print_directly", "selectOnFocus": true });
    var certifying3764 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bescheinigend", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bescheinigend","(excerpts.ExcerptTypes.certifying) Ob Ausz\u00fcge dieser Art als einmalige Ausdrucke behandelt werden sollen.") }, "name": "certifying", "selectOnFocus": true });
    var print_recipient3765 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Empf\u00e4nger drucken", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger drucken","(excerpts.ExcerptTypes.print_recipient) Whether to print a recipient field in document.") }, "name": "print_recipient", "selectOnFocus": true });
    var backward_compat3766 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Backward compatible", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Backward compatible","(excerpts.ExcerptTypes.backward_compat) Check this to have `this` in template context point to owner instead of excerpt.") }, "name": "backward_compat", "selectOnFocus": true });
    var attach_to_email3767 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "als Anhang per E-Mail", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("als Anhang per E-Mail","(excerpts.ExcerptTypes.attach_to_email) Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n") }, "name": "attach_to_email", "selectOnFocus": true });
    var main_3_panel3768 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": primary3762, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": print_directly3763, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": certifying3764, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": print_recipient3765, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": backward_compat3766, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": attach_to_email3767, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3817 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3744, main_2_panel3755, main_3_panel3768 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3817;
    this.before_row_edit = function(record) {
      template3751.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      template3751.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      body_template3752.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      email_template3753.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof build_method3750 !== 'undefined' && build_method3750.on('change',Lino.chooser_handler(template3751,'build_method'));
      typeof content_type3749 !== 'undefined' && content_type3749.on('change',Lino.chooser_handler(template3751,'content_type'));
      typeof content_type3749 !== 'undefined' && content_type3749.on('change',Lino.chooser_handler(body_template3752,'content_type'));
      typeof content_type3749 !== 'undefined' && content_type3749.on('change',Lino.chooser_handler(email_template3753,'content_type'));
      Lino.excerpts.ExcerptTypes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.ExcerptTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Contracts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 100,
  initComponent : function() {
    var id2729 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.Contracts.id) ") }, "name": "id", "selectOnFocus": true });
    var client2730 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(jobs.Contracts.client) ") }, "name": "client", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/client" }) }) });
    var user2731 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(jobs.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/user" }) }) });
    var user_asd2732 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Verantwortlicher (ASD)", "hiddenName": "user_asdHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher (ASD)","(jobs.Contracts.user_asd) ") }, "name": "user_asd", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/user_asd" }) }) });
    var language2733 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(jobs.Contracts.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var box1_1_panel2734 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 11, "items": id2729, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": client2730, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user2731, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user_asd2732, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": language2733, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var job2740 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Stelle ausw\u00e4hlen...", "fieldLabel": "Stelle", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Stelle","(jobs.Contracts.job) ") }, "name": "job", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/job" }) }) });
    var type2741 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Art", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art","(jobs.Contracts.type) ") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/type" }) }) });
    var company2742 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(jobs.Contracts.company) Pointer to Company.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/company" }) }) });
    var contact_person2743 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented by</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Represented by","(jobs.Contracts.contact_person) Pointer to Person.") }, "name": "contact_person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/contact_person" }) }) });
    var contact_role2744 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented as</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Represented as","(jobs.Contracts.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/contact_role" }) }) });
    var box1_2_panel2745 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": job2740, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": type2741, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": company2742, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": contact_person2743, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": contact_role2744, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var applies_from2751 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(jobs.Contracts.applies_from) ") }, "name": "applies_from", "selectOnFocus": true });
    var duration2752 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "Dauer (Arbeitstage)", "listeners": { "render": Lino.quicktip_renderer("Dauer (Arbeitstage)","(jobs.Contracts.duration) ") }, "name": "duration", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/duration" }) }), "value": null });
    var applies_until2753 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("Laufzeit bis","(jobs.Contracts.applies_until) ") }, "name": "applies_until", "selectOnFocus": true });
    var exam_policy2754 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "fieldLabel": "Auswertungsstrategie", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Auswertungsstrategie","(jobs.Contracts.exam_policy) ") }, "name": "exam_policy", "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/exam_policy" }) }) });
    var box1_3_panel2755 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": applies_from2751, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": duration2752, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": applies_until2753, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": exam_policy2754, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var regime2760 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Regimes.detail", "emptyText": "Arbeitsregime ausw\u00e4hlen...", "fieldLabel": "Arbeitsregime", "hiddenName": "regimeHidden", "listeners": { "render": Lino.quicktip_renderer("Arbeitsregime","(jobs.Contracts.regime) ") }, "name": "regime", "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/regime" }) }) });
    var schedule2761 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Schedules.detail", "emptyText": "Stundenplan ausw\u00e4hlen...", "fieldLabel": "Stundenplan", "hiddenName": "scheduleHidden", "listeners": { "render": Lino.quicktip_renderer("Stundenplan","(jobs.Contracts.schedule) ") }, "name": "schedule", "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/schedule" }) }) });
    var hourly_rate2762 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Stundensatz", "listeners": { "render": Lino.quicktip_renderer("Stundensatz","(jobs.Contracts.hourly_rate) ") }, "name": "hourly_rate", "selectOnFocus": true });
    var refund_rate2763 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "R\u00fcckzahlung", "listeners": { "render": Lino.quicktip_renderer("R\u00fcckzahlung","(jobs.Contracts.refund_rate) ") }, "name": "refund_rate", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/refund_rate" }) }) });
    var box1_4_panel2764 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": regime2760, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 42, "items": schedule2761, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": hourly_rate2762, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": refund_rate2763, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reference_person2769 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Referenzperson", "listeners": { "render": Lino.quicktip_renderer("Referenzperson","(jobs.Contracts.reference_person) ") }, "maxLength": 200, "name": "reference_person", "selectOnFocus": true });
    var remark2770 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(jobs.Contracts.remark) ") }, "name": "remark", "selectOnFocus": true });
    var printed_disp2771 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(jobs.Contracts.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var box1_5_panel2772 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 18, "items": reference_person2769, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 54, "items": remark2770, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp2771, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var date_decided2776 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen am", "listeners": { "render": Lino.quicktip_renderer("Beschlossen am","(jobs.Contracts.date_decided) ") }, "name": "date_decided", "selectOnFocus": true });
    var date_issued2777 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ausgestellt am", "listeners": { "render": Lino.quicktip_renderer("Ausgestellt am","(jobs.Contracts.date_issued) ") }, "name": "date_issued", "selectOnFocus": true });
    var date_ended2778 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(jobs.Contracts.date_ended) ") }, "name": "date_ended", "selectOnFocus": true });
    var ending2779 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "Beendigungsgrund", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(jobs.Contracts.ending) ") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/ending" }) }) });
    var box1_6_panel2780 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": date_decided2776, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_issued2777, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_ended2778, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": ending2779, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var responsibilities2785 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Aufgabenbereich", "flex": 33, "name": "responsibilities", "selectOnFocus": true, "title": "Aufgabenbereich" });
    var box1_panel2786 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 70, "frame": true, "hideCheckBoxLabels": true, "items": [ box1_1_panel2734, box1_2_panel2745, box1_3_panel2755, box1_4_panel2764, box1_5_panel2772, box1_6_panel2780, responsibilities2785 ], "labelAlign": "top", "labelWidth": 144, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var main_1_panel2790 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ box1_panel2786 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var main_panel2791 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2790 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel2791;
    this.before_row_edit = function(record) {
      contact_person2743.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities2785.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company2742 !== 'undefined' && company2742.on('change',Lino.chooser_handler(contact_person2743,'company'));
      Lino.jobs.Contracts.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.jobs.Contracts.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    contact_person2743.on("change", function(){ this.save() }, this);
    contact_role2744.on("change", function(){ this.save() }, this);
    company2742.on("change", function(){ this.save() }, this);
    job2740.on("change", function(){ this.save() }, this);
  }
});


Lino.boards.Boards.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel boards-Boards",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 42,
  initComponent : function() {
    var id3818 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(boards.Boards.id) ") }, "name": "id", "selectOnFocus": true });
    var name3819 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(boards.Boards.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3820 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(boards.Boards.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3821 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(boards.Boards.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3822 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id3818, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name3819, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr3820, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en3821, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3831 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3822 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3831;
    this.before_row_edit = function(record) {
    }
    Lino.boards.Boards.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseRequests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-CourseRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 110,
  initComponent : function() {
    var date_submitted2604 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Anfragedatum</span>", "listeners": { "render": Lino.quicktip_renderer("Anfragedatum","(xcourses.CourseRequests.date_submitted) Datum, an dem die Anfrage erstellt wurde.") }, "name": "date_submitted", "selectOnFocus": true });
    var person2605 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(xcourses.CourseRequests.person) Le client qui d\u00e9sire suivre un cours.") }, "name": "person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/person" }) }) });
    var content2606 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kursinhalt</span>", "hiddenName": "contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.CourseRequests.content) Der gew\u00fcnschte Kursinhalt.)") }, "name": "content", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/content" }) }) });
    var offer2607 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.CourseRequests.offer) ") }, "name": "offer", "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/offer" }) }) });
    var urgent2608 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "professionelle Eingliederung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("professionelle Eingliederung","(xcourses.CourseRequests.urgent) Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.") }, "name": "urgent", "selectOnFocus": true });
    var main_1_panel2609 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 15, "items": date_submitted2604, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": person2605, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": content2606, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": offer2607, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": urgent2608, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var course2615 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.Courses.detail", "emptyText": "Kurs ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurs gefunden</span>", "hiddenName": "courseHidden", "insert_action": "Lino.xcourses.Courses.insert", "listeners": { "render": Lino.quicktip_renderer("Kurs gefunden","(xcourses.CourseRequests.course) The course which satisfies this request. Leave blank on open requests.") }, "name": "course", "pageSize": 20, "related_actor_id": "xcourses.Courses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/course" }) }) });
    var state2616 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.CourseRequests.state) ") }, "name": "state", "selectOnFocus": true, "store": Lino.xcourses.CourseRequestStates });
    var date_ended2617 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(xcourses.CourseRequests.date_ended) ") }, "name": "date_ended", "selectOnFocus": true });
    var id2618 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(xcourses.CourseRequests.id) ") }, "name": "id", "selectOnFocus": true });
    var main_2_panel2619 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": course2615, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": state2616, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_ended2617, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": id2618, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark2624 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(xcourses.CourseRequests.remark) ") }, "name": "remark", "region": "center", "selectOnFocus": true });
    var main_3_panel2626 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 71, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 66, "items": remark2624, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 135, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel2628 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2609, main_2_panel2619, main_3_panel2626 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2628;
    this.before_row_edit = function(record) {
      offer2607.setContextValue('content', record ? record.data['contentHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof content2606 !== 'undefined' && content2606.on('change',Lino.chooser_handler(offer2607,'content'));
      Lino.xcourses.CourseRequests.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.xcourses.CourseRequests.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    offer2607.on("change", function(){ this.save() }, this);
  }
});


Lino.boards.Boards.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel boards-Boards",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 42,
  initComponent : function() {
    var name3832 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(boards.Boards.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3833 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(boards.Boards.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3834 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(boards.Boards.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3835 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name3832, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr3833, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en3834, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3839 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3835 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel3839;
    this.before_row_edit = function(record) {
    }
    Lino.boards.Boards.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.HouseholdsByType.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel households-HouseholdsByType",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 122,
  initComponent : function() {
    var type3387 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Haushaltsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Haushaltsart","(households.HouseholdsByType.type) The type of this household.  See household types") }, "name": "type", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/type" }) }) });
    var prefix3388 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(households.HouseholdsByType.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name3389 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.HouseholdsByType.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var id3390 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(households.HouseholdsByType.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel3391 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 29, "items": type3387, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": prefix3388, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": name3389, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id3390, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var overview_htmlbox3396 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 50, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(households.HouseholdsByType.overview) ") }, "name": "overview", "value": "<br/>" });
    var language3397 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(households.HouseholdsByType.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var email3398 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(households.HouseholdsByType.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone3399 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(households.HouseholdsByType.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm3400 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(households.HouseholdsByType.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var box3_panel3401 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 50, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language3397, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": email3398, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone3399, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm3400, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var main_2_panel3406 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox3396, box3_panel3401 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3424 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3391, main_2_panel3406 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3424;
    this.before_row_edit = function(record) {
      overview_htmlbox3396.refresh();
    }
    Lino.households.HouseholdsByType.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.households.HouseholdsByType.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel households-HouseholdsByType",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 122,
  initComponent : function() {
    var name3425 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.HouseholdsByType.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var language3426 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(households.HouseholdsByType.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_panel3427 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name3425, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": language3426, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3427;
    this.before_row_edit = function(record) {
    }
    Lino.households.HouseholdsByType.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.gfks.ContentTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel gfks-ContentTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 12,
  initComponent : function() {
    var id3840 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(gfks.ContentTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var app_label3841 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "app label", "listeners": { "render": Lino.quicktip_renderer("app label","(gfks.ContentTypes.app_label) ") }, "maxLength": 100, "name": "app_label", "selectOnFocus": true });
    var model3842 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Python Modell-Klassenname", "listeners": { "render": Lino.quicktip_renderer("Python Modell-Klassenname","(gfks.ContentTypes.model) ") }, "maxLength": 100, "name": "model", "selectOnFocus": true });
    var base_classes_disp3843 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Base classes", "listeners": { "render": Lino.quicktip_renderer("Base classes","(gfks.ContentTypes.base_classes) ") }, "name": "base_classes", "value": "<br/>" });
    var main_1_panel3844 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id3840, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": app_label3841, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": model3842, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": base_classes_disp3843, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var main_panel3861 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3844 ], "labelAlign": "top" });
    this.items = main_panel3861;
    this.before_row_edit = function(record) {
    }
    Lino.gfks.ContentTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.FinancialVouchers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel finan-FinancialVouchers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  content_type: 71,
  initComponent : function() {
    var entry_date3862 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.FinancialVouchers.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var number3863 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(finan.FinancialVouchers.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var workflow_buttons_disp3864 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(finan.FinancialVouchers.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_1_panel3865 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 26, "items": entry_date3862, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": number3863, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 61, "items": workflow_buttons_disp3864, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var narration3869 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.FinancialVouchers.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var general_panel3884 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel3865, { "autoHeight": true, "items": narration3869, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var journal3886 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.FinancialVouchers.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/journal" }) }) });
    var accounting_period3887 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(finan.FinancialVouchers.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/accounting_period" }) }) });
    var user3888 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.FinancialVouchers.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/user" }) }) });
    var id3889 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(finan.FinancialVouchers.id) ") }, "name": "id", "selectOnFocus": true });
    var more_1_panel3890 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": journal3886, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": accounting_period3887, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": user3888, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id3889, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var item_account3895 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.FinancialVouchers.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/item_account" }) }) });
    var item_remark3896 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Externe Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Externe Referenz","(finan.FinancialVouchers.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "maxLength": 200, "name": "item_remark", "selectOnFocus": true });
    var more_2_panel3897 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": item_account3895, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": item_remark3896, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var more_panel3901 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel3890, more_2_panel3897 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel3902 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel3884, more_panel3901 ], "labelAlign": "top", "split": true });
    this.items = main_panel3902;
    this.before_row_edit = function(record) {
    }
    Lino.finan.FinancialVouchers.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.outbox.Mails.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel outbox-Mails",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 28,
  initComponent : function() {
    var subject1457 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(outbox.Mails.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var project1458 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(outbox.Mails.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/project" }) }) });
    var date1459 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum</span>", "listeners": { "render": Lino.quicktip_renderer("Datum","(outbox.Mails.date) \n        The official date to be printed on the document.\n        ") }, "name": "date", "selectOnFocus": true });
    var main_1_panel1460 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": subject1457, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": project1458, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": date1459, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user1464 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Absender</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Absender","(outbox.Mails.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/user" }) }) });
    var sent1465 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "sent", "listeners": { "render": Lino.quicktip_renderer("sent","(outbox.Mails.sent) ") }, "name": "sent", "value": "<br>" });
    var id1466 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(outbox.Mails.id) ") }, "name": "id", "selectOnFocus": true });
    var owner_disp1467 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Verkn\u00fcpft mit", "name": "owner" });
    var main_2_panel1468 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": user1464, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": sent1465, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": id1466, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": owner_disp1467, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var body1484 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Inhalt", "flex": 58, "name": "body", "selectOnFocus": true, "title": "Inhalt" });
    var main_panel1485 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1460, main_2_panel1468, body1484 ], "labelAlign": "top", "labelWidth": 63, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1485;
    this.before_row_edit = function(record) {
      body1484.refresh();
    }
    Lino.outbox.Mails.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.FinancialVouchers.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel finan-FinancialVouchers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  autoHeight: true,
  content_type: 71,
  initComponent : function() {
    var entry_date3903 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.FinancialVouchers.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var narration3904 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.FinancialVouchers.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var main_panel3905 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": entry_date3903, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": narration3904, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3905;
    this.before_row_edit = function(record) {
    }
    Lino.finan.FinancialVouchers.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.outbox.Mails.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel outbox-Mails",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 28,
  initComponent : function() {
    var project1486 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(outbox.Mails.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/project" }) }) });
    var subject1487 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(outbox.Mails.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var body1488 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Inhalt", "flex": 71, "name": "body", "selectOnFocus": true, "title": "Inhalt" });
    var main_panel1489 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": project1486, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": subject1487, "labelAlign": "top", "layout": "form", "xtype": "panel" }, body1488 ], "labelAlign": "top", "labelWidth": 63, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1489;
    this.before_row_edit = function(record) {
      body1488.refresh();
    }
    Lino.outbox.Mails.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.b2c.Statements.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel b2c-Statements",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 69,
  disable_editing: true,
  initComponent : function() {
    var account3908 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.b2c.Accounts.detail", "emptyText": "Importiertes  Bankkonto ausw\u00e4hlen...", "fieldLabel": "Importiertes  Bankkonto", "hiddenName": "accountHidden", "listeners": { "render": Lino.quicktip_renderer("Importiertes  Bankkonto","(b2c.Statements.account) ") }, "name": "account", "pageSize": 20, "related_actor_id": "b2c.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/Statements/account" }) }) });
    var account__owner_name3909 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name Inhaber", "listeners": { "render": Lino.quicktip_renderer("Name Inhaber","(b2c.Statements.account__owner_name) ") }, "maxLength": 70, "name": "account__owner_name", "selectOnFocus": true, "sortable": false, "value": null });
    var top_left_1_panel3910 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": account3908, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": account__owner_name3909, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var account__account_name3913 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kontobezeichnung", "listeners": { "render": Lino.quicktip_renderer("Kontobezeichnung","(b2c.Statements.account__account_name) ") }, "maxLength": 70, "name": "account__account_name", "selectOnFocus": true, "sortable": false, "value": null });
    var statement_number3914 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Auszugsnummer</span>", "listeners": { "render": Lino.quicktip_renderer("Auszugsnummer","(b2c.Statements.statement_number) Combination of the year and the legal sequential number of the paper statement.") }, "maxLength": 10, "name": "statement_number", "selectOnFocus": true });
    var local_currency3915 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(3), "fieldLabel": "W\u00e4hrung", "listeners": { "render": Lino.quicktip_renderer("W\u00e4hrung","(b2c.Statements.local_currency) ") }, "maxLength": 3, "name": "local_currency", "selectOnFocus": true });
    var top_left_2_panel3916 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 58, "items": account__account_name3913, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": statement_number3914, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": local_currency3915, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var top_left_panel3920 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 62, "frame": true, "hideCheckBoxLabels": true, "items": [ top_left_1_panel3910, top_left_2_panel3916 ], "labelAlign": "top", "layout": "form" });
    var balance_start3921 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Alter Saldo", "listeners": { "render": Lino.quicktip_renderer("Alter Saldo","(b2c.Statements.balance_start) ") }, "name": "balance_start", "selectOnFocus": true });
    var start_date3922 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(b2c.Statements.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var top_right_1_panel3923 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": balance_start3921, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 52, "items": start_date3922, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var balance_end3926 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Neuer Saldo", "listeners": { "render": Lino.quicktip_renderer("Neuer Saldo","(b2c.Statements.balance_end) ") }, "name": "balance_end", "selectOnFocus": true });
    var end_date3927 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(b2c.Statements.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var top_right_2_panel3928 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": balance_end3926, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 52, "items": end_date3927, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var top_right_panel3931 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 37, "frame": true, "hideCheckBoxLabels": true, "items": [ top_right_1_panel3923, top_right_2_panel3928 ], "labelAlign": "top", "layout": "form" });
    var main_1_panel3932 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ top_left_panel3920, top_right_panel3931 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3989 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3932 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3989;
    this.before_row_edit = function(record) {
    }
    Lino.b2c.Statements.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.esf.Summaries.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel esf-Summaries",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 138,
  initComponent : function() {
    var master3990 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "masterHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(esf.Summaries.master) The target model of the master will automatically receive an\naction check_summaries.") }, "name": "master", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/Summaries/master" }) }) });
    var year3991 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Year", "listeners": { "render": Lino.quicktip_renderer("Year","(esf.Summaries.year) ") }, "name": "year", "selectOnFocus": true });
    var main_1_panel3992 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 80, "items": master3990, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": year3991, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var children_at_charge3995 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Kinder zu Lasten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Kinder zu Lasten","(esf.Summaries.children_at_charge) ") }, "name": "children_at_charge", "selectOnFocus": true });
    var certified_handicap3996 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Certified handicap", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Certified handicap","(esf.Summaries.certified_handicap) ") }, "name": "certified_handicap", "selectOnFocus": true });
    var other_difficulty3997 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Other difficulty", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Other difficulty","(esf.Summaries.other_difficulty) ") }, "name": "other_difficulty", "selectOnFocus": true });
    var user_modified3998 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "User modified", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("User modified","(esf.Summaries.user_modified) ") }, "name": "user_modified", "selectOnFocus": true });
    var main_2_panel3999 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": children_at_charge3995, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": certified_handicap3996, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": other_difficulty3997, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user_modified3998, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var education_level4004 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Akademischer Grad ausw\u00e4hlen...", "fieldLabel": "Akademischer Grad", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Akademischer Grad","(esf.Summaries.education_level) ") }, "name": "education_level", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/Summaries/education_level" }) }) });
    var result4005 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Participation Certificate", "forceSelection": true, "hiddenName": "resultHidden", "listeners": { "render": Lino.quicktip_renderer("Participation Certificate","(esf.Summaries.result) ") }, "name": "result", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.esf.ParticipationCertificates) });
    var remark4006 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(esf.Summaries.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var id4007 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(esf.Summaries.id) ") }, "name": "id", "selectOnFocus": true });
    var main_3_panel4008 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": education_level4004, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 53, "items": result4005, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": remark4006, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": id4007, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var results_disp4013 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Resultate", "listeners": { "render": Lino.quicktip_renderer("Resultate","(esf.Summaries.results) ") }, "name": "results", "value": "<br/>" });
    var main_panel4014 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3992, main_2_panel3999, main_3_panel4008, { "anchor": "-20", "autoHeight": true, "items": results_disp4013, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4014;
    this.before_row_edit = function(record) {
    }
    Lino.esf.Summaries.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.SimpleConfirmationsByGranting.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-SimpleConfirmationsByGranting",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 135,
  initComponent : function() {
    var start_date4016 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.SimpleConfirmationsByGranting.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date4017 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.SimpleConfirmationsByGranting.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel4018 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date4016, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date4017, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company4021 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.SimpleConfirmationsByGranting.company) Pointer to Company.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/company" }) }) });
    var contact_person4022 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.SimpleConfirmationsByGranting.contact_person) Pointer to Person.") }, "name": "contact_person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/contact_person" }) }) });
    var language4023 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.SimpleConfirmationsByGranting.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_2_panel4024 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company4021, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person4022, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language4023, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark4028 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 71, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel4029 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4018, main_2_panel4024, remark4028 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4029;
    this.before_row_edit = function(record) {
      contact_person4022.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark4028.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company4021 !== 'undefined' && company4021.on('change',Lino.chooser_handler(contact_person4022,'company'));
      Lino.aids.SimpleConfirmationsByGranting.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.SimpleConfirmationsByGranting.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.PaymentOrders.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel finan-PaymentOrders",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('write_xml', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  content_type: 72,
  initComponent : function() {
    var entry_date4030 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.PaymentOrders.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var number4031 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(finan.PaymentOrders.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var total4032 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Total</span>", "listeners": { "render": Lino.quicktip_renderer("Total","(finan.PaymentOrders.total) The total amount. This is automatically computed when you register\nde voucher.") }, "name": "total", "selectOnFocus": true });
    var execution_date4033 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausf\u00fchrungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Ausf\u00fchrungsdatum","(finan.PaymentOrders.execution_date) The execution date of payment order. If this is empty, Lino\nassumes the entry_date when writing the\npain_001.xml file.") }, "name": "execution_date", "selectOnFocus": true });
    var workflow_buttons_disp4034 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(finan.PaymentOrders.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_1_panel4035 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": entry_date4030, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": number4031, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": total4032, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": execution_date4033, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": workflow_buttons_disp4034, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var narration4041 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.PaymentOrders.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var general_panel4056 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel4035, { "autoHeight": true, "items": narration4041, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var journal4058 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.PaymentOrders.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/journal" }) }) });
    var accounting_period4059 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(finan.PaymentOrders.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/accounting_period" }) }) });
    var user4060 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.PaymentOrders.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/user" }) }) });
    var id4061 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(finan.PaymentOrders.id) ") }, "name": "id", "selectOnFocus": true });
    var more_1_panel4062 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": journal4058, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": accounting_period4059, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": user4060, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id4061, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var item_account4067 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.PaymentOrders.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/item_account" }) }) });
    var item_remark4068 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Externe Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Externe Referenz","(finan.PaymentOrders.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "maxLength": 200, "name": "item_remark", "selectOnFocus": true });
    var more_2_panel4069 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": item_account4067, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": item_remark4068, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var more_panel4073 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel4062, more_2_panel4069 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel4074 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel4056, more_panel4073 ], "labelAlign": "top", "split": true });
    this.items = main_panel4074;
    this.before_row_edit = function(record) {
    }
    Lino.finan.PaymentOrders.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.addresses.Addresses.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel addresses-Addresses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 21,
  initComponent : function() {
    var country1863 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(addresses.Addresses.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/country" }) }) });
    var city1864 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(addresses.Addresses.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/city" }) }) });
    var main_1_panel1865 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": country1863, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": city1864, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var street1868 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Stra\u00dfe","(addresses.Addresses.street) Name der Stra\u00dfe, ohne Hausnummer") }, "maxLength": 200, "name": "street", "selectOnFocus": true });
    var street_no1869 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(addresses.Addresses.street_no) Hausnummer") }, "maxLength": 10, "name": "street_no", "selectOnFocus": true });
    var street_box1870 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Box</span>", "listeners": { "render": Lino.quicktip_renderer("Box","(addresses.Addresses.street_box) Text to print after street number on the same line.") }, "maxLength": 10, "name": "street_box", "selectOnFocus": true });
    var main_2_panel1871 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": street1868, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_no1869, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_box1870, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var address_type1875 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adressenart</span>", "forceSelection": true, "hiddenName": "address_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Adressenart","(addresses.Addresses.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "name": "address_type", "selectOnFocus": true, "store": Lino.addresses.AddressTypes });
    var remark1876 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(addresses.Addresses.remark) ") }, "maxLength": 50, "name": "remark", "selectOnFocus": true });
    var main_3_panel1877 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 52, "items": address_type1875, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": remark1876, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1880 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1865, main_2_panel1871, main_3_panel1877 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel1880;
    this.before_row_edit = function(record) {
      city1864.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city1864.setContextValue('region', record ? record.data['regionHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country1863 !== 'undefined' && country1863.on('change',Lino.chooser_handler(city1864,'country'));
      Lino.addresses.Addresses.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.addresses.Addresses.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.b2c.Transactions.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel b2c-Transactions",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 70,
  disable_editing: true,
  initComponent : function() {
    var statement3953 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.b2c.Statements.detail", "emptyText": "Kontoauszug ausw\u00e4hlen...", "fieldLabel": "Kontoauszug", "hiddenName": "statementHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoauszug","(b2c.Transactions.statement) ") }, "name": "statement", "pageSize": 20, "related_actor_id": "b2c.Statements", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/Transactions/statement" }) }) });
    var seqno3954 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(b2c.Transactions.seqno) The sequence number of this transaction in the statement.") }, "name": "seqno", "selectOnFocus": true });
    var booking_date3955 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ausf\u00fchrungsdatum", "listeners": { "render": Lino.quicktip_renderer("Ausf\u00fchrungsdatum","(b2c.Transactions.booking_date) ") }, "name": "booking_date", "selectOnFocus": true });
    var value_date3956 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Valuta", "listeners": { "render": Lino.quicktip_renderer("Valuta","(b2c.Transactions.value_date) ") }, "name": "value_date", "selectOnFocus": true });
    var amount3957 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(b2c.Transactions.amount) ") }, "name": "amount", "selectOnFocus": true });
    var main_1_panel3958 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 31, "items": statement3953, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": seqno3954, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": booking_date3955, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": value_date3956, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": amount3957, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remote_account3964 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "IBAN", "listeners": { "render": Lino.quicktip_renderer("IBAN","(b2c.Transactions.remote_account) ") }, "maxLength": 64, "name": "remote_account", "selectOnFocus": true });
    var remote_bic3965 = new Lino.UppercaseTextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "BIC", "listeners": { "render": Lino.quicktip_renderer("BIC","(b2c.Transactions.remote_bic) ") }, "maxLength": 11, "name": "remote_bic", "selectOnFocus": true });
    var eref3966 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "End to end reference", "listeners": { "render": Lino.quicktip_renderer("End to end reference","(b2c.Transactions.eref) ") }, "maxLength": 128, "name": "eref", "selectOnFocus": true });
    var txcd_text_disp3967 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Transaktionscode", "listeners": { "render": Lino.quicktip_renderer("Transaktionscode","(b2c.Transactions.txcd_text) ") }, "name": "txcd_text", "value": "<br/>" });
    var main_2_panel3968 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": remote_account3964, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": remote_bic3965, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": eref3966, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": txcd_text_disp3967, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remote_owner3973 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("Name Gegenpartei","(b2c.Transactions.remote_owner) ") }, "maxLength": 128, "name": "remote_owner", "selectOnFocus": true });
    var remote_owner_address3974 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Adresse Gegenpartei", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Adresse Gegenpartei","(b2c.Transactions.remote_owner_address) ") }, "name": "remote_owner_address", "selectOnFocus": true });
    var remote_owner_city3975 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Stadt Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("Stadt Gegenpartei","(b2c.Transactions.remote_owner_city) ") }, "maxLength": 32, "name": "remote_owner_city", "selectOnFocus": true });
    var remote_owner_postalcode3976 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "PLZ Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("PLZ Gegenpartei","(b2c.Transactions.remote_owner_postalcode) ") }, "maxLength": 10, "name": "remote_owner_postalcode", "selectOnFocus": true });
    var remote_owner_country_code3977 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "fieldLabel": "Land Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("Land Gegenpartei","(b2c.Transactions.remote_owner_country_code) ") }, "maxLength": 4, "name": "remote_owner_country_code", "selectOnFocus": true });
    var addr_right_panel3978 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 25, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": remote_owner_city3975, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": remote_owner_postalcode3976, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": remote_owner_country_code3977, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var main_4_panel3982 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 74, "items": remote_owner_address3974, "labelAlign": "top", "layout": "form", "xtype": "panel" }, addr_right_panel3978 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var message3984 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Meldung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Meldung","(b2c.Transactions.message) ") }, "name": "message", "selectOnFocus": true });
    var main_panel3985 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3958, main_2_panel3968, { "autoHeight": true, "items": remote_owner3973, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel3982, { "flex": 33, "items": message3984, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3985;
    this.before_row_edit = function(record) {
    }
    Lino.b2c.Transactions.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.BankStatements.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel finan-BankStatements",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  content_type: 73,
  initComponent : function() {
    var entry_date4075 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.BankStatements.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var number4076 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(finan.BankStatements.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var balance14077 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter Saldo</span>", "listeners": { "render": Lino.quicktip_renderer("Alter Saldo","(finan.BankStatements.balance1) The old (or start) balance.") }, "name": "balance1", "selectOnFocus": true, "value": 0 });
    var balance24078 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neuer Saldo</span>", "listeners": { "render": Lino.quicktip_renderer("Neuer Saldo","(finan.BankStatements.balance2) The new (or end) balance.") }, "name": "balance2", "selectOnFocus": true, "value": 0 });
    var general_left_1_panel4079 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": entry_date4075, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": number4076, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": balance14077, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": balance24078, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var narration4084 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.BankStatements.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var workflow_buttons_disp4085 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(finan.BankStatements.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_left_2_panel4086 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 41, "items": narration4084, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 58, "items": workflow_buttons_disp4085, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_left_panel4089 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 62, "frame": true, "hideCheckBoxLabels": true, "items": [ general_left_1_panel4079, general_left_2_panel4086 ], "labelAlign": "top", "layout": "form" });
    var general_1_panel4091 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ general_left_panel4089 ], "labelAlign": "top", "labelWidth": 135, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel4107 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel4091 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var journal4108 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.BankStatements.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/journal" }) }) });
    var accounting_period4109 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(finan.BankStatements.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/accounting_period" }) }) });
    var user4110 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.BankStatements.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/user" }) }) });
    var id4111 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(finan.BankStatements.id) ") }, "name": "id", "selectOnFocus": true });
    var more_1_panel4112 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": journal4108, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": accounting_period4109, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": user4110, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id4111, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var item_account4117 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.BankStatements.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/item_account" }) }) });
    var item_remark4118 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Externe Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Externe Referenz","(finan.BankStatements.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "maxLength": 200, "name": "item_remark", "selectOnFocus": true });
    var more_2_panel4119 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": item_account4117, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": item_remark4118, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var more_panel4123 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel4112, more_2_panel4119 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel4124 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel4107, more_panel4123 ], "labelAlign": "top", "split": true });
    this.items = main_panel4124;
    this.before_row_edit = function(record) {
    }
    Lino.finan.BankStatements.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.BankStatements.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel finan-BankStatements",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  autoHeight: true,
  content_type: 73,
  initComponent : function() {
    var entry_date4125 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.BankStatements.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var balance14126 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter Saldo</span>", "listeners": { "render": Lino.quicktip_renderer("Alter Saldo","(finan.BankStatements.balance1) The old (or start) balance.") }, "name": "balance1", "selectOnFocus": true, "value": 0 });
    var main_panel4127 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": entry_date4125, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": balance14126, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4127;
    this.before_row_edit = function(record) {
    }
    Lino.finan.BankStatements.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.StudyTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-StudyTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 82,
  initComponent : function() {
    var name4130 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.StudyTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4131 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.StudyTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4132 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.StudyTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var id4133 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.StudyTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel4134 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": name4130, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr4131, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en4132, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id4133, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var education_level4139 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Akademischer Grad ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Akademischer Grad</span>", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Akademischer Grad","(cv.StudyTypes.education_level) Pointer to EducationLevel.") }, "name": "education_level", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudyTypes/education_level" }) }) });
    var is_study4140 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Studium", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Studium","(cv.StudyTypes.is_study) Whether education entries are considered a study entry.") }, "name": "is_study", "selectOnFocus": true });
    var is_training4141 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Ausbildung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildung","(cv.StudyTypes.is_training) Whether education entries are considered a training entry.") }, "name": "is_training", "selectOnFocus": true });
    var main_2_panel4142 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": education_level4139, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": is_study4140, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": is_training4141, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4208 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4134, main_2_panel4142 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4208;
    this.before_row_edit = function(record) {
    }
    Lino.cv.StudyTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EventTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-EventTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 38,
  initComponent : function() {
    var name4209 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.EventTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4210 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.EventTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4211 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.EventTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4212 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4209, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4210, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4211, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var event_label4216 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung Termin</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung Termin","(cal.EventTypes.event_label) Default text for summary of new entries.") }, "maxLength": 200, "name": "event_label", "selectOnFocus": true });
    var event_label_fr4217 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung Termin (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung Termin (fr)","(cal.EventTypes.event_label_fr) ") }, "maxLength": 200, "name": "event_label_fr", "selectOnFocus": true });
    var event_label_en4218 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung Termin (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung Termin (en)","(cal.EventTypes.event_label_en) ") }, "maxLength": 200, "name": "event_label_en", "selectOnFocus": true });
    var main_2_panel4219 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": event_label4216, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": event_label_fr4217, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": event_label_en4218, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var planner_column4223 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Tagesplanerkolonne", "forceSelection": true, "hiddenName": "planner_columnHidden", "listeners": { "render": Lino.quicktip_renderer("Tagesplanerkolonne","(cal.EventTypes.planner_column) ") }, "name": "planner_column", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.PlannerColumns) });
    var max_conflicting4224 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gleichzeitige Termine</span>", "listeners": { "render": Lino.quicktip_renderer("Gleichzeitige Termine","(cal.EventTypes.max_conflicting) How many conflicting events should be tolerated.") }, "name": "max_conflicting", "selectOnFocus": true, "value": 1 });
    var max_days4225 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Tage maximal</span>", "listeners": { "render": Lino.quicktip_renderer("Tage maximal","(cal.EventTypes.max_days) The maximal number of days allowed as duration. 0 means no limit.") }, "name": "max_days", "selectOnFocus": true, "value": 1 });
    var esf_field4226 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ESF field", "forceSelection": true, "hiddenName": "esf_fieldHidden", "listeners": { "render": Lino.quicktip_renderer("ESF field","(cal.EventTypes.esf_field) ") }, "name": "esf_field", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.esf.StatisticalFields) });
    var email_template4227 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Vorlage","(cal.EventTypes.email_template) The name of the file to be used as template when creating an email from a mailable of this type.") }, "name": "email_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EventTypes/email_template" }) }) });
    var id4228 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.EventTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var main_3_panel4229 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 12, "items": planner_column4223, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": max_conflicting4224, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": max_days4225, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": esf_field4226, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": email_template4227, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": id4228, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var all_rooms4236 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Blockiert alle R\u00e4ume", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Blockiert alle R\u00e4ume","(cal.EventTypes.all_rooms) ") }, "name": "all_rooms", "selectOnFocus": true });
    var locks_user4237 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Blockiert den Autor", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Blockiert den Autor","(cal.EventTypes.locks_user) Whether calendar entries of this type make the user\nunavailable for other locking events at the same time.") }, "name": "locks_user", "selectOnFocus": true });
    var invite_client4238 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Klient einladen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Klient einladen","(cal.EventTypes.invite_client) ") }, "name": "invite_client", "selectOnFocus": true });
    var is_appointment4239 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Termin", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Termin","(cal.EventTypes.is_appointment) Whether entries of this type are considered \"appointments\" (i.e. whose\ntime and place have been agreed upon with other users or external\nparties).") }, "name": "is_appointment", "selectOnFocus": true });
    var attach_to_email4240 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "als Anhang per E-Mail", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("als Anhang per E-Mail","(cal.EventTypes.attach_to_email) Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n") }, "name": "attach_to_email", "selectOnFocus": true });
    var main_4_panel4241 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": all_rooms4236, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": locks_user4237, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": invite_client4238, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": is_appointment4239, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": attach_to_email4240, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4279 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4212, main_2_panel4219, main_3_panel4229, main_4_panel4241 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4279;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EventTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ContractTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 92,
  initComponent : function() {
    var id4280 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(isip.ContractTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var ref4281 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Referenz", "listeners": { "render": Lino.quicktip_renderer("Referenz","(isip.ContractTypes.ref) ") }, "maxLength": 20, "name": "ref", "selectOnFocus": true });
    var exam_policy4282 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "fieldLabel": "Auswertungsstrategie", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Auswertungsstrategie","(isip.ContractTypes.exam_policy) ") }, "name": "exam_policy", "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractTypes/exam_policy" }) }) });
    var overlap_group4283 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00dcberlappungsgruppe", "forceSelection": true, "hiddenName": "overlap_groupHidden", "listeners": { "render": Lino.quicktip_renderer("\u00dcberlappungsgruppe","(isip.ContractTypes.overlap_group) ") }, "name": "overlap_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.OverlapGroups) });
    var needs_study_type4284 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "erfordert Ausbildungsart ", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("erfordert Ausbildungsart ","(isip.ContractTypes.needs_study_type) ") }, "name": "needs_study_type", "selectOnFocus": true });
    var main_1_panel4285 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id4280, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": ref4281, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": exam_policy4282, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": overlap_group4283, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": needs_study_type4284, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name4291 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(isip.ContractTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4292 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(isip.ContractTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4293 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(isip.ContractTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel4294 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4291, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4292, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4293, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var full_name4298 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Voller Name", "listeners": { "render": Lino.quicktip_renderer("Voller Name","(isip.ContractTypes.full_name) ") }, "maxLength": 200, "name": "full_name", "selectOnFocus": true });
    var main_panel4325 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4285, main_2_panel4294, { "autoHeight": true, "items": full_name4298, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4325;
    this.before_row_edit = function(record) {
    }
    Lino.isip.ContractTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EventTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EventTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 38,
  initComponent : function() {
    var name4327 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.EventTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4328 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.EventTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4329 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.EventTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4330 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4327, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4328, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4329, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var invite_client4334 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Klient einladen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Klient einladen","(cal.EventTypes.invite_client) ") }, "name": "invite_client", "selectOnFocus": true });
    var main_panel4335 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4330, { "anchor": "-20", "autoHeight": true, "items": invite_client4334, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4335;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EventTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Studies.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Studies",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 84,
  initComponent : function() {
    var person2406 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cv.Studies.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/person" }) }) });
    var start_date2407 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.Studies.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date2408 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.Studies.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var duration_text2409 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dauer</span>", "listeners": { "render": Lino.quicktip_renderer("Dauer","(cv.Studies.duration_text) Free-text description of the duration of this entry.") }, "maxLength": 200, "name": "duration_text", "selectOnFocus": true });
    var main_1_panel2410 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": person2406, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date2407, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date2408, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": duration_text2409, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type2415 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bildungsart</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(cv.Studies.type) Pointer to StudyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/type" }) }) });
    var content2416 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausbildungsinhalt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausbildungsinhalt","(cv.Studies.content) Free-text description of the content.") }, "maxLength": 200, "name": "content", "selectOnFocus": true });
    var education_level2417 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Akademischer Grad ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Akademischer Grad</span>", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Akademischer Grad","(cv.Studies.education_level) Pointer to EducationLevel.") }, "name": "education_level", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/education_level" }) }) });
    var state2418 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cv.Studies.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var main_2_panel2419 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": type2415, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": content2416, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": education_level2417, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": state2418, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var school2424 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Einrichtung</span>", "listeners": { "render": Lino.quicktip_renderer("Einrichtung","(cv.Studies.school) The establishment where the education happened.") }, "maxLength": 200, "name": "school", "selectOnFocus": true });
    var country2425 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(cv.Studies.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/country" }) }) });
    var city2426 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(cv.Studies.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/city" }) }) });
    var main_3_panel2427 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": school2424, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": country2425, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": city2426, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks2431 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bemerkungen</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(cv.Studies.remarks) Remarks about this entry.") }, "name": "remarks", "selectOnFocus": true });
    var main_panel2432 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2410, main_2_panel2419, main_3_panel2427, { "flex": 62, "items": remarks2431, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2432;
    this.before_row_edit = function(record) {
      city2426.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country2425 !== 'undefined' && country2425.on('change',Lino.chooser_handler(city2426,'country'));
      Lino.cv.Studies.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Studies.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    city2426.on("change", function(){ this.save() }, this);
  }
});


Lino.uploads.UploadsByController.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-UploadsByController",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 26,
  initComponent : function() {
    var file4337 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.UploadsByController.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var type4338 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.UploadsByController.type) The type of this upload.") }, "name": "type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/type" }) }) });
    var end_date4339 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">G\u00fcltig bis</span>", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig bis","(uploads.UploadsByController.end_date) Date until which the original document is valid.") }, "name": "end_date", "selectOnFocus": true });
    var needed4340 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "N\u00f6tig", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("N\u00f6tig","(uploads.UploadsByController.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "name": "needed", "selectOnFocus": true });
    var main_2_panel4341 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": type4338, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_date4339, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": needed4340, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description4345 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.UploadsByController.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var main_panel4346 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": file4337, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel4341, { "anchor": "-20", "autoHeight": true, "items": description4345, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4346;
    this.before_row_edit = function(record) {
      type4338.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
    }
    Lino.uploads.UploadsByController.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobProviders.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-JobProviders",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 98,
  initComponent : function() {
    var overview_htmlbox4349 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(jobs.JobProviders.overview) ") }, "name": "overview", "value": "<br/>" });
    var prefix4350 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(jobs.JobProviders.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name4351 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.JobProviders.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var general2_1_panel4352 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": prefix4350, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 66, "items": name4351, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type4355 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisationsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Organisationsart","(jobs.JobProviders.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/type" }) }) });
    var vat_id4356 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">MwSt.-Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("MwSt.-Nr.","(jobs.JobProviders.vat_id) The VAT id used to identify this partner. Lino verifies validity\nbased on the partner's country field.") }, "maxLength": 200, "name": "vat_id", "selectOnFocus": true });
    var general2_2_panel4357 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type4355, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": vat_id4356, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_contact_type4360 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(jobs.JobProviders.client_contact_type) ") }, "name": "client_contact_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/client_contact_type" }) }) });
    var url4361 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(jobs.JobProviders.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel4362 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel4352, general2_2_panel4357, { "anchor": "-20", "autoHeight": true, "items": client_contact_type4360, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": url4361, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email4365 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(jobs.JobProviders.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone4366 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(jobs.JobProviders.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm4367 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(jobs.JobProviders.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax4368 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(jobs.JobProviders.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel4369 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email4365, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone4366, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm4367, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax4368, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel4374 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox4349, general2_panel4362, general3_panel4369 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel4376 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel4374 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var notes_NotesByCompany_htmlbox4377 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "activate": Lino.on_tab_activate }, "name": "notes.NotesByCompany", "title": "Ereignisse/Notizen", "value": "<br/>" });
    var main_panel4421 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel4376, notes_NotesByCompany_htmlbox4377 ], "labelAlign": "top", "split": true });
    this.items = main_panel4421;
    this.before_row_edit = function(record) {
      overview_htmlbox4349.refresh();
      notes_NotesByCompany_htmlbox4377.refresh();
    }
    Lino.jobs.JobProviders.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.humanlinks.Links.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel humanlinks-Links",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 123,
  initComponent : function() {
    var parent4422 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wer ist...</span>", "hiddenName": "parentHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Wer ist...","(humanlinks.Links.parent) Pointer to the person who is \"parent\".") }, "name": "parent", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/parent" }) }) });
    var type4423 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwandschaftsart</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Verwandschaftsart","(humanlinks.Links.type) The type of link.  Pointer to LinkTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.humanlinks.LinkTypes });
    var child4424 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Von wem...</span>", "hiddenName": "childHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Von wem...","(humanlinks.Links.child) Pointer to the person who is \"child\".") }, "name": "child", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/child" }) }) });
    var main_panel4425 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": parent4422, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type4423, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": child4424, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4425;
    this.before_row_edit = function(record) {
    }
    Lino.humanlinks.Links.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ExamPolicies.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ExamPolicies",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 93,
  initComponent : function() {
    var id4429 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(isip.ExamPolicies.id) ") }, "name": "id", "selectOnFocus": true });
    var name4430 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(isip.ExamPolicies.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4431 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(isip.ExamPolicies.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4432 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(isip.ExamPolicies.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4433 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id4429, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name4430, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr4431, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en4432, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var max_events4438 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Anzahl Termine</span>", "listeners": { "render": Lino.quicktip_renderer("Anzahl Termine","(isip.ExamPolicies.max_events) Maximum number of calendar entries to generate.") }, "name": "max_events", "selectOnFocus": true });
    var every4439 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">... alle</span>", "listeners": { "render": Lino.quicktip_renderer("... alle","(isip.ExamPolicies.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "name": "every", "selectOnFocus": true, "value": 1 });
    var every_unit4440 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wiederholung</span>", "forceSelection": true, "hiddenName": "every_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Wiederholung","(isip.ExamPolicies.every_unit) The interval between each periodic iteration.") }, "name": "every_unit", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var event_type4441 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(isip.ExamPolicies.event_type) Generated events will receive this type.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ExamPolicies/event_type" }) }) });
    var main_2_panel4442 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": max_events4438, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": every4439, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": every_unit4440, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": event_type4441, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var monday4447 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Montag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Montag","(isip.ExamPolicies.monday) ") }, "name": "monday", "selectOnFocus": true });
    var tuesday4448 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Dienstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Dienstag","(isip.ExamPolicies.tuesday) ") }, "name": "tuesday", "selectOnFocus": true });
    var wednesday4449 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Mittwoch", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Mittwoch","(isip.ExamPolicies.wednesday) ") }, "name": "wednesday", "selectOnFocus": true });
    var thursday4450 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Donnerstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Donnerstag","(isip.ExamPolicies.thursday) ") }, "name": "thursday", "selectOnFocus": true });
    var friday4451 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Freitag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Freitag","(isip.ExamPolicies.friday) ") }, "name": "friday", "selectOnFocus": true });
    var saturday4452 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Samstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Samstag","(isip.ExamPolicies.saturday) ") }, "name": "saturday", "selectOnFocus": true });
    var sunday4453 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sonntag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sonntag","(isip.ExamPolicies.sunday) ") }, "name": "sunday", "selectOnFocus": true });
    var main_3_panel4454 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": monday4447, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": tuesday4448, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": wednesday4449, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": thursday4450, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": friday4451, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": saturday4452, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sunday4453, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4519 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4433, main_2_panel4442, main_3_panel4454 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4519;
    this.before_row_edit = function(record) {
    }
    Lino.isip.ExamPolicies.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.PaymentTerms.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel ledger-PaymentTerms",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 62,
  initComponent : function() {
    var ref4520 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.PaymentTerms.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var months4521 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Monate</span>", "listeners": { "render": Lino.quicktip_renderer("Monate","(ledger.PaymentTerms.months) Number of months to add to voucher_date.") }, "name": "months", "selectOnFocus": true, "value": 0 });
    var days4522 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Tage</span>", "listeners": { "render": Lino.quicktip_renderer("Tage","(ledger.PaymentTerms.days) Number of days to add to voucher_date.") }, "name": "days", "selectOnFocus": true, "value": 0 });
    var end_of_month4523 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Monatsende", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Monatsende","(ledger.PaymentTerms.end_of_month) Whether to move voucher_date to the end of month.") }, "name": "end_of_month", "selectOnFocus": true });
    var main_1_panel4524 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": ref4520, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": months4521, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": days4522, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": end_of_month4523, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name4529 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.PaymentTerms.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4530 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.PaymentTerms.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4531 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.PaymentTerms.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel4532 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4529, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4530, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4531, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var printed_text4536 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Printed text</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Printed text","(ledger.PaymentTerms.printed_text) Used in sales/VatProductInvoice/trailer.html as\nfollows:") }, "name": "printed_text", "selectOnFocus": true });
    var printed_text_fr4537 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Printed text (fr)", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Printed text (fr)","(ledger.PaymentTerms.printed_text_fr) ") }, "name": "printed_text_fr", "selectOnFocus": true });
    var printed_text_en4538 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Printed text (en)", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Printed text (en)","(ledger.PaymentTerms.printed_text_en) ") }, "name": "printed_text_en", "selectOnFocus": true });
    var main_3_panel4539 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 71, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 33, "items": printed_text4536, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 33, "items": printed_text_fr4537, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 33, "items": printed_text_en4538, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel4543 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4524, main_2_panel4532, main_3_panel4539 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4543;
    this.before_row_edit = function(record) {
    }
    Lino.ledger.PaymentTerms.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.RecurrentEvents.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-RecurrentEvents",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 37,
  initComponent : function() {
    var name4544 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.RecurrentEvents.name) See lino.utils.mldbc.mixins.BabelNamed.name.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4545 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.RecurrentEvents.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4546 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.RecurrentEvents.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4547 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4544, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4545, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4546, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var id4551 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.RecurrentEvents.id) ") }, "name": "id", "selectOnFocus": true });
    var user4552 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.RecurrentEvents.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/user" }) }) });
    var event_type4553 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "Kalendereintragsart", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.RecurrentEvents.event_type) ") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/event_type" }) }) });
    var main_2_panel4554 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 11, "items": id4551, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": user4552, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": event_type4553, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date4558 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.RecurrentEvents.start_date) Das Beginndatum der ersten Veranstaltung.") }, "name": "start_date", "selectOnFocus": true });
    var start_time4559 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginnt um", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.RecurrentEvents.start_time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_date4560 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.RecurrentEvents.end_date) Das Enddatum der ersten Veranstaltung. Dieses Feld leer lassen, wenn die Veranstaltungen weniger als einen Tag dauern.") }, "name": "end_date", "selectOnFocus": true });
    var end_time4561 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Endet um", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.RecurrentEvents.end_time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_3_panel4562 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": start_date4558, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": start_time4559, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": end_date4560, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": end_time4561, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var every_unit4567 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wiederholung</span>", "forceSelection": true, "hiddenName": "every_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Wiederholung","(cal.RecurrentEvents.every_unit) Inherited from RecurrentSet.every_unit.") }, "name": "every_unit", "selectOnFocus": true, "store": Lino.cal.Recurrencies, "value": "yearly" });
    var every4568 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">... alle</span>", "listeners": { "render": Lino.quicktip_renderer("... alle","(cal.RecurrentEvents.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "name": "every", "selectOnFocus": true, "value": 1 });
    var positions4569 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Positionen</span>", "listeners": { "render": Lino.quicktip_renderer("Positionen","(cal.RecurrentEvents.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "maxLength": 50, "name": "positions", "selectOnFocus": true });
    var max_events4570 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Anzahl Termine</span>", "listeners": { "render": Lino.quicktip_renderer("Anzahl Termine","(cal.RecurrentEvents.max_events) Maximum number of calendar entries to generate.") }, "name": "max_events", "selectOnFocus": true });
    var main_4_panel4571 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": every_unit4567, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": every4568, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": positions4569, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": max_events4570, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var monday4576 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Montag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Montag","(cal.RecurrentEvents.monday) ") }, "name": "monday", "selectOnFocus": true });
    var tuesday4577 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Dienstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Dienstag","(cal.RecurrentEvents.tuesday) ") }, "name": "tuesday", "selectOnFocus": true });
    var wednesday4578 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Mittwoch", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Mittwoch","(cal.RecurrentEvents.wednesday) ") }, "name": "wednesday", "selectOnFocus": true });
    var thursday4579 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Donnerstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Donnerstag","(cal.RecurrentEvents.thursday) ") }, "name": "thursday", "selectOnFocus": true });
    var friday4580 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Freitag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Freitag","(cal.RecurrentEvents.friday) ") }, "name": "friday", "selectOnFocus": true });
    var saturday4581 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Samstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Samstag","(cal.RecurrentEvents.saturday) ") }, "name": "saturday", "selectOnFocus": true });
    var sunday4582 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sonntag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sonntag","(cal.RecurrentEvents.sunday) ") }, "name": "sunday", "selectOnFocus": true });
    var main_5_panel4583 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": monday4576, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": tuesday4577, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": wednesday4578, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": thursday4579, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": friday4580, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": saturday4581, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sunday4582, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description4591 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Beschreibung", "flex": 33, "name": "description", "region": "center", "selectOnFocus": true, "title": "Beschreibung" });
    var main_6_panel4593 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ description4591 ], "labelAlign": "top", "labelWidth": 117, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel4594 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4547, main_2_panel4554, main_3_panel4562, main_4_panel4571, main_5_panel4583, main_6_panel4593 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4594;
    this.before_row_edit = function(record) {
      description4591.refresh();
    }
    Lino.cal.RecurrentEvents.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.EducationLevels.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-EducationLevels",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 81,
  initComponent : function() {
    var name4595 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.EducationLevels.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4596 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.EducationLevels.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4597 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.EducationLevels.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var is_study4598 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Studium", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Studium","(cv.EducationLevels.is_study) Whether education entries are considered a study entry.") }, "name": "is_study", "selectOnFocus": true });
    var is_training4599 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Ausbildung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildung","(cv.EducationLevels.is_training) Whether education entries are considered a training entry.") }, "name": "is_training", "selectOnFocus": true });
    var main_1_panel4600 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name4595, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_fr4596, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en4597, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": is_study4598, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": is_training4599, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var main_panel4647 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4600 ], "labelAlign": "top" });
    this.items = main_panel4647;
    this.before_row_edit = function(record) {
    }
    Lino.cv.EducationLevels.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Statuses.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Statuses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 85,
  initComponent : function() {
    var id4648 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Statuses.id) ") }, "name": "id", "selectOnFocus": true });
    var name4649 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Statuses.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4650 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Statuses.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4651 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Statuses.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4652 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id4648, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name4649, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr4650, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en4651, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4668 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4652 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4668;
    this.before_row_edit = function(record) {
    }
    Lino.cv.Statuses.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.RecurrentEvents.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-RecurrentEvents",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 37,
  initComponent : function() {
    var name4669 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.RecurrentEvents.name) See lino.utils.mldbc.mixins.BabelNamed.name.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4670 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.RecurrentEvents.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4671 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.RecurrentEvents.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4672 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4669, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4670, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4671, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date4676 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.RecurrentEvents.start_date) Das Beginndatum der ersten Veranstaltung.") }, "name": "start_date", "selectOnFocus": true });
    var end_date4677 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.RecurrentEvents.end_date) Das Enddatum der ersten Veranstaltung. Dieses Feld leer lassen, wenn die Veranstaltungen weniger als einen Tag dauern.") }, "name": "end_date", "selectOnFocus": true });
    var every_unit4678 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wiederholung</span>", "forceSelection": true, "hiddenName": "every_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Wiederholung","(cal.RecurrentEvents.every_unit) Inherited from RecurrentSet.every_unit.") }, "name": "every_unit", "selectOnFocus": true, "store": Lino.cal.Recurrencies, "value": "yearly" });
    var event_type4679 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "Kalendereintragsart", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.RecurrentEvents.event_type) ") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/event_type" }) }) });
    var main_2_panel4680 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 18, "items": start_date4676, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": end_date4677, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": every_unit4678, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": event_type4679, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4685 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4672, main_2_panel4680 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel4685;
    this.before_row_edit = function(record) {
    }
    Lino.cal.RecurrentEvents.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.Courses.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-Courses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('print_participants', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 109,
  initComponent : function() {
    var id3280 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(xcourses.Courses.id) ") }, "name": "id", "selectOnFocus": true });
    var start_date3281 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginndatum", "listeners": { "render": Lino.quicktip_renderer("Beginndatum","(xcourses.Courses.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var offer3282 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.Courses.offer) ") }, "name": "offer", "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/Courses/offer" }) }) });
    var title3283 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.Courses.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var main_1_panel3284 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 12, "items": id3280, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": start_date3281, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": offer3282, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": title3283, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark3289 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(xcourses.Courses.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var main_panel3303 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3284, { "autoHeight": true, "items": remark3289, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3303;
    this.before_row_edit = function(record) {
    }
    Lino.xcourses.Courses.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.Courses.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel xcourses-Courses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('print_participants', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 109,
  initComponent : function() {
    var start_date3305 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginndatum", "listeners": { "render": Lino.quicktip_renderer("Beginndatum","(xcourses.Courses.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var offer3306 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.Courses.offer) ") }, "name": "offer", "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/Courses/offer" }) }) });
    var main_1_panel3307 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": start_date3305, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": offer3306, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var title3310 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.Courses.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var main_panel3311 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3307, { "anchor": "-20", "autoHeight": true, "items": title3310, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3311;
    this.before_row_edit = function(record) {
    }
    Lino.xcourses.Courses.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.NoteTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel notes-NoteTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 129,
  initComponent : function() {
    var id4686 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(notes.NoteTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name4687 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(notes.NoteTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4688 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(notes.NoteTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4689 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(notes.NoteTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4690 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id4686, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name4687, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr4688, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en4689, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var build_method4695 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(notes.NoteTypes.build_method) A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template4696 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Vorlage","(notes.NoteTypes.template) The name of the file to be used as template.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NoteTypes/template" }) }) });
    var special_type4697 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sondernotizart", "forceSelection": true, "hiddenName": "special_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Sondernotizart","(notes.NoteTypes.special_type) ") }, "name": "special_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.notes.SpecialTypes) });
    var email_template4698 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Vorlage","(notes.NoteTypes.email_template) The name of the file to be used as template when creating an email from a mailable of this type.") }, "name": "email_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NoteTypes/email_template" }) }) });
    var attach_to_email4699 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "als Anhang per E-Mail", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("als Anhang per E-Mail","(notes.NoteTypes.attach_to_email) Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n") }, "name": "attach_to_email", "selectOnFocus": true });
    var main_2_panel4700 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": build_method4695, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": template4696, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": special_type4697, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": email_template4698, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": attach_to_email4699, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark4706 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(notes.NoteTypes.remark) ") }, "name": "remark", "selectOnFocus": true });
    var main_panel4738 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4690, main_2_panel4700, { "flex": 41, "items": remark4706, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4738;
    this.before_row_edit = function(record) {
      template4696.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof build_method4695 !== 'undefined' && build_method4695.on('change',Lino.chooser_handler(template4696,'build_method'));
      Lino.notes.NoteTypes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.notes.NoteTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractEndings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ContractEndings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 94,
  initComponent : function() {
    var name4740 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(isip.ContractEndings.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var use_in_isip4741 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "VSE", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("VSE","(isip.ContractEndings.use_in_isip) ") }, "name": "use_in_isip", "selectOnFocus": true });
    var use_in_jobs4742 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Art. 60\u00a77", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Art. 60\u00a77","(isip.ContractEndings.use_in_jobs) ") }, "name": "use_in_jobs", "selectOnFocus": true });
    var is_success4743 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Erfolgreich abgeschlossen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Erfolgreich abgeschlossen","(isip.ContractEndings.is_success) ") }, "name": "is_success", "selectOnFocus": true });
    var needs_date_ended4744 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "erfordert Enddatum", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("erfordert Enddatum","(isip.ContractEndings.needs_date_ended) ") }, "name": "needs_date_ended", "selectOnFocus": true });
    var main_2_panel4745 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": use_in_isip4741, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": use_in_jobs4742, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": is_success4743, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": needs_date_ended4744, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4807 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": name4740, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel4745 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4807;
    this.before_row_edit = function(record) {
    }
    Lino.isip.ContractEndings.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cbss-RetrieveTIGroupsRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 119,
  initComponent : function() {
    var person4809 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.RetrieveTIGroupsRequests.person) ") }, "name": "person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/person" }) }) });
    var national_id4810 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.RetrieveTIGroupsRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var language4811 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "forceSelection": true, "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(cbss.RetrieveTIGroupsRequests.language) ") }, "name": "language", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var main_2_panel4812 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 55, "items": national_id4810, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": language4811, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var history4815 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Historie", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Historie","(cbss.RetrieveTIGroupsRequests.history) Whatever this means.") }, "name": "history", "selectOnFocus": true });
    var main_panel4816 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": person4809, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel4812, { "anchor": "-20", "autoHeight": true, "items": history4815, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4816;
    this.before_row_edit = function(record) {
    }
    Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.NoteTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel notes-NoteTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 129,
  initComponent : function() {
    var name4819 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(notes.NoteTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4820 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(notes.NoteTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4821 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(notes.NoteTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4822 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4819, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4820, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4821, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var build_method4826 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(notes.NoteTypes.build_method) A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var main_panel4827 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4822, { "anchor": "-20", "autoHeight": true, "items": build_method4826, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4827;
    this.before_row_edit = function(record) {
    }
    Lino.notes.NoteTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cbss-RetrieveTIGroupsRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 119,
  initComponent : function() {
    var id4829 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cbss.RetrieveTIGroupsRequests.id) ") }, "name": "id", "selectOnFocus": true });
    var person4830 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.RetrieveTIGroupsRequests.person) ") }, "name": "person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/person" }) }) });
    var user4831 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.RetrieveTIGroupsRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/user" }) }) });
    var sent4832 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Versendet</span>", "listeners": { "render": Lino.quicktip_renderer("Versendet","(cbss.RetrieveTIGroupsRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "name": "sent", "value": "<br>" });
    var status4833 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cbss.RetrieveTIGroupsRequests.status) ") }, "name": "status", "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var printed_disp4834 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(cbss.RetrieveTIGroupsRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var info_1_panel4835 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 4, "items": id4829, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": person4830, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": user4831, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sent4832, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": status4833, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp4834, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Info zur Anfrage" });
    var national_id4842 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.RetrieveTIGroupsRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var language4843 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "forceSelection": true, "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(cbss.RetrieveTIGroupsRequests.language) ") }, "name": "language", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var history4844 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Historie", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Historie","(cbss.RetrieveTIGroupsRequests.history) Whatever this means.") }, "name": "history", "selectOnFocus": true });
    var parameters_panel4845 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 43, "items": national_id4842, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": language4843, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": history4844, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Parameter" });
    var request_panel4855 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ info_1_panel4835, parameters_panel4845 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "region": "center", "title": "Abfrage" });
    var main_panel4866 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ request_panel4855 ], "labelAlign": "top", "split": true });
    this.items = main_panel4866;
    this.before_row_edit = function(record) {
    }
    Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Offers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Offers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 101,
  initComponent : function() {
    var name4867 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.Offers.name) ") }, "maxLength": 100, "name": "name", "selectOnFocus": true });
    var provider4868 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Stellenanbieter ausw\u00e4hlen...", "fieldLabel": "Stellenanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Stellenanbieter","(jobs.Offers.provider) ") }, "name": "provider", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/provider" }) }) });
    var sector4869 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(jobs.Offers.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/sector" }) }) });
    var function4870 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.Offers.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/function" }) }) });
    var main_1_panel4871 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name4867, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": provider4868, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": sector4869, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": function4870, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var selection_from4876 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginn Auswahl", "listeners": { "render": Lino.quicktip_renderer("Beginn Auswahl","(jobs.Offers.selection_from) ") }, "name": "selection_from", "selectOnFocus": true });
    var selection_until4877 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ende Auswahl", "listeners": { "render": Lino.quicktip_renderer("Ende Auswahl","(jobs.Offers.selection_until) ") }, "name": "selection_until", "selectOnFocus": true });
    var start_date4878 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginndatum", "listeners": { "render": Lino.quicktip_renderer("Beginndatum","(jobs.Offers.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var main_2_panel4879 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": selection_from4876, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": selection_until4877, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": start_date4878, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark4883 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(jobs.Offers.remark) ") }, "name": "remark", "selectOnFocus": true });
    var main_panel4898 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4871, main_2_panel4879, { "flex": 41, "items": remark4883, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4898;
    this.before_row_edit = function(record) {
      function4870.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof sector4869 !== 'undefined' && sector4869.on('change',Lino.chooser_handler(function4870,'sector'));
      Lino.jobs.Offers.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.jobs.Offers.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractPartners.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ContractPartners",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 95,
  initComponent : function() {
    var company1256 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(isip.ContractPartners.company) Pointer to Company.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/company" }) }) });
    var contact_person1257 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented by</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Represented by","(isip.ContractPartners.contact_person) Pointer to Person.") }, "name": "contact_person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_person" }) }) });
    var contact_role1258 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented as</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Represented as","(isip.ContractPartners.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_role" }) }) });
    var main_1_panel1259 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company1256, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person1257, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_role1258, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var duties_company1263 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen Firma", "flex": 83, "name": "duties_company", "selectOnFocus": true, "title": "Verpflichtungen Firma" });
    var main_panel1264 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1259, duties_company1263 ], "labelAlign": "top", "labelWidth": 198, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1264;
    this.before_row_edit = function(record) {
      contact_person1257.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      duties_company1263.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company1256 !== 'undefined' && company1256.on('change',Lino.chooser_handler(contact_person1257,'company'));
      Lino.isip.ContractPartners.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.isip.ContractPartners.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractPartners.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel isip-ContractPartners",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 95,
  initComponent : function() {
    var company1265 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(isip.ContractPartners.company) Pointer to Company.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/company" }) }) });
    var contact_person1266 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented by</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Represented by","(isip.ContractPartners.contact_person) Pointer to Person.") }, "name": "contact_person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_person" }) }) });
    var contact_role1267 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented as</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Represented as","(isip.ContractPartners.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_role" }) }) });
    var main_panel1268 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": company1265, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": contact_person1266, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": contact_role1267, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1268;
    this.before_row_edit = function(record) {
      contact_person1266.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company1265 !== 'undefined' && company1265.on('change',Lino.chooser_handler(contact_person1266,'company'));
      Lino.isip.ContractPartners.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.isip.ContractPartners.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Events.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Events",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 39,
  initComponent : function() {
    var event_type1355 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.Events.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/event_type" }) }) });
    var summary1356 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.Events.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var project1357 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Events.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/project" }) }) });
    var general_1_panel1358 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": event_type1355, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": summary1356, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": project1357, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date1362 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.Events.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time1363 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.Events.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var start_panel1364 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 25, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": start_date1362, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": start_time1363, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var end_date1367 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.Events.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "name": "end_date", "selectOnFocus": true });
    var end_time1368 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.Events.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var end_panel1369 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 25, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": end_date1367, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": end_time1368, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user1372 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.Events.user) Der verantwortliche Benutzer.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/user" }) }) });
    var assigned_to1373 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugewiesen zu</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Zugewiesen zu","(cal.Events.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/assigned_to" }) }) });
    var general_2_panel1374 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ start_panel1364, end_panel1369, { "autoHeight": true, "flex": 24, "items": user1372, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": assigned_to1373, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var room1377 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.Events.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/room" }) }) });
    var priority1378 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Priorit\u00e4t", "forceSelection": true, "hiddenName": "priorityHidden", "listeners": { "render": Lino.quicktip_renderer("Priorit\u00e4t","(cal.Events.priority) ") }, "name": "priority", "selectOnFocus": true, "store": Lino.xl.Priorities });
    var access_class1379 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugriffsklasse</span>", "forceSelection": true, "hiddenName": "access_classHidden", "listeners": { "render": Lino.quicktip_renderer("Zugriffsklasse","(cal.Events.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "name": "access_class", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var transparent1380 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "nicht blockierend", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("nicht blockierend","(cal.Events.transparent) Whether this entry should allow other entries at the same time.") }, "name": "transparent", "selectOnFocus": true });
    var general_3_panel1381 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 26, "items": room1377, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": priority1378, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 45, "items": access_class1379, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": transparent1380, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp1386 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verkn\u00fcpft mit</span>", "name": "owner" });
    var workflow_buttons_disp1387 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(cal.Events.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_4_panel1388 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": owner_disp1386, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 75, "items": workflow_buttons_disp1387, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description1391 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(cal.Events.description) A longer descriptive text.") }, "name": "description", "region": "center", "selectOnFocus": true });
    var general_5_panel1433 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 45, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 33, "items": description1391, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var general_panel1435 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1358, general_2_panel1374, general_3_panel1381, general_4_panel1388, general_5_panel1433 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var id1436 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Events.id) ") }, "name": "id", "selectOnFocus": true });
    var created1437 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(cal.Events.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified1438 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(cal.Events.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var state1439 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.Events.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var more_1_panel1440 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 8, "items": id1436, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": created1437, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": modified1438, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": state1439, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var more_panel1493 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel1440 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel1494 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1435, more_panel1493 ], "labelAlign": "top", "split": true });
    this.items = main_panel1494;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Events.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.EventTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel notes-EventTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 130,
  initComponent : function() {
    var id4900 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(notes.EventTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name4901 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(notes.EventTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4902 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(notes.EventTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4903 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(notes.EventTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4904 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id4900, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name4901, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr4902, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en4903, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var remark4909 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(notes.EventTypes.remark) ") }, "name": "remark", "selectOnFocus": true });
    var main_panel4931 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4904, { "flex": 3, "items": remark4909, "labelAlign": "top", "layout": "form", "region": "center", "split": true, "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0 });
    this.items = main_panel4931;
    this.before_row_edit = function(record) {
    }
    Lino.notes.EventTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Events.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Events",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 39,
  initComponent : function() {
    var summary1495 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.Events.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var start_date1496 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.Events.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time1497 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.Events.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var start_panel1498 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": start_date1496, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": start_time1497, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var end_date1501 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.Events.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "name": "end_date", "selectOnFocus": true });
    var end_time1502 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.Events.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var end_panel1503 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": end_date1501, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": end_time1502, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_2_panel1506 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ start_panel1498, end_panel1503 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var event_type1507 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.Events.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/event_type" }) }) });
    var project1508 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Events.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/project" }) }) });
    var main_3_panel1509 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": event_type1507, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project1508, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1512 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": summary1495, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel1506, main_3_panel1509 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1512;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Events.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Journals.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel ledger-Journals",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 59,
  initComponent : function() {
    var name4933 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.Journals.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4934 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.Journals.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4935 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.Journals.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var ref4936 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.Journals.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var main_1_panel4937 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": name4933, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr4934, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en4935, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": ref4936, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var journal_group4942 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journalgruppe</span>", "forceSelection": true, "hiddenName": "journal_groupHidden", "listeners": { "render": Lino.quicktip_renderer("Journalgruppe","(ledger.Journals.journal_group) Pointer to an item of JournalGroups.") }, "name": "journal_group", "selectOnFocus": true, "store": Lino.ledger.JournalGroups });
    var voucher_type4943 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegart</span>", "forceSelection": true, "hiddenName": "voucher_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Belegart","(ledger.Journals.voucher_type) Pointer to an item of VoucherTypes.") }, "name": "voucher_type", "selectOnFocus": true, "store": Lino.ledger.VoucherTypes });
    var trade_type4944 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handelsart</span>", "forceSelection": true, "hiddenName": "trade_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Handelsart","(ledger.Journals.trade_type) Pointer to TradeTypes.") }, "name": "trade_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.TradeTypes) });
    var seqno4945 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(ledger.Journals.seqno) The sequence number of this item with its parent.") }, "name": "seqno", "selectOnFocus": true });
    var id4946 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(ledger.Journals.id) ") }, "name": "id", "selectOnFocus": true });
    var main_2_panel4947 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": journal_group4942, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": voucher_type4943, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": trade_type4944, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": seqno4945, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id4946, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var account4953 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsartikel</span>", "hiddenName": "accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Haushaltsartikel","(ledger.Journals.account) The account to use for the counter-movements generated by\nvouchers in this journal.") }, "name": "account", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/account" }) }) });
    var partner4954 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "partnerHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(ledger.Journals.partner) The partner to use as default partner for all vouchers in this\njournal.") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/partner" }) }) });
    var build_method4955 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(ledger.Journals.build_method) A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template4956 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Vorlage","(ledger.Journals.template) See PrintableType.template.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/template" }) }) });
    var uploads_volume4957 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.Volumes.detail", "emptyText": "Dateibibliothek ausw\u00e4hlen...", "fieldLabel": "Dateibibliothek", "hiddenName": "uploads_volumeHidden", "insert_action": "Lino.uploads.Volumes.insert", "listeners": { "render": Lino.quicktip_renderer("Dateibibliothek","(ledger.Journals.uploads_volume) ") }, "name": "uploads_volume", "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/uploads_volume" }) }) });
    var main_3_panel4958 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": account4953, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": partner4954, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": build_method4955, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": template4956, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": uploads_volume4957, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var dc4964 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Prim\u00e4re Buchungsrichtung</span>", "forceSelection": true, "hiddenName": "dcHidden", "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4re Buchungsrichtung","(ledger.Journals.dc) The primary booking direction. Voucher items in this direction increase\nthe total amount of the voucher.") }, "name": "dc", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.DC) });
    var force_sequence4965 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Chronologische Reihenfolge", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Chronologische Reihenfolge","(ledger.Journals.force_sequence) ") }, "name": "force_sequence", "selectOnFocus": true });
    var yearly_numbering4966 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Yearly numbering", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Yearly numbering","(ledger.Journals.yearly_numbering) Whether the number of\nvouchers should restart at 1 every year.") }, "name": "yearly_numbering", "selectOnFocus": true });
    var auto_fill_suggestions4967 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Fill suggestions", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Fill suggestions","(ledger.Journals.auto_fill_suggestions) Whether to automatically fill voucher item from due payments\nof the partner when entering a financial voucher.") }, "name": "auto_fill_suggestions", "selectOnFocus": true });
    var make_ledger_movements4968 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Ledger", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ledger","(ledger.Journals.make_ledger_movements) Whether vouchers in this journal generate ledger movements.") }, "name": "make_ledger_movements", "selectOnFocus": true });
    var auto_check_clearings4969 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Begleichung pr\u00fcfen", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Begleichung pr\u00fcfen","(ledger.Journals.auto_check_clearings) Whether to automatically check and update the 'cleared' status\nof involved transactions when (de)registering a voucher of\nthis journal.") }, "name": "auto_check_clearings", "selectOnFocus": true });
    var must_declare4970 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "must declare", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("must declare","(ledger.Journals.must_declare) ") }, "name": "must_declare", "selectOnFocus": true });
    var preliminary4971 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Preliminary", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Preliminary","(ledger.Journals.preliminary) Whether transactions in this journal are considered preliminary.") }, "name": "preliminary", "selectOnFocus": true });
    var main_4_panel4972 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 11, "items": dc4964, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": force_sequence4965, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": yearly_numbering4966, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": auto_fill_suggestions4967, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": make_ledger_movements4968, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": auto_check_clearings4969, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": must_declare4970, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": preliminary4971, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var printed_name4981 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Dokumentbezeichnung Ausdruck", "listeners": { "render": Lino.quicktip_renderer("Dokumentbezeichnung Ausdruck","(ledger.Journals.printed_name) ") }, "maxLength": 100, "name": "printed_name", "selectOnFocus": true });
    var printed_name_fr4982 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Dokumentbezeichnung Ausdruck (fr)", "listeners": { "render": Lino.quicktip_renderer("Dokumentbezeichnung Ausdruck (fr)","(ledger.Journals.printed_name_fr) ") }, "maxLength": 100, "name": "printed_name_fr", "selectOnFocus": true });
    var printed_name_en4983 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Dokumentbezeichnung Ausdruck (en)", "listeners": { "render": Lino.quicktip_renderer("Dokumentbezeichnung Ausdruck (en)","(ledger.Journals.printed_name_en) ") }, "maxLength": 100, "name": "printed_name_en", "selectOnFocus": true });
    var main_5_panel4984 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": printed_name4981, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_name_fr4982, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_name_en4983, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4993 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4937, main_2_panel4947, main_3_panel4958, main_4_panel4972, main_5_panel4984 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4993;
    this.before_row_edit = function(record) {
      template4956.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      template4956.setContextValue('voucher_type', record ? record.data['voucher_typeHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof build_method4955 !== 'undefined' && build_method4955.on('change',Lino.chooser_handler(template4956,'build_method'));
      typeof voucher_type4943 !== 'undefined' && voucher_type4943.on('change',Lino.chooser_handler(template4956,'voucher_type'));
      Lino.ledger.Journals.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.ledger.Journals.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.DisbursementOrders.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel finan-DisbursementOrders",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('write_xml', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  content_type: 72,
  initComponent : function() {
    var journal4994 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.DisbursementOrders.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/journal" }) }) });
    var number4995 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(finan.DisbursementOrders.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var voucher_date4996 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Belegdatum","(finan.DisbursementOrders.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "name": "voucher_date", "selectOnFocus": true });
    var entry_date4997 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.DisbursementOrders.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var accounting_period4998 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(finan.DisbursementOrders.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/accounting_period" }) }) });
    var general_1_panel4999 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": journal4994, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": number4995, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": voucher_date4996, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": entry_date4997, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": accounting_period4998, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var item_account5005 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.DisbursementOrders.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/item_account" }) }) });
    var total5006 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Total</span>", "listeners": { "render": Lino.quicktip_renderer("Total","(finan.DisbursementOrders.total) The total amount. This is automatically computed when you register\nde voucher.") }, "name": "total", "selectOnFocus": true });
    var workflow_buttons_disp5007 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(finan.DisbursementOrders.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_2_panel5008 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": item_account5005, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": total5006, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": workflow_buttons_disp5007, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var narration5012 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.DisbursementOrders.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var item_remark5013 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Externe Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Externe Referenz","(finan.DisbursementOrders.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "maxLength": 200, "name": "item_remark", "selectOnFocus": true });
    var general_3_panel5014 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": narration5012, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": item_remark5013, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel5031 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel4999, general_2_panel5008, general_3_panel5014 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var state5032 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.DisbursementOrders.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var user5033 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.DisbursementOrders.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/user" }) }) });
    var id5034 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(finan.DisbursementOrders.id) ") }, "name": "id", "selectOnFocus": true });
    var more_1_panel5035 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 40, "items": state5032, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": user5033, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": id5034, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var more_panel5040 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel5035 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel5041 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel5031, more_panel5040 ], "labelAlign": "top", "split": true });
    this.items = main_panel5041;
    this.before_row_edit = function(record) {
    }
    Lino.finan.DisbursementOrders.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.RefundConfirmations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-RefundConfirmations",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 137,
  initComponent : function() {
    var id5042 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.RefundConfirmations.id) ") }, "name": "id", "selectOnFocus": true });
    var client5043 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.RefundConfirmations.client) ") }, "name": "client", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/client" }) }) });
    var user5044 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.RefundConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/user" }) }) });
    var signer5045 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.RefundConfirmations.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/signer" }) }) });
    var workflow_buttons_disp5046 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.RefundConfirmations.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel5047 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id5042, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": client5043, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user5044, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer5045, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": workflow_buttons_disp5046, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var granting5053 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "fieldLabel": "Hilfebeschluss", "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfebeschluss","(aids.RefundConfirmations.granting) ") }, "name": "granting", "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/granting" }) }) });
    var start_date5054 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.RefundConfirmations.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date5055 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.RefundConfirmations.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_2_panel5056 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 55, "items": granting5053, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": start_date5054, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": end_date5055, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var doctor_type5060 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Art des Arztes", "hiddenName": "doctor_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art des Arztes","(aids.RefundConfirmations.doctor_type) ") }, "name": "doctor_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/doctor_type" }) }) });
    var doctor5061 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Arzt", "forceSelection": false, "hiddenName": "doctorHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Arzt","(aids.RefundConfirmations.doctor) ") }, "name": "doctor", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/doctor" }) }) });
    var pharmacy5062 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "Apotheke", "hiddenName": "pharmacyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Apotheke","(aids.RefundConfirmations.pharmacy) ") }, "name": "pharmacy", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/pharmacy" }) }) });
    var main_3_panel5063 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": doctor_type5060, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": doctor5061, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": pharmacy5062, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company5067 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.RefundConfirmations.company) Pointer to Company.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/company" }) }) });
    var contact_person5068 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.RefundConfirmations.contact_person) Pointer to Person.") }, "name": "contact_person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/contact_person" }) }) });
    var language5069 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.RefundConfirmations.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var printed_disp5070 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(aids.RefundConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_4_panel5071 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": company5067, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": contact_person5068, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": language5069, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp5070, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark5076 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 38, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel5077 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5047, main_2_panel5056, main_3_panel5063, main_4_panel5071, remark5076 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5077;
    this.before_row_edit = function(record) {
      doctor5061.setContextValue('doctor_type', record ? record.data['doctor_typeHidden'] : undefined);
      pharmacy5062.setContextValue('granting', record ? record.data['grantingHidden'] : undefined);
      contact_person5068.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark5076.refresh();
    }
    this.onRender = function(ct, position) {
      typeof doctor_type5060 !== 'undefined' && doctor_type5060.on('change',Lino.chooser_handler(doctor5061,'doctor_type'));
      typeof granting5053 !== 'undefined' && granting5053.on('change',Lino.chooser_handler(pharmacy5062,'granting'));
      typeof company5067 !== 'undefined' && company5067.on('change',Lino.chooser_handler(contact_person5068,'company'));
      Lino.aids.RefundConfirmations.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.RefundConfirmations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.Notes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel notes-Notes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 131,
  initComponent : function() {
    var event_type4727 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Event Type ausw\u00e4hlen...", "fieldLabel": "Ereignisart (Form)", "hiddenName": "event_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ereignisart (Form)","(notes.Notes.event_type) ") }, "name": "event_type", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/event_type" }) }) });
    var type4728 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.NoteTypes.detail", "emptyText": "Notizart ausw\u00e4hlen...", "fieldLabel": "Notizart (Inhalt)", "hiddenName": "typeHidden", "insert_action": "Lino.notes.NoteTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Notizart (Inhalt)","(notes.Notes.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/type" }) }) });
    var main_1_panel4729 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": event_type4727, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": type4728, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var subject4732 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(notes.Notes.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var project4733 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(notes.Notes.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/project" }) }) });
    var main_panel4734 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4729, { "anchor": "-20", "autoHeight": true, "items": subject4732, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": project4733, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4734;
    this.before_row_edit = function(record) {
    }
    Lino.notes.Notes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.InvoicesByJournal.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel vatless-InvoicesByJournal",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  autoHeight: true,
  content_type: 77,
  initComponent : function() {
    var partner5078 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.InvoicesByJournal.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/partner" }) }) });
    var entry_date5079 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.InvoicesByJournal.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var main_panel5080 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": partner5078, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": entry_date5079, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5080;
    this.before_row_edit = function(record) {
    }
    Lino.vatless.InvoicesByJournal.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel contacts-Persons",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 8,
  initComponent : function() {
    var first_name5083 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorname</span>", "listeners": { "render": Lino.quicktip_renderer("Vorname","(contacts.Persons.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name5084 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Familienname</span>", "listeners": { "render": Lino.quicktip_renderer("Familienname","(contacts.Persons.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var main_1_panel5085 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": first_name5083, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": last_name5084, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var gender5088 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(contacts.Persons.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var email5089 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Persons.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var main_2_panel5090 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": gender5088, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 65, "items": email5089, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5093 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5085, main_2_panel5090 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel5093;
    this.before_row_edit = function(record) {
    }
    Lino.contacts.Persons.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel users-Users",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 11,
  initComponent : function() {
    var username2216 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzername</span>", "listeners": { "render": Lino.quicktip_renderer("Benutzername","(users.Users.username) Must be either unique or empty.  Users with an empty username cannot\nsign in.") }, "maxLength": 30, "name": "username", "selectOnFocus": true });
    var email2217 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(users.Users.email) ") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var main_1_panel2218 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": username2216, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": email2217, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name2221 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(users.Users.first_name) ") }, "maxLength": 30, "name": "first_name", "selectOnFocus": true });
    var last_name2222 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(users.Users.last_name) ") }, "maxLength": 30, "name": "last_name", "selectOnFocus": true });
    var main_2_panel2223 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": first_name2221, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": last_name2222, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var partner2226 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(users.Users.partner) The partner record with additional contact information about\nthis user account.") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/partner" }) }) });
    var language2227 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(users.Users.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var user_type2228 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzerart</span>", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.Users.user_type) The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var main_4_panel2229 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": language2227, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 69, "items": user_type2228, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2232 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2218, main_2_panel2223, { "anchor": "-20", "autoHeight": true, "items": partner2226, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel2229 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2232;
    this.before_row_edit = function(record) {
    }
    Lino.users.AllUsers.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.system.SiteConfigs.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel system-SiteConfigs",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 1,
  initComponent : function() {
    var site_company5094 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Site operator</span>", "hiddenName": "site_companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Site operator","(system.SiteConfigs.site_company) The site operator, i.e. the legal person that operates this\nLino site.") }, "name": "site_company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/site_company" }) }) });
    var next_partner_id5095 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">N\u00e4chste Partnernummer</span>", "listeners": { "render": Lino.quicktip_renderer("N\u00e4chste Partnernummer","(system.SiteConfigs.next_partner_id) N\u00e4chste Partnernummer") }, "name": "next_partner_id", "selectOnFocus": true, "value": 100 });
    var general_1_panel5096 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": site_company5094, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": next_partner_id5095, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var job_office5099 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Lokales Arbeitsamt</span>", "hiddenName": "job_officeHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Lokales Arbeitsamt","(system.SiteConfigs.job_office) The Company whose contact persons\n            will be choices for `Person.job_office_contact`.") }, "name": "job_office", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/job_office" }) }) });
    var master_budget5100 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Budgets.detail", "emptyText": "Budget ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Budget-Kopiervorlage</span>", "hiddenName": "master_budgetHidden", "insert_action": "Lino.debts.Budgets.insert", "listeners": { "render": Lino.quicktip_renderer("Budget-Kopiervorlage","(system.SiteConfigs.master_budget) The budget whose content is to be         copied into new budgets.") }, "name": "master_budget", "pageSize": 20, "related_actor_id": "debts.Budgets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/master_budget" }) }) });
    var general_2_panel5101 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": job_office5099, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": master_budget5100, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var signer15104 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Sekret\u00e4r", "hiddenName": "signer1Hidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Sekret\u00e4r","(system.SiteConfigs.signer1) ") }, "name": "signer1", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer1" }) }) });
    var signer25105 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Pr\u00e4sident", "hiddenName": "signer2Hidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Pr\u00e4sident","(system.SiteConfigs.signer2) ") }, "name": "signer2", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer2" }) }) });
    var general_3_panel5106 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": signer15104, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": signer25105, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var signer1_function5109 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Funktion des ersten Unterzeichners</span>", "hiddenName": "signer1_functionHidden", "listeners": { "render": Lino.quicktip_renderer("Funktion des ersten Unterzeichners","(system.SiteConfigs.signer1_function) Kontaktfunktion \"Sekret\u00e4r\"") }, "name": "signer1_function", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer1_function" }) }) });
    var signer2_function5110 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Funktion des zweiten Unterzeichners</span>", "hiddenName": "signer2_functionHidden", "listeners": { "render": Lino.quicktip_renderer("Funktion des zweiten Unterzeichners","(system.SiteConfigs.signer2_function) Kontaktfunktion \"Pr\u00e4sident\"") }, "name": "signer2_function", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer2_function" }) }) });
    var general_4_panel5111 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": signer1_function5109, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": signer2_function5110, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel5114 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel5096, general_2_panel5101, general_3_panel5106, general_4_panel5111 ], "labelAlign": "top", "layout": "form", "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var system_note_type5115 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Event Type ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Default system note type</span>", "hiddenName": "system_note_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Default system note type","(system.SiteConfigs.system_note_type) Note Type used by system notes.\nIf this is empty, then system notes won't create any entry to the Notes table.") }, "name": "system_note_type", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/system_note_type" }) }) });
    var default_build_method5116 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standard-Konstruktionsmethode</span>", "forceSelection": true, "hiddenName": "default_build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Standard-Konstruktionsmethode","(system.SiteConfigs.default_build_method) The default build method to use when rendering printable documents.") }, "name": "default_build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var constants_1_panel5117 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 46, "items": system_note_type5115, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 53, "items": default_build_method5116, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var propgroup_skills5120 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropGroups.detail", "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschaftsgruppe F\u00e4higkeiten</span>", "hiddenName": "propgroup_skillsHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschaftsgruppe F\u00e4higkeiten","(system.SiteConfigs.propgroup_skills) The property group to be used as master for the SkillsByPerson table.") }, "name": "propgroup_skills", "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/propgroup_skills" }) }) });
    var propgroup_softskills5121 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropGroups.detail", "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschaftsgruppe Sozialkompetenzen</span>", "hiddenName": "propgroup_softskillsHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschaftsgruppe Sozialkompetenzen","(system.SiteConfigs.propgroup_softskills) The property group to be used as master for the SoftSkillsByPerson table.") }, "name": "propgroup_softskills", "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/propgroup_softskills" }) }) });
    var propgroup_obstacles5122 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropGroups.detail", "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschaftsgruppe Hindernisse</span>", "hiddenName": "propgroup_obstaclesHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschaftsgruppe Hindernisse","(system.SiteConfigs.propgroup_obstacles) The property group to be used as master for the ObstaclesByPerson table.") }, "name": "propgroup_obstacles", "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/propgroup_obstacles" }) }) });
    var constants_2_panel5123 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": propgroup_skills5120, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": propgroup_softskills5121, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": propgroup_obstacles5122, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var residence_permit_upload_type5127 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art Aufenthaltserlaubnis", "hiddenName": "residence_permit_upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art Aufenthaltserlaubnis","(system.SiteConfigs.residence_permit_upload_type) ") }, "name": "residence_permit_upload_type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/residence_permit_upload_type" }) }) });
    var work_permit_upload_type5128 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art Arbeitserlaubnis", "hiddenName": "work_permit_upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art Arbeitserlaubnis","(system.SiteConfigs.work_permit_upload_type) ") }, "name": "work_permit_upload_type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/work_permit_upload_type" }) }) });
    var driving_licence_upload_type5129 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art F\u00fchrerschein", "hiddenName": "driving_licence_upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art F\u00fchrerschein","(system.SiteConfigs.driving_licence_upload_type) ") }, "name": "driving_licence_upload_type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/driving_licence_upload_type" }) }) });
    var constants_3_panel5130 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": residence_permit_upload_type5127, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": work_permit_upload_type5128, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": driving_licence_upload_type5129, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var default_event_type5134 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standard-Kalenderintragsart</span>", "hiddenName": "default_event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Standard-Kalenderintragsart","(system.SiteConfigs.default_event_type) The default type of events on this site.") }, "name": "default_event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/default_event_type" }) }) });
    var prompt_calendar5135 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "Default type for prompt events", "hiddenName": "prompt_calendarHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Default type for prompt events","(system.SiteConfigs.prompt_calendar) ") }, "name": "prompt_calendar", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/prompt_calendar" }) }) });
    var hide_events_before5136 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hide events before</span>", "listeners": { "render": Lino.quicktip_renderer("Hide events before","(system.SiteConfigs.hide_events_before) If this is specified, certain tables show only\nevents after the given date.") }, "name": "hide_events_before", "selectOnFocus": true });
    var constants_4_panel5137 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 37, "items": default_event_type5134, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": prompt_calendar5135, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": hide_events_before5136, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_guestrole5141 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client guest role</span>", "hiddenName": "client_guestroleHidden", "listeners": { "render": Lino.quicktip_renderer("Client guest role","(system.SiteConfigs.client_guestrole) Default guest role of client in calendar events.") }, "name": "client_guestrole", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/client_guestrole" }) }) });
    var team_guestrole5142 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "Rolle der anderen bei Gruppenterminen", "hiddenName": "team_guestroleHidden", "listeners": { "render": Lino.quicktip_renderer("Rolle der anderen bei Gruppenterminen","(system.SiteConfigs.team_guestrole) ") }, "name": "team_guestrole", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/team_guestrole" }) }) });
    var constants_5_panel5143 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": client_guestrole5141, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": team_guestrole5142, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var constants_panel5146 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ constants_1_panel5117, constants_2_panel5123, constants_3_panel5130, constants_4_panel5137, constants_5_panel5143 ], "labelAlign": "top", "layout": "form", "listeners": { "activate": Lino.on_tab_activate }, "title": "Constants" });
    var main_panel5162 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel5114, constants_panel5146 ], "labelAlign": "top", "split": true });
    this.items = main_panel5162;
    this.before_row_edit = function(record) {
    }
    Lino.system.SiteConfigs.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Tasks.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Tasks",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 41,
  initComponent : function() {
    var summary2169 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.Tasks.summary) ") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var user2170 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.Tasks.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/user" }) }) });
    var project2171 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Tasks.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/project" }) }) });
    var main_2_panel2172 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": user2170, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project2171, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2175 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": summary2169, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel2172 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2175;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Tasks.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Accounts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel ledger-Accounts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 63,
  initComponent : function() {
    var ref5163 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var name5164 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5165 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.Accounts.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5166 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.Accounts.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel5167 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5164, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5165, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5166, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5171 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": ref5163, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel5167 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5171;
    this.before_row_edit = function(record) {
    }
    Lino.ledger.Accounts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.checkdata.Problems.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel checkdata-Problems",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 20,
  disable_editing: true,
  initComponent : function() {
    var checker3337 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Checker</span>", "forceSelection": true, "hiddenName": "checkerHidden", "listeners": { "render": Lino.quicktip_renderer("Checker","(checkdata.Problems.checker) The Checker that reported this\nproblem.") }, "name": "checker", "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    var owner_disp3338 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Datenobjekt", "name": "owner" });
    var message3339 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Meldung</span>", "listeners": { "render": Lino.quicktip_renderer("Meldung","(checkdata.Problems.message) The message text. This is a concatenation of all messages that\nwere yielded by the checker.") }, "maxLength": 250, "name": "message", "selectOnFocus": true });
    var user3340 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(checkdata.Problems.user) The user responsible for fixing this\nproblem.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Problems/user" }) }) });
    var id3341 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(checkdata.Problems.id) ") }, "name": "id", "selectOnFocus": true });
    var main_4_panel3342 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": user3340, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": id3341, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3345 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": checker3337, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": owner_disp3338, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": message3339, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel3342 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3345;
    this.before_row_edit = function(record) {
    }
    Lino.checkdata.Problems.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.Excerpts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel excerpts-Excerpts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 23,
  initComponent : function() {
    var id3789 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(excerpts.Excerpts.id) ") }, "name": "id", "selectOnFocus": true });
    var excerpt_type3790 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.excerpts.ExcerptTypes.detail", "emptyText": "Auszugsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Auszugsart</span>", "hiddenName": "excerpt_typeHidden", "insert_action": "Lino.excerpts.ExcerptTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Auszugsart","(excerpts.Excerpts.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "name": "excerpt_type", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/excerpt_type" }) }) });
    var project3791 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(excerpts.Excerpts.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/project" }) }) });
    var general_1_panel3792 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": id3789, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": excerpt_type3790, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": project3791, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user3796 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(excerpts.Excerpts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/user" }) }) });
    var build_method3797 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Druckmethode", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(excerpts.Excerpts.build_method) ") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var general_2_panel3798 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": user3796, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 69, "items": build_method3797, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3801 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(excerpts.Excerpts.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/company" }) }) });
    var contact_person3802 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(excerpts.Excerpts.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "name": "contact_person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/contact_person" }) }) });
    var language3803 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(excerpts.Excerpts.language) The language used for printing this excerpt.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var general_3_panel3804 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company3801, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person3802, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language3803, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp3808 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verkn\u00fcpft mit</span>", "name": "owner" });
    var build_time3809 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Druckdatum","(excerpts.Excerpts.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "name": "build_time", "value": "<br>" });
    var general_4_panel3810 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": owner_disp3808, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 61, "items": build_time3809, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel3813 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel3792, general_2_panel3798, general_3_panel3804, general_4_panel3810 ], "labelAlign": "top", "layout": "form", "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var main_panel3815 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel3813 ], "labelAlign": "top", "split": true });
    this.items = main_panel3815;
    this.before_row_edit = function(record) {
      excerpt_type3790.setContextValue('owner', record ? record.data['owner'] : undefined);
      contact_person3802.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof owner_disp3808 !== 'undefined' && owner_disp3808.on('change',Lino.chooser_handler(excerpt_type3790,'owner'));
      typeof company3801 !== 'undefined' && company3801.on('change',Lino.chooser_handler(contact_person3802,'company'));
      Lino.excerpts.Excerpts.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.Excerpts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EntriesByProject.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EntriesByProject",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 39,
  initComponent : function() {
    var start_date5173 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.EntriesByProject.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time5174 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.EntriesByProject.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_time5175 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.EntriesByProject.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_1_panel5176 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 44, "items": start_date5173, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": start_time5174, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": end_time5175, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary5180 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.EntriesByProject.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var event_type5181 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.EntriesByProject.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/event_type" }) }) });
    var main_panel5182 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5176, { "anchor": "-20", "autoHeight": true, "items": summary5180, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": event_type5181, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5182;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EntriesByProject.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Contracts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel jobs-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 100,
  initComponent : function() {
    var client2792 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(jobs.Contracts.client) ") }, "name": "client", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/client" }) }) });
    var job2793 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Stelle ausw\u00e4hlen...", "fieldLabel": "Stelle", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Stelle","(jobs.Contracts.job) ") }, "name": "job", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/job" }) }) });
    var main_panel2794 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client2792, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": job2793, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2794;
    this.before_row_edit = function(record) {
    }
    Lino.jobs.Contracts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.IdentifyPersonRequests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cbss-IdentifyPersonRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 117,
  initComponent : function() {
    var id5185 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cbss.IdentifyPersonRequests.id) ") }, "name": "id", "selectOnFocus": true });
    var person5186 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.IdentifyPersonRequests.person) ") }, "name": "person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/person" }) }) });
    var user5187 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.IdentifyPersonRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/user" }) }) });
    var sent5188 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Versendet</span>", "listeners": { "render": Lino.quicktip_renderer("Versendet","(cbss.IdentifyPersonRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "name": "sent", "value": "<br>" });
    var status5189 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cbss.IdentifyPersonRequests.status) ") }, "name": "status", "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var printed_disp5190 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(cbss.IdentifyPersonRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var info_1_panel5191 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 4, "items": id5185, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": person5186, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": user5187, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sent5188, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": status5189, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp5190, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Info zur Anfrage" });
    var national_id5198 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.IdentifyPersonRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var p1_panel5200 = new Ext.form.FieldSet({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 25, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": national_id5198, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 50, "html": "<br/>", "xtype": "label" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "title": "Suche per NISS" });
    var first_name5202 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(cbss.IdentifyPersonRequests.first_name) ") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name5203 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zwischenname</span>", "listeners": { "render": Lino.quicktip_renderer("Zwischenname","(cbss.IdentifyPersonRequests.middle_name) Whatever this means...") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var last_name5204 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(cbss.IdentifyPersonRequests.last_name) ") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var p2_1_panel5205 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": first_name5202, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": middle_name5203, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": last_name5204, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var birth_date5209 = new Lino.IncompleteDateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(cbss.IdentifyPersonRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var tolerance5210 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Toleranz</span>", "listeners": { "render": Lino.quicktip_renderer("Toleranz","(cbss.IdentifyPersonRequests.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "name": "tolerance", "selectOnFocus": true, "value": 0 });
    var gender5211 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(cbss.IdentifyPersonRequests.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var p2_2_panel5212 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": birth_date5209, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": tolerance5210, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": gender5211, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p2_panel5216 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 75, "frame": true, "hideCheckBoxLabels": true, "items": [ p2_1_panel5205, p2_2_panel5212 ], "labelAlign": "top", "layout": "form", "title": "Phonetische Suche" });
    var parameters_panel5217 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ p1_panel5200, p2_panel5216 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Parameter" });
    var request_panel5229 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ info_1_panel5191, parameters_panel5217 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "region": "center", "title": "Abfrage" });
    var main_panel5240 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ request_panel5229 ], "labelAlign": "top", "split": true });
    this.items = main_panel5240;
    this.before_row_edit = function(record) {
    }
    Lino.cbss.IdentifyPersonRequests.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    person5186.on("change", function(){ this.save() }, this);
  }
});


Lino.about.About.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel about-About",
  layout: 'fit',
  auto_save: true,
  disable_editing: true,
  initComponent : function() {
    var main_panel5242 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "html": "<div class=\"htmlText\"><span>Dies ist <a href=\"https://gitlab.com/lino-framework/weleup\" target=\"_blank\">Lino Welfare Eupen</a> 21.3.1 unter <a href=\"https://gitlab.com/lino-framework/lino\" target=\"_blank\">Lino</a> 22.6.1, <a href=\"http://www.djangoproject.com\" target=\"_blank\">Django</a> 4.0.5, <a href=\"http://www.python.org/\" target=\"_blank\">Python</a> 3.8.0, <a href=\"http://babel.edgewall.org/\" target=\"_blank\">Babel</a> 2.10.1, <a href=\"http://jinja.pocoo.org/\" target=\"_blank\">Jinja</a> 3.0.3, <a href=\"http://labix.org/python-dateutil\" target=\"_blank\">python-dateutil</a> 2.8.2, <a href=\"http://getbootstrap.com\" target=\"_blank\">Bootstrap</a> 3.3.4, <a href=\"http://www.sencha.com\" target=\"_blank\">ExtJS</a> <a href=\"#\" onclick=\"alert('ExtJS client version is ' + Ext.version);\" title=\"Click to see ExtJS client version\">(version)</a>, <a href=\"http://www.famfamfam.com/lab/icons/silk/\" target=\"_blank\">Silk Icons</a> 1.3, <a href=\"http://appyframework.org/pod.html\" target=\"_blank\">Appy</a> (unknown), <a href=\"http://ext.ensible.com/products/calendar/\" target=\"_blank\">Ext.ensible adapter</a> <a href=\"#\" onclick=\"alert('Extensible Calendar version is '             + Ext.ensible.version);\" title=\"Click to see Extensible Calendar version\">(version)</a>, <a href=\"https://pypi.org/project/suds-py3/\" target=\"_blank\">suds</a> 1.4.4.1, <a href=\"http://www.tinymce.com/\" target=\"_blank\">TinyMCE</a> 3.5.11, <a href=\"http://www.byte-force.com\" target=\"_blank\">Ext.ux.TinyMCE</a> 0.8.4</span><p>Sprachen: de, fr, en</p><p>Dies ist eine Demo-Anwendung.</p><p>Simuliertes Tagesdatum Donnerstag, 22. Mai 2014.</p><p>Enabled features: : </p><p>Source timestamps:</p><ul><li>Server timestamp : <b>10.07.22 um 03:10</b></li><li>lino_weleup : <b>19.08.21 um 05:38</b></li><li>lino_welfare : <b>19.05.22 um 19:58</b></li><li>lino_cosi : <b>21.06.22 um 18:05</b></li><li>django : <b>04.07.22 um 05:41</b></li><li>lino_xl : <b>09.07.22 um 21:12</b></li><li>lino : <b>10.07.22 um 03:10</b></li></ul><p>Complexity factors : 65 plugins, 142 models, 13 users, 16 user types, 530 views, 29 dialog actions</p></div>", "region": "center", "xtype": "label" } ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel5242;
    this.before_row_edit = function(record) {
    }
    Lino.about.About.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.coachings.CoachingEndings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel coachings-CoachingEndings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 47,
  initComponent : function() {
    var id5243 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(coachings.CoachingEndings.id) ") }, "name": "id", "selectOnFocus": true });
    var name5244 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(coachings.CoachingEndings.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5245 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(coachings.CoachingEndings.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5246 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(coachings.CoachingEndings.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var seqno5247 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(coachings.CoachingEndings.seqno) The sequence number of this item with its parent.") }, "name": "seqno", "selectOnFocus": true });
    var main_1_panel5248 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id5243, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name5244, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_fr5245, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_en5246, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": seqno5247, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5264 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5248 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5264;
    this.before_row_edit = function(record) {
    }
    Lino.coachings.CoachingEndings.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Accounts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel ledger-Accounts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 63,
  initComponent : function() {
    var ref5265 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var common_account5266 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gemeinkonto", "forceSelection": true, "hiddenName": "common_accountHidden", "listeners": { "render": Lino.quicktip_renderer("Gemeinkonto","(ledger.Accounts.common_account) ") }, "name": "common_account", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.CommonAccounts) });
    var id5267 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(ledger.Accounts.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel5268 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": ref5265, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 62, "items": common_account5266, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": id5267, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name5272 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5273 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.Accounts.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5274 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.Accounts.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel5275 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5272, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5273, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5274, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var needs_partner5279 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Braucht Partner", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Braucht Partner","(ledger.Accounts.needs_partner) Whether bookings to this account need a partner specified.") }, "name": "needs_partner", "selectOnFocus": true });
    var clearable5280 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auszugleichen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auszugleichen","(ledger.Accounts.clearable) ") }, "name": "clearable", "selectOnFocus": true });
    var default_amount5281 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorschlag Betrag</span>", "listeners": { "render": Lino.quicktip_renderer("Vorschlag Betrag","(ledger.Accounts.default_amount) The default amount to book in bank statements or journal\nentries when this account has been selected manually. The\ndefault booking direction is that of the type.") }, "name": "default_amount", "selectOnFocus": true });
    var main_3_panel5282 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": needs_partner5279, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 42, "items": clearable5280, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": default_amount5281, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5287 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5268, main_2_panel5275, main_3_panel5282 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5287;
    this.before_row_edit = function(record) {
    }
    Lino.ledger.Accounts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.IdentifyPersonRequests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cbss-IdentifyPersonRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 117,
  initComponent : function() {
    var person5288 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.IdentifyPersonRequests.person) ") }, "name": "person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/person" }) }) });
    var national_id5289 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.IdentifyPersonRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var main_1_panel5290 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": person5288, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": national_id5289, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name5293 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(cbss.IdentifyPersonRequests.first_name) ") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name5294 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zwischenname</span>", "listeners": { "render": Lino.quicktip_renderer("Zwischenname","(cbss.IdentifyPersonRequests.middle_name) Whatever this means...") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var last_name5295 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(cbss.IdentifyPersonRequests.last_name) ") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var p2_1_panel5296 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": first_name5293, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": middle_name5294, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": last_name5295, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var birth_date5300 = new Lino.IncompleteDateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(cbss.IdentifyPersonRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var tolerance5301 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Toleranz</span>", "listeners": { "render": Lino.quicktip_renderer("Toleranz","(cbss.IdentifyPersonRequests.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "name": "tolerance", "selectOnFocus": true, "value": 0 });
    var gender5302 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(cbss.IdentifyPersonRequests.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var p2_2_panel5303 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": birth_date5300, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": tolerance5301, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": gender5302, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p2_panel5307 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ p2_1_panel5296, p2_2_panel5303 ], "labelAlign": "top", "layout": "form", "title": "Phonetische Suche" });
    var main_panel5308 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5290, p2_panel5307 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel5308;
    this.before_row_edit = function(record) {
    }
    Lino.cbss.IdentifyPersonRequests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Uploads.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-Uploads",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 26,
  initComponent : function() {
    var user5309 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.Uploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/user" }) }) });
    var project5310 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(uploads.Uploads.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/project" }) }) });
    var id5311 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(uploads.Uploads.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel5312 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 44, "items": user5309, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": project5310, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": id5311, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type5316 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.Uploads.type) The type of this upload.") }, "name": "type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/type" }) }) });
    var description5317 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.Uploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var start_date5318 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig von","(uploads.Uploads.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date5319 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">G\u00fcltig bis</span>", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig bis","(uploads.Uploads.end_date) Date until which the original document is valid.") }, "name": "end_date", "selectOnFocus": true });
    var needed5320 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "N\u00f6tig", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("N\u00f6tig","(uploads.Uploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "name": "needed", "selectOnFocus": true });
    var main_2_panel5321 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": type5316, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": description5317, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": start_date5318, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": end_date5319, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": needed5320, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company5327 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(uploads.Uploads.company) Pointer to Company.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/company" }) }) });
    var contact_person5328 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ausgestellt durch</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("ausgestellt durch","(uploads.Uploads.contact_person) Pointer to Person.") }, "name": "contact_person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/contact_person" }) }) });
    var contact_role5329 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented as</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Represented as","(uploads.Uploads.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/contact_role" }) }) });
    var main_3_panel5330 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company5327, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person5328, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_role5329, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var file5334 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.Uploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var owner_disp5335 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Verkn\u00fcpft mit", "name": "owner" });
    var main_4_panel5336 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 67, "items": file5334, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": owner_disp5335, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark5339 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(uploads.Uploads.remark) ") }, "name": "remark", "region": "center", "selectOnFocus": true });
    var main_5_panel5341 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 55, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 34, "items": remark5339, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel5343 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5312, main_2_panel5321, main_3_panel5330, main_4_panel5336, main_5_panel5341 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5343;
    this.before_row_edit = function(record) {
      type5316.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      contact_person5328.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company5327 !== 'undefined' && company5327.on('change',Lino.chooser_handler(contact_person5328,'company'));
      Lino.uploads.Uploads.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.uploads.Uploads.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Tasks.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Tasks",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 41,
  initComponent : function() {
    var start_date1281 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.Tasks.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var due_date1282 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("Zahlungsziel","(cal.Tasks.due_date) ") }, "name": "due_date", "selectOnFocus": true });
    var id1283 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Tasks.id) ") }, "name": "id", "selectOnFocus": true });
    var workflow_buttons_disp1284 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(cal.Tasks.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel1285 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 21, "items": start_date1281, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": due_date1282, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": id1283, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 49, "items": workflow_buttons_disp1284, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary1290 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.Tasks.summary) ") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var project1291 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Tasks.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/project" }) }) });
    var user1292 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.Tasks.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/user" }) }) });
    var delegated1293 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Delegated to client", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Delegated to client","(cal.Tasks.delegated) ") }, "name": "delegated", "selectOnFocus": true });
    var main_3_panel1294 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 40, "items": project1291, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": user1292, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": delegated1293, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp1298 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Verkn\u00fcpft mit", "name": "owner" });
    var created1299 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(cal.Tasks.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified1300 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(cal.Tasks.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var main_4_panel1301 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": owner_disp1298, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": created1299, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": modified1300, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description1305 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(cal.Tasks.description) ") }, "name": "description", "selectOnFocus": true });
    var main_panel1306 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1285, { "autoHeight": true, "items": summary1290, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel1294, main_4_panel1301, { "flex": 45, "items": description1305, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1306;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Tasks.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Sectors.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Sectors",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 88,
  initComponent : function() {
    var id5344 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Sectors.id) ") }, "name": "id", "selectOnFocus": true });
    var name5345 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Sectors.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5346 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Sectors.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5347 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Sectors.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5348 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5344, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5345, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5346, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5347, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark5353 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(cv.Sectors.remark) ") }, "name": "remark", "region": "center", "selectOnFocus": true });
    var main_2_panel5408 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 31, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 33, "items": remark5353, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel5442 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5348, main_2_panel5408 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5442;
    this.before_row_edit = function(record) {
    }
    Lino.cv.Sectors.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.RefundConfirmationsByGranting.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-RefundConfirmationsByGranting",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 137,
  initComponent : function() {
    var start_date5443 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.RefundConfirmationsByGranting.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date5444 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.RefundConfirmationsByGranting.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel5445 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date5443, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date5444, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var doctor_type5448 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Art des Arztes", "hiddenName": "doctor_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art des Arztes","(aids.RefundConfirmationsByGranting.doctor_type) ") }, "name": "doctor_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/doctor_type" }) }) });
    var doctor5449 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Arzt", "forceSelection": false, "hiddenName": "doctorHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Arzt","(aids.RefundConfirmationsByGranting.doctor) ") }, "name": "doctor", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/doctor" }) }) });
    var pharmacy5450 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "Apotheke", "hiddenName": "pharmacyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Apotheke","(aids.RefundConfirmationsByGranting.pharmacy) ") }, "name": "pharmacy", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/pharmacy" }) }) });
    var main_2_panel5451 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": doctor_type5448, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": doctor5449, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": pharmacy5450, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company5455 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.RefundConfirmationsByGranting.company) Pointer to Company.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/company" }) }) });
    var contact_person5456 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.RefundConfirmationsByGranting.contact_person) Pointer to Person.") }, "name": "contact_person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/contact_person" }) }) });
    var language5457 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.RefundConfirmationsByGranting.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var printed_disp5458 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(aids.RefundConfirmationsByGranting.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_3_panel5459 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": company5455, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": contact_person5456, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": language5457, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp5458, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark5464 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 50, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel5465 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5445, main_2_panel5451, main_3_panel5459, remark5464 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5465;
    this.before_row_edit = function(record) {
      doctor5449.setContextValue('doctor_type', record ? record.data['doctor_typeHidden'] : undefined);
      var bp = this.get_base_params();
      pharmacy5450.setContextValue('mk',bp['mk']);
      pharmacy5450.setContextValue('mt',bp['mt']);
      contact_person5456.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark5464.refresh();
    }
    this.onRender = function(ct, position) {
      typeof doctor_type5448 !== 'undefined' && doctor_type5448.on('change',Lino.chooser_handler(doctor5449,'doctor_type'));
      typeof company5455 !== 'undefined' && company5455.on('change',Lino.chooser_handler(contact_person5456,'company'));
      Lino.aids.RefundConfirmationsByGranting.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.RefundConfirmationsByGranting.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.ManageAccessRequests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cbss-ManageAccessRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 118,
  initComponent : function() {
    var id5466 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cbss.ManageAccessRequests.id) ") }, "name": "id", "selectOnFocus": true });
    var person5467 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.ManageAccessRequests.person) ") }, "name": "person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/person" }) }) });
    var user5468 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.ManageAccessRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/user" }) }) });
    var sent5469 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Versendet</span>", "listeners": { "render": Lino.quicktip_renderer("Versendet","(cbss.ManageAccessRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "name": "sent", "value": "<br>" });
    var status5470 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cbss.ManageAccessRequests.status) ") }, "name": "status", "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var printed_disp5471 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(cbss.ManageAccessRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var info_1_panel5472 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 4, "items": id5466, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": person5467, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": user5468, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sent5469, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": status5470, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp5471, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Info zur Anfrage" });
    var action5479 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aktion</span>", "forceSelection": true, "hiddenName": "actionHidden", "listeners": { "render": Lino.quicktip_renderer("Aktion","(cbss.ManageAccessRequests.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "name": "action", "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var start_date5480 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cbss.ManageAccessRequests.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date5481 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode bis", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(cbss.ManageAccessRequests.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var p1_1_panel5482 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 36, "items": action5479, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": start_date5480, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date5481, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var purpose5486 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Eigenschafts-Code ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschafts-Code</span>", "hiddenName": "purposeHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschafts-Code","(cbss.ManageAccessRequests.purpose) Pointer to Purpose.") }, "name": "purpose", "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/purpose" }) }) });
    var query_register5487 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Abfrageregister</span>", "forceSelection": true, "hiddenName": "query_registerHidden", "listeners": { "render": Lino.quicktip_renderer("Abfrageregister","(cbss.ManageAccessRequests.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "name": "query_register", "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    var p1_2_panel5488 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 64, "items": purpose5486, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": query_register5487, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p1_panel5491 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 43, "frame": true, "hideCheckBoxLabels": true, "items": [ p1_1_panel5482, p1_2_panel5488 ], "labelAlign": "top", "layout": "form", "title": "Angefragte Aktion" });
    var national_id5492 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">NR-Nummer</span>", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.ManageAccessRequests.national_id) The SSIN of the person to register/unregister/list.\n") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var sis_card_no5493 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">SIS-Karten-Nr</span>", "listeners": { "render": Lino.quicktip_renderer("SIS-Karten-Nr","(cbss.ManageAccessRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "maxLength": 10, "name": "sis_card_no", "selectOnFocus": true });
    var id_card_no5494 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ID-Karten-Nr</span>", "listeners": { "render": Lino.quicktip_renderer("ID-Karten-Nr","(cbss.ManageAccessRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "maxLength": 20, "name": "id_card_no", "selectOnFocus": true });
    var proof_1_panel5495 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": national_id5492, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": sis_card_no5493, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": id_card_no5494, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name5499 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(cbss.ManageAccessRequests.first_name) ") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name5500 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(cbss.ManageAccessRequests.last_name) ") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var birth_date5501 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(cbss.ManageAccessRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var proof_2_panel5502 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": first_name5499, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": last_name5500, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": birth_date5501, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var proof_panel5506 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 56, "frame": true, "hideCheckBoxLabels": true, "items": [ proof_1_panel5495, proof_2_panel5502 ], "labelAlign": "top", "layout": "form", "title": "Authentifizierungsbeleg" });
    var parameters_panel5507 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ p1_panel5491, proof_panel5506 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Parameter" });
    var result_htmlbox5508 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 37, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Resultat","(cbss.ManageAccessRequests.result) ") }, "name": "result", "title": "Resultat", "value": "<br/>" });
    var request_panel5509 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ info_1_panel5472, parameters_panel5507, result_htmlbox5508 ], "labelAlign": "top", "labelWidth": 81, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "region": "center", "title": "Abfrage" });
    var main_panel5520 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ request_panel5509 ], "labelAlign": "top", "split": true });
    this.items = main_panel5520;
    this.before_row_edit = function(record) {
      purpose5486.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      result_htmlbox5508.refresh();
    }
    Lino.cbss.ManageAccessRequests.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    person5467.on("change", function(){ this.save() }, this);
  }
});


Lino.uploads.AllUploads.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-AllUploads",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 26,
  initComponent : function() {
    var type5521 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.AllUploads.type) The type of this upload.") }, "name": "type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/type" }) }) });
    var description5522 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.AllUploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var file5523 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.AllUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var volume5524 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.Volumes.detail", "emptyText": "Dateibibliothek ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dateibibliothek</span>", "hiddenName": "volumeHidden", "insert_action": "Lino.uploads.Volumes.insert", "listeners": { "render": Lino.quicktip_renderer("Dateibibliothek","(uploads.AllUploads.volume) A pointer to the library volume where this file is stored.") }, "name": "volume", "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/volume" }) }) });
    var library_file5525 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bibliotheksdatei</span>", "listeners": { "render": Lino.quicktip_renderer("Bibliotheksdatei","(uploads.AllUploads.library_file) The path of this file, relative the volume's root.") }, "name": "library_file", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/library_file" }) }) });
    var main_4_panel5526 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": volume5524, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": library_file5525, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user5529 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.AllUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/user" }) }) });
    var main_panel5530 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": type5521, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": description5522, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": file5523, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel5526, { "anchor": "-20", "autoHeight": true, "items": user5529, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5530;
    this.before_row_edit = function(record) {
      type5521.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      library_file5525.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof volume5524 !== 'undefined' && volume5524.on('change',Lino.chooser_handler(library_file5525,'volume'));
      Lino.uploads.AllUploads.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.uploads.AllUploads.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.ManageAccessRequests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cbss-ManageAccessRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 118,
  initComponent : function() {
    var person5535 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.ManageAccessRequests.person) ") }, "name": "person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/person" }) }) });
    var action5536 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aktion</span>", "forceSelection": true, "hiddenName": "actionHidden", "listeners": { "render": Lino.quicktip_renderer("Aktion","(cbss.ManageAccessRequests.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "name": "action", "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var start_date5537 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cbss.ManageAccessRequests.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date5538 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode bis", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(cbss.ManageAccessRequests.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var p1_1_panel5539 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 36, "items": action5536, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": start_date5537, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date5538, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var purpose5543 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Eigenschafts-Code ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschafts-Code</span>", "hiddenName": "purposeHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschafts-Code","(cbss.ManageAccessRequests.purpose) Pointer to Purpose.") }, "name": "purpose", "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/purpose" }) }) });
    var query_register5544 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Abfrageregister</span>", "forceSelection": true, "hiddenName": "query_registerHidden", "listeners": { "render": Lino.quicktip_renderer("Abfrageregister","(cbss.ManageAccessRequests.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "name": "query_register", "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    var p1_2_panel5545 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 64, "items": purpose5543, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": query_register5544, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p1_panel5548 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ p1_1_panel5539, p1_2_panel5545 ], "labelAlign": "top", "layout": "form", "title": "Angefragte Aktion" });
    var national_id5549 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">NR-Nummer</span>", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.ManageAccessRequests.national_id) The SSIN of the person to register/unregister/list.\n") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var sis_card_no5550 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">SIS-Karten-Nr</span>", "listeners": { "render": Lino.quicktip_renderer("SIS-Karten-Nr","(cbss.ManageAccessRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "maxLength": 10, "name": "sis_card_no", "selectOnFocus": true });
    var id_card_no5551 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ID-Karten-Nr</span>", "listeners": { "render": Lino.quicktip_renderer("ID-Karten-Nr","(cbss.ManageAccessRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "maxLength": 20, "name": "id_card_no", "selectOnFocus": true });
    var proof_1_panel5552 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": national_id5549, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": sis_card_no5550, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": id_card_no5551, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name5556 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(cbss.ManageAccessRequests.first_name) ") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name5557 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(cbss.ManageAccessRequests.last_name) ") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var birth_date5558 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(cbss.ManageAccessRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var proof_2_panel5559 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": first_name5556, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": last_name5557, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": birth_date5558, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var proof_panel5563 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ proof_1_panel5552, proof_2_panel5559 ], "labelAlign": "top", "layout": "form", "title": "Authentifizierungsbeleg" });
    var main_panel5564 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": person5535, "labelAlign": "top", "layout": "form", "xtype": "panel" }, p1_panel5548, proof_panel5563 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5564;
    this.before_row_edit = function(record) {
      purpose5543.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    Lino.cbss.ManageAccessRequests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.NotesByProject.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel notes-NotesByX",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 131,
  initComponent : function() {
    var event_type5566 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Event Type ausw\u00e4hlen...", "fieldLabel": "Ereignisart (Form)", "hiddenName": "event_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ereignisart (Form)","(notes.NotesByX.event_type) ") }, "name": "event_type", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByX/event_type" }) }) });
    var type5567 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.NoteTypes.detail", "emptyText": "Notizart ausw\u00e4hlen...", "fieldLabel": "Notizart (Inhalt)", "hiddenName": "typeHidden", "insert_action": "Lino.notes.NoteTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Notizart (Inhalt)","(notes.NotesByX.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByX/type" }) }) });
    var main_1_panel5568 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": event_type5566, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": type5567, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var subject5571 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(notes.NotesByX.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var project5572 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(notes.NotesByX.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByX/project" }) }) });
    var main_panel5573 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5568, { "anchor": "-20", "autoHeight": true, "items": subject5571, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": project5572, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5573;
    this.before_row_edit = function(record) {
    }
    Lino.notes.NotesByProject.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Guests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 40,
  initComponent : function() {
    var event1425 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.OneEvent.detail", "emptyText": "Kalendereintrag ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintrag</span>", "hiddenName": "eventHidden", "insert_action": "Lino.cal.OneEvent.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintrag","(cal.Guests.event) The calendar event to which this presence applies.") }, "name": "event", "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/event" }) }) });
    var partner1426 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "forceSelection": false, "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(cal.Guests.partner) The partner to which this presence applies.") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/partner" }) }) });
    var role1427 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Rolle</span>", "hiddenName": "roleHidden", "listeners": { "render": Lino.quicktip_renderer("Rolle","(cal.Guests.role) The role of this partner in this presence.") }, "name": "role", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/role" }) }) });
    var main_panel1428 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": event1425, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": partner1426, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": role1427, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1428;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Guests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.tinymce.TextFieldTemplates.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel tinymce-TextFieldTemplates",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 141,
  initComponent : function() {
    var name5576 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(tinymce.TextFieldTemplates.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var user5577 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(tinymce.TextFieldTemplates.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/TextFieldTemplates/user" }) }) });
    var main_panel5578 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name5576, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": user5577, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5578;
    this.before_row_edit = function(record) {
    }
    Lino.tinymce.TextFieldTemplates.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.IncomeConfirmations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-IncomeConfirmations",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 136,
  initComponent : function() {
    var client5581 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.IncomeConfirmations.client) ") }, "name": "client", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/client" }) }) });
    var user5582 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.IncomeConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/user" }) }) });
    var signer5583 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.IncomeConfirmations.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/signer" }) }) });
    var workflow_buttons_disp5584 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.IncomeConfirmations.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var printed_disp5585 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(aids.IncomeConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_1_panel5586 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": client5581, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": user5582, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": signer5583, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": workflow_buttons_disp5584, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": printed_disp5585, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company5592 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.IncomeConfirmations.company) Pointer to Company.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/company" }) }) });
    var contact_person5593 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.IncomeConfirmations.contact_person) Pointer to Person.") }, "name": "contact_person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/contact_person" }) }) });
    var language5594 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.IncomeConfirmations.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_2_panel5595 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company5592, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person5593, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language5594, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var granting5599 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "fieldLabel": "Hilfebeschluss", "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfebeschluss","(aids.IncomeConfirmations.granting) ") }, "name": "granting", "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/granting" }) }) });
    var start_date5600 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.IncomeConfirmations.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date5601 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.IncomeConfirmations.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_3_panel5602 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 55, "items": granting5599, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": start_date5600, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": end_date5601, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var category5606 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Categories.detail", "emptyText": "Kategorie ausw\u00e4hlen...", "fieldLabel": "Kategorie", "hiddenName": "categoryHidden", "listeners": { "render": Lino.quicktip_renderer("Kategorie","(aids.IncomeConfirmations.category) ") }, "name": "category", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/category" }) }) });
    var amount5607 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(aids.IncomeConfirmations.amount) ") }, "name": "amount", "selectOnFocus": true });
    var id5608 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.IncomeConfirmations.id) ") }, "name": "id", "selectOnFocus": true });
    var main_4_panel5609 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 54, "items": category5606, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": amount5607, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": id5608, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark5613 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 45, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel5614 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5586, main_2_panel5595, main_3_panel5602, main_4_panel5609, remark5613 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5614;
    this.before_row_edit = function(record) {
      contact_person5593.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark5613.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company5592 !== 'undefined' && company5592.on('change',Lino.chooser_handler(contact_person5593,'company'));
      Lino.aids.IncomeConfirmations.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.IncomeConfirmations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.DisbursementOrdersByJournal.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel finan-DisbursementOrdersByJournal",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('write_xml', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  autoHeight: true,
  content_type: 72,
  initComponent : function() {
    var item_account5615 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.DisbursementOrdersByJournal.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/item_account" }) }) });
    var voucher_date5616 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Belegdatum","(finan.DisbursementOrdersByJournal.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "name": "voucher_date", "selectOnFocus": true });
    var main_panel5617 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": item_account5615, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": voucher_date5616, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5617;
    this.before_row_edit = function(record) {
    }
    Lino.finan.DisbursementOrdersByJournal.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.languages.Languages.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel languages-Languages",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 79,
  initComponent : function() {
    var id5620 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(3), "fieldLabel": "id", "listeners": { "render": Lino.quicktip_renderer("id","(languages.Languages.id) ") }, "maxLength": 3, "name": "id", "selectOnFocus": true });
    var iso25621 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(2), "fieldLabel": "iso2", "listeners": { "render": Lino.quicktip_renderer("iso2","(languages.Languages.iso2) ") }, "maxLength": 2, "name": "iso2", "selectOnFocus": true });
    var name5622 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(languages.Languages.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5623 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(languages.Languages.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5624 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(languages.Languages.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5625 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id5620, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": iso25621, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name5622, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name_fr5623, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name_en5624, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5643 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5625 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5643;
    this.before_row_edit = function(record) {
    }
    Lino.languages.Languages.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.MembersByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel households-MembersByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 121,
  initComponent : function() {
    var person5644 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Person", "hiddenName": "personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Person","(households.MembersByPerson.person) ") }, "name": "person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByPerson/person" }) }) });
    var role5645 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Rolle", "forceSelection": true, "hiddenName": "roleHidden", "listeners": { "render": Lino.quicktip_renderer("Rolle","(households.MembersByPerson.role) ") }, "name": "role", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.households.MemberRoles) });
    var household5646 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Households.detail", "emptyText": "Haushalt ausw\u00e4hlen...", "fieldLabel": "Haushalt", "hiddenName": "householdHidden", "insert_action": "Lino.households.Households.insert", "listeners": { "render": Lino.quicktip_renderer("Haushalt","(households.MembersByPerson.household) ") }, "name": "household", "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByPerson/household" }) }) });
    var primary5647 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Prim\u00e4r", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4r","(households.MembersByPerson.primary) Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.") }, "name": "primary", "selectOnFocus": true });
    var main_panel5648 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": person5644, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": role5645, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": household5646, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": primary5647, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5648;
    this.before_row_edit = function(record) {
    }
    Lino.households.MembersByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.countries.Places.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel countries-Places",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 3,
  initComponent : function() {
    var name5653 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(countries.Places.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5654 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(countries.Places.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5655 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(countries.Places.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5656 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5653, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5654, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5655, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var country5660 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Land</span>", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(countries.Places.country) The country this place is in.") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/country" }) }) });
    var zip_code5661 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(8), "fieldLabel": "zip code", "listeners": { "render": Lino.quicktip_renderer("zip code","(countries.Places.zip_code) ") }, "maxLength": 8, "name": "zip_code", "selectOnFocus": true });
    var type5662 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ortsart","(countries.Places.type) The type of this place (whether it's a city. a village, a province...)") }, "name": "type", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/type" }) }) });
    var main_3_panel5663 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 47, "items": zip_code5661, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 52, "items": type5662, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var parent5666 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Teil von</span>", "hiddenName": "parentHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Teil von","(countries.Places.parent) The superordinate geographic place of which this place is a part.") }, "name": "parent", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/parent" }) }) });
    var main_panel5667 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5656, { "anchor": "-20", "autoHeight": true, "items": country5660, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel5663, { "anchor": "-20", "autoHeight": true, "items": parent5666, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5667;
    this.before_row_edit = function(record) {
      type5662.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country5660 !== 'undefined' && country5660.on('change',Lino.chooser_handler(type5662,'country'));
      Lino.countries.Places.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.countries.Places.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.countries.Places.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel countries-Places",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 3,
  initComponent : function() {
    var name5670 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(countries.Places.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5671 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(countries.Places.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5672 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(countries.Places.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var country5673 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Land</span>", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(countries.Places.country) The country this place is in.") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/country" }) }) });
    var inscode5674 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(5), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">INS code</span>", "listeners": { "render": Lino.quicktip_renderer("INS code","(countries.Places.inscode) The official code for this place used by statbel.fgov.be") }, "maxLength": 5, "name": "inscode", "selectOnFocus": true });
    var zip_code5675 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(8), "fieldLabel": "zip code", "listeners": { "render": Lino.quicktip_renderer("zip code","(countries.Places.zip_code) ") }, "maxLength": 8, "name": "zip_code", "selectOnFocus": true });
    var main_1_panel5676 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 21, "items": name5670, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": name_fr5671, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": name_en5672, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": country5673, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": inscode5674, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": zip_code5675, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var parent5683 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Teil von</span>", "hiddenName": "parentHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Teil von","(countries.Places.parent) The superordinate geographic place of which this place is a part.") }, "name": "parent", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/parent" }) }) });
    var type5684 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ortsart","(countries.Places.type) The type of this place (whether it's a city. a village, a province...)") }, "name": "type", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/type" }) }) });
    var id5685 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(countries.Places.id) ") }, "name": "id", "selectOnFocus": true });
    var main_2_panel5686 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 57, "items": parent5683, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": type5684, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": id5685, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5856 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5676, main_2_panel5686 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5856;
    this.before_row_edit = function(record) {
      type5684.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country5673 !== 'undefined' && country5673.on('change',Lino.chooser_handler(type5684,'country'));
      Lino.countries.Places.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.countries.Places.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Durations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Durations",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 87,
  initComponent : function() {
    var id5857 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Durations.id) ") }, "name": "id", "selectOnFocus": true });
    var name5858 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Durations.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5859 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Durations.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5860 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Durations.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5861 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5857, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5858, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5859, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5860, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5876 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5861 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5876;
    this.before_row_edit = function(record) {
    }
    Lino.cv.Durations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.LanguageKnowledgesByPerson.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-LanguageKnowledgesByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 80,
  initComponent : function() {
    var language5877 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.languages.Languages.detail", "emptyText": "Sprache ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(cv.LanguageKnowledgesByPerson.language) The language to which this entry applies.") }, "name": "language", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledgesByPerson/language" }) }) });
    var native5878 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Muttersprache", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Muttersprache","(cv.LanguageKnowledgesByPerson.native) ") }, "name": "native", "selectOnFocus": true });
    var has_certificate5879 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Zertifikat", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Zertifikat","(cv.LanguageKnowledgesByPerson.has_certificate) Whether this entry is confirmed by a certificate.") }, "name": "has_certificate", "selectOnFocus": true });
    var main_2_panel5880 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": native5878, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": has_certificate5879, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cef_level5883 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">CEF-Kategorie</span>", "forceSelection": true, "hiddenName": "cef_levelHidden", "listeners": { "render": Lino.quicktip_renderer("CEF-Kategorie","(cv.LanguageKnowledgesByPerson.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "name": "cef_level", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var spoken_passively5884 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wort (passiv)", "forceSelection": true, "hiddenName": "spoken_passivelyHidden", "listeners": { "render": Lino.quicktip_renderer("Wort (passiv)","(cv.LanguageKnowledgesByPerson.spoken_passively) ") }, "name": "spoken_passively", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var spoken5885 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wort", "forceSelection": true, "hiddenName": "spokenHidden", "listeners": { "render": Lino.quicktip_renderer("Wort","(cv.LanguageKnowledgesByPerson.spoken) ") }, "name": "spoken", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written5886 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Schrift", "forceSelection": true, "hiddenName": "writtenHidden", "listeners": { "render": Lino.quicktip_renderer("Schrift","(cv.LanguageKnowledgesByPerson.written) ") }, "name": "written", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var main_4_panel5887 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": spoken_passively5884, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": spoken5885, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": written5886, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5891 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language5877, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel5880, { "anchor": "-20", "autoHeight": true, "items": cef_level5883, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel5887 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5891;
    this.before_row_edit = function(record) {
    }
    Lino.cv.LanguageKnowledgesByPerson.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Calendars.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Calendars",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 33,
  initComponent : function() {
    var name5894 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.Calendars.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5895 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.Calendars.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5896 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.Calendars.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5897 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5894, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5895, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5896, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var color5901 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Farbe</span>", "listeners": { "render": Lino.quicktip_renderer("Farbe","(cal.Calendars.color) The color to use for entries of this calendar (in\nlino_xl.lib.extensible).") }, "name": "color", "selectOnFocus": true });
    var main_panel5902 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5897, { "anchor": "-20", "autoHeight": true, "items": color5901, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5902;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Calendars.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.LanguageKnowledgesByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-LanguageKnowledgesByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 80,
  initComponent : function() {
    var language5904 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.languages.Languages.detail", "emptyText": "Sprache ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(cv.LanguageKnowledgesByPerson.language) The language to which this entry applies.") }, "name": "language", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledgesByPerson/language" }) }) });
    var native5905 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Muttersprache", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Muttersprache","(cv.LanguageKnowledgesByPerson.native) ") }, "name": "native", "selectOnFocus": true });
    var has_certificate5906 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Zertifikat", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Zertifikat","(cv.LanguageKnowledgesByPerson.has_certificate) Whether this entry is confirmed by a certificate.") }, "name": "has_certificate", "selectOnFocus": true });
    var main_2_panel5907 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": native5905, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": has_certificate5906, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cef_level5910 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">CEF-Kategorie</span>", "forceSelection": true, "hiddenName": "cef_levelHidden", "listeners": { "render": Lino.quicktip_renderer("CEF-Kategorie","(cv.LanguageKnowledgesByPerson.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "name": "cef_level", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var spoken_passively5911 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wort (passiv)", "forceSelection": true, "hiddenName": "spoken_passivelyHidden", "listeners": { "render": Lino.quicktip_renderer("Wort (passiv)","(cv.LanguageKnowledgesByPerson.spoken_passively) ") }, "name": "spoken_passively", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var spoken5912 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wort", "forceSelection": true, "hiddenName": "spokenHidden", "listeners": { "render": Lino.quicktip_renderer("Wort","(cv.LanguageKnowledgesByPerson.spoken) ") }, "name": "spoken", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written5913 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Schrift", "forceSelection": true, "hiddenName": "writtenHidden", "listeners": { "render": Lino.quicktip_renderer("Schrift","(cv.LanguageKnowledgesByPerson.written) ") }, "name": "written", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var main_4_panel5914 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": spoken_passively5911, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": spoken5912, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": written5913, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5918 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language5904, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel5907, { "anchor": "-20", "autoHeight": true, "items": cef_level5910, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel5914 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5918;
    this.before_row_edit = function(record) {
    }
    Lino.cv.LanguageKnowledgesByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Calendars.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Calendars",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 33,
  initComponent : function() {
    var name5921 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.Calendars.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5922 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.Calendars.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5923 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.Calendars.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var color5924 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Farbe</span>", "listeners": { "render": Lino.quicktip_renderer("Farbe","(cal.Calendars.color) The color to use for entries of this calendar (in\nlino_xl.lib.extensible).") }, "name": "color", "selectOnFocus": true });
    var id5925 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Calendars.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel5926 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": name5921, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_fr5922, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_en5923, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": color5924, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": id5925, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description5932 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Beschreibung", "flex": 52, "name": "description", "region": "center", "selectOnFocus": true, "title": "Beschreibung" });
    var main_2_panel5939 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 83, "frame": false, "hideCheckBoxLabels": true, "items": [ description5932 ], "labelAlign": "top", "labelWidth": 117, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel5940 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5926, main_2_panel5939 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5940;
    this.before_row_edit = function(record) {
      description5932.refresh();
    }
    Lino.cal.Calendars.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.GrantingsByClient.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-GrantingsByClient",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 134,
  initComponent : function() {
    var aid_type2346 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.GrantingsByClient.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/aid_type" }) }) });
    var board2347 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.GrantingsByClient.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/board" }) }) });
    var decision_date2348 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen", "listeners": { "render": Lino.quicktip_renderer("Beschlossen","(aids.GrantingsByClient.decision_date) ") }, "name": "decision_date", "selectOnFocus": true });
    var main_2_panel2349 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 60, "items": board2347, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": decision_date2348, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date2352 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(aids.GrantingsByClient.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date2353 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.GrantingsByClient.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_3_panel2354 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date2352, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date2353, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2357 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": aid_type2346, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel2349, main_3_panel2354 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2357;
    this.before_row_edit = function(record) {
      board2347.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof decision_date2348 !== 'undefined' && decision_date2348.on('change',Lino.chooser_handler(board2347,'decision_date'));
      Lino.aids.GrantingsByClient.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.GrantingsByClient.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Uploads.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-Uploads",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 26,
  initComponent : function() {
    var file5941 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.Uploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var type5942 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.Uploads.type) The type of this upload.") }, "name": "type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/type" }) }) });
    var project5943 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(uploads.Uploads.project) Pointer to the project to which this object is related.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/project" }) }) });
    var main_2_panel5944 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": type5942, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project5943, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date5947 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig von","(uploads.Uploads.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date5948 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">G\u00fcltig bis</span>", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig bis","(uploads.Uploads.end_date) Date until which the original document is valid.") }, "name": "end_date", "selectOnFocus": true });
    var needed5949 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "N\u00f6tig", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("N\u00f6tig","(uploads.Uploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "name": "needed", "selectOnFocus": true });
    var main_3_panel5950 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": start_date5947, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": end_date5948, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": needed5949, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description5954 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.Uploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var main_panel5955 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": file5941, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel5944, main_3_panel5950, { "anchor": "-20", "autoHeight": true, "items": description5954, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5955;
    this.before_row_edit = function(record) {
      type5942.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
    }
    Lino.uploads.Uploads.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.humanlinks.Links.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel humanlinks-Links",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 123,
  initComponent : function() {
    var parent5958 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wer ist...</span>", "hiddenName": "parentHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Wer ist...","(humanlinks.Links.parent) Pointer to the person who is \"parent\".") }, "name": "parent", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/parent" }) }) });
    var type5959 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwandschaftsart</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Verwandschaftsart","(humanlinks.Links.type) The type of link.  Pointer to LinkTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.humanlinks.LinkTypes });
    var child5960 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Von wem...</span>", "hiddenName": "childHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Von wem...","(humanlinks.Links.child) Pointer to the person who is \"child\".") }, "name": "child", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/child" }) }) });
    var main_panel5961 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": parent5958, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type5959, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": child5960, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5961;
    this.before_row_edit = function(record) {
    }
    Lino.humanlinks.Links.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Rooms.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Rooms",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 31,
  initComponent : function() {
    var id5965 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Rooms.id) ") }, "name": "id", "selectOnFocus": true });
    var name5966 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.Rooms.name) The designation of the room. This is not required to be unique.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5967 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.Rooms.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5968 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.Rooms.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var display_color5969 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Color</span>", "forceSelection": true, "hiddenName": "display_colorHidden", "listeners": { "render": Lino.quicktip_renderer("Color","(cal.Rooms.display_color) The color to use when displaying entries in this room in the calendar\nview.") }, "name": "display_color", "selectOnFocus": true, "store": Lino.cal.DisplayColors });
    var main_1_panel5970 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id5965, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": name5966, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": name_fr5967, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": name_en5968, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": display_color5969, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company5976 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(cal.Rooms.company) Pointer to Company.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/company" }) }) });
    var contact_person5977 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontaktperson</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Kontaktperson","(cal.Rooms.contact_person) Pointer to Person.") }, "name": "contact_person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/contact_person" }) }) });
    var main_panel5978 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5970, { "anchor": "-20", "autoHeight": true, "items": company5976, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": contact_person5977, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5978;
    this.before_row_edit = function(record) {
      contact_person5977.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company5976 !== 'undefined' && company5976.on('change',Lino.chooser_handler(contact_person5977,'company'));
      Lino.cal.Rooms.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cal.Rooms.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Rooms.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Rooms",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 31,
  initComponent : function() {
    var id5981 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Rooms.id) ") }, "name": "id", "selectOnFocus": true });
    var name5982 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.Rooms.name) The designation of the room. This is not required to be unique.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5983 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.Rooms.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5984 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.Rooms.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5985 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5981, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5982, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5983, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5984, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company5990 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(cal.Rooms.company) Pointer to Company.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/company" }) }) });
    var contact_person5991 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontaktperson</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Kontaktperson","(cal.Rooms.contact_person) Pointer to Person.") }, "name": "contact_person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/contact_person" }) }) });
    var display_color5992 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Color</span>", "forceSelection": true, "hiddenName": "display_colorHidden", "listeners": { "render": Lino.quicktip_renderer("Color","(cal.Rooms.display_color) The color to use when displaying entries in this room in the calendar\nview.") }, "name": "display_color", "selectOnFocus": true, "store": Lino.cal.DisplayColors });
    var main_2_panel5993 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 40, "items": company5990, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": contact_person5991, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": display_color5992, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description5997 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(cal.Rooms.description) ") }, "name": "description", "selectOnFocus": true });
    var main_panel6030 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5985, main_2_panel5993, { "flex": 41, "items": description5997, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6030;
    this.before_row_edit = function(record) {
      contact_person5991.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company5990 !== 'undefined' && company5990.on('change',Lino.chooser_handler(contact_person5991,'company'));
      Lino.cal.Rooms.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cal.Rooms.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.Categories.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-Categories",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 132,
  initComponent : function() {
    var id6032 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.Categories.id) ") }, "name": "id", "selectOnFocus": true });
    var name6033 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(aids.Categories.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6034 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(aids.Categories.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6035 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(aids.Categories.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6036 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id6032, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name6033, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr6034, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en6035, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6062 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6036 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6062;
    this.before_row_edit = function(record) {
    }
    Lino.aids.Categories.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EntriesByGuest.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EntriesByGuest",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 39,
  initComponent : function() {
    var start_date6063 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.EntriesByGuest.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time6064 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.EntriesByGuest.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_time6065 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.EntriesByGuest.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_1_panel6066 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 44, "items": start_date6063, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": start_time6064, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": end_time6065, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary6070 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.EntriesByGuest.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var event_type6071 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.EntriesByGuest.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByGuest/event_type" }) }) });
    var main_panel6072 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6066, { "anchor": "-20", "autoHeight": true, "items": summary6070, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": event_type6071, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6072;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EntriesByGuest.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.AidTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-AidTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 133,
  initComponent : function() {
    var id6075 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.AidTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var short_name6076 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">short name</span>", "listeners": { "render": Lino.quicktip_renderer("short name","(aids.AidTypes.short_name) The short name for internal use, e.g. when a user must select\nan aid type from a combobox.") }, "maxLength": 50, "name": "short_name", "selectOnFocus": true });
    var confirmation_type6077 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfebescheinigungsart</span>", "forceSelection": true, "hiddenName": "confirmation_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Hilfebescheinigungsart","(aids.AidTypes.confirmation_type) The database model to use for issuing an aid confirmation of\nthis type. This is a mandatory pointer to\nConfirmationTypes.") }, "name": "confirmation_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationTypes) });
    var main_1_panel6078 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id6075, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": short_name6076, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 66, "items": confirmation_type6077, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name6082 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(aids.AidTypes.name) The designation of this aid type as seen by the user e.g. when\nselecting an aid type.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6083 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(aids.AidTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6084 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(aids.AidTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel6085 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name6082, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr6083, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en6084, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var excerpt_title6089 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Excerpt title</span>", "listeners": { "render": Lino.quicktip_renderer("Excerpt title","(aids.AidTypes.excerpt_title) The text to print as title in confirmations.\nSee also\nlino_xl.lib.excerpts.mixins.ExcerptTitle.excerpt_title.") }, "maxLength": 200, "name": "excerpt_title", "selectOnFocus": true });
    var excerpt_title_fr6090 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Excerpt title (fr)", "listeners": { "render": Lino.quicktip_renderer("Excerpt title (fr)","(aids.AidTypes.excerpt_title_fr) ") }, "maxLength": 200, "name": "excerpt_title_fr", "selectOnFocus": true });
    var excerpt_title_en6091 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Excerpt title (en)", "listeners": { "render": Lino.quicktip_renderer("Excerpt title (en)","(aids.AidTypes.excerpt_title_en) ") }, "maxLength": 200, "name": "excerpt_title_en", "selectOnFocus": true });
    var main_3_panel6092 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": excerpt_title6089, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": excerpt_title_fr6090, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": excerpt_title_en6091, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var body_template6096 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Textk\u00f6rper-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Textk\u00f6rper-Vorlage","(aids.AidTypes.body_template) The body template to use when printing a confirmation of this type.\nIf this field is empty, Lino uses the excerpt type's\nbody_template.\nSee also /admin/printing.") }, "name": "body_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/body_template" }) }) });
    var print_directly6097 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Direkt drucken", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Direkt drucken","(aids.AidTypes.print_directly) ") }, "name": "print_directly", "selectOnFocus": true });
    var is_integ_duty6098 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Verpflichtung DSBE", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Verpflichtung DSBE","(aids.AidTypes.is_integ_duty) Whether aid grantings of this type are considered as duty for integration contract.") }, "name": "is_integ_duty", "selectOnFocus": true });
    var is_urgent6099 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Dringend", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Dringend","(aids.AidTypes.is_urgent) Whether aid grantings of this type are considered as urgent.\nThis is used by Confirmation.get_urgent_granting()") }, "name": "is_urgent", "selectOnFocus": true });
    var confirmed_by_primary_coach6100 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Prim\u00e4rbegleiter best\u00e4tigt", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4rbegleiter best\u00e4tigt","(aids.AidTypes.confirmed_by_primary_coach) Whether grantings for this aid type are to be signed by the\nclient's primary coach (see Client.get_primary_coach).") }, "name": "confirmed_by_primary_coach", "selectOnFocus": true });
    var board6101 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.AidTypes.board) Pointer to the default lino_xl.lib.boards.models.Board\nfor aid projects of this type.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/board" }) }) });
    var main_4_panel6102 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": body_template6096, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": print_directly6097, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_integ_duty6098, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_urgent6099, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": confirmed_by_primary_coach6100, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": board6101, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company6109 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(aids.AidTypes.company) Pointer to Company.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/company" }) }) });
    var contact_person6110 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented by</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Represented by","(aids.AidTypes.contact_person) Pointer to Person.") }, "name": "contact_person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/contact_person" }) }) });
    var contact_role6111 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented as</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Represented as","(aids.AidTypes.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/contact_role" }) }) });
    var pharmacy_type6112 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klientenkontaktart</span>", "hiddenName": "pharmacy_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(aids.AidTypes.pharmacy_type) A pointer to the ClientContactType to be used when\nselecting the pharmacy of a refund confirmation\n(RefundConfirmation.pharmacy).") }, "name": "pharmacy_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/pharmacy_type" }) }) });
    var main_5_panel6113 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": company6109, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": contact_person6110, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": contact_role6111, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": pharmacy_type6112, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6151 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6078, main_2_panel6085, main_3_panel6092, main_4_panel6102, main_5_panel6113 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6151;
    this.before_row_edit = function(record) {
      body_template6096.setContextValue('confirmation_type', record ? record.data['confirmation_typeHidden'] : undefined);
      contact_person6110.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof confirmation_type6077 !== 'undefined' && confirmation_type6077.on('change',Lino.chooser_handler(body_template6096,'confirmation_type'));
      typeof company6109 !== 'undefined' && company6109.on('change',Lino.chooser_handler(contact_person6110,'company'));
      Lino.aids.AidTypes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.AidTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.AidTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-AidTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 133,
  initComponent : function() {
    var name6152 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(aids.AidTypes.name) The designation of this aid type as seen by the user e.g. when\nselecting an aid type.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6153 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(aids.AidTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6154 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(aids.AidTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6155 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name6152, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr6153, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en6154, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var confirmation_type6159 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfebescheinigungsart</span>", "forceSelection": true, "hiddenName": "confirmation_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Hilfebescheinigungsart","(aids.AidTypes.confirmation_type) The database model to use for issuing an aid confirmation of\nthis type. This is a mandatory pointer to\nConfirmationTypes.") }, "name": "confirmation_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationTypes) });
    var main_panel6160 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6155, { "anchor": "-20", "autoHeight": true, "items": confirmation_type6159, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6160;
    this.before_row_edit = function(record) {
    }
    Lino.aids.AidTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.countries.Countries.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel countries-Countries",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 2,
  initComponent : function() {
    var isocode6162 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ISO-Code</span>", "listeners": { "render": Lino.quicktip_renderer("ISO-Code","(countries.Countries.isocode) The two-letter code for this country as defined by ISO 3166-1.\nFor countries that no longer exist it may be a 4-letter code.") }, "maxLength": 4, "name": "isocode", "selectOnFocus": true });
    var name6163 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(countries.Countries.name) The designation of this country.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6164 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(countries.Countries.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6165 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(countries.Countries.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var short_code6166 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Short code</span>", "listeners": { "render": Lino.quicktip_renderer("Short code","(countries.Countries.short_code) A short abbreviation for regional usage. Obsolete.") }, "maxLength": 4, "name": "short_code", "selectOnFocus": true });
    var inscode6167 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(3), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">INS code</span>", "listeners": { "render": Lino.quicktip_renderer("INS code","(countries.Countries.inscode) The official code for this country used by statbel.fgov.be") }, "maxLength": 3, "name": "inscode", "selectOnFocus": true });
    var actual_country6168 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Actual country</span>", "hiddenName": "actual_countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Actual country","(countries.Countries.actual_country) Select the actual country if this row represents a refugee status or a former country.") }, "name": "actual_country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Countries/actual_country" }) }) });
    var main_1_panel6169 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 8, "items": isocode6162, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": name6163, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": name_fr6164, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": name_en6165, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": short_code6166, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": inscode6167, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": actual_country6168, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6207 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6169 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6207;
    this.before_row_edit = function(record) {
    }
    Lino.countries.Countries.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Trainings.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-Trainings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 83,
  initComponent : function() {
    var person2495 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cv.Trainings.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/person" }) }) });
    var start_date2496 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.Trainings.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date2497 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.Trainings.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel2498 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": person2495, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": start_date2496, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_date2497, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type2502 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bildungsart</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(cv.Trainings.type) Pointer to StudyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/type" }) }) });
    var state2503 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cv.Trainings.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var certificates2504 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Diplome", "listeners": { "render": Lino.quicktip_renderer("Diplome","(cv.Trainings.certificates) ") }, "maxLength": 200, "name": "certificates", "selectOnFocus": true });
    var main_2_panel2505 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": type2502, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": state2503, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": certificates2504, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector2509 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(cv.Trainings.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/sector" }) }) });
    var function2510 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.Trainings.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/function" }) }) });
    var main_3_panel2511 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": sector2509, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": function2510, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var school2514 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Einrichtung</span>", "listeners": { "render": Lino.quicktip_renderer("Einrichtung","(cv.Trainings.school) The establishment where the education happened.") }, "maxLength": 200, "name": "school", "selectOnFocus": true });
    var country2515 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(cv.Trainings.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/country" }) }) });
    var city2516 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(cv.Trainings.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/city" }) }) });
    var main_4_panel2517 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": school2514, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": country2515, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": city2516, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2521 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2498, main_2_panel2505, main_3_panel2511, main_4_panel2517 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel2521;
    this.before_row_edit = function(record) {
      function2510.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city2516.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof sector2509 !== 'undefined' && sector2509.on('change',Lino.chooser_handler(function2510,'sector'));
      typeof country2515 !== 'undefined' && country2515.on('change',Lino.chooser_handler(city2516,'country'));
      Lino.cv.Trainings.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Trainings.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseProviders.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-CourseProviders",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 111,
  initComponent : function() {
    var overview_htmlbox6208 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(xcourses.CourseProviders.overview) ") }, "name": "overview", "value": "<br/>" });
    var prefix6209 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(xcourses.CourseProviders.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name6210 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.CourseProviders.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var general2_1_panel6211 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": prefix6209, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 66, "items": name6210, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type6214 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisationsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Organisationsart","(xcourses.CourseProviders.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/type" }) }) });
    var vat_id6215 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">MwSt.-Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("MwSt.-Nr.","(xcourses.CourseProviders.vat_id) The VAT id used to identify this partner. Lino verifies validity\nbased on the partner's country field.") }, "maxLength": 200, "name": "vat_id", "selectOnFocus": true });
    var general2_2_panel6216 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type6214, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": vat_id6215, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_contact_type6219 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(xcourses.CourseProviders.client_contact_type) ") }, "name": "client_contact_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/client_contact_type" }) }) });
    var url6220 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(xcourses.CourseProviders.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel6221 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel6211, general2_2_panel6216, { "anchor": "-20", "autoHeight": true, "items": client_contact_type6219, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": url6220, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email6224 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(xcourses.CourseProviders.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone6225 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(xcourses.CourseProviders.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm6226 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(xcourses.CourseProviders.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax6227 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(xcourses.CourseProviders.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel6228 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email6224, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone6225, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm6226, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax6227, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel6233 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox6208, general2_panel6221, general3_panel6228 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel6235 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel6233 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var notes_NotesByCompany_htmlbox6236 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "activate": Lino.on_tab_activate }, "name": "notes.NotesByCompany", "title": "Ereignisse/Notizen", "value": "<br/>" });
    var main_panel6245 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel6235, notes_NotesByCompany_htmlbox6236 ], "labelAlign": "top", "split": true });
    this.items = main_panel6245;
    this.before_row_edit = function(record) {
      overview_htmlbox6208.refresh();
      notes_NotesByCompany_htmlbox6236.refresh();
    }
    Lino.xcourses.CourseProviders.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.aids.Grantings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-Grantings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 134,
  initComponent : function() {
    var id2307 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.Grantings.id) ") }, "name": "id", "selectOnFocus": true });
    var client2308 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.Grantings.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "name": "client", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/client" }) }) });
    var user2309 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.Grantings.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/user" }) }) });
    var signer2310 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Best\u00e4tiger</span>", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.Grantings.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/signer" }) }) });
    var workflow_buttons_disp2311 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.Grantings.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel2312 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id2307, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": client2308, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user2309, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer2310, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": workflow_buttons_disp2311, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var request_date2318 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum der Anfrage", "listeners": { "render": Lino.quicktip_renderer("Datum der Anfrage","(aids.Grantings.request_date) ") }, "name": "request_date", "selectOnFocus": true });
    var board2319 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.Grantings.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/board" }) }) });
    var decision_date2320 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen", "listeners": { "render": Lino.quicktip_renderer("Beschlossen","(aids.Grantings.decision_date) ") }, "name": "decision_date", "selectOnFocus": true });
    var main_2_panel2321 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": request_date2318, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": board2319, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": decision_date2320, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type2325 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.Grantings.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/aid_type" }) }) });
    var category2326 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Categories.detail", "emptyText": "Kategorie ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kategorie</span>", "hiddenName": "categoryHidden", "listeners": { "render": Lino.quicktip_renderer("Kategorie","(aids.Grantings.category) Currently only used for printing an isip.Contract.") }, "name": "category", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/category" }) }) });
    var start_date2327 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(aids.Grantings.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date2328 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.Grantings.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var custom_actions_disp2329 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Aktionen", "listeners": { "render": Lino.quicktip_renderer("Aktionen","(aids.Grantings.custom_actions) ") }, "name": "custom_actions", "value": "<br/>" });
    var main_3_panel2330 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": aid_type2325, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": category2326, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": start_date2327, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": end_date2328, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": custom_actions_disp2329, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2345 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2312, main_2_panel2321, main_3_panel2330 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2345;
    this.before_row_edit = function(record) {
      board2319.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof decision_date2320 !== 'undefined' && decision_date2320.on('change',Lino.chooser_handler(board2319,'decision_date'));
      Lino.aids.Grantings.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.Grantings.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.Grantings.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-Grantings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 134,
  initComponent : function() {
    var client6132 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.Grantings.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "name": "client", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/client" }) }) });
    var aid_type6133 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.Grantings.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/aid_type" }) }) });
    var signer6134 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Best\u00e4tiger</span>", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.Grantings.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/signer" }) }) });
    var main_2_panel6135 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": aid_type6133, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": signer6134, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var board6138 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.Grantings.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/board" }) }) });
    var decision_date6139 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen", "listeners": { "render": Lino.quicktip_renderer("Beschlossen","(aids.Grantings.decision_date) ") }, "name": "decision_date", "selectOnFocus": true });
    var main_3_panel6140 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 60, "items": board6138, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": decision_date6139, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date6143 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(aids.Grantings.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date6144 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.Grantings.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_4_panel6145 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date6143, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date6144, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6148 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client6132, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel6135, main_3_panel6140, main_4_panel6145 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6148;
    this.before_row_edit = function(record) {
      board6138.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof decision_date6139 !== 'undefined' && decision_date6139.on('change',Lino.chooser_handler(board6138,'decision_date'));
      Lino.aids.Grantings.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.Grantings.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel pcsw-Clients",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 57,
  initComponent : function() {
    var first_name2920 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorname</span>", "listeners": { "render": Lino.quicktip_renderer("Vorname","(pcsw.Clients.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name2921 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Familienname</span>", "listeners": { "render": Lino.quicktip_renderer("Familienname","(pcsw.Clients.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var main_1_panel2922 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": first_name2920, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": last_name2921, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var national_id2925 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">NR-Nummer</span>", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(pcsw.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var gender2926 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(pcsw.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var language2927 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(pcsw.Clients.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_3_panel2928 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 35, "items": gender2926, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 64, "items": language2927, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2931 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2922, { "anchor": "-20", "autoHeight": true, "items": national_id2925, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel2928 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2931;
    this.before_row_edit = function(record) {
    }
    Lino.pcsw.Clients.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Trainings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Trainings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 83,
  initComponent : function() {
    var person2464 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cv.Trainings.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/person" }) }) });
    var start_date2465 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.Trainings.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date2466 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.Trainings.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var duration_text2467 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dauer</span>", "listeners": { "render": Lino.quicktip_renderer("Dauer","(cv.Trainings.duration_text) Free-text description of the duration of this entry.") }, "maxLength": 200, "name": "duration_text", "selectOnFocus": true });
    var main_1_panel2468 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": person2464, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date2465, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date2466, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": duration_text2467, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type2473 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bildungsart</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(cv.Trainings.type) Pointer to StudyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/type" }) }) });
    var state2474 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cv.Trainings.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var certificates2475 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Diplome", "listeners": { "render": Lino.quicktip_renderer("Diplome","(cv.Trainings.certificates) ") }, "maxLength": 200, "name": "certificates", "selectOnFocus": true });
    var main_2_panel2476 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": type2473, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": state2474, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": certificates2475, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector2480 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(cv.Trainings.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/sector" }) }) });
    var function2481 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.Trainings.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/function" }) }) });
    var main_3_panel2482 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": sector2480, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": function2481, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var school2485 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Einrichtung</span>", "listeners": { "render": Lino.quicktip_renderer("Einrichtung","(cv.Trainings.school) The establishment where the education happened.") }, "maxLength": 200, "name": "school", "selectOnFocus": true });
    var country2486 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(cv.Trainings.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/country" }) }) });
    var city2487 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(cv.Trainings.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/city" }) }) });
    var main_4_panel2488 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": school2485, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": country2486, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": city2487, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks2492 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bemerkungen</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(cv.Trainings.remarks) Remarks about this entry.") }, "name": "remarks", "selectOnFocus": true });
    var main_panel2493 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2468, main_2_panel2476, main_3_panel2482, main_4_panel2488, { "flex": 55, "items": remarks2492, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2493;
    this.before_row_edit = function(record) {
      function2481.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city2487.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof sector2480 !== 'undefined' && sector2480.on('change',Lino.chooser_handler(function2481,'sector'));
      typeof country2486 !== 'undefined' && country2486.on('change',Lino.chooser_handler(city2487,'country'));
      Lino.cv.Trainings.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Trainings.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    city2487.on("change", function(){ this.save() }, this);
  }
});


Lino.tinymce.TextFieldTemplates.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel tinymce-TextFieldTemplates",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 141,
  initComponent : function() {
    var id6246 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(tinymce.TextFieldTemplates.id) ") }, "name": "id", "selectOnFocus": true });
    var name6247 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(tinymce.TextFieldTemplates.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var user6248 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(tinymce.TextFieldTemplates.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/TextFieldTemplates/user" }) }) });
    var main_1_panel6249 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": id6246, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 45, "items": name6247, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": user6248, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var description6253 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(tinymce.TextFieldTemplates.description) ") }, "name": "description", "selectOnFocus": true });
    var text6254 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Vorlagentext", "flex": 5, "name": "text", "region": "south", "selectOnFocus": true, "split": true, "title": "Vorlagentext" });
    var main_panel6255 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6249, { "flex": 5, "items": description6253, "labelAlign": "top", "layout": "form", "region": "center", "split": true, "xtype": "panel" }, text6254 ], "labelAlign": "top", "labelWidth": 117 });
    this.items = main_panel6255;
    this.before_row_edit = function(record) {
      text6254.refresh();
    }
    Lino.tinymce.TextFieldTemplates.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EntriesByClient.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EntriesByClient",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 39,
  initComponent : function() {
    var event_type2834 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.EntriesByClient.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/event_type" }) }) });
    var summary2835 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.EntriesByClient.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var start_date2836 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.EntriesByClient.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time2837 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.EntriesByClient.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_date2838 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.EntriesByClient.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "name": "end_date", "selectOnFocus": true });
    var end_time2839 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.EntriesByClient.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_3_panel2840 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": start_date2836, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": start_time2837, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": end_date2838, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": end_time2839, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2845 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": event_type2834, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": summary2835, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel2840 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2845;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EntriesByClient.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Functions.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Functions",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 89,
  initComponent : function() {
    var id5361 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Functions.id) ") }, "name": "id", "selectOnFocus": true });
    var name5362 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Functions.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5363 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Functions.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5364 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Functions.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var sector5365 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "Sektor", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(cv.Functions.sector) ") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Functions/sector" }) }) });
    var main_1_panel5366 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id5361, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name5362, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_fr5363, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en5364, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": sector5365, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark5372 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(cv.Functions.remark) ") }, "name": "remark", "selectOnFocus": true });
    var main_panel5405 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5366, { "flex": 31, "items": remark5372, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5405;
    this.before_row_edit = function(record) {
    }
    Lino.cv.Functions.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.ExperiencesByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-ExperiencesByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 90,
  initComponent : function() {
    var start_date2579 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.ExperiencesByPerson.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date2580 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.ExperiencesByPerson.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel2581 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date2579, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date2580, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company2584 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Organisation", "listeners": { "render": Lino.quicktip_renderer("Organisation","(cv.ExperiencesByPerson.company) ") }, "maxLength": 200, "name": "company", "selectOnFocus": true });
    var function2585 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.ExperiencesByPerson.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/function" }) }) });
    var main_2_panel2586 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 51, "items": company2584, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": function2585, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2589 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2581, main_2_panel2586 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel2589;
    this.before_row_edit = function(record) {
      function2585.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    Lino.cv.ExperiencesByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.TasksByController.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-TasksByController",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 41,
  initComponent : function() {
    var summary1309 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.TasksByController.summary) ") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var start_date1310 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.TasksByController.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var due_date1311 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("Zahlungsziel","(cal.TasksByController.due_date) ") }, "name": "due_date", "selectOnFocus": true });
    var main_2_panel1312 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date1310, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": due_date1311, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user1315 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.TasksByController.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByController/user" }) }) });
    var delegated1316 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Delegated to client", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Delegated to client","(cal.TasksByController.delegated) ") }, "name": "delegated", "selectOnFocus": true });
    var main_3_panel1317 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": user1315, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": delegated1316, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1320 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": summary1309, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel1312, main_3_panel1317 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1320;
    this.before_row_edit = function(record) {
    }
    Lino.cal.TasksByController.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.UploadTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-UploadTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 25,
  initComponent : function() {
    var upload_area6257 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Upload-Bereich", "forceSelection": true, "hiddenName": "upload_areaHidden", "listeners": { "render": Lino.quicktip_renderer("Upload-Bereich","(uploads.UploadTypes.upload_area) ") }, "name": "upload_area", "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var name6258 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(uploads.UploadTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6259 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(uploads.UploadTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6260 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(uploads.UploadTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel6261 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name6258, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr6259, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en6260, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var warn_expiry_unit6265 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablaufwarnung (Einheit)", "forceSelection": true, "hiddenName": "warn_expiry_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Ablaufwarnung (Einheit)","(uploads.UploadTypes.warn_expiry_unit) ") }, "name": "warn_expiry_unit", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var warn_expiry_value6266 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablaufwarnung (Wert)", "listeners": { "render": Lino.quicktip_renderer("Ablaufwarnung (Wert)","(uploads.UploadTypes.warn_expiry_value) ") }, "name": "warn_expiry_value", "selectOnFocus": true, "value": 2 });
    var main_3_panel6267 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 82, "items": warn_expiry_unit6265, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": warn_expiry_value6266, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6270 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": upload_area6257, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel6261, main_3_panel6267 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6270;
    this.before_row_edit = function(record) {
    }
    Lino.uploads.UploadTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.sepa.AccountsByPartner.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel sepa-AccountsByPartner",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 67,
  initComponent : function() {
    var iban1619 = new Lino.UppercaseTextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "IBAN", "listeners": { "render": Lino.quicktip_renderer("IBAN","(sepa.AccountsByPartner.iban) ") }, "maxLength": 34, "name": "iban", "selectOnFocus": true });
    var bic1620 = new Lino.UppercaseTextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "BIC", "listeners": { "render": Lino.quicktip_renderer("BIC","(sepa.AccountsByPartner.bic) ") }, "maxLength": 11, "name": "bic", "selectOnFocus": true });
    var main_1_panel1621 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 63, "items": iban1619, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": bic1620, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark1624 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(sepa.AccountsByPartner.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var main_panel1625 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1621, { "anchor": "-20", "autoHeight": true, "items": remark1624, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1625;
    this.before_row_edit = function(record) {
    }
    Lino.sepa.AccountsByPartner.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Journals.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel ledger-Journals",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 59,
  initComponent : function() {
    var ref6272 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.Journals.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var name6273 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.Journals.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6274 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.Journals.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6275 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.Journals.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6276 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": ref6272, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name6273, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr6274, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en6275, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var journal_group6281 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journalgruppe</span>", "forceSelection": true, "hiddenName": "journal_groupHidden", "listeners": { "render": Lino.quicktip_renderer("Journalgruppe","(ledger.Journals.journal_group) Pointer to an item of JournalGroups.") }, "name": "journal_group", "selectOnFocus": true, "store": Lino.ledger.JournalGroups });
    var voucher_type6282 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegart</span>", "forceSelection": true, "hiddenName": "voucher_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Belegart","(ledger.Journals.voucher_type) Pointer to an item of VoucherTypes.") }, "name": "voucher_type", "selectOnFocus": true, "store": Lino.ledger.VoucherTypes });
    var main_panel6283 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6276, { "anchor": "-20", "autoHeight": true, "items": journal_group6281, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": voucher_type6282, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6283;
    this.before_row_edit = function(record) {
    }
    Lino.ledger.Journals.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Experiences.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Experiences",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 90,
  initComponent : function() {
    var person2542 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cv.Experiences.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/person" }) }) });
    var company2543 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Organisation", "listeners": { "render": Lino.quicktip_renderer("Organisation","(cv.Experiences.company) ") }, "maxLength": 200, "name": "company", "selectOnFocus": true });
    var country2544 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(cv.Experiences.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/country" }) }) });
    var city2545 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(cv.Experiences.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/city" }) }) });
    var main_1_panel2546 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": person2542, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": company2543, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": country2544, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": city2545, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector2551 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(cv.Experiences.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/sector" }) }) });
    var function2552 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.Experiences.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/function" }) }) });
    var title2553 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.Experiences.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var main_2_panel2554 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": sector2551, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": function2552, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": title2553, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var status2558 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Statuses.detail", "emptyText": "Status ausw\u00e4hlen...", "fieldLabel": "Status", "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Status","(cv.Experiences.status) ") }, "name": "status", "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/status" }) }) });
    var duration2559 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Durations.detail", "emptyText": "Vertragsdauer ausw\u00e4hlen...", "fieldLabel": "Vertragsdauer", "hiddenName": "durationHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsdauer","(cv.Experiences.duration) ") }, "name": "duration", "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/duration" }) }) });
    var regime2560 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Regimes.detail", "emptyText": "Arbeitsregime ausw\u00e4hlen...", "fieldLabel": "Arbeitsregime", "hiddenName": "regimeHidden", "listeners": { "render": Lino.quicktip_renderer("Arbeitsregime","(cv.Experiences.regime) ") }, "name": "regime", "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/regime" }) }) });
    var is_training2561 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Ausbildung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildung","(cv.Experiences.is_training) ") }, "name": "is_training", "selectOnFocus": true });
    var main_3_panel2562 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": status2558, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": duration2559, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": regime2560, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_training2561, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date2567 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.Experiences.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date2568 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.Experiences.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var duration_text2569 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dauer</span>", "listeners": { "render": Lino.quicktip_renderer("Dauer","(cv.Experiences.duration_text) Free-text description of the duration of this entry.") }, "maxLength": 200, "name": "duration_text", "selectOnFocus": true });
    var termination_reason2570 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beendigungsgrund", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(cv.Experiences.termination_reason) ") }, "maxLength": 200, "name": "termination_reason", "selectOnFocus": true });
    var main_4_panel2571 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": start_date2567, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date2568, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": duration_text2569, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": termination_reason2570, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks2576 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(cv.Experiences.remarks) ") }, "name": "remarks", "selectOnFocus": true });
    var main_panel2577 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2546, main_2_panel2554, main_3_panel2562, main_4_panel2571, { "flex": 55, "items": remarks2576, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2577;
    this.before_row_edit = function(record) {
      city2545.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      function2552.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country2544 !== 'undefined' && country2544.on('change',Lino.chooser_handler(city2545,'country'));
      typeof sector2551 !== 'undefined' && sector2551.on('change',Lino.chooser_handler(function2552,'sector'));
      Lino.cv.Experiences.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Experiences.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    city2545.on("change", function(){ this.save() }, this);
  }
});


Lino.uploads.UploadTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-UploadTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 25,
  initComponent : function() {
    var id6286 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(uploads.UploadTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var upload_area6287 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Upload-Bereich", "forceSelection": true, "hiddenName": "upload_areaHidden", "listeners": { "render": Lino.quicktip_renderer("Upload-Bereich","(uploads.UploadTypes.upload_area) ") }, "name": "upload_area", "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var shortcut6288 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload shortcut</span>", "forceSelection": true, "hiddenName": "shortcutHidden", "listeners": { "render": Lino.quicktip_renderer("Upload shortcut","(uploads.UploadTypes.shortcut) Optional pointer to a virtual upload shortcut field.  If\nthis is not empty, then the given shortcut field will manage\nuploads of this type.  See also Shortcuts.") }, "name": "shortcut", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.uploads.Shortcuts) });
    var main_1_panel6289 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": id6286, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": upload_area6287, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 63, "items": shortcut6288, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name6293 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(uploads.UploadTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6294 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(uploads.UploadTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6295 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(uploads.UploadTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel6296 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name6293, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr6294, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en6295, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var warn_expiry_unit6300 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablaufwarnung (Einheit)", "forceSelection": true, "hiddenName": "warn_expiry_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Ablaufwarnung (Einheit)","(uploads.UploadTypes.warn_expiry_unit) ") }, "name": "warn_expiry_unit", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var warn_expiry_value6301 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablaufwarnung (Wert)", "listeners": { "render": Lino.quicktip_renderer("Ablaufwarnung (Wert)","(uploads.UploadTypes.warn_expiry_value) ") }, "name": "warn_expiry_value", "selectOnFocus": true, "value": 2 });
    var wanted6302 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Wanted", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Wanted","(uploads.UploadTypes.wanted) Add a (+) button when there is no upload of this type.") }, "name": "wanted", "selectOnFocus": true });
    var max_number6303 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Max. number</span>", "listeners": { "render": Lino.quicktip_renderer("Max. number","(uploads.UploadTypes.max_number) No need to upload more uploads than N of this type.\n-1 means no limit.") }, "name": "max_number", "selectOnFocus": true, "value": -1 });
    var main_3_panel6304 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 53, "items": warn_expiry_unit6300, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": warn_expiry_value6301, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": wanted6302, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": max_number6303, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6333 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6289, main_2_panel6296, main_3_panel6304 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6333;
    this.before_row_edit = function(record) {
    }
    Lino.uploads.UploadTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.StudyTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-StudyTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 82,
  initComponent : function() {
    var name4614 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.StudyTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4615 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.StudyTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4616 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.StudyTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4617 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4614, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4615, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4616, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var is_study4621 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Studium", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Studium","(cv.StudyTypes.is_study) Whether education entries are considered a study entry.") }, "name": "is_study", "selectOnFocus": true });
    var is_training4622 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Ausbildung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildung","(cv.StudyTypes.is_training) Whether education entries are considered a training entry.") }, "name": "is_training", "selectOnFocus": true });
    var main_2_panel4623 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": is_study4621, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": is_training4622, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var education_level4626 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Akademischer Grad ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Akademischer Grad</span>", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Akademischer Grad","(cv.StudyTypes.education_level) Pointer to EducationLevel.") }, "name": "education_level", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudyTypes/education_level" }) }) });
    var main_panel4627 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4617, main_2_panel4623, { "anchor": "-20", "autoHeight": true, "items": education_level4626, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4627;
    this.before_row_edit = function(record) {
    }
    Lino.cv.StudyTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.Contracts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel art61-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 106,
  initComponent : function() {
    var id3046 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(art61.Contracts.id) ") }, "name": "id", "selectOnFocus": true });
    var client3047 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(art61.Contracts.client) ") }, "name": "client", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/client" }) }) });
    var user3048 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(art61.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/user" }) }) });
    var language3049 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(art61.Contracts.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var box1_1_panel3050 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": id3046, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": client3047, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": user3048, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": language3049, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type3055 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Art", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art","(art61.Contracts.type) ") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/type" }) }) });
    var company3056 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(art61.Contracts.company) Pointer to Company.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/company" }) }) });
    var contact_person3057 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented by</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Represented by","(art61.Contracts.contact_person) Pointer to Person.") }, "name": "contact_person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/contact_person" }) }) });
    var contact_role3058 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented as</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Represented as","(art61.Contracts.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/contact_role" }) }) });
    var box1_2_panel3059 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": type3055, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": company3056, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": contact_person3057, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": contact_role3058, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var applies_from3064 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(art61.Contracts.applies_from) ") }, "name": "applies_from", "selectOnFocus": true });
    var duration3065 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Dauer (Arbeitstage)", "listeners": { "render": Lino.quicktip_renderer("Dauer (Arbeitstage)","(art61.Contracts.duration) ") }, "name": "duration", "selectOnFocus": true, "value": null });
    var applies_until3066 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("Laufzeit bis","(art61.Contracts.applies_until) ") }, "name": "applies_until", "selectOnFocus": true });
    var exam_policy3067 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "fieldLabel": "Auswertungsstrategie", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Auswertungsstrategie","(art61.Contracts.exam_policy) ") }, "name": "exam_policy", "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/exam_policy" }) }) });
    var box1_3_panel3068 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": applies_from3064, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": duration3065, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": applies_until3066, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": exam_policy3067, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var job_title3073 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(art61.Contracts.job_title) ") }, "maxLength": 200, "name": "job_title", "selectOnFocus": true });
    var status3074 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Statuses.detail", "emptyText": "Status ausw\u00e4hlen...", "fieldLabel": "Status", "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Status","(art61.Contracts.status) ") }, "name": "status", "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/status" }) }) });
    var cv_duration3075 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Durations.detail", "emptyText": "Vertragsdauer ausw\u00e4hlen...", "fieldLabel": "Vertragsdauer", "hiddenName": "cv_durationHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsdauer","(art61.Contracts.cv_duration) ") }, "name": "cv_duration", "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/cv_duration" }) }) });
    var regime3076 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Regimes.detail", "emptyText": "Arbeitsregime ausw\u00e4hlen...", "fieldLabel": "Arbeitsregime", "hiddenName": "regimeHidden", "listeners": { "render": Lino.quicktip_renderer("Arbeitsregime","(art61.Contracts.regime) ") }, "name": "regime", "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/regime" }) }) });
    var box1_4_panel3077 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": job_title3073, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": status3074, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": cv_duration3075, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": regime3076, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reference_person3082 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Referenzperson", "listeners": { "render": Lino.quicktip_renderer("Referenzperson","(art61.Contracts.reference_person) ") }, "maxLength": 200, "name": "reference_person", "selectOnFocus": true });
    var remark3083 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(art61.Contracts.remark) ") }, "name": "remark", "selectOnFocus": true });
    var printed_disp3084 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(art61.Contracts.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var box1_5_panel3085 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 18, "items": reference_person3082, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 54, "items": remark3083, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp3084, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var date_decided3089 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen am", "listeners": { "render": Lino.quicktip_renderer("Beschlossen am","(art61.Contracts.date_decided) ") }, "name": "date_decided", "selectOnFocus": true });
    var date_issued3090 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ausgestellt am", "listeners": { "render": Lino.quicktip_renderer("Ausgestellt am","(art61.Contracts.date_issued) ") }, "name": "date_issued", "selectOnFocus": true });
    var date_ended3091 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(art61.Contracts.date_ended) ") }, "name": "date_ended", "selectOnFocus": true });
    var ending3092 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "Beendigungsgrund", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(art61.Contracts.ending) ") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/ending" }) }) });
    var box1_6_panel3093 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": date_decided3089, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_issued3090, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_ended3091, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": ending3092, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var subsidize_103098 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Activa", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Activa","(art61.Contracts.subsidize_10) ") }, "name": "subsidize_10", "selectOnFocus": true });
    var subsidize_203099 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Tutorate", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Tutorate","(art61.Contracts.subsidize_20) ") }, "name": "subsidize_20", "selectOnFocus": true });
    var subsidize_303100 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Walloon Region", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Walloon Region","(art61.Contracts.subsidize_30) ") }, "name": "subsidize_30", "selectOnFocus": true });
    var subsidize_403101 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "SINE", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("SINE","(art61.Contracts.subsidize_40) ") }, "name": "subsidize_40", "selectOnFocus": true });
    var subsidize_503102 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "PTP", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("PTP","(art61.Contracts.subsidize_50) ") }, "name": "subsidize_50", "selectOnFocus": true });
    var box1_7_panel3103 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": subsidize_103098, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": subsidize_203099, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": subsidize_303100, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": subsidize_403101, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": subsidize_503102, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var responsibilities3109 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Aufgabenbereich", "flex": 31, "name": "responsibilities", "selectOnFocus": true, "title": "Aufgabenbereich" });
    var box1_panel3110 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 70, "frame": true, "hideCheckBoxLabels": true, "items": [ box1_1_panel3050, box1_2_panel3059, box1_3_panel3068, box1_4_panel3077, box1_5_panel3085, box1_6_panel3093, box1_7_panel3103, responsibilities3109 ], "labelAlign": "top", "labelWidth": 144, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var main_1_panel3114 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ box1_panel3110 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var main_panel3115 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3114 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel3115;
    this.before_row_edit = function(record) {
      contact_person3057.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities3109.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company3056 !== 'undefined' && company3056.on('change',Lino.chooser_handler(contact_person3057,'company'));
      Lino.art61.Contracts.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.art61.Contracts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Volumes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-Volumes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 24,
  initComponent : function() {
    var ref6334 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(uploads.Volumes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var description6335 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.Volumes.description) ") }, "maxLength": 255, "name": "description", "selectOnFocus": true });
    var main_1_panel6336 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 65, "items": ref6334, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": description6335, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var root_dir6339 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Root directory", "listeners": { "render": Lino.quicktip_renderer("Root directory","(uploads.Volumes.root_dir) ") }, "maxLength": 255, "name": "root_dir", "selectOnFocus": true });
    var base_url6340 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Base URL", "listeners": { "render": Lino.quicktip_renderer("Base URL","(uploads.Volumes.base_url) ") }, "maxLength": 255, "name": "base_url", "selectOnFocus": true });
    var main_panel6341 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6336, { "anchor": "-20", "autoHeight": true, "items": root_dir6339, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": base_url6340, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6341;
    this.before_row_edit = function(record) {
    }
    Lino.uploads.Volumes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.SimpleConfirmations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-SimpleConfirmations",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 135,
  initComponent : function() {
    var id6344 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.SimpleConfirmations.id) ") }, "name": "id", "selectOnFocus": true });
    var client6345 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.SimpleConfirmations.client) ") }, "name": "client", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/client" }) }) });
    var user6346 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.SimpleConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/user" }) }) });
    var signer6347 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.SimpleConfirmations.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/signer" }) }) });
    var workflow_buttons_disp6348 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.SimpleConfirmations.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel6349 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id6344, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": client6345, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user6346, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer6347, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": workflow_buttons_disp6348, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var granting6355 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "fieldLabel": "Hilfebeschluss", "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfebeschluss","(aids.SimpleConfirmations.granting) ") }, "name": "granting", "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/granting" }) }) });
    var start_date6356 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.SimpleConfirmations.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date6357 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.SimpleConfirmations.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_2_panel6358 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": granting6355, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": start_date6356, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_date6357, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company6362 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.SimpleConfirmations.company) Pointer to Company.") }, "name": "company", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/company" }) }) });
    var contact_person6363 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.SimpleConfirmations.contact_person) Pointer to Person.") }, "name": "contact_person", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/contact_person" }) }) });
    var language6364 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.SimpleConfirmations.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var printed_disp6365 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(aids.SimpleConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_3_panel6366 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": company6362, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": contact_person6363, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": language6364, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp6365, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark6371 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 41, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel6372 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6349, main_2_panel6358, main_3_panel6366, remark6371 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6372;
    this.before_row_edit = function(record) {
      contact_person6363.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark6371.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company6362 !== 'undefined' && company6362.on('change',Lino.chooser_handler(contact_person6363,'company'));
      Lino.aids.SimpleConfirmations.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.SimpleConfirmations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.StudiesByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-StudiesByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 84,
  initComponent : function() {
    var start_date2434 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.StudiesByPerson.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date2435 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.StudiesByPerson.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel2436 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date2434, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date2435, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type2439 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bildungsart</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(cv.StudiesByPerson.type) Pointer to StudyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/type" }) }) });
    var content2440 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausbildungsinhalt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausbildungsinhalt","(cv.StudiesByPerson.content) Free-text description of the content.") }, "maxLength": 200, "name": "content", "selectOnFocus": true });
    var main_2_panel2441 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type2439, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": content2440, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2444 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2436, main_2_panel2441 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel2444;
    this.before_row_edit = function(record) {
    }
    Lino.cv.StudiesByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Volumes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-Volumes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 24,
  initComponent : function() {
    var ref6373 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(uploads.Volumes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var description6374 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.Volumes.description) ") }, "maxLength": 255, "name": "description", "selectOnFocus": true });
    var main_1_panel6375 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 65, "items": ref6373, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": description6374, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var root_dir6378 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Root directory", "listeners": { "render": Lino.quicktip_renderer("Root directory","(uploads.Volumes.root_dir) ") }, "maxLength": 255, "name": "root_dir", "selectOnFocus": true });
    var base_url6379 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Base URL", "listeners": { "render": Lino.quicktip_renderer("Base URL","(uploads.Volumes.base_url) ") }, "maxLength": 255, "name": "base_url", "selectOnFocus": true });
    var main_2_panel6380 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": root_dir6378, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": base_url6379, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var overview_htmlbox6383 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 60, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(uploads.Volumes.overview) ") }, "name": "overview", "value": "<br/>" });
    var main_panel6384 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6375, main_2_panel6380, overview_htmlbox6383 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6384;
    this.before_row_edit = function(record) {
      overview_htmlbox6383.refresh();
    }
    Lino.uploads.Volumes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.Invoices.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel vatless-Invoices",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  content_type: 77,
  initComponent : function() {
    var journal6385 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(vatless.Invoices.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/journal" }) }) });
    var number6386 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(vatless.Invoices.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var entry_date6387 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.Invoices.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var voucher_date6388 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Belegdatum","(vatless.Invoices.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "name": "voucher_date", "selectOnFocus": true });
    var accounting_period6389 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(vatless.Invoices.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/accounting_period" }) }) });
    var workflow_buttons_disp6390 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(vatless.Invoices.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_1_panel6391 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": journal6385, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 4, "items": number6386, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": entry_date6387, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": voucher_date6388, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": accounting_period6389, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": workflow_buttons_disp6390, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var partner6398 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.Invoices.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/partner" }) }) });
    var payment_term6399 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(vatless.Invoices.payment_term) See lino_xl.lib.ledger.mixins.PartnerRelated.payment_term") }, "name": "payment_term", "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/payment_term" }) }) });
    var due_date6400 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("Zahlungsziel","(vatless.Invoices.due_date) ") }, "name": "due_date", "selectOnFocus": true });
    var bank_account6401 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Bankkonto ausw\u00e4hlen...", "fieldLabel": "Bankkonto", "hiddenName": "bank_accountHidden", "listeners": { "render": Lino.quicktip_renderer("Bankkonto","(vatless.Invoices.bank_account) ") }, "name": "bank_account", "pageSize": 20, "related_actor_id": "sepa.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/bank_account" }) }) });
    var general_2_panel6402 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": partner6398, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": payment_term6399, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": due_date6400, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": bank_account6401, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var your_ref6407 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ihr Zeichen", "listeners": { "render": Lino.quicktip_renderer("Ihr Zeichen","(vatless.Invoices.your_ref) ") }, "maxLength": 200, "name": "your_ref", "selectOnFocus": true });
    var narration6408 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(vatless.Invoices.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var amount6409 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(vatless.Invoices.amount) ") }, "name": "amount", "selectOnFocus": true });
    var general_3_panel6410 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": your_ref6407, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": narration6408, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": amount6409, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel6424 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel6391, general_2_panel6402, general_3_panel6410 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var match6425 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Match</span>", "listeners": { "render": Lino.quicktip_renderer("Match","(vatless.Invoices.match) The movement to be matched.") }, "name": "match", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/match" }) }) });
    var state6426 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(vatless.Invoices.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var user6427 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(vatless.Invoices.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/user" }) }) });
    var id6428 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(vatless.Invoices.id) ") }, "name": "id", "selectOnFocus": true });
    var ledger_1_panel6429 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": match6425, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": state6426, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": user6427, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": id6428, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ledger_panel6435 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ ledger_1_panel6429 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Ledger" });
    var main_panel6436 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel6424, ledger_panel6435 ], "labelAlign": "top", "split": true });
    this.items = main_panel6436;
    this.before_row_edit = function(record) {
      bank_account6401.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account6401.setContextValue('project', record ? record.data['projectHidden'] : undefined);
      match6425.setContextValue('journal', record ? record.data['journalHidden'] : undefined);
      match6425.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof partner6398 !== 'undefined' && partner6398.on('change',Lino.chooser_handler(bank_account6401,'partner'));
      typeof journal6385 !== 'undefined' && journal6385.on('change',Lino.chooser_handler(match6425,'journal'));
      typeof partner6398 !== 'undefined' && partner6398.on('change',Lino.chooser_handler(match6425,'partner'));
      Lino.vatless.Invoices.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.vatless.Invoices.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel pcsw-Clients",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 57,
  initComponent : function() {
    var overview_htmlbox2011 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(pcsw.Clients.overview) A panel with general information about this client.") }, "name": "overview", "value": "<br/>" });
    var gender2012 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(pcsw.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var id2013 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(pcsw.Clients.id) ") }, "name": "id", "selectOnFocus": true });
    var tim_id2014 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "TIM-ID", "listeners": { "render": Lino.quicktip_renderer("TIM-ID","(pcsw.Clients.tim_id) ") }, "maxLength": 10, "name": "tim_id", "selectOnFocus": true });
    var general2_1_panel2015 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": gender2012, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": id2013, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": tim_id2014, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name2019 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorname</span>", "listeners": { "render": Lino.quicktip_renderer("Vorname","(pcsw.Clients.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name2020 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zwischenname</span>", "listeners": { "render": Lino.quicktip_renderer("Zwischenname","(pcsw.Clients.middle_name) A space-separated list of all middle names.") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var last_name2021 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Familienname</span>", "listeners": { "render": Lino.quicktip_renderer("Familienname","(pcsw.Clients.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var general2_2_panel2022 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": first_name2019, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": middle_name2020, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": last_name2021, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var birth_date2026 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(pcsw.Clients.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var age_disp2027 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter</span>", "listeners": { "render": Lino.quicktip_renderer("Alter","(pcsw.Clients.age) Virtual field displaying the age in years.") }, "name": "age", "value": "<br/>" });
    var national_id2028 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">NR-Nummer</span>", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(pcsw.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var general2_3_panel2029 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": birth_date2026, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": age_disp2027, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": national_id2028, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var nationality2033 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Staatsangeh\u00f6rigkeit</span>", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(pcsw.Clients.nationality) The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.") }, "name": "nationality", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/nationality" }) }) });
    var declared_name2034 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Deklarierter Name", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Deklarierter Name","(pcsw.Clients.declared_name) ") }, "name": "declared_name", "selectOnFocus": true });
    var general2_4_panel2035 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 60, "items": nationality2033, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": declared_name2034, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var civil_state2038 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zivilstand</span>", "forceSelection": true, "hiddenName": "civil_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zivilstand","(pcsw.Clients.civil_state) The civil state of this client. Allowed choices are defined in\nCivilState.") }, "name": "civil_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.CivilStates) });
    var birth_country2039 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Geburtsland", "hiddenName": "birth_countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Geburtsland","(pcsw.Clients.birth_country) ") }, "name": "birth_country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/birth_country" }) }) });
    var birth_place2040 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsort</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsort","(pcsw.Clients.birth_place) The birth place in plain text as it was on the eid card.") }, "maxLength": 200, "name": "birth_place", "selectOnFocus": true });
    var general2_5_panel2041 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": civil_state2038, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": birth_country2039, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": birth_place2040, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general2_panel2045 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 38, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel2015, general2_2_panel2022, general2_3_panel2029, general2_4_panel2035, general2_5_panel2041 ], "labelAlign": "top", "layout": "form" });
    var language2046 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(pcsw.Clients.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var email2047 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(pcsw.Clients.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone2048 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(pcsw.Clients.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var fax2049 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(pcsw.Clients.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var gsm2050 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(pcsw.Clients.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var general3_panel2051 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 19, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language2046, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": email2047, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone2048, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax2049, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm2050, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var image_htmlbox2057 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 14, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(pcsw.Clients.image) Virtual field which displays the picture.") }, "name": "image", "value": "<br/>" });
    var general_1_panel2058 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox2011, general2_panel2045, general3_panel2051, image_htmlbox2057 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel2062 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel2058 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Person" });
    var humanlinks_LinksByHuman_htmlbox2064 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 42, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Beziehungen","(pcsw.Clients.humanlinks.LinksByHuman) Show all links for which this human is either parent or child.") }, "name": "humanlinks.LinksByHuman", "title": "Beziehungen", "value": "<br/>" });
    var cbss_relations_htmlbox2065 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 42, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("ZDSS","(pcsw.Clients.cbss_relations) ") }, "name": "cbss_relations", "title": "ZDSS", "value": "<br/>" });
    var contact_1_panel2066 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 3, "frame": false, "hideCheckBoxLabels": true, "items": [ humanlinks_LinksByHuman_htmlbox2064, cbss_relations_htmlbox2065 ], "labelAlign": "top", "labelWidth": 162, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "north", "split": true });
    var households_MembersByPerson_htmlbox2067 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Mitgliedschaft in Haushalten","(pcsw.Clients.households.MembersByPerson) ") }, "name": "households.MembersByPerson", "region": "center", "title": "Mitgliedschaft in Haushalten", "value": "<br/>" });
    var contact_2_panel2069 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ households_MembersByPerson_htmlbox2067 ], "labelAlign": "top", "labelWidth": 261, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center", "split": true });
    var contact_panel2070 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ contact_1_panel2066, contact_2_panel2069 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Beziehungen" });
    var in_belgium_since2256 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Lebt in Belgien seit", "listeners": { "render": Lino.quicktip_renderer("Lebt in Belgien seit","(pcsw.Clients.in_belgium_since) ") }, "name": "in_belgium_since", "selectOnFocus": true });
    var residence_type2257 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Einwohnerregister", "forceSelection": true, "hiddenName": "residence_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Einwohnerregister","(pcsw.Clients.residence_type) ") }, "name": "residence_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.ResidenceTypes) });
    var gesdos_id2258 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gesdos-Nr", "listeners": { "render": Lino.quicktip_renderer("Gesdos-Nr","(pcsw.Clients.gesdos_id) ") }, "maxLength": 40, "name": "gesdos_id", "selectOnFocus": true });
    var status_1_panel2259 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": in_belgium_since2256, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": residence_type2257, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": gesdos_id2258, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var job_agents2263 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Interim-Agenturen", "listeners": { "render": Lino.quicktip_renderer("Interim-Agenturen","(pcsw.Clients.job_agents) ") }, "maxLength": 100, "name": "job_agents", "selectOnFocus": true });
    var group2264 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Integrationsphase ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Integrationsphase</span>", "hiddenName": "groupHidden", "listeners": { "render": Lino.quicktip_renderer("Integrationsphase","(pcsw.Clients.group) Pointer to PersonGroup.\nThe intergration phase of this client.") }, "name": "group", "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/group" }) }) });
    var status_2_panel2265 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 56, "items": job_agents2263, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": group2264, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var status_panel2268 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 68, "frame": true, "hideCheckBoxLabels": true, "items": [ status_1_panel2259, status_2_panel2265 ], "labelAlign": "top", "layout": "form" });
    var income_ag2269 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Arbeitslosengeld", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Arbeitslosengeld","(pcsw.Clients.income_ag) ") }, "name": "income_ag", "selectOnFocus": true });
    var income_wg2270 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Wartegeld", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Wartegeld","(pcsw.Clients.income_wg) ") }, "name": "income_wg", "selectOnFocus": true });
    var income_1_panel2271 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": income_ag2269, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": income_wg2270, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var income_kg2274 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Krankengeld", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Krankengeld","(pcsw.Clients.income_kg) ") }, "name": "income_kg", "selectOnFocus": true });
    var income_rente2275 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Rente", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Rente","(pcsw.Clients.income_rente) ") }, "name": "income_rente", "selectOnFocus": true });
    var income_2_panel2276 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": income_kg2274, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": income_rente2275, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var income_misc2279 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "andere Einkommen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("andere Einkommen","(pcsw.Clients.income_misc) ") }, "name": "income_misc", "selectOnFocus": true });
    var income_panel2280 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 31, "frame": true, "hideCheckBoxLabels": true, "items": [ income_1_panel2271, income_2_panel2276, { "anchor": "-20", "autoHeight": true, "items": income_misc2279, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var aids_tab_1_panel2282 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ status_panel2268, income_panel2280 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var aids_tab_panel2360 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ aids_tab_1_panel2282 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Hilfen" });
    var seeking_since2374 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sucht Arbeit seit</span>", "listeners": { "render": Lino.quicktip_renderer("Sucht Arbeit seit","(pcsw.Clients.seeking_since) Since when the client is seeking for a job.") }, "name": "seeking_since", "selectOnFocus": true });
    var unemployed_since2375 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Arbeitslos seit</span>", "listeners": { "render": Lino.quicktip_renderer("Arbeitslos seit","(pcsw.Clients.unemployed_since) Since when the client has not been employed in any regular job.") }, "name": "unemployed_since", "selectOnFocus": true });
    var work_permit_suspended_until2376 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wartezeit bis", "listeners": { "render": Lino.quicktip_renderer("Wartezeit bis","(pcsw.Clients.work_permit_suspended_until) ") }, "name": "work_permit_suspended_until", "selectOnFocus": true });
    var papers_1_panel2377 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": seeking_since2374, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": unemployed_since2375, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": work_permit_suspended_until2376, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var needs_residence_permit2381 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Braucht Aufenthaltserlaubnis", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Braucht Aufenthaltserlaubnis","(pcsw.Clients.needs_residence_permit) ") }, "name": "needs_residence_permit", "selectOnFocus": true });
    var needs_work_permit2382 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Braucht Arb.Erl.", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Braucht Arb.Erl.","(pcsw.Clients.needs_work_permit) ") }, "name": "needs_work_permit", "selectOnFocus": true });
    var papers_2_panel2383 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": needs_residence_permit2381, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": needs_work_permit2382, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var papers_panel2387 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 50, "frame": true, "hideCheckBoxLabels": true, "items": [ papers_1_panel2377, papers_2_panel2383 ], "labelAlign": "top", "labelWidth": 135, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var work_tab_1_panel2388 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ papers_panel2387 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Arbeitssuche" });
    var main_panel2919 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel2062, contact_panel2070, aids_tab_panel2360, work_tab_1_panel2388 ], "labelAlign": "top", "split": true });
    this.items = main_panel2919;
    this.before_row_edit = function(record) {
      overview_htmlbox2011.refresh();
      image_htmlbox2057.refresh();
      humanlinks_LinksByHuman_htmlbox2064.refresh();
      cbss_relations_htmlbox2065.refresh();
      households_MembersByPerson_htmlbox2067.refresh();
    }
    Lino.pcsw.Clients.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.clients.ClientContactTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel clients-ClientContactTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 44,
  initComponent : function() {
    var id6437 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(clients.ClientContactTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name6438 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(clients.ClientContactTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6439 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(clients.ClientContactTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6440 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(clients.ClientContactTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var can_refund6441 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Kostenr\u00fcckerstattung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Kostenr\u00fcckerstattung","(clients.ClientContactTypes.can_refund) Whether persons of this type can be used as doctor of a refund confirmation.") }, "name": "can_refund", "selectOnFocus": true });
    var is_bailiff6442 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Schuldeneintreiber", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Schuldeneintreiber","(clients.ClientContactTypes.is_bailiff) ") }, "name": "is_bailiff", "selectOnFocus": true });
    var main_1_panel6443 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id6437, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name6438, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_fr6439, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en6440, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": can_refund6441, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": is_bailiff6442, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var main_panel6488 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6443 ], "labelAlign": "top" });
    this.items = main_panel6488;
    this.before_row_edit = function(record) {
    }
    Lino.clients.ClientContactTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.b2c.Accounts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel b2c-Accounts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 68,
  disable_editing: true,
  initComponent : function() {
    var iban6489 = new Lino.UppercaseTextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "IBAN", "listeners": { "render": Lino.quicktip_renderer("IBAN","(b2c.Accounts.iban) ") }, "maxLength": 34, "name": "iban", "selectOnFocus": true });
    var bic6490 = new Lino.UppercaseTextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "BIC", "listeners": { "render": Lino.quicktip_renderer("BIC","(b2c.Accounts.bic) ") }, "maxLength": 11, "name": "bic", "selectOnFocus": true });
    var last_transaction6491 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Last transaction", "listeners": { "render": Lino.quicktip_renderer("Last transaction","(b2c.Accounts.last_transaction) ") }, "name": "last_transaction", "selectOnFocus": true });
    var owner_name6492 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name Inhaber", "listeners": { "render": Lino.quicktip_renderer("Name Inhaber","(b2c.Accounts.owner_name) ") }, "maxLength": 70, "name": "owner_name", "selectOnFocus": true });
    var account_name6493 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kontobezeichnung", "listeners": { "render": Lino.quicktip_renderer("Kontobezeichnung","(b2c.Accounts.account_name) ") }, "maxLength": 70, "name": "account_name", "selectOnFocus": true });
    var partners_disp6494 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Partner", "listeners": { "render": Lino.quicktip_renderer("Partner","(b2c.Accounts.partners) ") }, "name": "partners", "value": "<br/>" });
    var main_1_panel6495 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": iban6489, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": bic6490, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": last_transaction6491, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": owner_name6492, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": account_name6493, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": partners_disp6494, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6512 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6495 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6512;
    this.before_row_edit = function(record) {
    }
    Lino.b2c.Accounts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.ProjectInvoicesByJournal.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel vatless-ProjectInvoicesByJournal",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  content_type: 77,
  initComponent : function() {
    var journal6513 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(vatless.ProjectInvoicesByJournal.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/journal" }) }) });
    var number6514 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(vatless.ProjectInvoicesByJournal.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var entry_date6515 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.ProjectInvoicesByJournal.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var voucher_date6516 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Belegdatum","(vatless.ProjectInvoicesByJournal.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "name": "voucher_date", "selectOnFocus": true });
    var accounting_period6517 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(vatless.ProjectInvoicesByJournal.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/accounting_period" }) }) });
    var workflow_buttons_disp6518 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(vatless.ProjectInvoicesByJournal.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_1_panel6519 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": journal6513, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 4, "items": number6514, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": entry_date6515, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": voucher_date6516, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": accounting_period6517, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": workflow_buttons_disp6518, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var project6526 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(vatless.ProjectInvoicesByJournal.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "name": "project", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/project" }) }) });
    var narration6527 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(vatless.ProjectInvoicesByJournal.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var general_2_panel6528 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": project6526, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": narration6527, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var partner6531 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.ProjectInvoicesByJournal.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/partner" }) }) });
    var your_ref6532 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ihr Zeichen", "listeners": { "render": Lino.quicktip_renderer("Ihr Zeichen","(vatless.ProjectInvoicesByJournal.your_ref) ") }, "maxLength": 200, "name": "your_ref", "selectOnFocus": true });
    var general_3_panel6533 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": partner6531, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": your_ref6532, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var payment_term6536 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(vatless.ProjectInvoicesByJournal.payment_term) See lino_xl.lib.ledger.mixins.PartnerRelated.payment_term") }, "name": "payment_term", "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/payment_term" }) }) });
    var due_date6537 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("Zahlungsziel","(vatless.ProjectInvoicesByJournal.due_date) ") }, "name": "due_date", "selectOnFocus": true });
    var bank_account6538 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Bankkonto ausw\u00e4hlen...", "fieldLabel": "Bankkonto", "hiddenName": "bank_accountHidden", "listeners": { "render": Lino.quicktip_renderer("Bankkonto","(vatless.ProjectInvoicesByJournal.bank_account) ") }, "name": "bank_account", "pageSize": 20, "related_actor_id": "sepa.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/bank_account" }) }) });
    var amount6539 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(vatless.ProjectInvoicesByJournal.amount) ") }, "name": "amount", "selectOnFocus": true });
    var general_4_panel6540 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": payment_term6536, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": due_date6537, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": bank_account6538, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": amount6539, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel6555 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel6519, general_2_panel6528, general_3_panel6533, general_4_panel6540 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var match6556 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Match</span>", "listeners": { "render": Lino.quicktip_renderer("Match","(vatless.ProjectInvoicesByJournal.match) The movement to be matched.") }, "name": "match", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/match" }) }) });
    var state6557 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(vatless.ProjectInvoicesByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var user6558 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(vatless.ProjectInvoicesByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/user" }) }) });
    var id6559 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(vatless.ProjectInvoicesByJournal.id) ") }, "name": "id", "selectOnFocus": true });
    var ledger_1_panel6560 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": match6556, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": state6557, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": user6558, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": id6559, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ledger_panel6566 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ ledger_1_panel6560 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Ledger" });
    var main_panel6567 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel6555, ledger_panel6566 ], "labelAlign": "top", "split": true });
    this.items = main_panel6567;
    this.before_row_edit = function(record) {
      bank_account6538.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account6538.setContextValue('project', record ? record.data['projectHidden'] : undefined);
      var bp = this.get_base_params();
      match6556.setContextValue('mk',bp['mk']);
      match6556.setContextValue('mt',bp['mt']);
      match6556.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof partner6531 !== 'undefined' && partner6531.on('change',Lino.chooser_handler(bank_account6538,'partner'));
      typeof project6526 !== 'undefined' && project6526.on('change',Lino.chooser_handler(bank_account6538,'project'));
      typeof journal6513 !== 'undefined' && journal6513.on('change',Lino.chooser_handler(match6556,'journal'));
      typeof partner6531 !== 'undefined' && partner6531.on('change',Lino.chooser_handler(match6556,'partner'));
      Lino.vatless.ProjectInvoicesByJournal.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.vatless.ProjectInvoicesByJournal.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Partners.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel contacts-Partners",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 7,
  initComponent : function() {
    var overview_htmlbox5751 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 31, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(contacts.Partners.overview) ") }, "name": "overview", "value": "<br/>" });
    var id5752 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(contacts.Partners.id) ") }, "name": "id", "selectOnFocus": true });
    var language5753 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(contacts.Partners.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var general2_1_panel5754 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": id5752, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": language5753, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var activity5757 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Beruf ausw\u00e4hlen...", "fieldLabel": "Beruf", "hiddenName": "activityHidden", "listeners": { "render": Lino.quicktip_renderer("Beruf","(contacts.Partners.activity) ") }, "name": "activity", "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/activity" }) }) });
    var client_contact_type5758 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(contacts.Partners.client_contact_type) ") }, "name": "client_contact_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/client_contact_type" }) }) });
    var url5759 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(contacts.Partners.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel5760 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 47, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel5754, { "anchor": "-20", "autoHeight": true, "items": activity5757, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": client_contact_type5758, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": url5759, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email5764 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Partners.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone5765 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(contacts.Partners.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm5766 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(contacts.Partners.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax5767 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(contacts.Partners.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel5768 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 21, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email5764, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone5765, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm5766, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax5767, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel5773 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox5751, general2_panel5760, general3_panel5768 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel5775 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel5773 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var country5776 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(contacts.Partners.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/country" }) }) });
    var region5777 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "Regierungsbezirk", "hiddenName": "regionHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Regierungsbezirk","(contacts.Partners.region) ") }, "name": "region", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/region" }) }) });
    var city5778 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(contacts.Partners.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/city" }) }) });
    var zip_code5779 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "Postleitzahl", "listeners": { "render": Lino.quicktip_renderer("Postleitzahl","(contacts.Partners.zip_code) ") }, "maxLength": 10, "name": "zip_code", "selectOnFocus": true });
    var address_box_1_panel5780 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": country5776, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": region5777, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": city5778, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": zip_code5779, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr15785 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adresszeile vor Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Adresszeile vor Stra\u00dfe","(contacts.Partners.addr1) Adresszeile vor Stra\u00dfe") }, "maxLength": 200, "name": "addr1", "selectOnFocus": true });
    var street_prefix5786 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Pr\u00e4fix Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Pr\u00e4fix Stra\u00dfe","(contacts.Partners.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "maxLength": 200, "name": "street_prefix", "selectOnFocus": true });
    var street5787 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Stra\u00dfe","(contacts.Partners.street) Name der Stra\u00dfe, ohne Hausnummer") }, "maxLength": 200, "name": "street", "selectOnFocus": true });
    var street_no5788 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(contacts.Partners.street_no) Hausnummer") }, "maxLength": 10, "name": "street_no", "selectOnFocus": true });
    var street_box5789 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Box</span>", "listeners": { "render": Lino.quicktip_renderer("Box","(contacts.Partners.street_box) Text to print after street number on the same line.") }, "maxLength": 10, "name": "street_box", "selectOnFocus": true });
    var address_box_3_panel5790 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": street_prefix5786, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": street5787, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": street_no5788, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": street_box5789, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr25795 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adresszeile nach Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Adresszeile nach Stra\u00dfe","(contacts.Partners.addr2) Adresszeile nach Stra\u00dfe") }, "maxLength": 200, "name": "addr2", "selectOnFocus": true });
    var address_box_panel5796 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ address_box_1_panel5780, { "anchor": "-20", "autoHeight": true, "items": addr15785, "labelAlign": "top", "layout": "form", "xtype": "panel" }, address_box_3_panel5790, { "anchor": "-20", "autoHeight": true, "items": addr25795, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var remarks5799 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(contacts.Partners.remarks) ") }, "name": "remarks", "region": "center" });
    var contact_2_panel5801 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 55, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 21, "items": remarks5799, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var contact_panel5803 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ address_box_panel5796, contact_2_panel5801 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Kontakt" });
    var payment_term5804 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(contacts.Partners.payment_term) The default payment term for sales invoices to this customer.") }, "name": "payment_term", "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/payment_term" }) }) });
    var ledger_panel5807 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": payment_term5804, "labelAlign": "top", "layout": "form", "region": "north", "split": true, "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 126, "listeners": { "activate": Lino.on_tab_activate }, "title": "Buchhaltung" });
    var is_obsolete5809 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "veraltet", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("veraltet","(contacts.Partners.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "name": "is_obsolete", "selectOnFocus": true });
    var created5810 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(contacts.Partners.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified5811 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(contacts.Partners.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var misc_1_panel5812 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": is_obsolete5809, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": created5810, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": modified5811, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var misc_panel5830 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ misc_1_panel5812 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Sonstiges" });
    var main_panel5831 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel5775, contact_panel5803, ledger_panel5807, misc_panel5830 ], "labelAlign": "top", "split": true });
    this.items = main_panel5831;
    this.before_row_edit = function(record) {
      overview_htmlbox5751.refresh();
      region5777.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city5778.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city5778.setContextValue('region', record ? record.data['regionHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country5776 !== 'undefined' && country5776.on('change',Lino.chooser_handler(region5777,'country'));
      typeof country5776 !== 'undefined' && country5776.on('change',Lino.chooser_handler(city5778,'country'));
      typeof region5777 !== 'undefined' && region5777.on('change',Lino.chooser_handler(city5778,'region'));
      Lino.contacts.Partners.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.contacts.Partners.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    zip_code5779.on("change", function(){ this.save() }, this);
    city5778.on("change", function(){ this.save() }, this);
  }
});

Lino.users.AllUsers.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/users/UsersOverview" };
  return new Lino.users.AllUsers.merge_row_ActionFormPanel(p);
});
Lino.users.AllUsers.change_password = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/users/UsersOverview" };
  return new Lino.users.AllUsers.change_password_ActionFormPanel(p);
});
Lino.about.About.sign_in = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/about/About" };
  return new Lino.about.About.sign_in_ActionFormPanel(p);
});

// js_render_GridPanel_class users.UsersOverview
Lino.users.UsersOverview.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/UsersOverview",
  ls_store_fields : [ { "name": "username" }, { "name": "user_type" }, 'user_typeHidden', { "name": "language" }, 'languageHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 11,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of users.", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Benutzer",
  initComponent : function() {
    this.ls_detail_handler = Lino.users.UsersOverview.detail;
    this.ls_insert_handler = Lino.users.UsersOverview.insert;
    var ww = this.containing_window;
    var username6568 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 30, "selectOnFocus": true });
    var user_type6569 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var language6570 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "username", "editable": true, "editor": username6568, "filter": { "type": "string" }, "header": "Benutzername", "listeners": { "render": Lino.quicktip_renderer("","(users.UsersOverview.username) Must be either unique or empty.  Users with an empty username cannot\nsign in.") }, "sortable": true, "tooltip": "Must be either unique or empty.  Users with an empty username cannot\nsign in.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "user_type", "editable": true, "editor": user_type6569, "filter": { "options": [ "000 (000 (Anonym))", "100 (100 (Begleiter im DSBE))", "110 (110 (Sozialarbeiter DSBE (Verwalter)))", "120 (120 (Sozialarbeiter DSBE (flexibel)))", "200 (200 (Berater Erstempfang))", "210 (210 (Empfangsschalter))", "220 (220 (Empfangsschalter (flexibel)))", "300 (300 (Schuldenberater))", "400 (400 (Sozi))", "410 (410 (Sozialarbeiter (Verwalter)))", "420 (420 (Sozialarbeiter ASD (flexibel)))", "500 (500 (Buchhalter))", "510 (510 (Buchhalter (Verwalter)))", "800 (800 (Supervisor))", "900 (900 (Verwalter))", "910 (910 (Security advisor))" ], "type": "list" }, "header": "Benutzerart", "listeners": { "render": Lino.quicktip_renderer("","(users.UsersOverview.user_type) The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.") }, "sortable": false, "tooltip": "The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.", "width": Lino.chars2width(47) }, { "colIndex": 2, "dataIndex": "language", "editable": true, "editor": language6570, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(users.UsersOverview.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.users.UsersOverview.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.UsersOverview.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.users.UsersOverview.insertPanel = Ext.extend(Lino.users.AllUsers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [  ],
  ls_url: "/users/UsersOverview",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.users.UsersOverview.detail;
    this.ls_insert_handler = Lino.users.UsersOverview.insert;
    Lino.users.UsersOverview.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.users.UsersOverview.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/users/UsersOverview" };
  return new Lino.users.UsersOverview.insertPanel(p);
});
Lino.users.UsersOverview.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.users.UsersOverview.detailPanel = Ext.extend(Lino.users.AllUsers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  ls_url: "/users/UsersOverview",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.users.UsersOverview.detail;
    this.ls_insert_handler = Lino.users.UsersOverview.insert;
    Lino.users.UsersOverview.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.users.UsersOverview.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/UsersOverview" };
  return new Lino.users.UsersOverview.detailPanel(p);
});
Lino.users.UsersOverview.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/UsersOverview" };
  p.params_panel = new Lino.users.UsersOverview.ParamsPanel({});
  return new Lino.users.UsersOverview.GridPanel(p);
});
Lino.users.UsersOverview.my_settings = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "my_settings", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.send_welcome_email = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "send_welcome_email", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.sign_out = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "sign_out", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.update_widgets = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "update_widgets", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.about.About.showPanel = Ext.extend(Lino.about.About.DetailFormPanel,{
  empty_title: "Info",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "sign_in", "menu_item_text": "Anmelden", "overflowText": "Anmelden", "panel_btn_handler": Lino.param_action_handler(Lino.about.About.sign_in), "text": "Anmelden", "tooltip": "Open a window which asks for username and password and which\nauthenticates as this user when submitted.", "tooltipType": "title" } ],
  ls_url: "/about/About",
  initComponent : function() {
    this.ls_detail_handler = Lino.about.About.show;
    Lino.about.About.showPanel.superclass.initComponent.call(this);
  }
});

Lino.about.About.show = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/about/About" };
  return new Lino.about.About.showPanel(p);
});
